<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)feedbackForm.jsp --%>

<%@page errorPage="error.jsp" %> 

<%@page language= "java" import="java.text.*,java.util.Date,java.util.Locale,
				com.sun.portal.search.util.Encoder, com.sun.portal.search.util.DateParser" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %> 
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %> 
<%@ taglib uri="/tld/search.tld" prefix="search" %> 

<%-- Get portal config information and portal desktop theme values --%> 
<%@ include file= "portal.jsp" %> 
<jx:declare id="tFontColor" type="java.lang.String"/>
<jx:declare id="tFontFace" type="java.lang.String"/>
<jx:declare id="tTitleBarColor" type="java.lang.String" />
<jx:declare id="tTitleFontColor" type="java.lang.String" />
<jx:declare id="tBorderColor" type="java.lang.String"/>
<jx:declare id="tBgColor" type="java.lang.String"/>

<jx:declare id="desktopUrl" type="java.lang.String"/>
<jx:declare id="dpurl" type="java.lang.String"/>
<jx:declare id="channelName" type="java.lang.String"/>
<jx:declare id="locale" type="java.util.Locale"/>
<STYLE type="text/css">
    .discMessage{font-family: <%=tFontFace%>; color: <%=tFontColor%>; font-size:x-small; font-weight: bold;} 
    .discTitle{font-family: <%=tFontFace%>; font-size:small; font-weight: bold;} 
    .discTitleHeader{font-family: <%=tFontFace%>; font-size:medium; font-weight: bold;} 
    .discDate{font-family: <%=tFontFace%>; color: <%=tFontColor%>; font-size:small;} 
    .discRating{font-family: <%=tFontFace%>; font-size:small; font-weight: bold;} 
    .discDesc{font-family: <%=tFontFace%>; color: <%=tFontColor%>; font-size:small; width:100%} 
    .discLabel{font-family: <%=tFontFace%>; color: <%=tTitleFontColor%>; font-size:large; font-weight: bold;}
    .discButton{background: <%=tTitleBarColor%>; color:<%=tTitleFontColor%>; font-family: <%=tFontFace%>; font-size:small; font-weight: bold;} 
</STYLE>

<script type="text/javascript">
<!--
function check_submit() {
    var title = document.feedbackform.title.value;
    if (title.length == 0 || title.replace(/\s/ig,"").length == 0) { 
	alert('<i18n:message key="feedbackTitle" bundle="discussionsjsp" />');
	return false;
    } else {
    //updating the desc value out of the HTMLArea content
    if (HTMLArea.checkSupportedBrowser()) {
        document.feedbackform.htmlDesc.value=document.feedbackform.desc.value;
        var strippedString = document.feedbackform.desc.value.replace(/(<([^>]+)>)/ig," ");
	strippedString = strippedString.replace(/&nbsp;/ig," ");
        document.feedbackform.desc.value=strippedString;
    }
    var haveBody = document.feedbackform.desc.value.trim() != '';
    if (!haveBody) {
        if (!confirm('<i18n:message key="confirmEmptyfeedback" bundle="discussionsjsp" />')) {
           return false;
        }
    }
    return true;
    }
}
//-->
</script>

<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 WIDTH="100%" class="Tbl">
<%
String rid = "";
String database= "";
if ((request.getParameter("ref_id") != null) && (request.getParameter("ddatabase") != null)) {
    database = request.getParameter("ddatabase");
    rid = request.getParameter("ref_id");
    String query = "URL = "+rid; 
%>
    <jx:set var="query">
       <%=query%>
    </jx:set>
    <jx:set var="viewOrder" value=""/>
    <jx:set var="dbname">
    <%=database%>
    </jx:set>
    <search:searchContext>
	<%@ include file="query.jsp"%>
	<%@ include file="feedbackDisplay.jsp"%>
    </search:searchContext>
<% }
// set the form title value
String title = "";
if ((title = request.getParameter("t")) == null) {
    title = "";
} else {
    title = "Re: "+title;
}
%>
<tr>
<th width="100%" colspan="2" class="TblGrpRow" align="left">
<% if (rid.equals("")) { %>
    <span class= "TblGrpTxt"><i18n:message key="startNewDiscussion" bundle="discussionsjsp" /></span>
<% } else { %>
    <span class= "TblGrpTxt"><i18n:message key="postReply" bundle="discussionsjsp" /></span>
<% } %>
</Th>
</TR>
</table>
<FORM name=feedbackform METHOD=POST onsubmit="javascript:return check_submit();">
<input type=hidden name="targetprovider" value="<%=channelName%>">
<input type=hidden name="action" value="content">
<input type=hidden name="<%=channelName%>_dmode" value="cmt">
<input type=hidden name="rid" value="<%=rid%>">
<input type=hidden name="ddatabase" value="<%=database%>">
<input type=hidden name="htmlDesc" value="">
<table width="100%">
<tr valign="middle">
<td align="right"><LABEL FOR="title"><i18n:message key="title" bundle="discussionsjsp" /> </LABEL>&nbsp;&nbsp;</td>
<td colspan="2"><input type=text name="title" size=40 value="<%=title%>" id="title"/>
</td>
</tr>

<tr valign=top>
<td align="right"><LABEL FOR="message"><i18n:message key="message" bundle="discussionsjsp" /> </LABEL>&nbsp;&nbsp;</TD>
<td align="left" colspan="2"><textarea name="desc" wrap='virtual' style="width:100%;height:40ex" id="message"></textarea>
</td>
</tr>

<tr valign="middle">
<td align="right" class="TblActTd">
<LABEL FOR="rating"><i18n:message key="rating" bundle="discussionsjsp" /> </LABEL>&nbsp;&nbsp;</td>
<td class="TblActTd">
<select name="rtg" id="rating">
<option value=-1> <i18n:message key="irrelevant" bundle="discussionsjsp" /> 
<option value=0> <i18n:message key="routine" bundle="discussionsjsp" />
<option value=1 selected> <i18n:message key="interesting" bundle="discussionsjsp" />
<option value=2> <i18n:message key="important" bundle="discussionsjsp" />
<option value=3> <i18n:message key="mustRead" bundle="discussionsjsp" />
</SELECT></td>
<td align="right"  class="TblActTd"><INPUT TYPE="submit" NAME="post" VALUE="<i18n:message key="post" bundle="discussionsjsp" />" class="Btn2">&nbsp;&nbsp;
<%
String cancelUrl = rid.equals("") ? dpurl : dpurl+"?"+channelName+"_dmode=vl&did="+rid;
%>
<LABEL for="cancelNewDisc" title='<i18n:message key="cancel" bundle="discussionsjsp" />' /><INPUT id="cancelNewDisc" TYPE="button" NAME="cancel" VALUE="<i18n:message key="cancel" bundle="discussionsjsp" />" onClick="javascript:top.document.location.href='<%=cancelUrl%>'" class="Btn2" onKeyPress="this.onClick"></td>
</tr>
</table>
</FORM>
<br>
<script type="text/javascript">
<!--
  _editor_url = "<dt:scontent/>/xinha/";
  _editor_lang = "<%=locale.getLanguage()%>";
  _editor_skin = "blue-metallic";
//-->
</script>
<script type="text/javascript" src="<dt:scontent/>/xinha/htmlarea.js"></script>
<script type="text/javascript">
<!--
<% String discInitFn = String.valueOf(System.currentTimeMillis());%>
function discInit_<%=discInitFn%>() {
    var disc_plugins = 
    [ 
    //'CharacterMap',
    //'ContextMenu',
    //'FullScreen',
    //'ListType',
    //'SpellChecker',
    //'Stylist',
    //'SuperClean',
    //'TableOperations'
    ];
    if(!HTMLArea.loadPlugins(disc_plugins, discInit_<%=discInitFn%>)) return;
    var editors_list = ['message'];
    var disc_config  = new HTMLArea.Config();
    disc_config.toolbar = [ [ 
      "bold","italic","underline","strikethrough","insertorderedlist",
      "insertunorderedlist","outdent","indent","justifyleft","justifycenter",
      "justifyright","justifyfull","copy","cut","paste","undo","redo"
    ] ];
    var disc_editors = HTMLArea.makeEditors(editors_list, disc_config, disc_plugins);
    editors_list = null;
    HTMLArea.startEditors(disc_editors);
}
//setup onload function
if(typeof window.addEventListener != 'undefined') {
    //.. gecko, safari, konqueror and standard
    window.addEventListener('load', discInit_<%=discInitFn%>, false);
} else if(typeof document.addEventListener != 'undefined') {
    //.. opera 7
    document.addEventListener('load', discInit_<%=discInitFn%>, false);
} else if(typeof window.attachEvent != 'undefined') {
    //.. win/ie
    window.attachEvent('onload', discInit_<%=discInitFn%>);
} else {
    //.. mac/ie5 and anything else that gets this far
    //if there's an existing onload function
    if(typeof window.onload == 'function') {
            //store its
            var existing = onload;

            //add new onload handler
            window.onload = function() {
                    //call existing onload function
                    existing();
                    //call discInit_<%=discInitFn%> onload function
                    discInit_<%=discInitFn%>();
            };
    } else {
            //setup onload function
            window.onload = discInit_<%=discInitFn%>;
    }
}         
//-->
</script>
