<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)viewDiscussionDisplay.jsp --%>
<%@page language= "java" import="com.sun.portal.providers.jsp.JSPProvider, 
				com.sun.portal.search.soif.SOIF,
				com.sun.portal.search.soif.SOIFInputStream,
				com.sun.portal.search.providers.SearchContext,
				com.sun.portal.discussions.providers.Comments,
				com.sun.portal.search.util.DateParser,
				com.sun.portal.search.util.Encoder, java.lang.*, 
				java.util.*, java.text.*" %> 
				
<%@page errorPage="error.jsp" %> 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %> 
<%@ taglib uri="/tld/search.tld" prefix="search" %> 
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>

<%-- Get portal config information and portal desktop theme values --%> 
<%@ include file="portal.jsp" %>
<%@ include file="declare.jsp" %>

<STYLE type="text/css"> 
    .discMessage{font-family: <%=tFontFace%>; color: <%=tFontColor%>; font-size:x-small; font-weight: bold; style="margin-left:1; margin-right:1} 
    .discTitle{font-family: <%=tFontFace%>; font-size:small; font-weight: bold;}
    .discTitleHeader{font-family: <%=tFontFace%>; font-size:medium; font-weight: bold;}
    .discDate{font-family: <%=tFontFace%>; color: <%=tFontColor%>; font-size:small;}
    .discRating{font-family: <%=tFontFace%>; font-size:small; font-weight: bold;}
    .discDesc{font-family: <%=tFontFace%>; color: <%=tFontColor%>; font-size:small;}
    .discFilter{font-family: <%=tFontFace%>; color: <%=tBorderColor%>; font-size:small;}
    .discNav{font-family: <%=tFontFace%>; font-size:small;}
    .discBarLbl{font-family: <%=tFontFace%>; color:<%=tTitleFontColor%>; font-size:small; font-weight: bold;}
    .discBarFont{font-family: <%=tFontFace%>; color: <%=tTitleFontColor%>; font-size:small;}
    .discButton{background: <%=tTitleBarColor%>; color:<%=tTitleFontColor%>; font-family: <%=tFontFace%>; font-size:x-small; font-weight: bold;}
    .discSearchButton{background: <%=tTabColor%>; color:<%=tTabFontColor%>; font-family: <%=tFontFace%>; font-size:x-small; font-weight: bold;}
</STYLE>



<!-- Beginning of about search results -->
<search:getNoHits id= "noHits"/>
<jx:declare id="discussionsjsp" type="java.util.ResourceBundle"/>
<table class="Tbl" style="border-width:0">
<jx:choose>
<jx:when test="$noHits">
    <tr>
    <th align="left" class="TblTdLyt" colspan="4" ><i18n:message key="discussionNotFound" bundle="discussionsjsp" /></th>
    </tr>
</jx:when> 

<jx:otherwise> 
    <!-- Beginning of display results --> 
    <search:getResult id="resultstream"/> 
    <jx:declare id="resultstream" type="SOIFInputStream"/>

    <%-- Get the comments object and pass the search results. cluster and sort the comments --%>
    <% String did = request.getParameter("did"); %>
    <% Comments comments = new Comments(); %>
    <% comments.clusterComments(resultstream, did); %>
    <% pageContext.setAttribute("comments", comments, PageContext.REQUEST_SCOPE); %>

    <jsp:include page="viewDiscussionHeader.jsp" flush="true"/>
    <jsp:include page="viewDiscussionBar.jsp" flush="true"/>

    <% ArrayList a = (ArrayList)comments.getComments(); %>

    <tr>
        <th align="left" class="TblTdLyt" colspan="4">
        <% if (a.size() == 0) { %>
	    <span class="TblTdTxt"><i18n:message key="noCommentsInDiscussion" bundle="discussionsjsp" /></span>
	<% } else if (a.size() == 1) { %> 
	    <span class="TblTdTxt"><i18n:message key="oneCommentInDiscussion" bundle="discussionsjsp" /></span>
	<% } else { %>
	   <span class="TblTdTxt"><i18n:message key="nCommentsInDiscussion" bundle="discussionsjsp"><i18n:param><%=a.size()%></i18n:param></i18n:message></span>
        <% } %>
	</th>
    </tr>
<%
    int prevDepth = 1; 
    int parentDepth = 0;
    Integer pd = (Integer)pageContext.findAttribute("parentDepth");
    if (pd != null) {
       parentDepth = pd.intValue();
    } %>
    <!-- Display comments -->
    <% if (a.size() > 0) {%>
        <tr>
            <th id="discTitle" align=left class="TblGrpRow"><span class="TblGrpTxt">Title</span></th>
            <th id="discAuthor" align=left class="TblGrpRow"><span class="TblGrpTxt">Author</span></th>
            <th id="discDate" align=left class="TblGrpRow"><span class="TblGrpTxt">Date</span></th>
            <th id="discRating" align=left class="TblGrpRow"><span class="TblGrpTxt">Rating</span></th>
        </tr>
    <% for (int i = 0; i < a.size(); i++) {
	SOIF cmt = (SOIF)a.get(i); 
	if (cmt != null && cmt.getURL() != null) { %>
	<tr>
            <td align=left class="TblActTd" headers="discTitle">
            <jx:if test="$threaded">
	      <% int d = comments.findDepth(cmt);%>
              <img src="<dt:scontent/>/images/spacer.gif" width="<%=String.valueOf((d-1)*10)%>" height="1" alt="">
            </jx:if>
	    <%
	    String title = cmt.getValue("title");
	    if (title == null) title = "";

	    // Get the integer comment rating and convert it to user-friendly text
	    Integer e =(Integer)pageContext.getAttribute("filter", PageContext.REQUEST_SCOPE);
	    int filter = 0;
	    if (e != null) {
	       filter = e.intValue();
	    }
	    String pkrating = cmt.getValue("rd-rating");
	    int rtg = 4;
	    if (pkrating != null) {
		rtg = Integer.parseInt(pkrating); 
		if (pkrating.equals("-1")) { 
		    pkrating = discussionsjsp.getString("irrelevant"); 
		} else if (pkrating.equals("0")) { 
		    pkrating = discussionsjsp.getString("routine");
		} else if (pkrating.equals("1")) { 
		    pkrating = discussionsjsp.getString("interesting");
		} else if (pkrating.equals("2")) { 
		    pkrating = discussionsjsp.getString("important");
		} else if (pkrating.equals("3")) { 
		    pkrating = discussionsjsp.getString("mustRead"); 
		} else { 
		    pkrating = discussionsjsp.getString("routine");
		}
	    }
	    %>
	    <%-- Display title --%>
	    <% if (rtg >= filter) { %>
		<span class="TblTdTxt"><a href="<%=dpurl%>?<%=channelName%>_dmode=vl&did=<%=Encoder.urlEncode(cmt.getURL())%>"><%=title%></a></span>
            <% } else { %>
		<span class="TblTdTxt"><%=title%></span>
	    <% } %>
	    </td>
            <td align=left class="TblActTd" headers="discAuthor">
	    <%-- Display author --%>
	    <% String athr = cmt.getValue("author"); %>
	    <% if ((athr != null) && (athr.equals("") || athr.equals("authlessanonymous"))) 
			athr = (String)pageContext.findAttribute("anonymousAuthor"); %>
	    <% if (rtg >= filter) { %>
		<span class="TblTdTxt"><%=athr%></span>
	    <% } else { %>
	        <span class="TblTdTxt"><%=athr%></span>
	    <% } %>
            </td>
            <td align=left class="TblActTd" headers="discDate">
	    <%-- Display date --%>
	    <% String lastPost = cmt.getValue("rd-last-changed"); 
	    if (lastPost != null) {
		DateFormat dft = DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.SHORT, locale); 
		try {
		    Date d = DateParser.parse(lastPost); %>
		    <% if (rtg >= filter) { %>
			<span class="TblTdTxt"><i18n:message key="on" bundle="discussionsjsp" /> <%=dft.format(d)%></span>
		    <% } else { %>
			<span class="TblTdTxt"><i18n:message key="on" bundle="discussionsjsp" /> <%=dft.format(d)%></span>
		    <% }
                } catch (Exception ex) {
		} 
	    } %>
	    </td>
            <td align=left class="TblActTd" headers="discRating">
	    <jx:set var="rating">
               <%=rtg%>
            </jx:set>
            <jx:set var="rid">
               <%=cmt.getURL()%>
            </jx:set>
            <%-- Display rating --%>
            <span class="TblTdTxt"><%@ include file="rating.jsp"%></span>
            </td>
	</tr>
	<%-- Display description, optional --%>
        <jx:if test="$expand">
<%
            String desc = cmt.getValue("description");
            if (desc != null && rtg >= filter) {
                int truncateAt = 50;
                if (desc.length() > truncateAt) {
                    desc = desc.substring(0,truncateAt) + " ...";
                }
            %>
            <tr>
                <th align=left class="TblTdLyt" colspan="4">
                <jx:choose> 
                    <jx:when test="$threaded">
                        <% int d = comments.findDepth(cmt);%>
                        <span margin-="<%=String.valueOf((d-1)*10)%>" height="1">
                    </jx:when>
                </jx:choose>
                <%=SearchContext.htmlEncode(desc)%></span>
                <jx:set var="rating">
                   <%=rtg%>
                </jx:set>
                <jx:set var="rid">
                   <%=cmt.getURL()%>
                </jx:set>
                <a href="<%=dpurl%>?<%=channelName%>_dmode=cmt&ref_id=<%=Encoder.urlEncode(cmt.getURL())%>&ddatabase=<%=dbname%>&t=<%=Encoder.urlEncode(title)%>"><br><span class="TblTdTxt"><i18n:message key="postReply" bundle="discussionsjsp" /></span></a>
                </th>
            </tr>
        <% } %>
        </jx:if>
    <% } %>
    <% } //end of for%>
    <% } %>
</jx:otherwise>
</jx:choose>
</table>
