<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)viewDiscussionNavigation.jsp --%>
<%@page language= "java" import="com.sun.portal.search.util.Encoder,
				com.sun.portal.search.soif.SOIF, 
				com.sun.portal.discussions.providers.Comments,
				java.lang.*, java.util.*" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>

<%-- Get portal config information and portal desktop theme values --%> 
<%@ include file="portal.jsp" %>
<%@ include file="declare.jsp" %>


<%
Comments comments = (Comments)pageContext.findAttribute("comments");
if (comments != null) {
    SOIF s = (SOIF)comments.getRootSOIF();
%>
<tr>
    <th class="TblTdLyt" colspan="4" align="left" style="border-width:0">
    <a href="<%=dpurl%>?<%=channelName%>_dmode=full" ><span class="TblTdTxt"><i18n:message key="allDiscussions" bundle="discussionsjsp" /></span></a>
    <%-- link to the main discussion item--%>
<%
    if (comments.getDiscussionID() != null && (!comments.getDiscussionID().equals(s.getURL()))) { %>
	&nbsp;&nbsp;&nbsp; <a href="<%=dpurl%>?<%=channelName%>_dmode=vl&did=<%=Encoder.urlEncode(comments.getDiscussionID())%>"><span class="TblTdTxt"><i18n:message key="toDiscussion" bundle="discussionsjsp" /></span></a>
<%
    } %>
<%
    if (!comments.getParentID(s).equals("ROOT")) { %>
	&nbsp;&nbsp;&nbsp; <a href="<%=dpurl%>?<%=channelName%>_dmode=vl&did=<%=Encoder.urlEncode(comments.getParentID(s))%>"><span class="TblTdTxt"><i18n:message key="toParent" bundle="discussionsjsp" /></span></a>
<% 
    } %>
    <%-- if discussion has a reference document.i.e if started from search channel --%>
<%
    if (s.getValue("rd-reference-url") != null) { %>
	&nbsp;&nbsp;&nbsp; <a href="<%=s.getValue("rd-reference-url")%>"><span class="TblTdTxt">Reference</span></a>
<%
    } %>
<% 
    if (s.getValue("title") != null) { %>
	&nbsp;&nbsp;&nbsp;<a href="<%=dpurl%>?<%=channelName%>_dmode=cmt&ref_id=<%=Encoder.urlEncode(s.getURL())%>&ddatabase=<%=dbname%>&t=<%=Encoder.urlEncode(s.getValue("title"), "UTF-8")%>"><span class="TblTdTxt"><i18n:message key="postReply" bundle="discussionsjsp" /></span></a>
<% 
    } %>
    <jx:if test="$displaySubscription == 'true'">
	<dt:obtainChannel channel="$JSPProvider">
	    <dtpc:providerContext>
            <dtpc:getStringProperty key="searchServer" id="searchServer"/>
            <jx:declare id="searchServer" type="java.lang.String"/>
<%
	    Map pathInfo = new HashMap();
	    pathInfo.put("action", "edit");
	    pathInfo.put("provider", "JSPEditContainer");
	    pathInfo.put("targetprovider", pageContext.findAttribute("subscriptionChannel"));
	    pathInfo.put("last", "false");
	    pageContext.setAttribute("pathInfo", pathInfo);
	    Map queryInfo = new HashMap();
	    queryInfo.put("newDiscSubscription",Encoder.urlEncode(s.getURL(), "UTF-8"));
	    queryInfo.put("newDiscTitle",Encoder.urlEncode(s.getValue("title"), "UTF-8"));
            queryInfo.put("newServer",Encoder.urlEncode(searchServer,"UTF-8"));
            queryInfo.put("newDB",Encoder.urlEncode(dbname,"UTF-8"));
	    pageContext.setAttribute("queryInfo", queryInfo);
	    %>&nbsp;&nbsp;&nbsp;
	    <jx:choose>
	    <jx:when test="$vdw"> 
	    <a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$queryInfo"/>'>
	    </jx:when>
	    <jx:otherwise>   
	    <a href='<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$queryInfo"/>'>
	    </jx:otherwise>
	    </jx:choose>
	    <span class="TblTdTxt"><i18n:message key="subscribe" bundle="discussionsjsp" /></span></A>
	    </dtpc:providerContext>
	</dt:obtainChannel>
    </jx:if>
    </th>
    </tr>
<% } %>
