<%@ page session="false" %>
<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider"%>
<%@ taglib uri="/tld/desktop.tld" prefix="dt"%>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"%>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"%>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n"%>
<%@ taglib uri="/tld/jx.tld" prefix="jx"%>

<%
    String targetChannel = request.getParameter("targetprovider");
    pageContext.setAttribute("targetChannel", targetChannel);
%>

  <dt:obtainContainer container="$JSPProvider">

    <jsp:include page="header.jsp" flush="true"/>

    <i18n:setBundle baseName="CommunitySamplePortal" var="CommunitySamplePortalRB"/>

    <dtcpc:containerProviderContext>

      <dtcpc:obtainChannelFromContainer channel="$targetChannel">

      <%--
        If the targetChannel's edit type is EDIT_COMPLETE the Provider
        is responsible for the edit content.  Otherwise, process 
        according to EDIT_SUBSET 
      --%>

      <dtpc:providerContext>

        <dt:getEditType id="edittype"/>

          <jx:choose>
            <jx:when test="$edittype == 4">
              <dt:getEdit/>
            </jx:when>


            <%-- EDIT_SUBSET processing --%>
            <jx:otherwise>
              <%
                JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
                String provider                = request.getParameter("provider");
                String containerName           = request.getParameter("containerName");
                String parentContainer         = scp.getProviderContext().getDefaultChannelName();
                String parentContainerProvider = scp.getProviderContext().getProviderName(parentContainer);
                String errorMsg                = request.getParameter("error");
                StringBuffer args              = new StringBuffer(64);

                args.append("?").append(request.getQueryString());
                String editArgs = args.toString();
              %>

              <%@ include file="isPageCompletelyLoaded.js" %>

              <div id="prefscontainer">

                <table cellpadding="0" cellspacing="0" width="100%" class="channel-frame">
                <tr valign="middle">
                <td class="channel-frame-title">
                <dt:getTitle/> &mdash; <i18n:message key="edit.options.title" bundle="CommunitySamplePortalRB"/>
                </td>
                <td class="channel-frame-menu"></td>
                </tr>
                </table> 

                <div class="channel-hasFrame-border">
                  <span class="helptext">
                    <i18n:message key="edit.options.help" bundle="CommunitySamplePortalRB"/>
                  </span>
                  <div style="margin:10px;">&nbsp;</div>

                  <FORM ACTION="<dtpc:getDesktopURL/>"  
                      onSubmit="return isPageCompletelyLoaded()" 
                      TARGET="_parent" 
                      NAME="edit_form" 
                      METHOD=POST 
                      ENCTYPE="application/x-www-form-urlencoded">
                      <INPUT TYPE=HIDDEN NAME="action" SIZE=-1 VALUE="process">
                      <INPUT TYPE=HIDDEN NAME="provider" SIZE=-1 VALUE="<%=provider%>">
                      <INPUT TYPE=HIDDEN NAME="containerName" SIZE=-1 VALUE="<%=containerName%>">
                      <INPUT TYPE=HIDDEN NAME="targetprovider" SIZE=-1 VALUE="<%=targetChannel%>">
                      <INPUT TYPE=HIDDEN NAME="editArgs" SIZE=-1 VALUE="<%=editArgs%>">

                    <div>
                      <% if (errorMsg != null) { %>
                        <div id="error"><%=errorMsg%></div>
                      <% } %>
                      <!-- Begin channel content -->
                        <dt:getEdit/> 
                      <!-- End channel content -->
                    </div>
                    <div id="buttonrow">
                    <input style="vertical-align: middle" class="Btn1" type="button" name="cancel" id="cancel" value="<i18n:message key="cancel" bundle="CommunitySamplePortalRB"/>" onMouseOver="if (this.disabled==0) this.className='Btn1Hov'" onFocus="if (this.disabled==0) this.className='Btn1Hov'"onMouseOut="if (this.disabled==0) this.className='Btn1'" onBlur="if (this.disabled==0) this.className='Btn1'" onClick="top.document.location.href='<dtpc:getDesktopURL/>'" onKeyPress="location.href='<dtpc:getDesktopURL/>'" title="<i18n:message key="cancel.button" bundle="CommunitySamplePortalRB"/>"/>
                    <input style="vertical-align: middle" class="Btn1" type="submit" name="finished" id="finished" value="<i18n:message key="finished" bundle="CommunitySamplePortalRB"/>" onMouseOver="if (this.disabled==0) this.className='Btn1Hov'" onFocus="if (this.disabled==0) this.className='Btn1Hov'" onMouseOut="if (this.disabled==0) this.className='Btn1'" onBlur="if (this.disabled==0) this.className='Btn1'" onClick="location.href='<dtpc:getDesktopURL/>'" onKeyPress="location.href='<dtpc:getDesktopURL/>'" title="<i18n:message key="finished.button" bundle="CommunitySamplePortalRB"/>"/>
                    </div>
                  </form>
                </div>
              </div>
            </jx:otherwise>
          </jx:choose>
        </dtpc:providerContext>
      </dtcpc:obtainChannelFromContainer>
    </dtcpc:containerProviderContext>
  </dt:obtainContainer>

  <SCRIPT type="text/javascript">pageLoaded=1;</SCRIPT>
  <noscript>
    <span id="javascript_noscript"><i18n:message key="javascript_noscript" bundle="CommunitySamplePortalRB"/></span>
  </noscript>

<%@ include file="footer.html"%>

  </body>
  </html>
