<!-- JSPTableContainerProvider/channelMenubar.jsp -->
<%--
Format:
    <A HREF="http://siroe.sun.com/portal/dt?action=process&provider=MyFrontPageTabPanelContainer&MyFrontPageTabPanelContainer.channelAction=minimize&MyFrontPageTabPanelContainer.targetProvider=UserInfo" TARGET="_parent"><IMG SRC="/portal/desktop/images/b_minimize.gif" ALT="Minimize User Information" TITLE="Minimize User Information" BORDER=0></A>
--%>
<%
// channel toolbar commands (embedded with markup)

String minMaximizeCommand = (String)commands.get("minMaximizeCommand");
String maximizeCommand    = (String)commands.get("maximizeCommand");
String helpCommand        = (String)commands.get("helpCommand");
String editCommand        = (String)commands.get("editCommand");
String detachAtachCommand = (String)commands.get("detachAtachCommand");
String removeCommand      = (String)commands.get("removeCommand");

// command locations (href)

String minMaxLocation       = null;
String maximizeLocation     = null;
String helpLocation         = null;
String editLocation         = null;
String detachAttachLocation = null;
String removeLocation       = null;

// check to see if we should build and display the menu

boolean showMenu = true;

if ((minMaximizeCommand == "") && 
    (maximizeCommand == "") &&
    (editCommand == "") &&
    (detachAtachCommand == "") &&
    (removeCommand == "")) {
    showMenu = false;
}

// generate pattern and split based on double quote (") delimiter

Pattern  pattern    = Pattern.compile("\"");
String[] regexArray = null;

if (showMenu) {
    try {
        regexArray = pattern.split(minMaximizeCommand); 
       
        if (regexArray.length > 1) {
            minMaxLocation = regexArray[1];
        }
    
        regexArray = pattern.split(maximizeCommand); 
       
        if (regexArray.length > 1) {
            maximizeLocation = regexArray[1];
        }
    
        regexArray = pattern.split(helpCommand);
      
        if (regexArray.length > 1) {
            helpLocation = regexArray[1];
        }
    
        regexArray = pattern.split(editCommand);
      
        if (regexArray.length > 1) {
            editLocation = regexArray[1];
        }
    
        regexArray = pattern.split(detachAtachCommand);
      
        if (regexArray.length > 1) {
            detachAttachLocation = regexArray[1];
        }
    
        regexArray = pattern.split(removeCommand);
      
        if (regexArray.length > 1) {
            removeLocation = regexArray[1];
        }
    } catch (Exception e) {
    }
}
%><%
%>
<% if (showMenu) { %>

            <script language="JavaScript1.2">
            <!--
            window.<%=channelName%> = new Menu();
            window.<%=channelName%>.addMenuItem("&nbsp;");<%

            %><% if (editLocation != null) { %> 
            window.<%=channelName%>.addMenuItem("<i18n:message key="edit.options" bundle="CommunitySamplePortalRB"/>", "location='<%=editLocation%>'");
            window.<%=channelName%>.addMenuSeparator();<%
            %><% } %><%

            %><% if ((!hasMaximized) && (maximizeLocation != null)) { %> 
            window.<%=channelName%>.addMenuItem("<i18n:message key="show.full.page.view" bundle="CommunitySamplePortalRB"/>", "location='<%=maximizeLocation%>'");<%
            %><% } else if (maximizeLocation != null) { %> 
            window.<%=channelName%>.addMenuItem("<i18n:message key="show.normal.view" bundle="CommunitySamplePortalRB"/>", "location='<%=maximizeLocation%>'");<%
            %><% } %><%

            %><% if ((!minimized) && (minMaxLocation != null)) { %> 
            window.<%=channelName%>.addMenuItem("<i18n:message key="show.title.bar.only" bundle="CommunitySamplePortalRB"/>", "location='<%=minMaxLocation%>'");<%
            %><% } else if (minMaxLocation != null) { %> 
            window.<%=channelName%>.addMenuItem("<i18n:message key="show.normal.view" bundle="CommunitySamplePortalRB"/>", "location='<%=minMaxLocation%>'");<%
            %><% } %><%

            %><% if (detachAttachLocation != null) { %> 
            window.<%=channelName%>.addMenuItem("<i18n:message key="show.in.new.window" bundle="CommunitySamplePortalRB"/>", "location='<%=detachAttachLocation%>'");<%
            %><% } %><%

            %><% if (removeLocation != null) { %> 
            window.<%=channelName%>.addMenuSeparator();
            window.<%=channelName%>.addMenuItem("<i18n:message key="remove" bundle="CommunitySamplePortalRB"/>", "confirmRemoveChannel(\"<%=title%>\",'<%=removeLocation%>')");<%
            %><% } %><%

            %>

            <%
                String helpURL = getHelpURL(request, (JSPTableContainerProvider)pageContext.getAttribute("JSPProvider"), containedChannel);
                if ( !helpURL.equals("") && (helpURL.indexOf("helpURL") == -1) ) {
                %>
                window.<%=channelName%>.addMenuSeparator();
                window.<%=channelName%>.addMenuItem("<i18n:message key="view.help" bundle="CommunitySamplePortalRB"/>", "window.open('<%=helpURL%>', 'ps_help')"); 
                <%
                } 
            %>

            window.<%=channelName%>.disableDrag = true;
            -->
            </script>
            <noscript>
              <span id="javascript_noscript"><i18n:message key="javascript_noscript" bundle="CommunitySamplePortalRB"/></span>
            </noscript>
            <a href="javascript://" onKeyPress="showMenu(window.<%=channelName%>);" onClick="showMenu(window.<%=channelName%>);" title="<i18n:message key="modify.options" bundle="CommunitySamplePortalRB"/>"><img src="<dt:scontent/>/community/images/desktop/menu-bkg.png" height="19" width="19" border="0" alt="<i18n:message key="modify.options" bundle="CommunitySamplePortalRB"/>" style="vertical-align: bottom;"></a>
<% } %>
