<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/ssoadapter.tld" prefix="sso" %>
<%@ taglib uri="/tld/wireless_ab.tld" prefix="ab" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>


<%@ page errorPage="error.jsp"%>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
  <%--  desktop font --%><%
%><dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/><%
%><%String font = (String)pageContext.getAttribute("fontFace1",PageContext.REQUEST_SCOPE);%>


 <CENTER> <dt:getName />  </CENTER>
<dtpc:getStringProperty key="ssoAdapter" id="ssoName"/>
<sso:adapter configname="$ssoName">
    <sso:getproperty key="enableProxyAuth" id="enableProxyAuth"/>
</sso:adapter><%
    //Normalize the string value, to take care of case differences e.g. false, FALSE, False
    String isEnableProxyAuth = (String)pageContext.getAttribute("enableProxyAuth");
    //Check for null and blank values of enableProxyAuth
    if ((isEnableProxyAuth == null) || (isEnableProxyAuth.trim().length() == 0)) {
        isEnableProxyAuth = "false";
    } else {
        isEnableProxyAuth = isEnableProxyAuth.toLowerCase();
    }
    pageContext.setAttribute("isEnableProxyAuth", isEnableProxyAuth);
%><i18n:setBundle baseName="abjspprovider"><%
%><TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" WIDTH="80%">
  <TR BgCOLOR="<dttheme:getAttribute name="bgColor"/>" >
    <TD ALIGN="CENTER">
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" BgCOLOR="<dttheme:getAttribute name="bgColor"/>" >
      <TR>
        <TD VALIGN="TOP"  BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>" >
          <FONT SIZE=+1 FCAE="<%=font%>" COLOR="#FFFFFF"><B><i18n:message key="accinfo_title"/></B></FONT></TD>
      </TR>
      <TR>
        <TD WIDTH="20%" HEIGHT="4" NOWRAP> &nbsp; </TD>
      </TR>

      <TR>
        <TD>
		<table width="90%">
		<tr>
<jx:if test='$isEnableProxyAuth == "false"'>
			<td width="65%" align="center">
				<table width="100%">
<sso:adapter configname="$ssoName">
				<tr>
					<td align="center" colspan=2>
<jx:declare id="ssoEditAttributes" type="java.util.Collection"/>
<dtpc:getLocalePropertiesFilters id="localeFilter"/>
<dtpc:getCollectionProperty key="ssoEditAttributes" id="ssoEditAttributes" pfList="$localeFilter"/>
					</td>
				</tr>
<%	%><jx:forEach var="item" items="$ssoEditAttributes"><%
			%><sso:editmapdata data="prop" id="prop" mapid="item"/><%
			%><tr>
					<td align="right" width="40%">
					    <label for="<jx:expr value="$prop"/>"><sso:editmapdata data="name" mapid="item"/></label>
					</td>
					<td valign="middle" width="60%">
<%			%><sso:editmapdata data="type" id="type" mapid="item"/><jx:if test="$type == 'password'"><%
                %><sso:getproperty id="pvalue" key="$prop"/><%
                String pvalue = (String)pageContext.getAttribute("pvalue");
                String value="********";
                if ( pvalue == null || pvalue.equals("") )
                    value="";
			    %><input type="password" id="<jx:expr value="$prop"/>" name="<jx:expr value="$prop"/>" size="25" maxlength="40" value="<%=value%>"><%
            %></jx:if><%
%>			<jx:if test="$type == 'string'"><%
%>						<input type="text" id="<jx:expr value="$prop"/>" name="<jx:expr value="$prop"/>" size="25" maxlength="50" value="<sso:getproperty key="$prop"/>">
<%			%></jx:if><%
%>					</td>
				  </tr>
<%	 %></jx:forEach>
</sso:adapter>
				</table>
			</td>
</jx:if>
<jx:if test='$isEnableProxyAuth == "true"'>
        <TD ALIGN="center" WIDTH="20%" HEIGHT="4" NOWRAP>
        <FONT FACE="<%=font%>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
        <B><i18n:message key="proxyauth_message1"/></B><BR/>
        <B><i18n:message key="proxyauth_message2"/></B>
        </FONT>
        </TD>
</jx:if>
			<td valign="top">
            <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="1" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
                 <TR>
                   <TD VALIGN="TOP" BGCOLOR="#DCDCDC">
                     <FONT FACE="<%=font%>" SIZE="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                      <B><i18n:message key="accinfo_help_title"/></B></FONT>&nbsp;</TD>
                 </TR>
                 <TR>
                   <TD VALIGN="TOP">
                    <FONT FACE="<%=font%>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
				    <p><i18n:message key="accinfo_help_body"/></p>
                    </FONT></TD>
                 </TR>
                </TABLE>

			</td>
		</tr>
		</table>
       </TD>
  </TR>
  <TR>
      <TD VALIGN="TOP"  BGCOLOR="<dttheme:getAttribute name="bgColor"/>"  NOWRAP> &nbsp; </TD>
  </TR>

</TABLE>
</TD></TR></TABLE>
    <BR/>
<TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" WIDTH="80%">
<TR BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
    <TD ALIGN="CENTER"><CENTER>
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
      <TR>
        <TD VALIGN="TOP" COLSPAN="3" BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>">
            <FONT SIZE=+1 FACE="<%=font%>" COLOR="#FFFFFF">
            <B><i18n:message key="displaysettings_title"/></B></FONT></TD>
      </TR>
      <TR>
        <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
      </TR>

      <TR>
        <TD>
		<table width="90%">
		<tr>
			<td width="65%" align="center">
				<table width="100%">
				<tr>
					<td align="right" width="40%"><label for="numEntries"><i18n:message key="numEntries"/></label></td>
					<td valign="middle" width="60%">
					<INPUT TYPE="TEXT" NAME="numEntries" ID="numEntries" SIZE="3" MAXLENGTH="3" VALUE="<%
						if (request.getParameter("headerValue") != null){
							%><%=request.getParameter("headerValue")%><%
						} else {
							%><dtpc:getIntegerProperty key="numberEntries"/><%
						}%>"><%
					if (request.getParameter("headerError") != null){
						%><div style="display:inline;color:red">
							<i18n:message key="numentries_validation_error"/> <dtpc:getIntegerProperty key="maxEntries"/>
						</div><%
					}%>
					</td>
				</tr>
				<tr>
					<td align="right"><label for="sort"><i18n:message key="sortSetting"/></label></td>
					<td valign="middle">
<dtpc:getStringProperty key="sortOrder" id="sortOrder"/>
<%	String sortOrder = (String) pageContext.getAttribute("sortOrder");
	boolean down=false;
	if (sortOrder.equals("down")){
		down=true;
	}
%>						<select name="sort" id="sort">
							<option value="cna"<%
								if (!down){
									%> SELECTED<%
								}
							%>><i18n:message key="ascendName"/></option>
							<option value="cnd"<%
								if (down){
									%> SELECTED<%							
								}
							%>><i18n:message key="descendName"/></option>
						</select>
					</td>		
				</tr>
				<tr>
<dtpc:getStringProperty key="initialView" id="abview"/>
<jx:declare id="abview" type="String"/>
					<td align="right"><label for="abview"><i18n:message key="initialView"/></label></td>
					<td valign="middle">
				<select name="abview" id="abview">
					<option value="all"<%
		if (abview.equalsIgnoreCase("all")) {%> SELECTED<%}
						%>><i18n:message key="allView"/></option><
					<option value="group"<%
		if (abview.equalsIgnoreCase("group")) {%> SELECTED<%}
						%>><i18n:message key="groupsView"/></option>
					<option value="entry"<%
		if (abview.equalsIgnoreCase("entry")) {%> SELECTED<%}
						%>><i18n:message key="contactsView"/></option><%
try {

    %><ab:context config="${ssoName}" test="true"><%
    // Fetch the list of groups

    %><ab:fetch elementtype="group" sb="cn"/><%
    %><ab:entries iterate="true"><%
	%><ab:entry><%
		%><ab:get property="cn" id="groupName"/><%
		%><jx:declare id="groupName" type="String"/><%
		%><ab:get property="entryid" id="groupId"/><%
		%><jx:declare id="groupId" type="String"/><%
		%><option value="<%=groupId%>"<%
    if (abview.equalsIgnoreCase(groupId)) {%> SELECTED<%}
		%>><%=groupName%> <i18n:message key="contacts"/></option><%
	%></ab:entry><%
    %></ab:entries><%

    %></ab:context><%

}
catch(Exception ex) {
//ex.printStackTrace();
}
%>
				</select>
					</td>
				</tr>
				</table>
			</td>
			<td valign="top">	
            <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="1" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
                 <TR>
                   <TD VALIGN="TOP" BGCOLOR="#DCDCDC">
                     <FONT FACE="<%=font%>" SIZE="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                      <B><i18n:message key="displaysettings_help_title"/></B></FONT>&nbsp;</TD>
                 </TR>
                 <TR>
                   <TD VALIGN="TOP">
                    <FONT FACE="<%=font%>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
				<p><i18n:message key="displaysettings_help_body"/></p>
                    </FONT></TD>
                 </TR>
                </TABLE>

			</td>
		</tr>
		</table>
        </TD>
    </TR>
    <TR>
        <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
    </TR>
</TABLE>
</TD></TR></TABLE>
    <BR/>


<TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" WIDTH="80%">
<TR BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
    <TD ALIGN="CENTER"><CENTER>
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
      <TR>
        <TD VALIGN="TOP" COLSPAN="3" BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>">
            <FONT SIZE=+1 FACE="<%=font%>" COLOR="#FFFFFF">
            <B><i18n:message key="othersettings_title"/></B></FONT></TD>
      </TR>
      <TR>
        <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
      </TR>

      <TR>
        <TD>
	  <table width="90%">
	    <tr>
	       <td width="65%" align="center">
		  <table width="100%">
		    <tr>
		      <TD ALIGN="CENTER">
       			<INPUT style='background-color:<dttheme:getAttribute name="titleBarColor"/>;color:<dttheme:getAttribute name="titleFontColor"/>'
                               TYPE="submit"
                               NAME="MobileAddressBook"
                               VALUE="<i18n:message key="mobileab_title"/>">

    		      </TD>
    		    </tr>
	            <TR>
        	       <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
                    </TR>
    	          </table>
               </td>
            </tr>
	  </table>
	</TD>
      </TR>
    </TABLE>
    </TD>
</TR>
</TABLE>

</i18n:setBundle>
</dtpc:providerContext>
</dt:obtainChannel>
