<%
%><%@ page import="com.sun.ssoadapter.SSOAdapter"%><%
%><%@ page import="com.iplanet.sso.SSOToken"%><%
%><%@ page import="java.util.Map"%><%
%><%@ page import="java.util.HashMap"%><%

%><%@ taglib uri="/tld/jx.tld" prefix="jx" %><%
%><%@ taglib uri="/tld/desktop.tld" prefix="dt" %><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %><%
%><%@ taglib uri="/tld/ssoadapter.tld" prefix="sso" %><%
%><%@ taglib uri="/tld/urlBuilder.tld" prefix="buildurl" %><%
%><%@ taglib uri="/tld/wireless_cal.tld" prefix="cal" %>

<dt:obtainChannel channel="$JSPProvider">
<dtpc:providerContext>

<%--  retreive the channel's current "ssoAdapter" value --%>

<dtpc:getStringProperty key="ssoAdapter" id="ssoName"/>
<sso:adapter configname="$ssoName">
       <sso:getproperty key="enableProxyAuth" id="enableProxyAuth"/>
</sso:adapter><%
        //Normalize the string value, to take care of case differences e.g. false, FALSE, False
	String isEnableProxyAuth = (String)pageContext.getAttribute("enableProxyAuth");
        //Check for null and blank values of enableProxyAuth
        if ((isEnableProxyAuth == null) || (isEnableProxyAuth.trim().length() == 0)) {
            isEnableProxyAuth = "false";
        } else {
            isEnableProxyAuth = isEnableProxyAuth.toLowerCase();
        }
        pageContext.setAttribute("isEnableProxyAuth", isEnableProxyAuth);
%><jx:if test='$isEnableProxyAuth == "false"'>
<dt:getName id="channelName"/>


<%--  retreive the SSO adapter configuration and set properties per the 
      channels' "ssoEditAttributes" collection --%>

<sso:adapter configname="$ssoName" id="newSSOAdapter" channelname="$channelName">
    <dtpc:getLocalePropertiesFilters id="localeFilter"/>
    <dtpc:getCollectionProperty key="ssoEditAttributes" id="ssoEditAttributes" pfList="$localeFilter"/>
       <jx:forEach var="item" items="$ssoEditAttributes"><%
			%><sso:editmapdata data="prop" id="prop" mapid="item"/><%
			%><sso:editmapdata data="type" id="type" mapid="item"/><%
        // need to check request parameters for matching properties
        //
        String value = request.getParameter((String)pageContext.getAttribute("prop"));
        pageContext.setAttribute("value", value);
%>
        <jx:if test="$type != 'password'">
            <sso:setproperty key="$prop" value="$value"/>
        </jx:if>
        <jx:if test="$type == 'password'">
            <jx:if test="$value != '********'">
            <sso:setproperty key="$prop" value="$value"/>
            </jx:if>
        </jx:if>
    </jx:forEach>
</sso:adapter>



<%-- either create a new User level SSO adapter configuration or update the
     existing SSO adapter configuration --%>

<sso:adapter key="newSSOAdapter">

    <sso:getname id="newSSOName"/>

    <% // workaround until jx problem gets solved
       //
    String newSSOName = (String) pageContext.getAttribute("newSSOName");
    if (newSSOName != null) {
        String ssoName = (String) pageContext.getAttribute("ssoName");

        if (!newSSOName.equals(ssoName)) { 
            %><dtpc:setStringProperty key="ssoAdapter" value="$newSSOName"/><%
        } else {
            // This will init the url builder session every time a process is done.
            %><buildurl:session forceinit="true"/><%
            try{//With wrong credentials it throws exceptions 
            // This will init the cal context every time a process is done.
            %><cal:context config="${newSSOName}" reset="true" test="true" /><%
            }catch(Exception ex){
            }
        }
    }%>
</sso:adapter>

</jx:if>


<%-- process the HTML display settings --%>

<%
String view            = request.getParameter("view");
String initialCalendar = request.getParameter("calendar");
String originalUid     = request.getParameter("originalUid");
String uid             = request.getParameter("uid");

if (view != null)  {
    pageContext.setAttribute("view", view); 
    %><dtpc:setStringProperty key="view" value="$view" /><%
}


if (initialCalendar != null)  {

    // check to see if the uid has been changed to another user, if yes
    // then set the initialCalendar to load to ""
    // 
    if (((originalUid == null) && (uid != null)) || 
        ((originalUid != null) && (uid != null) && (originalUid.equals(uid)))) {

        pageContext.setAttribute("initialCalendar", initialCalendar);
        %><dtpc:setStringProperty key="initialCalendar" value="$initialCalendar" /><%

    } else {
        %><dtpc:setStringProperty key="initialCalendar" value="" /><%
    } 
}
%>

</dtpc:providerContext>
</dt:obtainChannel>

