<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%> 
<%-- menu.jsp --%>

<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ page import="java.util.Map"%>

<tab:tabContainerProvider>
  <tab:getSelectedTabs id="selectedTabs"/>
  <tab:getSelectedTabName id="selectedTabName"/>
  <dtpc:getCollectionProperty key="Seperator" id="Seperator"/>
   <%
	Map seperator = (Map) pageContext.getAttribute ("Seperator");
   %>

    <%
	boolean edit = false;
	if (request.getAttribute ("menucontainer.type") != null)
		edit = true;
    %>
    <dtpc:getStringProperty key="staticHeader" id="header"/>
    <tr><td bgcolor="<dttheme:getAttribute name='headerBgColor' default='#333366'/>"><%=pageContext.getAttribute ("header") %></td></tr>
    <% int count = 0; %>
    <jx:forEach var="tab" items="$selectedTabs">
    <%
	count++;
	if (seperator != null) {
		if (seperator.containsKey (Integer.toString (count))) {
    %>
		<tr><td>
			<hr class="menucontainer-seperator"/>
		</td></td>
    <%
		}
	}
    %>
    
    <tab:obtainTab tab="$tab">
      <tab:getName id="tabName"/>
      <jx:choose>
	<tr>
	<td class="menu">
        <jx:when test="$tabName == selectedTabName">
		<% if (!edit) {%>
			<a href="<tab:getTabURL/>" id="selected"> <tab:getDisplayName/></a>
		<% }
		   else {%>
			<a href="<tab:getTabURL/>"> <tab:getDisplayName/></a>
			<%}%>
        </jx:when>
        <jx:otherwise>
		<a href="<tab:getTabURL/>"> <tab:getDisplayName/></a>
        </jx:otherwise>
      </jx:choose>
	</td>
	</tr>
    </tab:obtainTab>
    </jx:forEach>
		<dtpc:getBooleanProperty key="isEditable" id="isEditable" />	
		<jx:if test="$isEditable == true">
		<tr>
		<td>
		<hr class="menucontainer-seperator"/>
		</td>
		</tr>
		<tr>
		<td class="menu">
		<%
			if (!edit) {
		%>
		<a href="<dtpc:getDesktopURL/>?action=edit&provider=<dt:getName/>" id="normal">Edit Left Navigation</a>
		<%
			}
			else {
		%>
			<a href="<dtpc:getDesktopURL/>?action=edit&provider=<dt:getName/>" id="selected">Edit Left Navigation</a>
		<% } %>
		</td>
		</tr>
		</jx:if>
</tab:tabContainerProvider>
