<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%> 
<%@ page import="java.util.Enumeration" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
  <i18n:setBundle baseName="SampleJSP" var="samplejsp" />
  <dtpc:getStringProperty key="fontFace1" id="fontFace"/>
  <jx:declare id="fontFace" type="java.lang.String"/>
<font face="<%=fontFace%>">
    
 <i18n:message key="jsp.desc.1" bundle="samplejsp"> 
   <i18n:param>
     <a href="http://java.sun.com/products/jsp/" target=_blank>Java Server Pages</a>
   </i18n:param>  
 </i18n:message>
 <i18n:message key="jsp.desc.2" bundle="samplejsp" />
 <i18n:message key="jsp.desc.3" bundle="samplejsp" />

</font>

<table border=1>
<tr valign=top>
<td><font face="<%=fontFace%>">JSP:</font></td>
<td><font face="<%=fontFace%>"><dtpc:getStringProperty key="contentPage"/></font></td>
</tr>
<tr valign=top>
<dtpc:getStringProperty key="contentPage" id="contentPage"/>
<jx:declare id="contentPage" type="java.lang.String"/>
<form>
<td><font face="<%=fontFace%>"><LABEL FOR="RealPath"><i18n:message key="jsp.realPath" bundle="samplejsp" /></LABEL></font></td>
<td><font face="<%=fontFace%>"><textarea name="textfield" rows="1" cols="25" wrap="OFF" ID="RealPath"><%= application.getRealPath(contentPage) %></textarea></font></td>
</form>
</tr>
<tr valign=top>
<td><font face="<%=fontFace%>"><i18n:message key="jsp.reqParameters" bundle="samplejsp" /></font></td>
<td><font face="<%=fontFace%>">
<%
  Enumeration pe = request.getParameterNames();
  if (pe.hasMoreElements()) {
    while (pe.hasMoreElements()) {
      String pname = (String)pe.nextElement();
      String pval = request.getParameter(pname);
      out.println(pname + "=" + pval + "<br>");
    }
  } else {
    out.println("None");
  }
%>
</font>
</td>
</tr>
<tr valign=top>
<td><font face="<%=fontFace%>"><i18n:message key="jsp.sessionAttrib" bundle="samplejsp" /></font></td>
<td><font face="<%=fontFace%>">
<%
  Enumeration ae = session.getAttributeNames();
  if (ae.hasMoreElements()) {
    while (ae.hasMoreElements()) {
      String aname = (String)ae.nextElement();
      Object aval = session.getAttribute(aname); 
      out.println(aname + "=" + aval.toString() + "<br>");
    }
  } else {
    out.println("None");
  }
%>
</font>
</td>
</tr>
<tr valign=top>
<td><font face="<%=fontFace%>"><i18n:message key="jsp.selectedUserAttrib" bundle="samplejsp" /></font></td>
<td><font face="<%=fontFace%>">
<i18n:message key="jsp.firstName" bundle="samplejsp" /> = <dtpc:getStringAttribute key="givenname"/><br>
<i18n:message key="jsp.lastName" bundle="samplejsp" /> = <dtpc:getStringAttribute key="sn"/><br>
</font>
</td>
</tr>
</table>
  </dtpc:providerContext>
</dt:obtainChannel>
<!-- Channel width is p.getWidth() -->
<%-- This is a JSP comment, should not appear in HTML source --%>
