<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri = "/tld/desktop.tld" prefix = "dt"%>
<%@ taglib uri = "/tld/desktopProviderContext.tld" prefix = "dtpc"%>
<%@ taglib uri = "/tld/wireless_commprefs.tld" prefix = "cp"%>
<%@ taglib uri = "/tld/wireless_util.tld" prefix = "util"%>
<%@ taglib uri = "/tld/desktopTheme.tld" prefix = "dttheme"%>

<util:log msg1="ENTER JSP edit-main-other.jsp"/>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
  <util:catalog resource="MAMailJSP" id="i18n"/>
  <cp:mailcontext>

<TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%">
  <TR>
    <TD VALIGN="TOP" COLSPAN="3" BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>">
      <FONT SIZE=+1 FACE="<dttheme:getAttribute name="fontFace"/>" COLOR="<dttheme:getAttribute name="titleFontColor"/>">
	    <B><util:msg name="i18n" key="otherPrefs" default=""/></B>
      </FONT>
    </TD>
  </TR>

  <TR>
    <TD WIDTH="20%" HEIGHT="4" NOWRAP>
      &nbsp;
    </TD>
    <TD WIDTH="45%" HEIGHT="4" NOWRAP>
      &nbsp;
    </TD>

    <TD WIDTH="30%" VALIGN="TOP" ROWSPAN="15" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
      <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="1" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">

        <TR>
          <TD VALIGN="TOP" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
            <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
		  <B><util:msg name="i18n" key="why" default=""/></B>
		</FONT>&nbsp;
          </TD>
        </TR>

        <TR>
          <TD VALIGN="TOP">
            <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>"> 
		<util:msg name="i18n" key="mainotherwhy" default=""/>
            <BR> </FONT>
          </TD>
        </TR>

      </TABLE>
    </TD>
  </TR>

  <TR>
    <TD WIDTH="20%" ALIGN="CENTER" VALIGN="MIDDLE" NOWRAP>
      <P ALIGN="RIGHT">
      <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
      <LABEL FOR="sentfolder"> <util:msg name="i18n" key="savesent" default=""/> </LABEL>
      </FONT>
    </TD>

    <TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>

      <util:if property="saveSent" value="true">
    
        <INPUT TYPE="CHECKBOX" CHECKED NAME="saveSent" ID="saveSent">
    
      </util:if>
      <util:ifnot property="saveSent" value="true">
    
        <INPUT TYPE="CHECKBOX" NAME="saveSent" ID="saveSent">

      </util:ifnot>
    
    </TD>
  </TR>

  <TR>
    <TD WIDTH="20%" VALIGN="MIDDLE" NOWRAP>
      <P ALIGN="RIGHT">
      <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
      <LABEL FOR="from"> <util:msg name="i18n" key="fromaddress" default=""/> </LABEL>
      </FONT>
    </TD>

    <TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
      <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
      <TEXTAREA NAME="fromAddress" ID="from" ROWS="1" COLS="30"><util:get property="fromAddress"/></TEXTAREA>
      </FONT>
    </TD>
  </TR>

  <TR>
    <TD WIDTH="20%" VALIGN="MIDDLE" NOWRAP>
      <P ALIGN="RIGHT">
      <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">

      <LABEL FOR="sig"> 
	<util:msg name="i18n" key="sig1" default=""/>
        <BR>
        <util:msg name="i18n" key="sig2" default=""/>
      </LABEL>

      </FONT>
    </TD>

    <TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
      <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
      <TEXTAREA NAME="signature" ID="sig" ROWS="3" COLS="30"><util:get property="signature"/></TEXTAREA>
      </FONT>
    </TD>
  </TR>

  <TR>
    <TD width=20% VALIGN="MIDDLE" nowrap>
      <P ALIGN="RIGHT">
      <NOBR><FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>"> Predefined
      Replies:</font> </NOBR>
    </TD>
  </TR>

  <TR>
    <TD WIDTH=20% VALIGN="MIDDLE" ALIGN="RIGHT" NOWRAP>
      <NOBR>
	<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
	  <util:msg name="i18n" key="num" default=""/>
	</FONT>
      </NOBR>
    </TD>
    <TD ALIGN=LEFT WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
      <NOBR>
	<FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
	  <util:msg name="i18n" key="replymax" default=""/>
	</FONT>
      </NOBR>
    </TD>
  </TR>

  <cp:presetmsgs iterate="true" id="presets">
    <util:set name="*PAGE*" property="index" value="${presets:index}"/>
    <cp:presetmsg>

  <TR>
    <TD WIDTH="20%" ALIGN="CENTER" VALIGN="MIDDLE" NOWRAP>
      <P ALIGN="RIGHT">
      <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
      <LABEL FOR="p1"> <util:msg name="i18n" key="reply" default=""/> <util:get property="number"/></LABEL>
      </FONT>
    </TD>

    <TD WIDTH="45%" VALIGN="MIDDLE" NOWRAP>
      <FONT FACE="<dttheme:getAttribute name="fontFace"/>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
      <INPUT TYPE="TEXT" NAME="preset<util:get eval="${index}"/>" ID="p1" SIZE="25" MAXLENGTH="30" VALUE="<util:get property="msg"/>"> </FONT>
    </TD>
  </TR>

    </cp:presetmsg>
  </cp:presetmsgs>

  <TR>
    <TD WIDTH="20%" NOWRAP>
      &nbsp;
    </TD>
    <TD WIDTH="45%" NOWRAP>
      &nbsp;
    </TD>
  </TR>

</TABLE>

    </cp:mailcontext>
  </dtpc:providerContext>
</dt:obtainChannel>

<util:log msg1="EXIT JSP edit-main-other.jsp"/>
