<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-device.jsp"/>

<%-- Process the edit of a view bean --%>

<cp:mailcontext id="pctxt">

  <util:ifnot name="*REQUEST*" property="selectedViews">
    <util:set name="*PAGE*" property="error" value="errSelectView"/>
  </util:ifnot>

  <util:ifnot name="*PAGE*" property="error">

    <util:set name="pctxt" property="clientType" value="$(client)"/>

    <% String[] selViews = request.getParameterValues("selectedViews");
       if (selViews != null) {
         pageContext.setAttribute("views", Arrays.asList(selViews));
       } %>
    <util:log msg1="SELVIEWS" msg2="${*PAGE*:views}"/>
    <%-- CLEAR THE EXISTING clientTypes VALUES --%>
    <util:set name="pctxt" property="clientView"/>
    <util:beans name="views" beanid="view" iterate="true">
      <util:log msg1="SETTING VIEW: " msg2="${*PAGE*:view}"/>
      <util:set name="pctxt" property="clientView" value="${view}"/>
    </util:beans>

  </util:ifnot>
  
</cp:mailcontext>

<util:log msg1="EXIT JSP process-device.jsp"/>
