<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-main.jsp"/>

<cp:mailcontext>

  <%-- Set properties on mail context based on request params --%>

  <% pageContext.setAttribute("signature", request.getParameter("signature").trim());
     pageContext.setAttribute("fromAddress", request.getParameter("fromAddress").trim()); %>

  <util:set property="signature" value="${signature}"/>
  <util:set property="fromAddress" value="${fromAddress}"/>
  <util:if name="*REQUEST*" property="saveSent">
    <util:set property="saveSent" value="true"/>
  </util:if>
  <util:ifnot name="*REQUEST*" property="saveSent">
    <util:set property="saveSent" value="false"/>
  </util:ifnot>

  <cp:presetmsgs iterate="true" id="presets">
    <util:set name="*PAGE*" property="index" value="${presets:index}"/>
    <cp:presetmsg>
      <% pageContext.setAttribute("value", 
		 request.getParameter("preset" + pageContext.getAttribute("index"))); %>
      <util:set property="msg" value="${value}"/>
    </cp:presetmsg>
  </cp:presetmsgs>

</cp:mailcontext>

<util:log msg1="EXIT JSP process-main.jsp"/>
