<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-pop-add.jsp"/>

<%-- Process the add of a pop config --%>

<%-- Add mode: create a new config bean and save to page context --%>

<cp:mailcontext>

  <util:if name="*REQUEST*" property="name" value="">
    <util:set name="*PAGE*" property="error" value="errEmptyConfig"/>
  </util:if>
  <util:ifnot name="*REQUEST*" property="name" value="">

    // Check to make sure that there is not already a config with this name	
    <cp:popconfigs iterate="true" beanid="item">
      <cp:popconfig>
        <util:if property="name" value="$(name)">
          <util:set name="*PAGE*" property="error" value="errCreateCollision"/>
        </util:if>
      </cp:popconfig>
    </cp:popconfigs>

    <util:ifnot name="*PAGE*" property="error">	
      <%@ include file="process-pop-common.jsp" %>
    </util:ifnot>

    <util:ifnot name="*PAGE*" property="error">	
      <cp:popconfig id="config"/>
      <util:set name="config" property="name" value="$(name)"/>
      <util:set name="config" property="host" value="$(host)"/>
      <util:set name="config" property="port" value="$(port)"/>
      <util:set name="config" property="uid" value="$(uid)"/>
      <util:set name="config" property="password" value="$(password)"/>
      <util:set name="config" property="popDelete" value="$(popDelete)"/>
    </util:ifnot>

  </util:ifnot>

</cp:mailcontext>

<util:log msg1="EXIT JSP process-pop-add.jsp"/>
