<?xml version="1.0"?>

<!--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.

  $RCSfile: stockquote.xsl,v $ $Revision: 1.2 $ $Date: 2003/08/04 19:43:09 $
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:output omit-xml-declaration="yes" indent="yes"/>
<xsl:template match="/">
<ul type="circle">
 <xsl:for-each select="market-data/quote-set/quote">

   <xsl:value-of select="./@name"/>
   <xsl:value-of select="./@exchange-code"/>, <xsl:value-of select="./@hyperfeed-time"/>

  <li>
		<xsl:value-of select="./@symbol"/>
	<ul>
	<li>
		Last: <xsl:value-of select="./@last"/>
	</li>
	<li>
		Open: <xsl:value-of select="./@open"/>
	</li>
	<li>
		Change: <xsl:value-of select="./@change"/>
	</li>
	<li>
		Volume: <xsl:value-of select="./@volume"/>
	</li>
	<li>
		Day's High:: <xsl:value-of select="./@high"/>
	</li>
	<li>
		Day's Low: <xsl:value-of select="./@low"/>
	</li>
	</ul>
   </li>
 </xsl:for-each> 
</ul>
</xsl:template>
</xsl:stylesheet>
