<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved. 
  Use is subject to license terms.
 --%> 
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.*,java.text.DateFormat,java.text.SimpleDateFormat" %>
<%@ page import="java.security.AccessController" %>
<%@ page import="com.sun.identity.security.*"%>
<%@ page import="com.iplanet.am.util.AdminUtils"%>
<%@ page import="com.sun.portal.providers.ProviderAdapter"%>
<%@ page import="com.sun.portal.search.soif.SOIF"%>
<%@ page import="com.sun.portal.search.providers.SearchContext"%>
<%@ page import="com.sun.portal.search.util.Decoder"%>
<%@ page import="com.sun.portal.search.util.Encoder"%>
<%@ page import="com.sun.portal.subscriptions.providers.*"%>
<%@ page import="com.sun.portal.subscriptions.util.Utils"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/search.tld" prefix="search" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%
String cats[] = request.getParameterValues("cat");
String discs[] = request.getParameterValues("disc");
String srchs[] = request.getParameterValues("srch");
boolean authorized = false;
String defSrchSvr = request.getParameter("defSrchSvr");
String maxHits = request.getParameter("maxHits");
String proxyDN = request.getParameter("proxyDN");
String proxyAuth = request.getParameter("proxyAuth");
String verif=new String(AccessController.doPrivileged(new DecryptAction(proxyAuth)).toString());
if (verif.equals((String) AccessController.doPrivileged(new AdminPasswordAction()))) {%>
<dt:obtainChannel channel="$JSPProvider">
    <dtpc:providerContext>
        <i18n:setBundle baseName="SubscriptionsJSP" var="subscriptionjsp" />
        <dtpc:getSessionID id="sessionID"/>
        <dtpc:getLocale id="locale"/>
        <jx:declare id="locale" type="Locale"/>

        <dttheme:getAttribute name="titleBarColor" id="subSectionTitle" scope="request"/> 
        <dttheme:getAttribute name="borderColor" id="subSectionHeader" scope="request"/> 
        <dttheme:getAttribute name="bgColor" id="subSection" scope="request"/>
        <jx:declare id="subSectionTitle" type="java.lang.String"/>
        <jx:declare id="subSectionHeader" type="java.lang.String"/>
        <jx:declare id="subSection" type="java.lang.String"/>
        <STYLE type="text/css">
            .subSectionTitle { background: <%=subSectionTitle%>;}
            .subSectionHeader { background: <dttheme:getAttribute name="tabColor" default="#C0C0C0"/>; 
                                color: <dttheme:getAttribute name="tabFontColor" default="#000000"/>;
            border-top: thin solid <dttheme:getAttribute name="tabFontColor" default="#000000"/>}
            .subSection {border-bottom: thin solid <%=subSectionHeader%>; background: <%=subSection%>}
        </STYLE>
        <table border="0" width="100%" cellpadding="1" cellspacing="0">
            <%
            String profilerLastRunStr = request.getParameter("profilerLastRun");
            SearchSubscription subItem = null;
            HashMap subElements = null;
            boolean subscriptionsService= false;
            pageContext.setAttribute("tokenID",proxyAuth);
            boolean emptyResult = true;
            if (cats != null) {
                boolean empty = true;
                if (cats.length > 0) {
                    int maxCat = 5;
                    DateFormat df = new SimpleDateFormat("MM/dd/yy");
                    for (int catNdx = 0; catNdx < cats.length; catNdx++) {
                        String catSubStr = cats[catNdx];
                        //parse the subscription
                        subItem = new SearchSubscription(defSrchSvr,
                                Subscription.CATEGORY_SRCH_SUB, catSubStr,
                                "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating");
                        if (subItem.parse() == null) {
                            continue;
                        }
                        subElements = subItem.getElements();
                        String catName = (String) subElements.get("name");
                        String catTarget = (String) subElements.get("target");
                        String catScope = (String) subElements.get("scope");
                        String catSince = (String) subElements.get("since");
                        String catRating = (String) subElements.get("rating");
                        String catServer = (String) subElements.get("server");
                        String catDatabase = (String) subElements.get("database");
                        String catStatus = (String) subElements.get("status");
                        if (catName == null || !catStatus.equalsIgnoreCase("on")) {
                            catName="";
                            continue;
                        }
            %>
            <!-- created the search query -->
            <search:searchContext>
                <search:setQueryLanguage ql="search"/>
                <search:setRDMServer rdmServer="<%=catServer%>"/>
                <search:setRDMType rdmType= "rd-request"/>
                <search:setViewHits viewHits="<%=maxHits%>"/>
                <search:setViewAttributes viewAttributes= "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating,hl-rd-reference-id, rd-reference-id,rd-display-url"/>
                <search:setSessionID sessionID="$tokenID"/>
                <search:setSearchAll searchAll="false"/>
                <search:setDatabase database= "<%=catDatabase%>"/> 
                <search:setQuery query="<%=catScope%>"/>
                <search:setCategory category="<%=catTarget%>"/>
                <%
                // getting the lapse of time for new docs
                StringBuffer scopeSB = new StringBuffer();
                ArrayList l = new ArrayList();
                HashMap h;
                if (catScope  != null) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "");
                    h.put(SearchContext.OPERATION, SearchContext.ALL);
                    h.put(SearchContext.VALUE, catScope);
                    l.add(h);
                    scopeSB.append(catScope);
                    scopeSB.append(" ");
                }
                if (!catSince.equals("0")) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Last-Changed");
                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                    Calendar c1 = new GregorianCalendar();
                    String d1 = df.format(c1.getTime());
                    if (catSince.equals("1")) {
                        c1.add(Calendar.DATE, -1);
                    }
                    if (catSince.equals("7")) {
                        c1.add(Calendar.DATE, -7);
                    }
                    if (catSince.equals("30")) {
                        c1.roll(Calendar.MONTH, false);
                    }
                    if (catSince.equals("180")) {
                        c1.add(Calendar.MONTH, -6);
                    }
                    if (catSince.equals("365")) {
                        c1.roll(Calendar.YEAR, false);
                    }
                    String d2 = df.format(c1.getTime());
                    h.put(SearchContext.VALUE, d2);
                    l.add(h);
                    catScope += " <AND> (RD-Last-Changed  >" + d2+")";
                }
                if (profilerLastRunStr != null) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Last-Changed");
                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                    h.put(SearchContext.VALUE, profilerLastRunStr);
                    l.add(h);
                    catScope += " <AND> (RD-Last-Changed  >" + profilerLastRunStr+")";
                }
                
                request.setAttribute("proxyDN",proxyDN);
                %>
                <search:setCriteria criteria="<%=l%>"/>

                <!-- execute the search --><%
                try {%>
                <search:executeSearch/><%
                } catch (Exception e) {} %>
                <search:getNoHits id="noHits"/>
                <jx:declare id="noHits" type="java.lang.Boolean"/>
                <%
                if (noHits.booleanValue() != true) {
                %>
                <search:getHitCount id="hitsCount"/>
                <jx:declare id="hitsCount" type="java.lang.Integer"/>
                <%
                if (hitsCount.intValue() > 0) {
                    if (empty) {
                        empty = false;
                %>
                <tr>
                    <td valign="top" align="left" colspan="3" class="subSectionHeader"><i18n:message key="categories" bundle="subscriptionjsp" /></td>
                </tr>
                <%  }%>
                <search:getResult id="resultstream"/>
                <tr>
                    <td class="subSection" width="1%"><br></td>
                    <td class="subSection" align="left" valign="top" nowrap="nowrap" width="1%">
                        <%=(String) SearchContext.htmlEncode(catName)%>&nbsp;
                    </td>
                    <td class="subSection" align="right" width="99%">
                        <table border=0 cellpadding=0 cellspacing=0 width="100%">
                            <search:getNextResult input="$resultstream"> 
                                <search:getURL id="url"/>
                                <jx:declare id="url" type="java.lang.String"/>
                                <jx:declare id="desktopPathInfo" type="java.lang.String"/>
                                <tr>
                                    <td> 
                                        <a target="ps_main" href="<%=url%>"><search:getValue attribute="hl-title" escape="false"/></a><br> 
                                    </td> 
                                </tr>
                                <tr>
                                    <td> 
                                        <search:getValue attribute="description" escape="false"/>
                                    </td> 
                                </tr>
                                <tr>
                                    <td> 
                                        <search:getValue attribute="hl-url" escape="false"/>
                                    </td> 
                                </tr>
                            </search:getNextResult>
                        </table>
                    </td>
                </tr>
                <%
                }
                }
                %>
            </search:searchContext>
            <%
                    } // end of for on categories
                } // end of if there is at least one category
                emptyResult = emptyResult && empty;
            } // end of if categoriesSet != null
            if (discs != null) {
                boolean empty = true;
                if (discs.length > 0) {
                    int maxDisc = 5;
                    DateFormat df = new SimpleDateFormat("MM/dd/yy");
                    for (int discNdx = 0; discNdx < discs.length; discNdx++) {
                        String discSubStr = discs[discNdx];
                        //parse the subscription
                        subItem = new SearchSubscription(defSrchSvr,
                                Subscription.DISCUSSION_SRCH_SUB, discSubStr,
                                "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating,hl-rd-reference-id, rd-reference-id");
                        if (subItem.parse() == null) {
                            continue;
                        }
                        subElements = subItem.getElements();
                        String discName = (String) subElements.get("name");
                        String discTarget = (String) subElements.get("target");
                        String discScope = (String) subElements.get("scope");
                        String discRating = (String) subElements.get("rating");
                        String discSince = (String) subElements.get("since");
                        String discServer = (String) subElements.get("server");
                        String discDatabase = (String) subElements.get("database");
                        String discStatus = (String) subElements.get("status");
                        if (discName == null || !discStatus.equalsIgnoreCase("on")) {
                            discName="";
                            continue;
                        }
            %>
            <search:searchContext>
                <search:setQueryLanguage ql="search"/>
                <search:setRDMServer rdmServer="<%=discServer%>"/>
                <search:setRDMType rdmType= "rd-request"/>
                <search:setViewHits viewHits="<%=maxHits%>"/>
                <search:setViewAttributes viewAttributes= "hl-url,hl-title,hl-description,title,rd-reference-id,description,classification,hl-classification,rd-rating,rd-display-url"/>
                <search:setSessionID sessionID="$tokenID"/>
                <search:setDatabase database="<%=discDatabase%>"/>
                <%
                StringBuffer scopeSB = new StringBuffer();
                ArrayList l = new ArrayList();
                HashMap h;
                if (discScope != null) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "");
                    h.put(SearchContext.OPERATION, SearchContext.ALL);
                    h.put(SearchContext.VALUE, discScope);
                    l.add(h);
                    scopeSB.append(discScope);
                    scopeSB.append(" ");
                }
                if (discTarget != null && (!discTarget.equals("ROOT"))) {
                    // ROOT not needed since we are searching within discussion database
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Reference-Id");
                    h.put(SearchContext.OPERATION, SearchContext.CONTAIN);
                    h.put(SearchContext.VALUE, discTarget);
                    l.add(h);
                    scopeSB.append(" <AND> (RD-Reference-Id  <CONTAINS>");
                    scopeSB.append(discTarget);
                    scopeSB.append(") ");
                }
                if (discRating != null) {
                    int rtg = -1;
                    try {
                        rtg = new Integer(discRating).intValue();
                    } catch (NumberFormatException e) {
                        rtg=-1;
                    }
                    if (rtg > -1) {
                        h = new HashMap();
                        h.put(SearchContext.OPERAND, "RD-Rating");
                        h.put(SearchContext.OPERATION, SearchContext.GREATER);
                        h.put(SearchContext.VALUE, Integer.toString(rtg-1));
                        l.add(h);
                        scopeSB.append(" <AND> (RD-Rating  > ");
                        scopeSB.append(Integer.toString(rtg-1));
                        scopeSB.append(")");
                    }
                }
                if (!discSince.equals("0")) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Last-Changed");
                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                    Calendar c1 = new GregorianCalendar();
                    String d1 = df.format(c1.getTime());
                    if (discSince.equals("1")) {
                        c1.add(Calendar.DATE, -1);
                    }
                    if (discSince.equals("7")) {
                        c1.add(Calendar.DATE, -7);
                    }
                    if (discSince.equals("30")) {
                        c1.roll(Calendar.MONTH, false);
                    }
                    if (discSince.equals("180")) {
                        c1.add(Calendar.MONTH, -6);
                    }
                    if (discSince.equals("365")) {
                        c1.roll(Calendar.YEAR, false);
                    }
                    String d2 = df.format(c1.getTime());
                    h.put(SearchContext.VALUE, d2);
                    l.add(h);
                    scopeSB.append(" <AND> (RD-Last-Changed  >" + d2+")");
                }
                if (profilerLastRunStr != null) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Last-Changed");
                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                    h.put(SearchContext.VALUE, profilerLastRunStr);
                    l.add(h);
                    scopeSB.append(" <AND> (RD-Last-Changed  >" + profilerLastRunStr+")");
                }
                
                request.setAttribute("proxyDN",proxyDN);
                %>
                <search:setCriteria criteria="<%=l%>"/><%
                try {%>
                <search:executeSearch/><%
                } catch (Exception e) {}%>
                <search:getNoHits id="noHits"/>
                <jx:declare id="noHits" type="java.lang.Boolean"/>
                <%
                if (noHits.booleanValue() != true) {
                %>
                <search:getHitCount id="hitsCount"/>
                <jx:declare id="hitsCount" type="java.lang.Integer"/>
                <%
                if (hitsCount.intValue() > 0) {
                    if (empty) {
                        empty = false;
                %>
                <tr>
                    <td valign="top" align="left" colspan="3" class="subSectionHeader"><i18n:message key="discussions" bundle="subscriptionjsp" /></td>
                </tr>
                <%  }%>
                <search:getResult id="resultstream"/>
                <tr>
                    <td class="subSection" width="1%"><br></td>
                    <td class="subSection" align="left" valign="top" nowrap="nowrap" width="1%">
                        <%=SearchContext.htmlEncode(discName)%>&nbsp;
                    </td>
                    <td class="subSection" align="right" width="99%">
                        <table border=0 cellpadding=0 cellspacing=0 width="100%">
                            <search:getNextResult input="$resultstream"> 
                                <search:getURL id="url"/>
                                <jx:declare id="url" type="java.lang.String"/>
                                <%
                                Map pathInfo = new HashMap();
                                pathInfo.put("action", "content");
                                pathInfo.put("provider", "JSPDynamicSingleContainer");
                                pathInfo.put("JSPDynamicSingleContainer.selectedChannel", "Discussions");
                                pathInfo.put("desktop.suid",proxyDN);
                                pageContext.setAttribute("pathInfo", pathInfo);
                                Map queryInfo = new HashMap();
                                queryInfo.put("Discussions_dmode","vl");
                                queryInfo.put("did",url);
                                queryInfo.put("last", "false");
                                pageContext.setAttribute("queryInfo",queryInfo);
                                %>
                                <dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$queryInfo" id="discUrl"/>
                                <jx:declare id="discUrl" type="java.lang.String"/>
                                <tr>
                                    <td> 
					<a target="ps_main" href="<search:getValue attribute="rd-display-url" />&desktop.suid=<%=proxyDN%>"><search:getValue attribute="hl-title" escape="false"/><br>
                                    </td> 
                                </tr>
                                <tr>
                                    <td>
                                        <search:getValue attribute="description" escape="false"/>
                                    </td> 
                                </tr>
                            </search:getNextResult>
                        </table>
                    </td>
                </tr>
                <%
                }
                }
                %>
            </search:searchContext>
            <%
                    } // end of for on discussions
                } // end of if there is at least one discussion
                emptyResult = emptyResult && empty;
            } // end of if discussionsSet != null
            if (srchs != null) {
                boolean empty = true;
                if (srchs.length > 0) {
                    int maxSavedSearch = 5;
                    DateFormat df = new SimpleDateFormat("MM/dd/yy");
                    for (int savedSearchNdx = 0; savedSearchNdx < srchs.length; savedSearchNdx++) {
                        String savedSearchSubStr = srchs[savedSearchNdx];
                        //parse the subscription
                        subItem = new SearchSubscription(defSrchSvr,
                                Subscription.SAVED_SRCH_SUB, savedSearchSubStr,
                                "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating");
                        if (subItem.parse() == null) {
                            continue;
                        }
                        subElements = subItem.getElements();
                        String savedSearchName = (String) subElements.get("name");
                        String savedSearchScope = (String) subElements.get("scope");
                        String savedSearchSince = (String) subElements.get("since");
                        String savedSearchRating = (String) subElements.get("rating");
                        String savedSearchServer = (String) subElements.get("server");
                        String savedSearchDatabase =  (String) subElements.get("database");
                        String savedSearchStatus = (String) subElements.get("status");
                        if (savedSearchName == null || !savedSearchStatus.equalsIgnoreCase("on")) {
                            savedSearchName="";
                            continue;
                        }
            %>
            <search:searchContext>
                <search:setQueryLanguage ql="search"/>
                <search:setRDMServer rdmServer="<%=savedSearchServer%>"/>
                <search:setRDMType rdmType= "rd-request"/>
                <search:setViewHits viewHits="<%=maxHits%>"/>
                <search:setViewAttributes viewAttributes= "hl-url,hl-title,title,hl-description,description,score,classification,hl-classification,rd-rating,hl-rd-reference-id, rd-reference-id,rd-display-url"/>
                <search:setSessionID sessionID="$tokenID"/>
                <search:setDatabase database="<%=savedSearchDatabase%>"/>
                <%
                StringBuffer scopeSB = new StringBuffer();
                ArrayList l = new ArrayList();
                HashMap h;
                if (savedSearchScope != null) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "");
                    h.put(SearchContext.OPERATION, SearchContext.ALL);
                    h.put(SearchContext.VALUE, savedSearchScope);
                    l.add(h);
                    scopeSB.append(savedSearchScope);
                    scopeSB.append(" ");
                }
                if (savedSearchRating != null) {
                    int rtg = -1;
                    try {
                        rtg = new Integer(savedSearchRating).intValue();
                    } catch (NumberFormatException e) {
                        rtg=-1;
                    }
                    if (rtg > -1) {
                        h = new HashMap();
                        h.put(SearchContext.OPERAND, "RD-Rating");
                        h.put(SearchContext.OPERATION, SearchContext.GREATER);
                        h.put(SearchContext.VALUE, Integer.toString(rtg-1));
                        l.add(h);
                        scopeSB.append(" <AND> (RD-Rating  > ");
                        scopeSB.append(Integer.toString(rtg-1));
                        scopeSB.append(")");
                    }
                }
                if (!savedSearchSince.equals("0")) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Last-Changed");
                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                    Calendar c1 = new GregorianCalendar();
                    String d1 = df.format(c1.getTime());
                    if (savedSearchSince.equals("1")) {
                        c1.add(Calendar.DATE, -1);
                    }
                    if (savedSearchSince.equals("7")) {
                        c1.add(Calendar.DATE, -7);
                    }
                    if (savedSearchSince.equals("30")) {
                        c1.roll(Calendar.MONTH, false);
                    }
                    if (savedSearchSince.equals("180")) {
                        c1.add(Calendar.MONTH, -6);
                    }
                    if (savedSearchSince.equals("365")) {
                        c1.roll(Calendar.YEAR, false);
                    }
                    String d2 = df.format(c1.getTime());
                    h.put(SearchContext.VALUE, d2);
                    l.add(h);
                }
                if (profilerLastRunStr != null) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Last-Changed");
                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                    h.put(SearchContext.VALUE, profilerLastRunStr);
                    l.add(h);
                    scopeSB.append(" <AND> (RD-Last-Changed  >" + profilerLastRunStr+")");
                }
                
                request.setAttribute("proxyDN",proxyDN);
                %>
                <search:setCriteria criteria="<%=l%>"/><%
                try {%>
                <search:executeSearch/><%
                } catch (Exception e) { } %>
                <search:getNoHits id="noHits"/>
                <jx:declare id="noHits" type="java.lang.Boolean"/>
                <%
                if (noHits.booleanValue() != true) {
                %>
                <search:getHitCount id="hitsCount"/>
                <jx:declare id="hitsCount" type="java.lang.Integer"/>
                <%
                if (hitsCount.intValue() > 0) {
                    if (empty) {
                        empty = false;
                %>
                <tr>
                    <td valign="top" align="left" colspan="3" class="subSectionHeader"><i18n:message key="savedSearches" bundle="subscriptionjsp" /></td>
                </tr>
                <%  }%>
                <search:getResult id="resultstream"/>
                <tr>
                    <td  class="subSection" width="1%"><br></td>
                    <td  class="subSection" align="left" noweap="nowrap" valign="top" width="1%">
                        <%=SearchContext.htmlEncode(savedSearchName)%>&nbsp;
                    </td>
                    <td  class="subSection"align="right" width="99%">
                        <table border=0 cellpadding=0 cellspacing=0 width="100%">
                            <search:getNextResult input="$resultstream"> 
                                <search:getURL id="url"/>
                                <jx:declare id="url" type="java.lang.String"/>
                                <jx:declare id="desktopPathInfo" type="java.lang.String"/>
                                <tr>
                                    <td> 
                                        <a target="ps_main" href="<%=url%>"><search:getValue attribute="hl-title" escape="false"/></a><br> 
                                    </td> 
                                </tr>
                                <tr>
                                    <td> 
                                        <search:getValue attribute="description" escape="false"/>
                                    </td> 
                                </tr>
                                <tr>
                                    <td> 
                                        <search:getValue attribute="hl-url" escape="false"/>
                                    </td> 
                                </tr>
                            </search:getNextResult>
                        </table>
                    </td>
                </tr>
                <%
                } //end if hit cound > 0
                }// end of got Hits
                %>
            </search:searchContext>
            <%
                    } // end of while on saved search
                } // end of if there is at least one saved search
                emptyResult = emptyResult && empty;
            } // end of if savedSearchSet != null
            %>
        </table>
        <%
        if (!emptyResult) {
                response.addHeader("empty","false");
        }
        %>
    </dtpc:providerContext>
</dt:obtainChannel><%
} else {
    //unauthorized
    response.addHeader("unauthorized","true");
}
%>
