<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved. 
  Use is subject to license terms.
 --%> 
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.*,java.text.DateFormat,java.text.SimpleDateFormat" %>
<%@ page import="com.iplanet.sso.SSOTokenManager" %>
<%@ page import="com.iplanet.sso.SSOToken" %>
<%@ page import="com.sun.identity.sm.ServiceSchema" %>
<%@ page import="com.sun.identity.sm.ServiceSchemaManager" %>
<%@ page import="com.sun.identity.sm.AttributeSchema" %>
<%@ page import="com.sun.identity.sm.SchemaType" %>
<%@ page import="com.iplanet.am.sdk.AMStoreConnection" %>
<%@ page import="com.iplanet.am.sdk.AMException" %>
<%@ page import="com.iplanet.sso.SSOException" %>
<%@ page import="com.iplanet.am.sdk.AMUser"%>
<%@ page import="com.sun.portal.providers.ProviderAdapter"%>
<%@ page import="com.sun.portal.search.soif.SOIF"%>
<%@ page import="com.sun.portal.search.providers.SearchContext"%>
<%@ page import="com.sun.portal.search.util.Decoder"%>
<%@ page import="com.sun.portal.search.util.Encoder"%>
<%@ page import="com.sun.portal.subscriptions.util.Utils"%>
<%@ page import="com.sun.portal.subscriptions.providers.*"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/search.tld" prefix="search" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%
// extracting the portalId
String portalId = Utils.getPortalId();
String defSrchSvr = null;
SSOToken token = null;
boolean hasSubscriptions = false;
boolean emptyContent = true;
%>
<dt:obtainChannel channel="$JSPProvider">
<dtpc:providerContext>
        <i18n:setBundle baseName="SubscriptionsJSP" var="subscriptionjsp" />
	<dtpc:getSessionID id="sessionID"/>
	<dtpc:getLocale id="locale"/>
	<jx:declare id="locale" type="Locale"/>

	<dttheme:getAttribute name="titleBarColor" id="subSectionTitle" scope="request"/> 
	<dttheme:getAttribute name="borderColor" id="subSectionHeader" scope="request"/> 
	<dttheme:getAttribute name="bgColor" id="subSection" scope="request"/>
	<jx:declare id="subSectionTitle" type="java.lang.String"/>
	<jx:declare id="subSectionHeader" type="java.lang.String"/>
	<jx:declare id="subSection" type="java.lang.String"/>
	<STYLE type="text/css">
         .subSectionTitle { background: <%=subSectionTitle%>;}
	 .subSectionHeader { background: <dttheme:getAttribute name="tabColor" default="#C0C0C0"/>; 
            color: <dttheme:getAttribute name="tabFontColor" default="#000000"/>;
            border-top: thin solid <dttheme:getAttribute name="tabFontColor" default="#000000"/>}
	 .subSection {border-bottom: thin solid <%=subSectionHeader%>; background: <%=subSection%>}
	</STYLE>

        <dtpc:getStringProperty key="fontFace1" id="fontFace"/>
        <jx:declare id="fontFace" type="java.lang.String"/>
        <%
        try { %>
            <dtpc:getStringProperty key="discussionChannel" id="discussionChannel"/>
            <jx:declare id="discussionChannel" type="java.lang.String"/>
        <% } catch (Exception e) {
            pageContext.setAttribute("discussionChannel", "Discussions",PageContext.REQUEST_SCOPE);
        }
        try { %>
            <dtpc:getStringProperty key="searchChannel" id="searchChannel"/>
            <jx:declare id="searchChannel" type="java.lang.String"/>
        <%  pageContext.setAttribute("containerName","",PageContext.REQUEST_SCOPE);
        } catch (Exception e) {
            pageContext.setAttribute("searchChannel", "Search",PageContext.REQUEST_SCOPE);
            pageContext.setAttribute("containerName","SearchTabPanelContainer",PageContext.REQUEST_SCOPE);
        }
        
        // getting the subscriptions detail
        AMUser user = null;
        Set categoriesSet = null;
        Set discussionsSet = null;
        Set savedSearchSet = null;
        SearchSubscription subItem = null;
        HashMap subElements = null;
        boolean subscriptionsService= false;
        try {
            SSOTokenManager mgr = SSOTokenManager.getInstance(); 
            token = mgr.createSSOToken(request);
            if (token !=null) {
                    pageContext.setAttribute("accessToken", token); 
                    AMStoreConnection amstore = new AMStoreConnection(token);
                    user = amstore.getUser(token.getPrincipal().getName() );
                    SubscriptionsProvider sp = (SubscriptionsProvider) pageContext.getAttribute("JSPProvider");
                    defSrchSvr = sp.getDefaultSearchServer(user.getOrganizationDN());
                    subscriptionsService = user.getAssignedServices().contains("SunPortal"+portalId+"SubscriptionsService");
                    categoriesSet = (Set) user.getAttribute("sunPortal"+portalId+"CategorySubscriptions");
                    discussionsSet = (Set) user.getAttribute("sunPortal"+portalId+"DiscussionSubscriptions");
                    savedSearchSet = (Set) user.getAttribute("sunPortal"+portalId+"SavedSearch");
            } else {
                %><dtpc:logError value="SSO Token problem"/><%
            } 
        } catch (Exception e) {
            %><dptc:logError value="Cannot get user's subscriptions of its profile"/>	<%
        }
        if ((user == null) || (subscriptionsService== false)) {
            if (user == null) {
                %><b><i18n:message key="registerToUseSubscription" bundle="subscriptionjsp" /></b><%
            } else if (subscriptionsService== false) {
                %><b><i18n:message key="noAccessToSubscription" bundle="subscriptionjsp" /><br>
                <i18n:message key="referAdminForSubscriptionService" bundle="subscriptionjsp" /></b>
                <%
            }
        } else {
            %>
            <table border="0" width="100%" cellpadding="1" cellspacing="0">
            <%
            if (categoriesSet != null) {
                boolean empty = true;
                if (categoriesSet.size() > 0) {
                    hasSubscriptions = true;
                    int maxCat = 5;
                    try {
                        maxCat = Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxCategorySubscriptions"));
                    } catch (Exception e) {
                    }
                    Iterator categoryIterator = categoriesSet.iterator();
                    int catNdx = 0;
                    DateFormat df = new SimpleDateFormat("MM/dd/yy");
                    while (categoryIterator.hasNext()) {
                        String catSubStr = (String) categoryIterator.next();
                        //parse the subscription
                        subItem = new SearchSubscription(defSrchSvr,
                                Subscription.CATEGORY_SRCH_SUB, catSubStr,
                                "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating");
                        if (subItem.parse() == null) {
                            continue; //skipping potentially corrupt entry
                        }
                        catNdx++;
                        subElements = subItem.getElements();
                        String catName = (String) subElements.get("name");
                        String catTarget = (String) subElements.get("target");
                        String catScope = (String) subElements.get("scope");
                        String catSince = (String) subElements.get("since");
                        String catRating = (String) subElements.get("rating");
                        String catServer = (String) subElements.get("server");
                        String catDatabase = (String) subElements.get("database");
                        String catStatus = (String) subElements.get("status");
                        if (catName == null || !catStatus.equalsIgnoreCase("on")) {
                            catName="";
                            continue;
                        }
                        %>
                        <!-- created the search query -->
                        <search:searchContext>
                        <search:setQueryLanguage ql="search"/>
                        <search:setRDMServer rdmServer="<%=catServer%>"/>
                        <search:setRDMType rdmType= "rd-request"/>
                        <search:setViewHits viewHits="0"/>
                        <search:setViewAttributes viewAttributes="title"/>
                        <search:setSessionID sessionID="$sessionID"/>
                        <search:setSearchAll searchAll="false"/>
                        <search:setDatabase database= "<%=catDatabase%>"/> 
                        <search:setQuery query="<%=catScope%>"/>
                        <search:setCategory category="<%=catTarget%>"/>
                        <%
                        // getting the lapse of time for new docs 
                        StringBuffer scopeSB = new StringBuffer();
                        ArrayList l = new ArrayList();
                        HashMap h;
                        if (catScope  != null) {
                            h = new HashMap();
                            h.put(SearchContext.OPERAND, "");
                            h.put(SearchContext.OPERATION, SearchContext.ALL);
                            h.put(SearchContext.VALUE, catScope);
                            l.add(h);
                        }
                        if (!catSince.equals("0")) {
                            h = new HashMap();
                            h.put(SearchContext.OPERAND, "RD-Last-Changed");
                            h.put(SearchContext.OPERATION, SearchContext.GREATER);
                            Calendar c1 = new GregorianCalendar();
                            String d1 = df.format(c1.getTime());
                            if (catSince.equals("1")) {
                                c1.add(Calendar.DATE, -1);
                            }
                            if (catSince.equals("7")) {
                                c1.add(Calendar.DATE, -7);
                            }
                            if (catSince.equals("30")) {
                                c1.roll(Calendar.MONTH, false);
                            }
                            if (catSince.equals("180")) {
                                c1.add(Calendar.MONTH, -6);
                            }
                            if (catSince.equals("365")) {
                                c1.roll(Calendar.YEAR, false);
                            }
                            String d2 = df.format(c1.getTime());
                            h.put(SearchContext.VALUE, d2);
                            l.add(h);
                            scopeSB.append(" <AND> (RD-Last-Changed  >" + d2+")");
                        }
                        %>
                        <search:setCriteria criteria="<%=l%>"/>
                        <!-- execute the search --><%
                        try {%>
                        <search:executeSearch/><%
                        } catch (Exception e) {}%>
                        <search:getNoHits id="noHits"/>
                        <jx:declare id="noHits" type="java.lang.Boolean"/>
                        <%
                        if (noHits.booleanValue() != true) {
                        %>
                            <search:getHitCount id="hitsCount"/>
                            <jx:declare id="hitsCount" type="java.lang.Integer"/>
                            <%
                            if (hitsCount.intValue() > 0) {
                                emptyContent = false;
                                if (empty) {
                                    empty = false;
                                    %>
                                    <tr>
                                        <td valign="top" align="left" colspan="3" class="subSectionHeader"><i18n:message key="categories" bundle="subscriptionjsp" /></td>
                                    </tr>
                            <%  }%>
                                    <tr>
                                        <td class="subSection" width="1%"><br></td>
                                        <td class="subSection" align="left" nowrap="nowrap">
                                            <%=(String) SearchContext.htmlEncode(catName)%>
                                        </td>
                                        <td class="subSection" align="right">
                                            <%
                                            Map pathInfo = new HashMap();
                                            pathInfo.put("action", "content");
                                            pathInfo.put("provider", "JSPDynamicSingleContainer");
                                            pathInfo.put("JSPDynamicSingleContainer.selectedChannel", (String) pageContext.findAttribute("searchChannel"));
                                            pathInfo.put("last", "false");
                                            pageContext.setAttribute("pathInfo", pathInfo);
                                            Map queryInfo = new HashMap();
                                            queryInfo.put("mode","browse");
                                            queryInfo.put("scat","cat");
                                            queryInfo.put("browseCategory",Encoder.urlEncode(catTarget,"UTF-8"));
                                            queryInfo.put("scope",catScope+" ");
                                            queryInfo.put("filter",scopeSB.toString());
                                            queryInfo.put("edit","category_"+catName);
                                            pageContext.setAttribute("queryInfo", queryInfo);
                                            %>
                                            <a href='<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$queryInfo"/>'><%=hitsCount%></a>&nbsp;
                                            <%
                            }
                        }
                        %>
                                        </td>
                                    </tr>
                        </search:searchContext>
                        <%
                    } // end of while on categories
                } // end of if there is category subscriptions
            } // end of if categoriesSet != null
            if (discussionsSet != null) {
                boolean empty = true;
                if (discussionsSet.size() > 0) {
                    hasSubscriptions = true;
                    int maxDisc = 5;
                    try {
                        maxDisc = Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxDiscussionSubscriptions"));
                    } catch (Exception e) {
                    }
                    Iterator discussionIterator = discussionsSet.iterator();
                    int discNdx = 0;
                    DateFormat df = new SimpleDateFormat("MM/dd/yy");
                    while (discussionIterator.hasNext()) {
                            String discSubStr = (String) discussionIterator.next();
                            //parse the subscription
                            subItem = new SearchSubscription(defSrchSvr,
                                    Subscription.DISCUSSION_SRCH_SUB, discSubStr,
                                    "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating,hl-rd-reference-id, rd-reference-id");
                            if (subItem.parse() == null) {
                                continue;
                            }
                            discNdx++;
                            subElements = subItem.getElements();
                            String discName = (String) subElements.get("name");
                            String discTarget = (String) subElements.get("target");
                            String discScope = (String) subElements.get("scope");
                            String discRating = (String) subElements.get("rating");
                            String discSince = (String) subElements.get("since");
                            String discServer = (String) subElements.get("server");
                            String discDatabase = (String) subElements.get("database");
                            String discStatus = (String) subElements.get("status");
                            if (discName == null || !discStatus.equalsIgnoreCase("on")) {
                                    discName="";
                                    continue;
                            }
                            %>
                            <search:searchContext>
                            <search:setQueryLanguage ql="search"/>
                            <search:setRDMServer rdmServer="<%=discServer%>"/>
                            <search:setRDMType rdmType= "rd-request"/>
                            <search:setViewHits viewHits="0"/>
                            <search:setViewAttributes viewAttributes="RD-Reference-Id,RD-Rating"/>
                            <search:setSessionID sessionID="$sessionID"/>
                            <search:setDatabase database="<%=discDatabase%>"/>
                            <%
                            StringBuffer scopeSB = new StringBuffer(); 
                            ArrayList l = new ArrayList();
                            HashMap h;
                            if (discScope != null) {
                                h = new HashMap();
                                h.put(SearchContext.OPERAND, "");
                                h.put(SearchContext.OPERATION, SearchContext.ALL);
                                h.put(SearchContext.VALUE, discScope);
                                l.add(h);
                            }
                            if (discTarget != null && (!discTarget.equals("ROOT"))) {
                                // ROOT not needed since we are searching within discussion database 
                                h = new HashMap();
                                h.put(SearchContext.OPERAND, "RD-Reference-Id");
                                h.put(SearchContext.OPERATION, SearchContext.CONTAIN);
                                h.put(SearchContext.VALUE, discTarget);
                                l.add(h);
                                scopeSB.append(" <AND> (RD-Reference-Id  <CONTAINS>");
                                scopeSB.append(discTarget);
                                scopeSB.append(") ");
                            }
                            if (discRating != null) {
                                int rtg = -1;
                                try {
                                    rtg = new Integer(discRating).intValue();
                                } catch (NumberFormatException e) {
                                        rtg=-1;
                                }
                                if (rtg > -1) {
                                    h = new HashMap();
                                    h.put(SearchContext.OPERAND, "RD-Rating");
                                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                                    h.put(SearchContext.VALUE, Integer.toString(rtg-1));
                                    l.add(h);
                                    scopeSB.append(" <AND> (RD-Rating  > ");
                                    scopeSB.append(Integer.toString(rtg-1));
                                    scopeSB.append(")");
                                }
                            }
                            if (!discSince.equals("0")) {
                                h = new HashMap();
                                h.put(SearchContext.OPERAND, "RD-Last-Changed");
                                h.put(SearchContext.OPERATION, SearchContext.GREATER);
                                Calendar c1 = new GregorianCalendar();
                                String d1 = df.format(c1.getTime());
                                if (discSince.equals("1")) {
                                    c1.add(Calendar.DATE, -1);
                                }
                                if (discSince.equals("7")) {
                                    c1.add(Calendar.DATE, -7);
                                }
                                if (discSince.equals("30")) {
                                    c1.roll(Calendar.MONTH, false);
                                }
                                if (discSince.equals("180")) {
                                    c1.add(Calendar.MONTH, -6);
                                }
                                if (discSince.equals("365")) {
                                    c1.roll(Calendar.YEAR, false);
                                }
                                String d2 = df.format(c1.getTime());
                                h.put(SearchContext.VALUE, d2);
                                l.add(h);
                                scopeSB.append(" <AND> (RD-Last-Changed  >" + d2+")");
                            }
                            %>
                            <search:setCriteria criteria="<%=l%>"/><%
                            try {%>
                            <search:executeSearch/><%
                            } catch (Exception e) {}%>
                            <search:getNoHits id="noHits"/>
                            <jx:declare id="noHits" type="java.lang.Boolean"/>
                            <%
                            if (noHits.booleanValue() != true) {
                                %>
                                <search:getHitCount id="hitsCount"/>
                                <jx:declare id="hitsCount" type="java.lang.Integer"/>
                                <%
                                if (hitsCount.intValue() > 0) {
                                    emptyContent = false;
                                    if (empty) {
                                        empty = false;
                                %>
                                        <tr>
                                            <td valign="top" align="left" colspan="3" class="subSectionHeader"><i18n:message key="discussions" bundle="subscriptionjsp" /></td>
                                        </tr>
                                <%  }%>
                                        <tr>
                                            <td class="subSection" width="1%"><br></td>
                                            <td class="subSection" align="left" nowrap="nowrap">
                                                <%=SearchContext.htmlEncode(discName)%>
                                            </td>
                                            <td class="subSection" align="right">
                                            <%
                                            Map pathInfo = new HashMap();
                                            pathInfo.put("action", "content");
                                            pathInfo.put("provider", "JSPDynamicSingleContainer");
                                            pathInfo.put("JSPDynamicSingleContainer.selectedChannel", (String) pageContext.findAttribute("searchChannel"));
                                            pathInfo.put("last", "false");
                                            pageContext.setAttribute("pathInfo", pathInfo);
                                            Map queryInfo = new HashMap();
                                            queryInfo.put("database",discDatabase);
                                            queryInfo.put("scope",Encoder.urlEncode(discScope+" ","UTF-8"));
                                            queryInfo.put("filter",scopeSB.toString());
                                            queryInfo.put("edit","disc_"+discName);
                                            pageContext.setAttribute("queryInfo", queryInfo);
                                            %>
                                            <a href='<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$queryInfo"/>'><%=hitsCount%></a>&nbsp;
                                            <%
                                }
                            }
                            %>
                                            </td>
                                        </tr>
                            </search:searchContext>
                        <%
                        } // end of while on discussions
                    } // end of if there is at least one discussion
            } // end of if discussionsSet != null
            if (savedSearchSet != null) {
                boolean empty = true;
                if (savedSearchSet.size() > 0) {
                    hasSubscriptions = true;
                    int maxSavedSearch = 5;
                    try {
                        maxSavedSearch = Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxSavedSearch"));
                    } catch (Exception e) {
                    }
                    Iterator savedSearchIterator = savedSearchSet.iterator();
                    int savedSearchNdx = 0;
                    DateFormat df = new SimpleDateFormat("MM/dd/yy");
                    while (savedSearchIterator.hasNext()) {
                        String savedSearchSubStr = (String) savedSearchIterator.next();
                        subItem = new SearchSubscription(defSrchSvr,
                                Subscription.SAVED_SRCH_SUB, savedSearchSubStr,
                                "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating");
                        if (subItem.parse() == null) {
                            continue; //skipping potentially corrupt entry
                        }
                        savedSearchNdx++;
                        subElements = subItem.getElements();

                        String savedSearchName = (String) subElements.get("name");
                        String savedSearchScope = (String) subElements.get("scope");
                        String savedSearchSince = (String) subElements.get("since");
                        String savedSearchRating = (String) subElements.get("rating");
                        String savedSearchServer = (String) subElements.get("server");
                        String savedSearchDatabase =  (String) subElements.get("database");
                        String savedSearchStatus = (String) subElements.get("status");
                        if (savedSearchName == null || !savedSearchStatus.equalsIgnoreCase("on")) {
                                savedSearchName="";
                                continue;
                        }
                        %>
                        <search:searchContext>
                        <search:setQueryLanguage ql="search"/>
                        <search:setRDMServer rdmServer="<%=savedSearchServer%>"/>
                        <search:setRDMType rdmType= "rd-request"/>
                        <search:setViewHits viewHits="0"/>
                        <search:setViewAttributes viewAttributes="RD-Reference-Id"/>
                        <search:setSessionID sessionID="$sessionID"/>
                        <search:setDatabase database="<%=savedSearchDatabase%>"/>
                        <%
                        StringBuffer scopeSB = new StringBuffer();
                        ArrayList l = new ArrayList();
                        HashMap h;
                        if (savedSearchScope != null) {
                            h = new HashMap();
                            h.put(SearchContext.OPERAND, "");
                            h.put(SearchContext.OPERATION, SearchContext.ALL);
                            h.put(SearchContext.VALUE, savedSearchScope);
                            l.add(h);
                        }
                        if (savedSearchRating != null) {
                            int rtg = -1;
                            try {
                                rtg = new Integer(savedSearchRating).intValue();
                            } catch (NumberFormatException e) {
                                rtg=-1;
                            }
                            if (rtg > -1) {
                                h = new HashMap();
                                h.put(SearchContext.OPERAND, "RD-Rating");
                                h.put(SearchContext.OPERATION, SearchContext.GREATER);
                                h.put(SearchContext.VALUE, Integer.toString(rtg-1));
                                l.add(h);
                                scopeSB.append(" <AND> (RD-Rating  > ");
                                scopeSB.append(Integer.toString(rtg-1));
                                scopeSB.append(")");
                            }
                        }
                        if (!savedSearchSince.equals("0")) {
                            h = new HashMap();
                            h.put(SearchContext.OPERAND, "RD-Last-Changed");
                            h.put(SearchContext.OPERATION, SearchContext.GREATER);
                            Calendar c1 = new GregorianCalendar();
                            String d1 = df.format(c1.getTime());
                            if (savedSearchSince.equals("1")) {
                                c1.add(Calendar.DATE, -1);
                            }
                            if (savedSearchSince.equals("7")) {
                                c1.add(Calendar.DATE, -7);
                            }
                            if (savedSearchSince.equals("30")) {
                                c1.roll(Calendar.MONTH, false);
                            }
                            if (savedSearchSince.equals("180")) {
                                c1.add(Calendar.MONTH, -6);
                            }
                            if (savedSearchSince.equals("365")) {
                                c1.roll(Calendar.YEAR, false);
                            }
                            String d2 = df.format(c1.getTime());
                            h.put(SearchContext.VALUE, d2);
                            l.add(h);
                            scopeSB.append(" <AND> (RD-Last-Changed  >" + d2+")");
                        }
                        %>
                        <search:setCriteria criteria="<%=l%>"/>
                        <%
                        try {%>
                        <search:executeSearch/><%
                        } catch (Exception e) {}%>
                        <search:getNoHits id="noHits"/>
                        <jx:declare id="noHits" type="java.lang.Boolean"/>
                        <%
                        if (noHits.booleanValue() != true) {
                        %>
                            <search:getHitCount id="hitsCount"/>
                            <jx:declare id="hitsCount" type="java.lang.Integer"/>
                            <%
                            if (hitsCount.intValue() > 0) {
                                emptyContent = false;
                                if (empty) {
                                    empty = false;
                            %>
                                    <tr>
                                        <td valign="top" align="left" colspan="3" class="subSectionHeader"><i18n:message key="savedSearches" bundle="subscriptionjsp" /></td>
                                    </tr>
                            <%  }%>
                                    <tr>
                                        <td  class="subSection" width="1%"><br></td>
                                        <td  class="subSection" align="left">
                                            <%=SearchContext.htmlEncode(savedSearchName)%>
                                        </td>
                                        <td  class="subSection"align="right">
                                        <%
                                        Map pathInfo = new HashMap();
                                        pathInfo.put("action", "content");
                                        pathInfo.put("provider", "JSPDynamicSingleContainer");
                                        pathInfo.put("JSPDynamicSingleContainer.selectedChannel", (String) pageContext.findAttribute("searchChannel"));
                                        pathInfo.put("last", "false");
                                        pageContext.setAttribute("pathInfo", pathInfo);
                                        Map queryInfo = new HashMap();
                                        queryInfo.put("scope",Encoder.urlEncode(savedSearchScope+" ", "UTF-8"));
                                        queryInfo.put("filter",scopeSB.toString());
                                        queryInfo.put("edit","savedSearch_"+savedSearchName);
                                        queryInfo.put("database",Encoder.urlEncode(savedSearchDatabase,"UTF-8"));
                                        pageContext.setAttribute("queryInfo", queryInfo);
                                        %>
                                        <a href='<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$queryInfo"/>'><%=hitsCount%></a>&nbsp;
                                        <%
                            } 
                        }
                        %>
                                        </td>
                                    </tr>
                        </search:searchContext>
                        <% 
                    } // end of while on saved search
                } // end of if there is at least one saved search
            } // end of if savedSearchSet != null
            if  (!hasSubscriptions) { %>
                <tr><td><i18n:message key="noSubscriptionsDefined" bundle="subscriptionjsp" /></td></tr><%
            } else if (emptyContent) {%>
                <tr><td><i18n:message key="nothingNew" bundle="subscriptionjsp" /></td></tr><%
            } %>
            </table>
	<%
	}
	%>
	</dtpc:providerContext>
</dt:obtainChannel>

