<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved. 
  Use is subject to license terms.
 --%> 

<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.*" %>
<%@ page import="com.iplanet.sso.SSOTokenManager" %>
<%@ page import="com.iplanet.sso.SSOToken" %>
<%@ page import="com.iplanet.am.sdk.AMStoreConnection" %>
<%@ page import="com.iplanet.am.sdk.AMException" %>
<%@ page import="com.iplanet.sso.SSOException" %>
<%@ page import="com.iplanet.am.sdk.AMUser"%>
<%@ page import="com.iplanet.am.sdk.AMObject"%>
<%@ page import="com.iplanet.am.sdk.AMTemplate"%>
<%@ page import="com.sun.portal.search.util.Encoder"%>
<%@ page import="com.sun.portal.providers.*, 
		com.sun.portal.providers.context.*,
		 com.sun.portal.providers.jsp.JSPProvider" %>
<%@ page import="com.sun.portal.subscriptions.providers.*"%>
<%@ page import="com.sun.portal.subscriptions.util.Utils"%>
<%@ page import="com.sun.portal.subscriptions.providers.*"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/search.tld" prefix="search" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%
// extracting the portalId
String portalId = Utils.getPortalId();
String defSrchSvr = null;
try { %>
    <dtpc:getStringProperty key="searchChannel" id="searchChannel"/>
    <jx:declare id="searchChannel" type="java.lang.String"/>
<%  pageContext.setAttribute("containerName","",PageContext.REQUEST_SCOPE);
} catch (Exception e) {
    pageContext.setAttribute("searchChannel", "Search",PageContext.REQUEST_SCOPE);
    pageContext.setAttribute("containerName","SearchTabPanelContainer",PageContext.REQUEST_SCOPE);
}%>

<dt:obtainChannel channel="$JSPProvider">
    <dt:getName id="channelName" scope="request"/>
    <dtpc:providerContext>
    <i18n:setBundle baseName="SubscriptionsJSP" var="subscriptionjsp" />
    <jx:declare id="subscriptionjsp" type="java.util.ResourceBundle"/>
<%  
AMUser user = null;
Set categoriesSet = null;
Set discussionsSet = null;
Set savedSearchSet = null;
Map userAttribMap = null;
String newCatName = null;
String newCatTarget = null;
String newCatScope = null;
String newCatSince = null;
String newCatRating = null;
String newCatStatus = "on";
String newServer = null;
String newDatabase = null;
String unsubCat = null;
Set newCategoriesSet = null;
Set newDiscussionsSet = null;
Set newSavedSearchSet = null;
ArrayList catNames = new ArrayList();
ArrayList catNamesDups = new ArrayList();
ArrayList discNames = new ArrayList();
ArrayList discNamesDups = new ArrayList();
ArrayList savedSearchNames = new ArrayList();
ArrayList savedSearchNamesDups = new ArrayList();
SearchSubscription subItem = null;
boolean subscriptionsService = false;
StringBuffer errorMsg = new StringBuffer();
StringBuffer errorQryStr = new StringBuffer("");
String profilerEnabled = request.getParameter("profilerEnabled");
try {
    SSOTokenManager mgr = SSOTokenManager.getInstance(); 
    SSOToken token = mgr.createSSOToken(request);
    if (token !=null) {
        AMStoreConnection amstore = new AMStoreConnection(token);
        user = amstore.getUser(token.getPrincipal().getName() );
        subscriptionsService = user.getAssignedServices().contains("SunPortal"+portalId+"SubscriptionsService");
        Set userAttribSet = new HashSet();
        userAttribSet.add("sunPortal"+portalId+"CategorySubscriptions");
        userAttribSet.add("sunPortal"+portalId+"DiscussionSubscriptions");
        userAttribSet.add("sunPortal"+portalId+"SavedSearch");
        userAttribMap = user.getAttributes(userAttribSet);

        if (userAttribMap != null) {
            categoriesSet = (Set) userAttribMap.get("sunPortal"+portalId+"CategorySubscriptions");
            discussionsSet = (Set) userAttribMap.get("sunPortal"+portalId+"DiscussionSubscriptions");
            savedSearchSet = (Set) userAttribMap.get("sunPortal"+portalId+"SavedSearch");
        } else {
            %><dtpc:logError value="userAttribMap is NULL"/><%
        }
    } else {
        %><dtpc:logError value="SSO Token problem"/><%
    }
} catch (Exception e) {
    %><dtpc:logError value="Cannot get user's subscriptions of its profile"/><%
}

if ((user == null) || (subscriptionsService== false)) {
    if (user == null) {
        %><b><i18n:message key="registerToUseSubscription" bundle="subscriptionjsp" /></b><%
    } else if (subscriptionsService== false) {
        %><b><i18n:message key="noAccessToSubscription" bundle="subscriptionjsp" /><br>
        <i18n:message key="referAdminForSubscriptionService" bundle="subscriptionjsp" /></b>
        <%
    }
} else {
    SubscriptionsProvider sp = (SubscriptionsProvider) pageContext.getAttribute("JSPProvider");
    defSrchSvr = sp.getDefaultSearchServer(user.getOrganizationDN());
    // existing category subscriptions
    int catNdx = 0;
    int onCat = 0;
    int maxCat = 5;
    boolean maxedOutCat = false;
    try {
        maxCat = Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxCategorySubscriptions"));
    } catch (Exception e) {
    }
    if (categoriesSet != null) {
        if(categoriesSet.size() > 0) {
            Iterator categoryIterator = categoriesSet.iterator();
            newCategoriesSet = new HashSet();
            newCatName = null;
            newCatTarget = null;
            newCatScope = null;
            newCatSince = null;
            unsubCat = null;
            while (categoryIterator.hasNext()) {
                String catSubStr = (String)categoryIterator.next();
                subItem = new SearchSubscription(defSrchSvr,
                                    Subscription.CATEGORY_SRCH_SUB, catSubStr,
                                    "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating");
                if (subItem.parse() == null) {
                    continue;
                }
                catNdx++;
                unsubCat = (String) request.getParameter("_unsub_cat_"+catNdx);
                if (unsubCat != null && unsubCat.equalsIgnoreCase("on")) {
                    continue;
                } 
                // check for update of other parameters
                newCatName = (String) request.getParameter("_rename_cat_"+catNdx);
                if (newCatName == null || newCatName.trim().length() == 0) {
                    errorMsg.append(subscriptionjsp.getString("renCatSubsNoEmpty"));
                    break;
                }
                String eNewCatName = Encoder.urlEncode(newCatName,"UTF-8");
                if (catNames.contains(eNewCatName)) {
                    if (!catNamesDups.contains(eNewCatName)) {
                        Object[] tokens = { newCatName };
                        errorMsg.append(getMsgFromRB(subscriptionjsp, "catLabelShdBeUnique", tokens));
                        catNamesDups.add(eNewCatName);
                    }
                } else {
                    catNames.add(eNewCatName);
                }
                newCatTarget = (String) request.getParameter("_retarget_cat_"+catNdx);
                if (newCatTarget == null) newCatTarget = ""; 
                newCatScope = (String) request.getParameter("_rescope_cat_"+catNdx);
                if (newCatScope == null) newCatScope = ""; 
                newCatSince = (String) request.getParameter("_resince_cat_"+catNdx);
                if (newCatSince == null) newCatSince = "0"; 
                newCatRating = (String) request.getParameter("_rerate_cat_"+catNdx);
                if (newCatRating == null) newCatRating = "0";
                newServer = (String) request.getParameter("_reserver_cat_"+catNdx);
                if (newServer == null) newServer = "";
                newDatabase = (String) request.getParameter("_redatabase_cat_"+catNdx);
                if (newDatabase == null) newDatabase = "default";
                newCatStatus = (String) request.getParameter("_restatus_cat_"+catNdx);
                if (newCatStatus == null) newCatStatus = "off";
                onCat += (newCatStatus.equalsIgnoreCase("on")) ? 1 : 0;
                if (!maxedOutCat && (onCat > maxCat)) {
                    // setting the error only once
                    Object[] tokens = { String.valueOf(maxCat) };
                    errorMsg.append(getMsgFromRB(subscriptionjsp, "maxCatSubscriptionEnable", tokens));
                    maxedOutCat = true;
                } else {
                    newCategoriesSet.add(Encoder.urlEncode(newCatName,"UTF-8")
                        +"|"+Encoder.urlEncode(newCatTarget,"UTF-8")
                        +"|"+Encoder.urlEncode(newCatScope,"UTF-8")
                        +"|"+Encoder.urlEncode(newCatSince,"UTF-8")
                        +"|"+Encoder.urlEncode(newCatRating,"UTF-8")
                        +"|"+Encoder.urlEncode(newServer,"UTF-8")
                        +"|"+Encoder.urlEncode(newDatabase,"UTF-8")
                        +"|"+Encoder.urlEncode((newCatStatus == null) ? "off" : newCatStatus,"UTF-8"));
                }
            }
        } // end else categoriesSet size = 0
    }

    // check for new category subscription
    newCatName = (String) request.getParameter("_new_name_cat");
    newCatStatus = (String) request.getParameter("_new_status_cat");
    if (newCatStatus == null) newCatStatus = "off";
    if (newCatName != null) {
        String eNewCatName = Encoder.urlEncode(newCatName,"UTF-8");
        if (newCatName.trim().length() == 0) {
            errorMsg.append(subscriptionjsp.getString("newCatSubsNameNoEmpty"));
        }
        if (newCategoriesSet == null) {
            newCategoriesSet = new HashSet();
        }
        newCatTarget = (String) request.getParameter("_new_target_cat");
        if (newCatTarget == null) newCatTarget = "";
        newCatScope = (String) request.getParameter("_new_scope_cat");
        if (newCatScope == null) newCatScope = "";
        newCatSince = (String) request.getParameter("_new_since_cat");
        if (newCatSince == null) newCatSince = "0"; 
        newCatRating = (String) request.getParameter("_new_rating_cat");
        if (newCatRating == null) newCatRating = "0"; 
        newServer = (String) request.getParameter("newServer");
        if (newServer == null) newServer = "0"; 
        newDatabase = (String) request.getParameter("newDB");
        if (newDatabase == null) newDatabase = "default"; 
        String eNewCatTarget = Encoder.urlEncode(newCatTarget,"UTF-8");
        if (catNames.contains(eNewCatName)) {
            if (!catNamesDups.contains(eNewCatName)) {
                Object[] tokens = { newCatName };
                errorMsg.append(getMsgFromRB(subscriptionjsp, "catSubscriptionShdDiffer", tokens));
                errorQryStr.append("&newServer="+Encoder.urlEncode(newServer,"UTF-8")+"&newDB="+Encoder.urlEncode(newDatabase,"UTF-8")+"&newCatSubscription="+eNewCatTarget+"&scope="+Encoder.urlEncode(newCatScope,"UTF-8"));
                catNamesDups.add(eNewCatName);
            }
        } else {
            catNames.add(eNewCatName);
        }
        onCat += (newCatStatus.equalsIgnoreCase("on")) ? 1 : 0;
        if (!maxedOutCat && (onCat > maxCat)) {
            // setting the error only once
            Object[] tokens = { String.valueOf(maxCat) };
            errorMsg.append(getMsgFromRB(subscriptionjsp, "maxCatSubscriptionEnable", tokens));
            maxedOutCat = true;
        }
        if (maxedOutCat && (errorQryStr.length() == 0)) {
            errorQryStr.append("&newServer="+Encoder.urlEncode(newServer,"UTF-8")+"&newDB="+Encoder.urlEncode(newDatabase,"UTF-8")+"&newCatSubscription="+eNewCatTarget+"&scope="+Encoder.urlEncode(newCatScope,"UTF-8"));
        } else {
            newCategoriesSet.add(Encoder.urlEncode(newCatName,"UTF-8")
                +"|"+Encoder.urlEncode(newCatTarget,"UTF-8")
                +"|"+Encoder.urlEncode(newCatScope,"UTF-8")
                +"|"+Encoder.urlEncode(newCatSince,"UTF-8")
                +"|"+Encoder.urlEncode(newCatRating,"UTF-8")
                +"|"+Encoder.urlEncode(newServer,"UTF-8")
                +"|"+Encoder.urlEncode(newDatabase,"UTF-8")
                +"|"+Encoder.urlEncode((newCatStatus == null) ? "off" : newCatStatus,"UTF-8"));
        }
    }

    if (userAttribMap.containsKey("sunPortal"+portalId+"CategorySubscriptions")) {
        userAttribMap.remove("sunPortal"+portalId+"CategorySubscriptions");
    }
    if (newCategoriesSet != null) {	
        userAttribMap.put("sunPortal"+portalId+"CategorySubscriptions",newCategoriesSet);
    }

    //--- Discussions
    String newDiscName = null;
    String newDiscTarget = null;
    String newDiscScope = null;
    String newDiscSince = null;
    String newDiscRating = null;
    String newDiscStatus = "on";
    String unsubDisc = null;

    // existing discussion Subscriptions
    int discNdx = 0;
    int onDisc = 0;
    int maxDisc = 5;
    boolean maxedOutDisc = false;
    try {
        maxDisc = Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxDiscussionSubscriptions"));
    } catch (Exception e ) {
    }
    if (discussionsSet != null) {
        if(discussionsSet.size() > 0) {
            Iterator discussionIterator = discussionsSet.iterator();
            newDiscussionsSet = new HashSet();
            newDiscName = null;
            newDiscTarget = null;
            newDiscScope = null;
            newDiscSince = null;
            newServer = null;
            newDatabase = null;
            unsubDisc = null;
            while (discussionIterator.hasNext()) {
                String discSubStr = (String) discussionIterator.next();
                //parse the subscription
                subItem = new SearchSubscription(defSrchSvr,
                        Subscription.DISCUSSION_SRCH_SUB, discSubStr,
                        "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating,hl-rd-reference-id, rd-reference-id");
                if (subItem.parse() == null) {
                    continue;
                }
                discNdx++;
                unsubDisc = (String) request.getParameter("_unsub_disc_"+discNdx);
                if (unsubDisc != null && unsubDisc.equalsIgnoreCase("on")) {
                    continue;
                } 
                // check for update of other parameters
                newDiscName = (String) request.getParameter("_rename_disc_"+discNdx);
                if (newDiscName == null || newDiscName.trim().length() == 0) {
                    errorMsg.append(subscriptionjsp.getString("renDisSubscNoEmpty"));
                    break;
                }
                String eNewDiscName = Encoder.urlEncode(newDiscName,"UTF-8");
                if (discNames.contains(eNewDiscName)) {
                    if (!discNamesDups.contains(eNewDiscName)) {
                        Object[] tokens = { newDiscName };
                        errorMsg.append(getMsgFromRB(subscriptionjsp, "discLabelShdBeUnique", tokens));
                        discNamesDups.add(eNewDiscName);
                    }
                } else {
                    discNames.add(eNewDiscName);
                }

                if (newDiscName == null) newDiscName = ""; 
                newDiscTarget = (String) request.getParameter("_retarget_disc_"+discNdx);
                if (newDiscTarget == null) newDiscTarget = ""; 
                newDiscScope = (String) request.getParameter("_rescope_disc_"+discNdx);
                if (newDiscScope == null) newDiscScope = ""; 
                newDiscSince = (String) request.getParameter("_resince_disc_"+discNdx);
                if (newDiscSince == null) newDiscSince = "0"; 
                newDiscRating = (String) request.getParameter("_rerate_disc_"+discNdx);
                if (newDiscRating == null) newDiscRating = "0";
                newServer = (String) request.getParameter("_reserver_disc_"+discNdx);
                if (newServer == null) newServer = "0";
                newDatabase = (String) request.getParameter("_redatabase_disc_"+discNdx);
                if (newDatabase == null) newDatabase = "0";
                newDiscStatus = (String) request.getParameter("_restatus_disc_"+discNdx);
                if (newDiscStatus == null) newDiscStatus = "off";
                onDisc += (newDiscStatus.equalsIgnoreCase("on")) ? 1 : 0;
                if (!maxedOutDisc && (onDisc > maxDisc)) {
                    // setting the error only once
                    Object[] tokens = { String.valueOf(maxDisc) };
                    errorMsg.append(getMsgFromRB(subscriptionjsp, "maxDiscSubscriptionEnable", tokens));
                    maxedOutDisc = true;
                } else {
                    newDiscussionsSet.add(Encoder.urlEncode(newDiscName,"UTF-8")
                        +"|"+Encoder.urlEncode(newDiscTarget,"UTF-8")
                        +"|"+Encoder.urlEncode(newDiscScope,"UTF-8")
                        +"|"+Encoder.urlEncode(newDiscSince,"UTF-8")
                        +"|"+Encoder.urlEncode(newDiscRating,"UTF-8")
                        +"|"+Encoder.urlEncode(newServer,"UTF-8")
                        +"|"+Encoder.urlEncode(newDatabase,"UTF-8")
                        +"|"+Encoder.urlEncode((newDiscStatus == null) ? "off" : newDiscStatus,"UTF-8"));
                }
            } 
        } // end else discussionsSet size = 0
    }

    // check for new discussion
    newDiscName = (String) request.getParameter("_new_name_disc");
    newDiscStatus = (String) request.getParameter("_new_status_disc");
    if (newDiscStatus == null) newDiscStatus = "off";
    if (newDiscName != null) {
        String eNewDiscName = Encoder.urlEncode(newDiscName,"UTF-8");
        if (newDiscussionsSet == null) {
            newDiscussionsSet = new HashSet();
        }
        newDiscTarget = (String) request.getParameter("_new_target_disc");
        if (newDiscTarget == null) newDiscTarget = "";
        newDiscScope = (String) request.getParameter("_new_scope_disc");
        if (newDiscScope == null) newDiscScope = "";
        newDiscSince = (String) request.getParameter("_new_since_disc");
        if (newDiscSince == null) newDiscSince = "0"; 
        newDiscRating = (String) request.getParameter("_new_rate_disc");
        if (newDiscRating == null) newDiscRating = "0"; 
        newServer = (String) request.getParameter("newServer");
        if (newServer == null) newServer = "0"; 
        newDatabase = (String) request.getParameter("newDB");
        if (newDatabase == null) newDatabase = "discussion"; 
        String eNewDiscTarget = Encoder.urlEncode(newDiscTarget,"UTF-8");
        if (newDiscName.trim().length() == 0) {
            errorMsg.append(subscriptionjsp.getString("newDiscSubsNameNoEmpty"));
            errorQryStr.append("&newServer="+Encoder.urlEncode(newServer,"UTF-8")+"&newDB="+Encoder.urlEncode(newDatabase,"UTF-8")+"&newDiscTitle="+eNewDiscName+"&scope="+Encoder.urlEncode(newDiscScope,"UTF-8")+"&newDiscSubscription="+eNewDiscTarget);
        }
        if (discNames.contains(eNewDiscName)) {
            if (!discNamesDups.contains(eNewDiscName)) {
                Object[] tokens = { newDiscName };
                errorMsg.append(getMsgFromRB(subscriptionjsp, "newDiscSubsLabelShdDiffer", tokens));
                errorQryStr.append("&newServer="+Encoder.urlEncode(newServer,"UTF-8")+"&newDB="+Encoder.urlEncode(newDatabase,"UTF-8")+"&newDiscTitle="+eNewDiscName+"&scope="+Encoder.urlEncode(newDiscScope,"UTF-8")+"&newDiscSubscription="+eNewDiscTarget);
                discNamesDups.add(eNewDiscName);
            }
        } else {
                discNames.add(eNewDiscName);
        }
        onDisc += (newDiscStatus.equalsIgnoreCase("on")) ? 1 : 0;
        if (!maxedOutDisc && (onDisc > maxDisc)) {
            // setting the error only once
            Object[] tokens = { String.valueOf(maxDisc) };
            errorMsg.append(getMsgFromRB(subscriptionjsp, "maxDiscSubscriptionEnable", tokens));
            maxedOutDisc = true;
        }
        if (maxedOutDisc && errorQryStr.length() == 0) {
                errorQryStr.append("&newServer="+Encoder.urlEncode(newServer,"UTF-8")+"&newDB="+Encoder.urlEncode(newDatabase,"UTF-8")+"&newDiscTitle="+eNewDiscName+"&scope="+Encoder.urlEncode(newDiscScope,"UTF-8")+"&newDiscSubscription="+eNewDiscTarget);
        } else {
            newDiscussionsSet.add(Encoder.urlEncode(newDiscName,"UTF-8")
                +"|"+Encoder.urlEncode(newDiscTarget,"UTF-8")
                +"|"+Encoder.urlEncode(newDiscScope,"UTF-8")
                +"|"+Encoder.urlEncode(newDiscSince,"UTF-8")
                +"|"+Encoder.urlEncode(newDiscRating,"UTF-8")
                +"|"+Encoder.urlEncode(newServer,"UTF-8")
                +"|"+Encoder.urlEncode(newDatabase,"UTF-8")
                +"|"+Encoder.urlEncode((newDiscStatus == null) ? "off" : newDiscStatus,"UTF-8"));
        }
    }

    if (userAttribMap.containsKey("sunPortal"+portalId+"DiscussionSubscriptions")) {
        userAttribMap.remove("sunPortal"+portalId+"DiscussionSubscriptions");
    }
    if (newDiscussionsSet != null) {	
        userAttribMap.put("sunPortal"+portalId+"DiscussionSubscriptions",newDiscussionsSet);
    }

    //--- Saved Searches
    String newSavedSearchName = null;
    String newSavedSearchScope = null;
    String newSavedSearchSince = null;
    String newSavedSearchRating = null;
    String unsubSavedSearch = null;
    String newSavedSearchStatus = "on";

    // existing Saved Search Subscriptions
    int savedSearchNdx = 0;
    int onSavedSearch = 0;
    int maxSavedSearch = 5;
    boolean maxedOutSavedSearch = false;
    try {
        maxSavedSearch = Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxSavedSearch"));
    } catch (Exception e) {
    }
    if (savedSearchSet != null) {
        if(savedSearchSet.size() > 0) {
            Iterator savedSearchIterator = savedSearchSet.iterator();
            newSavedSearchSet = new HashSet();
            newSavedSearchName = null;
            newSavedSearchScope = null;
            newSavedSearchSince = null;
            newSavedSearchRating = null;
            newServer = null;
            newDatabase = null;
            unsubSavedSearch = null;
            while (savedSearchIterator.hasNext()) {
                String savedSearchSubStr = (String) savedSearchIterator.next();
                subItem = new SearchSubscription(defSrchSvr,
                        Subscription.SAVED_SRCH_SUB, savedSearchSubStr,
                        "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating");
                if (subItem.parse() == null) {
                    continue; //skipping potentially corrupt entry
                }
                savedSearchNdx++;
                unsubSavedSearch = (String) request.getParameter("_unsub_savedSearch_"+savedSearchNdx);
                if (unsubSavedSearch != null && unsubSavedSearch.equalsIgnoreCase("on")) {
                    continue;
                } 
                // check for update of other parameters
                newSavedSearchName = (String) request.getParameter("_rename_savedSearch_"+savedSearchNdx);
                if (newSavedSearchName == null || newSavedSearchName.trim().length() == 0) {
                    errorMsg.append(subscriptionjsp.getString("renSavedSearchNotEmpty"));
                    break;
                }	 
                String eNewSavedSearchName = Encoder.urlEncode(newSavedSearchName,"UTF-8");
                if (savedSearchNames.contains(eNewSavedSearchName)) {
                    if (!savedSearchNamesDups.contains(eNewSavedSearchName)) {
                        Object[] tokens = { newSavedSearchName };
                        errorMsg.append(getMsgFromRB(subscriptionjsp, "savedSearchShdBeUnique", tokens));
                        savedSearchNamesDups.add(eNewSavedSearchName);
                    }
                } else {
                    savedSearchNames.add(eNewSavedSearchName);
                }
                newSavedSearchScope = (String) request.getParameter("_rescope_savedSearch_"+savedSearchNdx);
                if (newSavedSearchScope == null) newSavedSearchScope = ""; 
                newSavedSearchSince = (String) request.getParameter("_resince_savedSearch_"+savedSearchNdx);
                if (newSavedSearchSince == null) newSavedSearchSince = "0"; 
                newSavedSearchRating = (String) request.getParameter("_rerate_savedSearch_"+savedSearchNdx);
                if (newSavedSearchRating == null) newSavedSearchRating = "0";
                newServer = (String) request.getParameter("_reserver_savedSearch_"+savedSearchNdx);
                if (newServer == null) newServer = "";
                newDatabase = (String) request.getParameter("_redatabase_savedSearch_"+savedSearchNdx);
                if (newDatabase == null) newDatabase = "default";
                newSavedSearchStatus = (String) request.getParameter("_restatus_savedSearch_"+savedSearchNdx);
                if (newSavedSearchStatus == null) newSavedSearchStatus = "off";
                onSavedSearch += (newSavedSearchStatus.equalsIgnoreCase("on")) ? 1 : 0;
                if (!maxedOutSavedSearch && (onSavedSearch > maxSavedSearch)) {
                    // setting the error only once
                    Object[] tokens = { String.valueOf(maxSavedSearch) };
                    errorMsg.append(getMsgFromRB(subscriptionjsp, "maxSavedSearchEnable", tokens));
                    maxedOutSavedSearch = true;
                } else {
                    newSavedSearchSet.add(Encoder.urlEncode(newSavedSearchName,"UTF-8")
                        +"|"+Encoder.urlEncode(newSavedSearchScope,"UTF-8")
                        +"|"+Encoder.urlEncode(newSavedSearchSince,"UTF-8")
                        +"|"+Encoder.urlEncode(newSavedSearchRating,"UTF-8")
                        +"|"+Encoder.urlEncode(newServer,"UTF-8")
                        +"|"+Encoder.urlEncode(newDatabase,"UTF-8")
                        +"|"+Encoder.urlEncode((newSavedSearchStatus == null) ? "off" : newSavedSearchStatus,"UTF-8"));
                }
            }
        } // end else savedSearchSet size = 0
    }
    // check for new saved Search
    newSavedSearchName = (String) request.getParameter("_new_name_savedSearch");
    newSavedSearchStatus = (String) request.getParameter("_new_status_savedSearch");
    if (newSavedSearchStatus == null) {
        newSavedSearchStatus = "off";
    }
    if (newSavedSearchName != null) {
        String eNewSavedSearchName = Encoder.urlEncode(newSavedSearchName,"UTF-8");
        if (newSavedSearchName.trim().length() == 0) {
            errorMsg.append(subscriptionjsp.getString("renSavedSearchNotEmpty"));
            if (errorQryStr.length() == 0) {
                    errorQryStr.append("&newServer="+Encoder.urlEncode(newServer,"UTF-8")+"&newDB="+Encoder.urlEncode(newDatabase,"UTF-8")+"&title="+eNewSavedSearchName+"&newSavedSearchSubscription="+Encoder.urlEncode(newSavedSearchScope,"UTF-8"));
            }
        }
        if (newSavedSearchSet == null) {
            newSavedSearchSet = new HashSet();
        }
        newSavedSearchScope = (String) request.getParameter("_new_scope_savedSearch");
        if (newSavedSearchScope == null) newSavedSearchScope = "";
        newSavedSearchSince = (String) request.getParameter("_new_since_savedSearch");
        if (newSavedSearchSince == null) newSavedSearchSince = "0"; 
        newSavedSearchRating = (String) request.getParameter("_new_rating_savedSearch");
        if (newSavedSearchRating == null) newSavedSearchRating = "0"; 
        newServer = (String) request.getParameter("newServer");
        if (newServer == null) newServer = "0"; 
        newDatabase = (String) request.getParameter("newDB");
        if (newDatabase == null) newDatabase = "default"; 
        if (savedSearchNames.contains(eNewSavedSearchName)) {
            if (!savedSearchNamesDups.contains(eNewSavedSearchName)) {
                Object[] tokens = { newSavedSearchName };
                errorMsg.append(getMsgFromRB(subscriptionjsp, "newSavedSearchSubscShdDiffer", tokens));
                errorQryStr.append("&newServer="+Encoder.urlEncode(newServer,"UTF-8")+"&newDB="+Encoder.urlEncode(newDatabase,"UTF-8")+"&title="+eNewSavedSearchName+"&newSavedSearchSubscription="+Encoder.urlEncode(newSavedSearchScope,"UTF-8"));
                savedSearchNamesDups.add(eNewSavedSearchName);
            }
        } else {
            savedSearchNames.add(eNewSavedSearchName);
        }
        onSavedSearch += (newSavedSearchStatus.equalsIgnoreCase("on")) ? 1 : 0;
        if (!maxedOutSavedSearch && (onSavedSearch > maxSavedSearch)) {
            // setting the error only once
            Object[] tokens = { String.valueOf(maxSavedSearch) };
            errorMsg.append(getMsgFromRB(subscriptionjsp, "maxSavedSearchEnable", tokens));
            maxedOutSavedSearch = true;
        }
        if (maxedOutSavedSearch && (errorQryStr.length() == 0)) {
            errorQryStr.append("&newServer="+Encoder.urlEncode(newServer,"UTF-8")+"&newDB="+Encoder.urlEncode(newDatabase,"UTF-8")+"&title="+eNewSavedSearchName+"&newSavedSearchSubscription="+Encoder.urlEncode(newSavedSearchScope,"UTF-8"));
        } else {
            newSavedSearchSet.add(Encoder.urlEncode(newSavedSearchName,"UTF-8")
                +"|"+Encoder.urlEncode(newSavedSearchScope,"UTF-8")
                +"|"+Encoder.urlEncode(newSavedSearchSince,"UTF-8")
                +"|"+Encoder.urlEncode(newSavedSearchRating,"UTF-8")
                +"|"+Encoder.urlEncode(newServer,"UTF-8")
                +"|"+Encoder.urlEncode(newDatabase,"UTF-8")
                +"|"+Encoder.urlEncode((newSavedSearchStatus == null) ? "off" : newSavedSearchStatus,"UTF-8"));
        }
    }
    if (userAttribMap.containsKey("sunPortal"+portalId+"SavedSearch")) {
        userAttribMap.remove("sunPortal"+portalId+"SavedSearch");
    }
    if (newSavedSearchSet != null) {	
        userAttribMap.put("sunPortal"+portalId+"SavedSearch",newSavedSearchSet);
    }
    //storing updated user data
    if ((newDiscussionsSet != null) ||
        (newCategoriesSet != null) ||
        (newSavedSearchSet != null)) {
        if (errorMsg.length() == 0) {
            user.setAttributes(userAttribMap);
            // setting the Notification preference
            HashSet es = new HashSet();
            if (profilerEnabled == null || profilerEnabled.equals("false")) {
                user.setStringAttribute("sunPortal"+portalId+"ProfilerEnabled","false");
            } else {
                user.setStringAttribute("sunPortal"+portalId+"ProfilerEnabled","true");
            }
            try { 
                user.store(false);
            } catch (AMException ame) {
                %><dtpc:logError value="Failed to store user"/><%
            }
        }
    }
} // end of else : user is rightfully editing subscription properties

if (errorMsg.length() != 0) {
    Map pathInfo = new HashMap();
    pathInfo.put("action", "edit");
    pathInfo.put("provider", "JSPEditContainer");
    pathInfo.put("targetprovider", (String)pageContext.findAttribute("channelName"));
    pathInfo.put("last", "false");
    pageContext.setAttribute("pathInfo", pathInfo);
    StringBuffer eErrorMsg = new StringBuffer(Encoder.urlEncode(errorMsg.toString(),"UTF-8"));
    if (errorQryStr.toString().trim().length() != 0) {
        eErrorMsg.append(errorQryStr.toString());
    }
    Map queryInfo = new HashMap();
    queryInfo.put("error",eErrorMsg.toString());
    pageContext.setAttribute("queryInfo", queryInfo);
%>
        <dt:obtainChannel channel="$JSPProvider">
            <dtpc:providerContext>
                <dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$queryInfo" id="errorRedirect"/>
            </dtpc:providerContext>
        </dt:obtainChannel>
        <jx:declare id="errorRedirect" type="java.lang.String"/>
<%
    response.sendRedirect(errorRedirect);
} else {
    // force the Subscriptions channel to refresh
    String channelName=(String)pageContext.findAttribute("channelName");  
    JSPProvider p=(JSPProvider)pageContext.getAttribute("JSPProvider");
    p.getProviderContext().contentChanged(channelName);
    
    // redirecting request
%>
        <dtpc:getDesktopURL id="successRedirect"/>
        <jx:declare id="successRedirect" type="java.lang.String"/>
<%
        response.sendRedirect(successRedirect);
}
%>
<%!
  public String getMsgFromRB(java.util.ResourceBundle rb,
                                    java.lang.String key,
                                    java.lang.Object[] tokens) {

	String msg = rb.getString(key);

	if (tokens != null && tokens.length > 0) {
            java.text.MessageFormat form = new java.text.MessageFormat(msg);
            
            return form.format(tokens);
	} else {
            return msg;
	}
    }
%>
    </dtpc:providerContext>
</dt:obtainChannel>
