<%--
 Copyright 2003 Sun Microsystems, Inc. All rights reserved
 Use is subject to license terms.
--%>

<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
                 com.sun.portal.providers.Provider,
                 com.sun.portal.providers.context.ContainerProviderContext,
                 com.sun.portal.providers.context.ProviderContextException,
                 com.sun.mobile.util.ContentUtils,
                 com.sun.portal.wireless.providers.containers.DesktopDispatcherProvider,
                 com.iplanet.services.cdm.Client,
                 java.util.*,
		 java.util.logging.Level,
		 java.util.logging.Logger,
                 com.sun.portal.providers.ProviderException"
%>
<%
  JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
  String parentContainer = scp.getProviderContext().getDefaultChannelName();
  String parentContainerProvider = scp.getProviderContext().getProviderName(parentContainer);
  pageContext.setAttribute("pc", parentContainer);
  pageContext.setAttribute("pcp", parentContainerProvider);


  ContainerProviderContext context = scp.getContainerProviderContext();

  ResourceBundle bundle = null;
  try {
      bundle = scp.getResourceBundle("DeviceNames");
  } catch (ProviderException e) {
      Logger logger = Logger.getLogger ("debug.com.sun.portal.map.channels.jsp");
      if (logger.isLoggable (Level.INFO))
	logger.log (Level.INFO,"", e);
  }

    String clientSize = null;

    Map selectedClients = null;
    try {
		selectedClients = context.getCollectionProperty("WirelessDesktopDispatcher", "selectedClients");
    } catch (ProviderContextException e) {
        throw new ProviderException("clientconfig.jsp:", e);
    }
    if ((selectedClients != null) && (selectedClients.size() > 0)) {
      pageContext.setAttribute("selectedClients", selectedClients);
      clientSize = String.valueOf(selectedClients.size());
    } else {
      pageContext.setAttribute("selectedClients", "");
    }

%>

