<%--
 Copyright 2003 Sun Microsystems, Inc. All rights reserved
 Use is subject to license terms.
--%>

<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
                 com.sun.portal.providers.context.ContainerProviderContext,
                 java.util.List,
                 com.sun.portal.wireless.providers.containers.DesktopDispatcherProvider,
                 java.util.ResourceBundle,
                 java.util.Map,
                 java.util.HashMap,
                 java.util.Iterator,
		 java.util.logging.Level,
		 java.util.logging.Logger,
                 com.sun.portal.providers.containers.ContainerProvider,
                 com.sun.portal.providers.context.ProviderContextException,
                 com.sun.portal.providers.ProviderException,
                 com.sun.portal.wireless.providers.containers.template.WirelessContainerProviderAdapter,
                 com.sun.portal.wireless.providers.containers.jsp.WirelessJSPContainerProviderAdapter,
                 com.sun.portal.wireless.providers.containers.WirelessContainerProvider"
%>

<%-- Setup the required params and objects --%>
<%
  // Get the client that we will be operating on
  String clientParam = request.getParameter("client");

  JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
  String parentContainer = scp.getProviderContext().getDefaultChannelName();
  String parentContainerProvider = scp.getProviderContext().getProviderName(parentContainer);
  pageContext.setAttribute("pc", parentContainer);
  pageContext.setAttribute("pcp", parentContainerProvider);

  ContainerProviderContext context = scp.getContainerProviderContext();

  ResourceBundle bundle = null;
  try {
      bundle = scp.getResourceBundle("DeviceNames");
  } catch (ProviderException e) {
      Logger logger = Logger.getLogger ("debug.com.sun.portal.map.channels.jsp");
      if (logger.isLoggable (Level.INFO))
	    logger.log (Level.INFO,"", e);
  }
  List availableChannelList = null;
  List selectedChannelList = null;
  String containerName = null;
  WirelessContainerProvider clientContainer;
  containerName = DesktopDispatcherProvider
          .getClientContainerName(context, clientParam);
  clientContainer = (WirelessContainerProvider)context
          .getProvider(request, null, containerName);
    if (clientContainer != null) {
       pageContext.setAttribute("clientContainer", clientContainer);
       availableChannelList = clientContainer.getAvailableChannels(request);
       selectedChannelList = clientContainer.getSelectedChannels();
    }


    if ((availableChannelList != null) && (availableChannelList.size() > 0)) {
     pageContext.setAttribute("availableChannels", availableChannelList);
  } else {
     pageContext.setAttribute("availableChannels", "");
  }

    if ((selectedChannelList != null) && (selectedChannelList.size() > 0)) {
        pageContext.setAttribute("selectedChannels", selectedChannelList);
    } else {
        pageContext.setAttribute("selectedChannels", "");
    }

    String clientName = null;

  if (clientParam != null) {
      try {
          clientName = bundle.getString(clientParam);
      } catch (Exception e) {
          clientName = clientParam;
      }
  }

%>

