<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.o
rg/DTD/wml_1.1.xml">

<%@ include file="contentSetup.jsp" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainContainer container="$wireless"> 
<i18n:setBundle baseName="ChannelsContentJSP" var="channels.contentjsp" />

<%@ include file="adjustChannelList.jsp" %>

<%-- The presentation of content edit page --%>

<wml>

  <jx:choose>
    <jx:when test="$hasAvailableChannels == true">
    <card id="contentSelection" title="<i18n:message key="contentSelection" bundle="channels.contentjsp"/>">
        <onevent type="onenterforward">
        <refresh>
            <setvar name="contentList" value=""/>
        </refresh>
        </onevent>

        <p><b><i18n:message key="displayChannels" bundle="channels.contentjsp"/></b></p>
        <p align="left">
        <select name="contentList" value="<%=selectedChannelsBuf.toString()%>" multiple="true">
            <jx:forEach var="channel" items="$availableChannels">
                <dtcpc:obtainChannelFromContainer channel="$channel">
                    <option value="<dt:getName/>"><dt:getTitle/></option>
                </dtcpc:obtainChannelFromContainer>
            </jx:forEach>
        </select>
        </p>

        <do type="accept" label="<i18n:message key="done" bundle="channels.contentjsp"/>">
        <go href="<dtpc:getDesktopURL/>" method="post">
            <postfield name="action" value="process"/>
            <postfield name="provider" value="WirelessJSPContentChannel"/>
            <postfield name="container" value="<%=container%>"/>
            <postfield name="content" value="$(contentList)"/>
        </go>
        </do>
    </card>
    </jx:when>
    <jx:otherwise>
        <card id="empty_content" title="<i18n:message key="contentSelection" bundle="channels.contentjsp"/>">
            <do type="prev" label="<i18n:message key="back" bundle="channels.contentjsp"/>">
                <prev/>
            </do>
            <p align="left" mode="nowrap">
                <b><i18n:message key="noSelectableChannels" bundle="channels.contentjsp"/></b>
            </p>
            <do type="accept" label="<i18n:message key="channelsHm" bundle="channels.contentjsp"/>">
               <go href="<dtpc:getDesktopURL/>"/>
            </do>
        </card>
    </jx:otherwise>
  </jx:choose>
</wml>

</dt:obtainContainer>
