    <%@ taglib uri="/tld/desktopTable.tld" prefix="dttable" %>
      <%@ taglib uri="/tld/desktopTab.tld" prefix="tab" %>
      <%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
      <%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
      <%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
      <%@ taglib uri="/tld/jx.tld" prefix="jx" %>


      <%@ page import="java.util.List"%>
      <%@ page import="java.util.StringTokenizer"%>
      <%@ page import="java.util.Enumeration"%>
      <%@ page import="java.util.Map"%>
      <%@ page import="java.util.HashMap"%>
      <%@ page import="com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
                       com.sun.portal.providers.context.ProviderContext" %>


      <%@ page session="false" %>

      <SCRIPT LANGUAGE="JavaScript1.2">
	function launchPopup(url, name, width, height) {
       	popup_window = window.open( url, name, 'width=' + width + ',height=' + height +',resizable=yes,scrollbars=yes');
	}
      </SCRIPT>

      <dt:obtainContainer container="$JSPProvider">
	<dttable:tableContainerProvider>
                  <dt:getName id="containerName"/>
		  <jx:declare id="containerName" type="String"/>
		    <dttable:getDetached id="detachedList"/>

		      <jx:forEach var="detachedChannel" items="$detachedList">
			
			<dtcpc:obtainChannelFromContainer channel="$detachedChannel">
                        <dt:isPresentable id="presentable"/>
                        <jx:if test="$presentable">
			  <jx:declare id="detachedChannel" type="String"/>
			    <dttable:getIsDetached id="isDetached"/>
			      <jx:if test="$isDetached == true">	
				  <%
				  Map pathInfo = new HashMap();
				  Map queryInfo = new HashMap();
				  String queryStr = request.getQueryString();
				  if(queryStr != null) {
				     StringTokenizer strTkn = new StringTokenizer(queryStr, "&");
					  while(strTkn.hasMoreTokens()) {
					  	String token = strTkn.nextToken().trim();
						if(token.toLowerCase().startsWith("action")
						   || token.toLowerCase().startsWith("provider")
							|| token.toLowerCase().startsWith("containername")
						   || token.toLowerCase().startsWith("leafchannel")
							|| token.toLowerCase().startsWith(containerName.toLowerCase() + ".channelaction")
							|| token.toLowerCase().startsWith("last")) {
							//Ignore this.
						} else {
							int indexOf = token.indexOf("=");
							if(indexOf != -1) {
								queryInfo.put(token.substring(0, indexOf), token.substring(indexOf+1));
							}
						}
					  }
				  }
				  pathInfo.put("action", "content");
				  pathInfo.put("provider", containerName);
				  pathInfo.put("containerName", containerName);
				  pathInfo.put("leafChannel", detachedChannel);
				  pathInfo.put(containerName + ".channelAction", "popup");
				  pathInfo.put("last", "false");
				  pageContext.setAttribute("pathInfo", pathInfo);
				  pageContext.setAttribute("queryInfo", queryInfo);
				  %>
				  <SCRIPT LANGUAGE="JavaScript">
				    launchPopup('<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$queryInfo"/>','<dttable:getWindowName/>', '<dttable:getPopupWindowWidth/>', '<dttable:getPopupWindowHeight/>');
				  </SCRIPT>
			      </jx:if>
                          </jx:if>
			</dtcpc:obtainChannelFromContainer>
		      </jx:forEach>

                    </dttable:tableContainerProvider>
      </dt:obtainContainer>

