<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- setProperties.jsp  --%>
<%@ page import="java.util.Set" %>
<%@ page session="false" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminChannelCreatorJSP" var="taskadminchannelcreatorjsp" />

	<%@ include file="trim.js" %>	
	<script language="JavaScript" type="text/JavaScript">
	function setPropertiesFormvalidation(thisform)
	{
		with (thisform)
		{
			var formname = thisform.name;
			var title = provider.value + ".title";
			var titleValue = window.document.setProperties_form.elements[title].value;
			if (titleValue == null || trim(titleValue) == "") {
				alert(" <i18n:message key="entervalidchanneltitle" bundle="taskadminchannelcreatorjsp" /> ");
				return false;
			}
		}
	} 
	</script>	 
<SCRIPT>
function addChannel(param) {
    document.setProperties_form.elements[param].value="1"
    setTimeout("document.setProperties_form.submit()", 500)
}

</script>
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>
<dtpc:getCollectionProperty key="widths" id="widths"/>
<jx:declare id="widths" type="java.util.Map"/>
<%
String channelName = request.getParameter(adminChannelName + ".channel");
Set widthnames = widths.keySet();
pageContext.setAttribute("widthnames", widthnames);
%>

<form action="<dtpc:getDesktopURL/>" name="setProperties_form" method="POST" enctype="application/x-www-form-urlencoded" onsubmit="return setPropertiesFormvalidation(this)">
    <input type="HIDDEN" name="action" size="-1" value="process">
    <input type="HIDDEN" name="provider" size="-1" value="<dt:getName/>">
    <input type="HIDDEN" name="<dt:getName/>.channelName" size="-1" value="<%=channelName%>">
    <input type="HIDDEN" name="<dt:getName/>.page" size="-1" value="setProperties">
    <input type="HIDDEN" name="<dt:getName/>.addChannel" size="-1" value="0">

    <table border="0" cellpadding="0" cellspacing="3" width="100%">
    <%
    String errorMsg = request.getParameter(adminChannelName + ".errorMsg");
           if (errorMsg == null) {
    %>
    <TR>
            <td width="100%" align="CENTER">
            <font face="<%=fontFace1%>" size="-1" color="green"><hr><b>
                <i18n:message key="channelcreationmessage" bundle="taskadminchannelcreatorjsp" >
                    <i18n:param value="<%=channelName%>"/>
                </i18n:message>
            </b><hr></font>
            </td>
    </tr>
    <% } %>
                <TR>
            <td width="100%" align="CENTER">
                <table border="0" cellspacing="2" cellpadding="2" width="50%">

                    <tr>
                        <td align="right"><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="title" bundle="taskadminchannelcreatorjsp" /> *</b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <input type="text"
    name="<dt:getName/>.title" size="30" value="">
                            </font></td>
                    </tr>
                    <tr>
                        <td align="right"><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="description" bundle="taskadminchannelcreatorjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <input type="text"
    name="<dt:getName/>.desc" size="30" value="">
                            </font></td>
                    </tr>
                    <tr>
                        <td align="right"><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="width" bundle="taskadminchannelcreatorjsp" /> *</b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
		                <SELECT NAME="<dt:getName/>.width">
		                <jx:forEach var="widthname" items="$widthnames"><jx:declare id="widthname" type="java.lang.String"/>
		                <OPTION VALUE="<%=widthname%>"><%=widths.get(widthname)%></OPTION></jx:forEach>
		                </SELECT>
		                </font></td>
                    </tr>
                </table>
            </TD>
        </TR>

    </TABLE>
    <br>
    <CENTER>
        <font size="+0" face="<%=fontFace1%>">
        <input type="SUBMIT" name="Submit" value="<i18n:message key="done" bundle="taskadminchannelcreatorjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
        <input type=BUTTON onClick="javascript:addChannel('<dt:getName/>.addChannel')" value="<i18n:message key="addchanneltab" bundle="taskadminchannelcreatorjsp" />"  style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
        </font>
    </CENTER>
    <br>
    <p>
</form>

</dt:obtainChannel>






