	<%--
	  Copyright 2004 Sun Microsystems, Inc. All rights reserved
	  Use is subject to license terms.
	 --%>
	<%-- createWSRPChannel.jsp  --%>
	<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
					 java.util.List,
					 java.util.Set,
                     java.util.Iterator,					 
					 java.util.ArrayList,
					 com.sun.portal.providers.context.ProviderContext,
					 com.sun.portal.providers.urlscraper.URLScraperProvider" %>
					 
	<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
	<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
	<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
	<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
	<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>	
	<%@ taglib uri="/tld/portlettaskadmin.tld" prefix="dtportletadmin" %>
	<%@ taglib uri="/tld/wsrptaskadmin.tld" prefix="wsrpadmin" %>
        <%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>
        <%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

			
	<dt:obtainChannel channel="$JSPProvider">
	<i18n:setBundle baseName="TaskAdminCreateWSRPChannelAdminJSP" var="taskadmincreatewsrpchanneladminjsp" />
	 
	<script language="JavaScript" type="text/JavaScript">
	function selectProducerFormValidation(thisform)
	{
		with (thisform)
		{
			var formname = thisform.name;
			var producerIDName = provider.value + ".producerID";
			var producerIDValue = window.document.selectProducer_form.elements[producerIDName].value;
			if (producerIDValue == null || producerIDValue == "") {
				alert("<i18n:message key="selectproducer" bundle="taskadmincreatewsrpchanneladminjsp" />");
				return false;
			}
		}
	} 	
</script>	
	<dt:getName id="adminChannelName"/>
	<jx:declare id="adminChannelName" type="java.lang.String"/>
	<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
	<jx:declare id="fontFace1" type="java.lang.String"/>
	
    <dtuseradmin:obtainUserAdmin>
    <dtuseradmin:getBaseDNs id="nodes"/>
    <jx:declare id="nodes" type="java.util.Set"/>

    
	<dtpc:getStringProperty key="roleDN" id="roleDN"/>
	<jx:declare id="roleDN" type="java.lang.String"/>
    <%
    if ((roleDN == null || roleDN.length() == 0) && !nodes.isEmpty() ) {
       Iterator i = nodes.iterator();
       roleDN = (String)i.next();
       pageContext.setAttribute("roleDN", roleDN);
    %>
    <dtpc:setStringProperty key="roleDN" value="$roleDN"/>
    <%   
    }  
	JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
	ProviderContext pc = jp.getProviderContext();
	Set producers = null;
	%>
    </dtuseradmin:obtainUserAdmin>

	<wsrpadmin:obtainWSRPAdmin baseDN="$roleDN">
	<wsrpadmin:getExistingProducerIds id="ExistingProducerIds"/>

    
	<form action="<dtpc:getDesktopURL/>" name="selectProducer_form" method="POST" enctype="application/x-www-form-urlencoded" onsubmit="return selectProducerFormValidation(this)">
		<input type="HIDDEN" name="action" size="-1" value="process">
		<input type="HIDDEN" name="provider" size="-1" value="<dt:getName/>">
		
		<table border="0" cellpadding="0" cellspacing="3" width="100%">				
			<tr>
				<td width="100%" align="CENTER">
					<table border="0" cellspacing="2" cellpadding="2" width="50%">
						<tr>		
						<td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" color="#000000" size="-1"><b><i18n:message key="producers" bundle="taskadmincreatewsrpchanneladminjsp" /></b></font></td>
						<td><font face="<%=fontFace1%>" size="-1">
						<SELECT NAME="<dt:getName/>.producerID">
							<OPTION VALUE=""><i18n:message key="starselectstar" bundle="taskadmincreatewsrpchanneladminjsp" /></OPTION>		
							<jx:forEach var="producerID" items="$ExistingProducerIds">
							<jx:declare id="producerID" type="java.lang.String"/>			 
							<wsrpadmin:getProducerName id="producerName" producerID="$producerID"/>			
							<jx:declare id="producerName" type="java.lang.String"/>
							<OPTION VALUE="<%=producerID%>"><%=producerName%></OPTION>
						</jx:forEach>			
						</SELECT>		
						</font></td>		
						</tr>			
					</TABLE>
				</td>		
			</tr>			
		</TABLE>					
		<br>
		<CENTER>
			<font size="+0" face="<%=fontFace1%>">
			<input type="SUBMIT" name="Submit" value="<i18n:message key="select" bundle="taskadmincreatewsrpchanneladminjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
			</font>
		</CENTER>
		<br>
		<p>
	</form>
	</wsrpadmin:obtainWSRPAdmin>  	
		</dt:obtainChannel>

