<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%-- userRoles.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Map,
                 java.util.Set,
                 java.util.ResourceBundle,
                 com.sun.portal.providers.context.ProviderContext" %>
                 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<script language="javascript">
		function detectUser(passedValue){
		  if (passedValue != defaultUser) {
		    document.userRoles_form.target="_self"
			 var page = document.userRoles_form.elements['RoleAdminChannel.page'];
			 page.value = "userRoles";
			 var selectedUser = document.userRoles_form.elements['RoleAdminChannel.selectedUser'];
			 selectedUser.value = passedValue;			 
		    document.userRoles_form.submit();
                  }
		}
		
		var defaultUser
		
		function setUserValue(){
			var list = document.userRoles_form.elements['RoleAdminChannel.user'];		
			defaultUser = list.options[list.selectedIndex].value;
		}
</script>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminRoleAdminChannelJSP" var="taskadminroleadminchanneljsp" />
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<jx:declare id="taskadminroleadminchanneljsp" type="java.util.ResourceBundle"/>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>

<dtuseradmin:obtainUserAdmin>
<%
       String wildcard = request.getParameter(adminChannelName + ".wildcard");
       pageContext.setAttribute("wildcard", wildcard);
       Set users = null;
       String errorMsg = null;
       try {
%>
<dtuseradmin:searchUsers wildcard="$wildcard" id="users"/>
<%
       users = (Set)pageContext.getAttribute("users");
       } catch ( Exception e ) {
           errorMsg = e.getMessage();
       }
       if ( users != null && users.size() != 0 ) {
%>


<form action="<dtpc:getDesktopURL/>" name="userRoles_form" method="POST" enctype="application/x-www-form-urlencoded">
<INPUT TYPE="hidden" NAME="<dt:getName/>.page" VALUE="doUserRoles"/>
<INPUT TYPE="hidden" NAME="<dt:getName/>.selectedUser" VALUE=""/>
<INPUT TYPE="hidden" NAME="<dt:getName/>.wildcard" VALUE="<%=wildcard%>"/>

    <table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
            <td width="100%" align="CENTER">
                <table border="0" cellspacing="2" cellpadding="2" width="100%">
					 <% int index = 0; %>								
					 <% String selectedUser = request.getParameter(adminChannelName + ".selectedUser");
 					 	 if(selectedUser != null) {
						 	 pageContext.setAttribute("selectedUser", selectedUser);
						 } else {
							selectedUser = (String)users.toArray()[0];
							if(selectedUser.toLowerCase().indexOf("amadmin") != -1 && users.size() > 1){
								selectedUser = (String)users.toArray()[1];
							}
						 	 pageContext.setAttribute("selectedUser", selectedUser);
						 }
					 %>					 
					 <tr>
						  <td bgcolor="<dttheme:getAttribute name="tabColor" default="#CCCCCC"/>" colspan="2">
						  <font color="<dttheme:getAttribute name="tabFontColor" default="#000000"/>" size="-1" face="Verdana">
						  <b><i18n:message key="rolemanagementforuser" bundle="taskadminroleadminchanneljsp" /> <dtuseradmin:getDNDisplayName dn="$selectedUser"/> : </b></font></td>
					 </TR>
					 	<td>&nbsp;</td>
					 <tr>
					 </tr>
                    <tr>
                        <td align="RIGHT" width="50%"><font face="<%=fontFace1%>" color="#000000" size="-1"><b><i18n:message key="user" bundle="taskadminroleadminchanneljsp" /></b></font></td>
                        <td align="left"><font face="<%=fontFace1%>" size="-1">
                            <SELECT NAME="<dt:getName/>.user" onChange="detectUser(this.value)">
                                <jx:forEach var="user" items="$users"><jx:declare id="user" type="java.lang.String"/>
							  			  <% if(user.toLowerCase().indexOf("amadmin") == -1) {  %>										  
										  		<% if(selectedUser != null && !selectedUser.trim().equals("")) {
													if(selectedUser.equalsIgnoreCase(user)) { 
														pageContext.setAttribute("uName", user); 
														%>
														<OPTION VALUE="<%=user%>" selected ><dtuseradmin:getDNDisplayName dn="$user"/></OPTION>
													<% } else { %>
														<OPTION VALUE="<%=user%>"><dtuseradmin:getDNDisplayName dn="$user"/></OPTION>
													<%}
												} else {
													if(index == 0) { %>
													<%   pageContext.setAttribute("uName", user);  													
													%>													
	                                   <OPTION VALUE="<%=user%>" selected ><dtuseradmin:getDNDisplayName dn="$user"/></OPTION>																		<% } else { %>
	                                   <OPTION VALUE="<%=user%>" ><dtuseradmin:getDNDisplayName dn="$user"/></OPTION>
											  <% } 
											  	index++;
											  %>
										  <% } //else 
										  }//amadmin
										  %>										  
										  </jx:forEach>
                            </SELECT>
                            </font></td>
                    </tr>
							<tr>
							  <td colspan="2">
									<%@ include file="roles.jsp" %>
							  </td>
							</tr>
                </table>
            </TD>
        </TR>

    </TABLE>
</form>
<script language="javascript">setUserValue()</script>
<%
       } else {
	   if ( errorMsg == null || errorMsg.length() == 0 ) {
                errorMsg = taskadminroleadminchanneljsp.getString("searchstringdoesntmatchanyusers");
	   }
%>
<table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
        <td width="100%" align="CENTER">
        <font size="-1" color="red">
        <hr>
        <b>
    <%=errorMsg%>
        </b>
        <hr>
        <a href="<dtpc:getDesktopURL/>"><i18n:message key="pleasetryagain" bundle="taskadminroleadminchanneljsp" /></A>
        <br>
        </font>
        </TD>
        </TR>
        </TABLE>

<%
       }
%>
</dtuseradmin:obtainUserAdmin>
</dt:obtainChannel>

