<%-- 
  Copyright 2004 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%> 
<%-- doArrangeChannels.jsp --%>

<%@ page import="com.sun.portal.providers.util.Layout,
                 java.net.URL,
                 java.net.MalformedURLException,
                 java.util.List,
                 java.util.Iterator,
                 java.util.ArrayList,"
%>

<%@ page session="false" %>

<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>

<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<%    
      String container = (String)request.getParameter(adminChannelName + ".containerName");
      pageContext.setAttribute("container", container);
%>

<%-- get the channelsColumn and channelsRow collection --%>
<dtadmin:getMapProperty id="channelsColumn" key="channelsColumn" channel="$container"/>
<jx:declare id="channelsColumn" type="java.util.Map"/>
<dtadmin:getMapProperty id="channelsRow" key="channelsRow" channel="$container"/>
<jx:declare id="channelsRow" type="java.util.Map"/>
<% 
      String layoutIDString = request.getParameter(adminChannelName + ".layoutID");
      if (layoutIDString != null) {
         Integer layoutID = Integer.valueOf( layoutIDString );
         String[] one = (String[])request.getParameterValues("one");
         String[] two = (String[])request.getParameterValues("two");
         String[] three = (String[])request.getParameterValues("three");
         String[] fulltop = (String[])request.getParameterValues("fulltop");
         String[] fullbottom = (String[])request.getParameterValues("fullbottom");
         
         if (one != null) {
         for (int i = 0; i < one.length; i++) {
         if (one[i].equals(".none") || one[i].equals("spacer")) {
           continue;
         }
         channelsColumn.put(one[i], Integer.toString(1));
         channelsRow.put(one[i], Integer.toString(i+1));
         }
         }
         
         if (two != null) {
         for (int i = 0; i < two.length; i++) {
         if (two[i].equals(".none") || two[i].equals("spacer")) {
           continue;
         }
         channelsColumn.put(two[i], Integer.toString(2));
         channelsRow.put(two[i], Integer.toString(i+1));
         }
         }
         
         if (three != null) {
         for (int i = 0; i < three.length; i++) {
         if (three[i].equals(".none") || three[i].equals("spacer")) {
           continue;
         }
         channelsColumn.put(three[i], Integer.toString(3));
         channelsRow.put(three[i], Integer.toString(i+1));
         }
         }
         
         if (fulltop != null) {
         for (int i = 0; i < fulltop.length; i++) {
         if (fulltop[i].equals(".none") || fulltop[i].equals("spacer")) {
           continue;
         }
         channelsRow.put(fulltop[i], Integer.toString(i+1));
         //check if width is full_top. if not set the width to full_top
         pageContext.setAttribute("fulltopchannel", fulltop[i]);
%>
<dtadmin:getStringProperty id="topwidth" key="width" channel="$fulltopchannel"/>
<jx:if test="$topwidth != 'full_top'">
<dtadmin:setStringProperty key="width" value="full_top" channel="$fulltopchannel"/>
</jx:if> 
<%
         }
         }
         
         if (fullbottom != null) {
         for (int i = 0; i < fullbottom.length; i++) {
         if (fullbottom[i].equals(".none") || fullbottom[i].equals("spacer")) {
           continue;
         }
         channelsRow.put(fullbottom[i], Integer.toString(i+1));
         //check if width is full_bottom. if not set the width to full_bottom
        pageContext.setAttribute("fullbottomchannel", fullbottom[i]);
%>
<dtadmin:getStringProperty id="bottomwidth" key="width" channel="$fullbottomchannel"/>
<jx:if test="$bottomwidth != 'full_bottom'">
<dtadmin:setStringProperty key="width" value="full_bottom" channel="$fullbottomchannel"/>
</jx:if>
<%
         }
         }
            }
      pageContext.setAttribute("channelsColumn", channelsColumn);
      pageContext.setAttribute("channelsRow", channelsRow);


%>
<dtadmin:setMapProperty key="channelsColumn" value="$channelsColumn" channel="$container"/>
<dtadmin:setMapProperty key="channelsRow" value="$channelsRow" channel="$container"/>
</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>


