<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- doTabCreatorAdmin.jsp  --%>
<%@ page session="false" %>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Map,
                 java.util.HashMap,
                 java.util.ResourceBundle"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>

<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<dtpc:getDesktopURL id="desktopURL"/>
<jx:declare id="desktopURL" type="java.lang.String"/>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<%
       JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
       ResourceBundle bundle = jp.getResourceBundle("SampleTaskAdminChannels");
       String adminPageID = request.getParameter(adminChannelName + ".page");
       if (adminPageID != null) {
           pageContext.setAttribute("adminPageID", adminPageID, PageContext.REQUEST_SCOPE);
       } else {
           pageContext.setAttribute("adminPageID", "", PageContext.REQUEST_SCOPE); 
       }
%>
<jx:choose>
<jx:when test="$adminPageID == 'setChannels'">
<jsp:include page="doSetChannels.jsp" flush="true"/>
<%      
       String doneStr = request.getParameter("done");
		 //If Done button is click then redirect to desktop URL.
		 if(doneStr.equalsIgnoreCase("true")) {
			response.sendRedirect(desktopURL);
			return;
		 }
       String containerName = request.getParameter(adminChannelName + ".containerName");
       String query = adminChannelName + ".containerName=" + containerName + "&" + adminChannelName + ".page=arrangeChannels";
       pageContext.setAttribute("query", query);
%>
<dtpc:getDesktopURL id="url" querystring="$query"/>
<jx:declare id="url" type="java.lang.String"/>
<%
if (url != null) {
response.sendRedirect(url);
} else {
response.sendRedirect(desktopURL);
}
%>
</jx:when>
<jx:when test="$adminPageID == 'arrangeChannels'">
<%
String container = request.getParameter(adminChannelName + ".containerName");
pageContext.setAttribute("container", container);
%>
<%-- get the layout for this container --%>
<dtadmin:getIntegerProperty id="savedlayout" key="layout" channel="$container"/>
<jx:declare id="savedlayout" type="java.lang.Integer"/>
<%
      String layoutstring = request.getParameter(adminChannelName + ".layout");
      int layout = Integer.parseInt(layoutstring);
      pageContext.setAttribute("layout", layoutstring);
      if ( layout != savedlayout.intValue()) {
%>
<dtadmin:setIntegerProperty key="layout" value="$layout" channel="$container"/>
<%
       String layoutquery = adminChannelName + ".containerName=" + container + "&" + adminChannelName + ".page=arrangeChannels";
       pageContext.setAttribute("layoutquery", layoutquery);
%>
<dtpc:getDesktopURL id="layouturl" querystring="$layoutquery"/>
<jx:declare id="layouturl" type="java.lang.String"/>
<%
response.sendRedirect(layouturl);
return;
      }
%>
<jsp:include page="doArrangeChannels.jsp" flush="true"/>
<%
response.sendRedirect(desktopURL);
%>
</jx:when>
<jx:when test="$adminPageID == 'tabConfiguratorAdminEdit'">
<jsp:include page="doTabConfiguratorAdminEdit.jsp" flush="true"/>
<%
response.sendRedirect(desktopURL);
%>
</jx:when>
<jx:otherwise>
<%
       String tableChannel = request.getParameter(adminChannelName + ".containerName");
       String queryString = adminChannelName + ".containerName=" + tableChannel + "&" + adminChannelName + ".page=setChannels";
       pageContext.setAttribute("queryString", queryString);
%>
<dtpc:getDesktopURL id="redirectURL" querystring="$queryString"/>
<jx:declare id="redirectURL" type="java.lang.String"/>
<%
if (redirectURL != null) {
response.sendRedirect(redirectURL);
} else {
response.sendRedirect(desktopURL);
}
%>
</jx:otherwise>
</jx:choose>
</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>



