<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- selectChannel.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Map,
                 java.util.Set,
                 java.util.Iterator,
                 com.sun.portal.providers.context.ProviderContext,
                 com.sun.portal.providers.urlscraper.URLScraperProvider" %>
                 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminURLScraperAdminJSP" var="taskadminurlscraperadminjsp" />
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>

<dtpc:getCollectionProperty key="clientTypes" id="clientTypesMap"/>
<jx:declare id="clientTypesMap" type="java.util.Map"/>


    <dtuseradmin:obtainUserAdmin>
    <dtuseradmin:getBaseDNs id="nodes"/>
    <jx:declare id="nodes" type="java.util.Set"/>
	
	<dtpc:getStringProperty key="roleDN" id="roleDN"/>
	<jx:declare id="roleDN" type="java.lang.String"/>
	<%
    if ((roleDN == null || roleDN.length() == 0) && !nodes.isEmpty() ) {
       Iterator i = nodes.iterator();
       roleDN = (String)i.next();
       pageContext.setAttribute("roleDN", roleDN);
    %>
    <dtpc:setStringProperty key="roleDN" value="$roleDN"/>
    <%   
    }  
	%>
    
	</dtuseradmin:obtainUserAdmin>


<%
JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
ProviderContext pc = jp.getProviderContext();
List scraperchannels = new ArrayList();
%>

<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:getExistingChannels id="channels" all="true" />
<jx:declare id="channels" type="java.util.Set"/>

<jx:forEach var="channel" items="$channels">
<jx:declare id="channel" type="java.lang.String"/>
<dtadmin:getClassName id="channelclassname" channel="$channel"/>
<%
String classname = (String)pageContext.getAttribute("channelclassname");
if(classname == null) {
    /*
	if (pc.isDebugWarningEnabled()) {
	    pc.debugWarning("URLChannelAdmin.selectChannel.jsp: Initialization failed for " + classname +
		 ". Provider class name is null. ");
	}
    */
	continue;
}
try {
	Class channelClass = Class.forName(classname);
	if (URLScraperProvider.class.isAssignableFrom(channelClass)) {
   	 scraperchannels.add(channel);
	}
} catch (NoClassDefFoundError e) {
    /*
	if (pc.isDebugWarningEnabled()) {
	    pc.debugWarning("URLChannelAdmin.selectChannel.jsp: Initialization failed for " + classname +
		 ". Actual error message is " + e.getMessage());
	}
    */
}
%>
</jx:forEach>
<%
pageContext.setAttribute("scrapers", scraperchannels);
Set clientTypes = clientTypesMap.keySet();
pageContext.setAttribute("clientTypes", clientTypes);
%>
    
<form action="<dtpc:getDesktopURL/>" name="selectChannel_form" method="POST" enctype="application/x-www-form-urlencoded">
    <input type="HIDDEN" name="action" size="-1" value="process">
    <input type="HIDDEN" name="provider" size="-1" value="<dt:getName/>">
    
    <table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
            <td width="100%" align="CENTER">
                <table border="0" cellspacing="2" cellpadding="2" width="50%">
                    <tr>
                        <td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" size="-1" color="#000000"><b><i18n:message key="channel" bundle="taskadminurlscraperadminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="-1">
                            <SELECT NAME="<dt:getName/>.scraperChannel">
                                <jx:forEach var="scraperChannel" items="$scrapers"><jx:declare id="scraperChannel" type="java.lang.String"/>
                                <OPTION VALUE="<%=scraperChannel%>"><%=scraperChannel%></OPTION></jx:forEach>
                            </SELECT>
                            </font></td>
                    </tr>
                    <tr>
                        <td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" size="-1" color="#000000"><b><i18n:message key="clienttype" bundle="taskadminurlscraperadminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <SELECT NAME="<dt:getName/>.clientType">
                                <jx:forEach var="clientType" items="$clientTypes"><jx:declare id="clientType" type="java.lang.String"/>
                                <OPTION VALUE="<%=clientType%>"><%=clientType%></OPTION></jx:forEach>
                            </SELECT>
                            </font></td>
                    </tr>
                </table>
            </TD>
        </TR>

    </TABLE>
    <br>
    <CENTER>
        <font size="+0" face="<%=fontFace1%>">
        <input type="SUBMIT" name="Submit" value="<i18n:message key="continue" bundle="taskadminurlscraperadminjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#FFFFFF"/>'>
        </font>
    </CENTER>
    <br>
    <p>
</form>

</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>




