<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- setChannelURL.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 com.sun.portal.providers.context.ProviderContext,
                 com.sun.portal.providers.xml.XMLProvider" %>
                 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminURLScraperAdminJSP" var="taskadminurlscraperadminjsp" />
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>

<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<%
JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
ProviderContext pc = jp.getProviderContext();
String scraperChannel = request.getParameter(adminChannelName + ".scraperChannel");
pageContext.setAttribute("scraperChannel", scraperChannel); %>

<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:getClassName id="scraperChannelclassname" channel="$scraperChannel"/>

<% 
String classname = (String) pageContext.getAttribute("scraperChannelclassname");
Class channelClass = Class.forName(classname);
boolean isXMLProvider = true;
if (!(XMLProvider.class.isAssignableFrom(channelClass))) {
    isXMLProvider = false;
}
String clientType = request.getParameter(adminChannelName + ".clientType");
boolean defaultURL = clientType.equalsIgnoreCase("default");
pageContext.setAttribute("defaultURL", new Boolean(defaultURL));
pageContext.setAttribute("scraperChannel", scraperChannel);
pageContext.setAttribute("isXMLProvider", new Boolean(isXMLProvider));
pageContext.setAttribute("clientType",clientType); 
%>


<jx:choose>
<jx:when test="$defaultURL">
<dtadmin:getStringProperty id="scraperURL" key="url" channel="$scraperChannel"/>
</jx:when>
<jx:otherwise>
<%
List pflist = pc.getClientPropertiesFilters(clientType);
pageContext.setAttribute("pflist", pflist);
%>
<dtadmin:getStringProperty id="scraperURL" key="url" channel="$scraperChannel" pflist="$pflist"/>
</jx:otherwise>
</jx:choose>
<jx:declare id="scraperURL" type="java.lang.String"/>
<%
String adminPageID = (String)pageContext.getAttribute("adminPageID", PageContext.REQUEST_SCOPE);
%>


<form action="<dtpc:getDesktopURL/>" name="setChannelURL_form" method="POST" enctype="application/x-www-form-urlencoded">
    <input type="HIDDEN" name="action" size="-1" value="process">
    <input type="HIDDEN" name="provider" size="-1" value="<dt:getName/>">
    <input type="HIDDEN" name="<dt:getName/>.page" size="-1" value="<%=adminPageID%>">
    <input type="HIDDEN" name="<dt:getName/>.scraperChannel" size="-1" value="<%=scraperChannel%>">
    <input type="HIDDEN" name="<dt:getName/>.clientType" size="-1" value="<%=clientType%>">
    
    <table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
            <td width="100%" align="CENTER">
                <table border="0" cellspacing="2" cellpadding="2" width="50%">

                    <tr>
                        <td align="right" nowrap><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="channel" bundle="taskadminurlscraperadminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="-1"><%=scraperChannel%>
                            </font></td>
                    </tr>
                    <tr>
                        <td align="right" nowrap><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="clienttype" bundle="taskadminurlscraperadminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="-1"><%=clientType%>
                            </font></td>
                    </tr>
                    <tr>
                        <td align="right" nowrap><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="channelurl" bundle="taskadminurlscraperadminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <input type="text"
    name="<dt:getName/>.scraperURL" size="50" value="<%=scraperURL%>">
                            </font></td>
                    </tr>
                    <jx:if test="$isXMLProvider">
                    <dtadmin:getStringProperty id="scraperXslURL" key="xslFileName" channel="$scraperChannel"/>
                    <jx:declare id="scraperXslURL" type="java.lang.String"/>
                    <tr>
                        <td align="right" nowrap><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="xslfilename" bundle="taskadminurlscraperadminjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <input type="text"
    name="<dt:getName/>.xslfile" size="50" value="<%=scraperXslURL%>">
                            </font></td>
                    </tr>
                    </jx:if>

                </table>
            </TD>
        </TR>

    </TABLE>
    <br>
    <CENTER>
        <font size="+0" face="<%=fontFace1%>">
        <input type="SUBMIT" name="Submit" value="<i18n:message key="save" bundle="taskadminurlscraperadminjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#FFFFFF"/>'>
        </font>
    </CENTER>
    <br>
    <p>
</form>
</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>




