<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_ab.tld" prefix="ab" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%


%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="ab" id="i18n" /><%
%><ab:context/><%

%><%-- unset url parameter separator entity escaping --%><%
%><util:context><%
  %><util:set property="urlAmpEntity" value="false"/><%
%></util:context><%

%><%-- set character entity escaping --%><%
%><util:edit id="edit1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%


%><%-- Address Book Search Results --%>
<html>
  <title><util:msg name="i18n" key="search"/></title>
<body><%

%><ab:context><%

  %><%-- no entries found --%><%
  %><util:if property="entriesEmpty">
    <util:msg name="i18n" key="findnoentries"/>
    <p></p><%
    %><%-- add  --%>
    <util:link tagstart="<a" tagend=">"><%
      %><util:attr attr="href"><%
      %><util:url file="add.jsp" comp="ab"><%
      %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><util:msg name="i18n" key="addcontact"/>...</a><%
    %><%-- add group --%>
    %><util:link tagstart="<a" tagend=">"><%
      %><util:attr attr="href"><%
      %><util:url file="addGroup.jsp" comp="ab"><%
      %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><util:msg name="i18n" key="addgroup"/>...</a><%

  %></util:if><%


  %><%-- entries found  --%>
  <util:ifnot property="entriesEmpty">  <%

    %><ab:entries id="ablist"><%
      %><ab:set property="start" value="$(start)"/><%
      %><ab:set property="count" value="$/SunMobileAppABService:sunMobileAppABJspAbNumLines:9/"/><%
    %></ab:entries><%

    %><ab:entries name="ablist" iterate="true"><%
      %><ab:entry><%
	%><%--	If entry forward to card view --%><%
	%><util:if property="elementType" value="1"><%

        %><util:link tagstart="<a" tagend=">"><%
          %><util:attr attr="href"><%
          %><util:url file="view.jsp" comp="ab"><%
          %><util:parm name="idx"><ab:get property="entryid"/></util:parm><%
          %></util:url><%
          %></util:attr><%
        %></util:link><%
        %><util:if property="fn"><%
          %><ab:get property="fn" edit="edit1"/> <%
        %></util:if><%
        %><ab:get property="ln" edit="edit1"/></a><br><%
	%></util:if><%

	%><%--	If group forward to card viewGroup --%><%
	 %><util:if property="elementType" value="2"><%

	%><util:link tagstart="<a" tagend=">"><%
	  %><util:attr attr="href"><%
	  %><util:url file="viewGroup.jsp" comp="ab"><%
	  %><util:parm name="idx"><ab:get property="entryid"/></util:parm><%
	  %></util:url><%
	  %></util:attr><%
	%></util:link><%
	%></util:if><%
	%><util:if property="cn"><%
	  %><ab:get property="cn" edit="edit1"/> <%
	%></util:if><%

      %></ab:entry><%
    %></ab:entries><%


    %><%-- next --%><%
    %><ab:entries name="ablist"><%
      %><util:if property="nextPage"><%
        %><util:link tagstart="<a" tagend=">"><%
          %><util:attr attr="href"><%
          %><util:url file="list2.jsp" comp="ab"><%
          %><util:parm name="start"><util:get property="nextStart"/></util:parm><%
          %></util:url><%
          %></util:attr><%
          %></util:link><%
        %><util:msg name="i18n" key="more"/></a><br><%
      %></util:if><%
    %></ab:entries><%

  %></util:ifnot><%

%></ab:context><%

%><br><%

%><%-- address home --%>  <%
%><util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="abHome.jsp" comp="ab"/><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="abhome"/>...</a><br>
</body>
</html>
