<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page import="com.sun.comclient.calendar.VTodo" %><%
%><%@ page import="com.sun.portal.wireless.taglibs.base.Util" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:content /><%
%><cal:context/>
<util:catalog resource="cal" id="i18n" /><%
%><%
    //get due date and time from request
    String ddate = request.getParameter("ddate");
    ddate = (ddate == null) ? "" : ddate.trim() ;

    String dtime = request.getParameter("dtime");
    dtime = (dtime == null) ? "" : dtime.trim() ;
  %>



    <%-- Get the task from session  --%>
    <util:session id="new" attribute="new"/><%
    %><cal:task name="new"><%

    %><AmlDocument title="<util:msg name="i18n" key="addtask"/>"><%

    %><util:edit id="etask1"><%
        %><util:set property="escape" value="true"/><%
    %></util:edit><%


    %><%-- Set the values to task bean --%><%

        %><cal:set property="summary"     value="$(sum)" /><%
        %><cal:set property="description" value="$(des)" />
        
        <% if (request.getParameter("iscmp").equals("1")) { %>
            <cal:set property="status" value="completed"/>
        <% } else { %>
            <cal:set property="status" value="NotComplete"/>
        <% } %>

    <%-- Check if due date exists. If it does then process.
         If no due date exists, dont do anything. --%>

  <% if ((ddate == null) || (ddate.trim().equals(""))) { %>

        <%-- NOOP --%><%
      %><cal:datetime id="dudt"><%
        %><cal:dateformat name="dudt" format="yyyyMMdd" parse="$(d)"/><%
      %></cal:datetime><%

   } else {  // due date exists %>

    <cal:datetime id="dudt">
    <cal:dateformat format="$[i18n:parsedatefmt]" parse="$(ddate)"><%
    %><AmlPage menu_pos="bottom"><%
        %><AmlText text="<util:msg name="i18n" key="addTaskfail"/>"/><%
        %><cal:context><%
            %><util:if property="errorCode" value="CAL_001"><%
                %><AmlBr/><%
                %><AmlText text="<util:msg name="i18n" key="CAL_001_date"/>"/><%
            %></util:if><%
        %></cal:context><%

    %><AmlForm method="post" submit_label="<util:msg name="i18n" key="back"/>"><%
       %><AmlURL action="<util:url file="taskHm.jsp" comp="cal"/>"/><%

       %><AmlInput view="hidden" name="back" value="true"/><%
       %><AmlInput view="hidden" name="d" value="<util:get eval="$(d)"/>"/><%
       %><AmlInput view="hidden" name="ddate" value="<util:get eval="$(ddate)"/>"/><%
       %><AmlInput view="hidden" name="dtime" value="<util:get eval="$(dtime)"/>"/><%
       %><AmlInput view="hidden" name="sum" value="<util:get eval="$(sum)" edit="emsg1"/>"/><%
       %><AmlInput view="hidden" name="des" value="<util:get eval="$(des)" edit="emsg1"/>"/><%
       %><AmlInput view="hidden" name="iscmp" value="<util:get eval="$(iscmp)"/>"/><%
   %></AmlForm><%

        %><%-- provide a calHm link --%><%
        %><AmlControlMenu><%
        %><AmlURL action="<util:url file="dayview.jsp" comp="cal"/>"><%
            %><AmlParam name="d" value="<util:get eval="$(d)"/>"/><%
	    %></AmlURL><%
	    %><AmlText text="<util:msg name="i18n" key="calhm"/>"/><%
        %></AmlControlMenu><%

    %></AmlPage><%
    %></AmlDocument><%
    %></cal:dateformat><%
    %></cal:datetime><%


    %><%-- Set the due time only if it has been entered.  --%><%
    %><% if ((dtime != null) && (!(dtime.equals("")))) { %><%
        %><cal:set property="dueTimeField" value="true"/><%
        %><cal:datetime id="dutm"><%
            %><cal:dateformat format="$[i18n:timefmtedit]" parse="$(dtime)"><%
            %><AmlPage menu_pos="bottom"><%
                %><AmlText text="<util:msg name="i18n" key="addTaskfail"/>"/><%
                %><cal:context><%
                    %><util:if property="errorCode" value="CAL_001"><%
                        %><AmlBr/><%
                        %><AmlText text="<util:msg name="i18n" key="CAL_001_due"/>"/><%
                    %></util:if><%
                %></cal:context><%

    %><AmlForm method="post" submit_label="<util:msg name="i18n" key="back"/>"><%
       %><AmlURL action="<util:url file="taskHm.jsp" comp="cal"/>"/><%

       %><AmlInput view="hidden" name="back" value="true"/><%
       %><AmlInput view="hidden" name="d" value="<util:get eval="$(d)"/>"/><%
       %><AmlInput view="hidden" name="ddate" value="<util:get eval="$(ddate)"/>"/><%
       %><AmlInput view="hidden" name="dtime" value="<util:get eval="$(dtime)"/>"/><%
       %><AmlInput view="hidden" name="sum" value="<util:get eval="$(sum)" edit="emsg1"/>"/><%
       %><AmlInput view="hidden" name="des" value="<util:get eval="$(des)" edit="emsg1"/>"/><%
       %><AmlInput view="hidden" name="iscmp" value="<util:get eval="$(iscmp)"/>"/><%
   %></AmlForm><%

                %><%-- provide a calHm link --%><%
                %><AmlControlMenu><%
                    %><AmlURL 
                        action="<util:url file="dayview.jsp" comp="cal"/>"><%
                        %><AmlParam name="d" value="<util:get eval="$(d)"/>"/><%
	                %></AmlURL><%
	            %><AmlText text="<util:msg name="i18n" key="calhm"/>"/><%
                %></AmlControlMenu><%
    %></AmlPage><%
    %></AmlDocument><%
    %></cal:dateformat><%

    %><util:copy property="day" source="dudt"/><%
    %><util:copy property="month" source="dudt"/><%
    %><util:copy property="year" source="dudt"/><%

    %></cal:datetime><%

    %><cal:set id="dutm" property="start"/><%
    %><cal:set id="dutm" property="dueDate"/><%

    %><% } else { %><%

        %><cal:set id="dudt" property="start"/><%
        %><cal:set id="dudt" property="dueDate"/><%

    %><% } // end time processing %><%

  %><% } // end date processing %><%

%></cal:task><%

%><%-- Store new task --%><%
%><cal:storetask name="new"><%
  %><AmlPage menu_pos="bottom"><%
    %><AmlText
        text="<util:msg name="i18n" key="addTaskfail"/>"/><AmlBr/><%
    %><AmlBr/><%
    %><AmlBr/><%

    %><AmlURL type="wml_refresh"
        action="<util:url file="dayview.jsp" comp="cal"/>"><%
        %><AmlParam name="d" 
            value="<cal:dateformat name="dudt" format="yyyyMMdd"/>"/><%
    %></AmlURL><%
    %><AmlText text="<util:msg name="i18n" key="calhm"/>"/><%
    %><AmlBr/><%

    %><AmlForm method="post" submit_label="<util:msg name="i18n" key="back"/>"><%
       %><AmlURL action="<util:url file="taskHm.jsp" comp="cal"/>"/><%

       %><AmlInput view="hidden" name="back" value="true"/><%
       %><AmlInput view="hidden" name="d" value="<util:get eval="$(d)"/>"/><%
       %><AmlInput view="hidden" name="ddate" value="<util:get eval="$(ddate)"/>"/><%
       %><AmlInput view="hidden" name="dtime" value="<util:get eval="$(dtime)"/>"/><%
       %><AmlInput view="hidden" name="sum" value="<util:get eval="$(sum)" edit="emsg1"/>"/><%
       %><AmlInput view="hidden" name="des" value="<util:get eval="$(des)" edit="emsg1"/>"/><%
       %><AmlInput view="hidden" name="iscmp" value="<util:get eval="$(iscmp)"/>"/><%
   %></AmlForm><%


   %><AmlControlMenu><%
        %><AmlURL action="<util:url file="dayview.jsp" comp="cal"/>"><%
            %><AmlParam name="d" 
                value="<cal:dateformat name="dudt" format="yyyyMMdd"/>"/><%
	%></AmlURL><%
	%><AmlText text="<util:msg name="i18n" key="calhm"/>"/><%
   %></AmlControlMenu><%

    %></AmlPage><%
    %></AmlDocument><%
%></cal:storetask><%

%><%-- succeed and fetch tasks --%><%
%><cal:fetch day="dudt"/><%

%><AmlPage wml_refresh_timeout="3" menu_pos="bottom">
  <AmlURL type="wml_refresh" action="<util:url file="dayview.jsp" comp="cal"/>">
    <AmlParam name="d" value="<cal:dateformat name="dudt" format="yyyyMMdd"/>"/>
  </AmlURL>

  <AmlControlMenu key="accept">
  <AmlURL action="<util:url file="dayview.jsp" comp="cal"/>">
    <AmlParam name="d" value="<cal:dateformat name="dudt" format="yyyyMMdd"/>"/>
  </AmlURL>
  <AmlText text="<util:msg name="i18n" key="calhm"/>"></AmlText>
  </AmlControlMenu>

  <AmlText bold="true" text="<util:msg name="i18n" key="addedTask"/>"></AmlText>

</AmlPage><%
%></AmlDocument>

