<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%>
<%@ page errorPage="/jsp/default/errorpage.jsp" %>
<%@ page session="false" %>
<%@ page import="com.sun.comclient.calendar.RecurrencePattern" %>

<%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %>
<%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %>

<util:nocache/><util:content type="text/html"/>

<cal:context/>
<util:catalog resource="cal" id="i18n" /><%
 String freq = request.getParameter("fr");
 String interval = request.getParameter("in");
 String repeatOn = request.getParameter("ro");
 String repeatUntil = request.getParameter("ru");
 if (( interval != null ) && (interval.equals("0") )){  //this is the case of repeaton 
     interval ="1"; //make it 1 show that it is ignored by JCAPI
	 //In our GUI freq=daily & repeatOn=Weekday/Weekend etc is
	 // type freq=weekly & setByDay=MO,..,FR/SA,SU as par RFC
	 if ( freq.equals(String.valueOf(RecurrencePattern.DAILY))){
	     freq = String.valueOf (RecurrencePattern.WEEKLY);
	 }
 }

%>
<util:session id="new" attribute="new"/>

<cal:component name="new">

<cal:recurrence id="rec" catalog="i18n" frequency="<%=freq%>" interval="<%=interval%>" repeatOn="<%=repeatOn%>" repeatUntil="<%=repeatUntil%>" />

<cal:set id="rec" property="recurrencePattern" />

<%-- forward to next page --%>
<util:if property="event">
    <util:forward file="eventHm.jsp" comp="cal" />
</util:if>
<util:if property="todo">
    <util:forward file="taskHm.jsp" comp="cal" />
</util:if>
</cal:component>
