<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%>
<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="cal" id="i18n" /><%
%><cal:context/><%

	// User selects back link when command fails
	String back = request.getParameter("back");
	

%><%-- set character entity escaping and truncation to 25 characters --%><%
%><%-- truncation is for summary --%><%
%><util:edit id="edit1"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspSummaryLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- set character entity escaping and truncation to 300 characters --%><%
%><%-- truncation is for description --%><%
%><util:edit id="edit2"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspDescLength:300/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><util:edit id="edit3"><%
  %><util:set property="truncation" value="$/SunMobileAppCalendarService:sunMobileAppCalendarJspLocationLength:25/"/><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%


%><%-- Calendar edit fields --%><%
%><util:session id="new" attribute="new"/>
<cal:task name="new"><%


  %><%-- summary --%>
  <util:msg name="i18n" key="title"/>:<br>
  <input type="text" name="sum"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(sum)" edit="edit1"/>"<%

  %><% } else { %><%

    %><util:if property="summary"><%
      %> value="<cal:get  property="summary" edit="edit1"/>"<%
    %></util:if><%

  %><% } %><%

    %>><%
  %><br><%




  %><%-- due date --%>
  <util:msg name="i18n" key="dueStr"/><br>
  <util:msg name="i18n" key="datefmtlabel"/>:<br>
  <input type="text" istyle="4" name="ddate" size="8" maxlength="8"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(ddate)"/>"<%

  %><% } else { %><%

      %><util:if property="dueDate"><%
        %> value="<cal:get id="ddate" property="dueDate"/><%
        %><cal:dateformat name="ddate" format="$[i18n:parsedatefmt]"/>"<%
      %></util:if><%

  %><% } %><%-- end else --%><%

    %>><%
  %><br><%





  %><%-- due time --%>
  <util:msg name="i18n" key="dueTime"/>:<br>
  <input type="text" istyle="4" name="dtime" size="4" maxlength="4"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(dtime)"/>"<%

  %><% } else { %><%

      %><util:if property="dueTime"><%
        %> value="<cal:get id="dtime" property="dueDate"/><%
        %><cal:dateformat name="dtime" format="$[i18n:timefmtedit]"/>"<%
      %></util:if><%

  %><% } %><%

    %>><%
  %><br><%





  %><%-- location --%>
  <util:msg name="i18n" key="location"/>:<br>
    <input type="text" name="loc"<%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %> value="<util:get  eval="$(loc)" edit="edit3"/>"<%

  %><% } else { %><%

    %><util:if property="location"><%
      %> value="<cal:get  property="location" edit="edit3"/>"<%
    %></util:if><%

  %><% } %><%-- end else --%><%

    %>><%
  %><br><%




  %><%-- description --%>
  <util:msg name="i18n" key="details"/>:<br>
    <textarea name="des" rows="4" cols="20"><%

  %><%-- Use postdata --%><%
  %><% if (back != null) { %><%
    %><util:get eval="$(des)" edit="edit2"/><%

  %><% } else { %><%

    %><util:if property="description"><%
      %><cal:get  property="description" edit="edit2"/><%
    %></util:if><%

  %><% } %><%-- end else --%><%

    %></textarea><%
  %><br><%


    %><%-- status choice --%><%
  
    %><util:msg name="i18n" key="cmphdr"/>:<br>

    <% if (back != null) { %><%

        %><% if (request.getParameter("iscmp").equals("1")) { %><%
                %><input type="radio" name="iscmp" value="0" ><%
                    %><util:msg name="i18n" key="ncmp"/><br><%

        %><% }  else { %><%

                %><input type="radio" name="iscmp" value="1" ><%
                    %><util:msg name="i18n" key="cmp"/><br><%
                %><input type="radio" name="iscmp" value="0" checked><%
                    %><util:msg name="i18n" key="ncmp"/><br><%

        %><% } %><%

    %><% } else { %><%

            %><%-- get it from the bean --%><%
            %><util:if property="completed"><%
                %><input type="radio" name="iscmp" value="1" checked><%
                    %><util:msg name="i18n" key="cmp"/><br><%
                %><input type="radio" name="iscmp" value="0"><%
                    %><util:msg name="i18n" key="ncmp"/><br><%
            %></util:if><%

            %><util:ifnot property="completed"><%
                %><input type="radio" name="iscmp" value="1" ><%
                    %><util:msg name="i18n" key="cmp"/><br><%
                %><input type="radio" name="iscmp" value="0" checked><%
                    %><util:msg name="i18n" key="ncmp"/><br><%
            %></util:ifnot><%

    %><% } %><%-- end else --%><%
    %><br><%

%></cal:task>
