<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:content /><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%



%><%-- 
	Rename folder
--%>
<AmlDocument title="<util:msg name="i18n" key="renamefolder"/>">

<%-- Rename folder command --%>

<mail:renamefolder foldername="$(f)" oldname="$(of)" path="$(r)">
<AmlPage menu_pos="bottom">
<%-- back to folders --%><%
%><AmlControlMenu key="accept"><%
%><util:link tagstart="<AmlURL" tagend=">"><%
  %><util:attr attr="action"><%
    %><util:url file="getfolders.jsp" comp="mail"><%
      %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%
    %></util:url><%
  %></util:attr><%
%></util:link><%
%></AmlURL><AmlText text="<util:msg name="i18n" key="folders"/>"></AmlText><%
%></AmlControlMenu>

  <%--
	Fail, new folder already exists
  --%>
  <mail:context>
  <util:if property="errorCode" value="MAIL_003">
    <AmlText text="<util:msg name="i18n" key="MAIL_003"/>"/><AmlBr/>
  </util:if>

  <%--
	Renamed folder not exists
  --%>
  <util:if property="errorCode" value="MAIL_005">
    <AmlText text="<util:msg name="i18n" key="MAIL_005"/>"/><AmlBr/>
  </util:if>
  </mail:context>

  <AmlText text="<util:msg name="i18n" key="renamefail"/>"/>
  </AmlPage>
  </AmlDocument>
</mail:renamefolder>


<%-- success --%>
<AmlPage wml_refresh_timeout="3" menu_pos="bottom">
  <AmlURL type="wml_refresh" action="<util:url file="getfolders.jsp" comp="mail"><util:parm name="r"><util:get eval="$(r)"/></util:parm></util:url>">
  </AmlURL>

<%-- back to folders --%><%
%><AmlControlMenu key="accept"><%
%><util:link tagstart="<AmlURL" tagend=">"><%
  %><util:attr attr="action"><%
    %><util:url file="getfolders.jsp" comp="mail"><%
      %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%
    %></util:url><%
  %></util:attr><%
%></util:link><%
%></AmlURL><AmlText text="<util:msg name="i18n" key="folders"/>"></AmlText><%
%></AmlControlMenu>

<AmlText text="<util:msg name="i18n" key="renamed"/>"/>
</AmlPage>
</AmlDocument>

