<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_ab.tld" prefix="ab" %><%


%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%

%><%--
       Make sure we have address book configured. If not, just
       forward to compose ui.
--%><%
%><ab:context test="false"><%
  %><%-- need to create an empty message object --%><%
  %><mail:message id="newmsg"/><%
  %><util:session name="newmsg" attribute="pickaddr"/><%
  %><util:forward file="compose.jsp" comp="mail"/><%
%></ab:context><%

%><%-- set multivalue parameter seperator --%><%
%><util:context><%
  %><util:set property="parmDelimiter" value=","/><%
%></util:context><%

%><%-- 
           Action       Action      Action
Variable   1st time     Submit      More
--------   ---------    --------    --------
submit     null         != null     null
more       null         null        != null
start      n/a          n/a         next "chunk" index

--%><% 

%><%--
    check for first time here, if yes then fetch the entire address 
    book. also create a message object to store addresses in the session 
    so email can be appended without increasing the url.
--%><%
%><% if ((request.getParameter("more") == null) &&  
         (request.getParameter("submit") == null)) { %><%

     %><%-- create a message object to store addresses --%><%
     %><mail:message id="newmsg"/><%
     %><util:session name="newmsg" attribute="pickaddr"/><%

     %><%-- fetch entire address book --%><%
     %><ab:fetch any="*" elementtype="contact"/><%
     %><ab:context><%

       %><%-- check for an empty address book --%><%
       %><util:if property="entriesEmpty"><%
         %><util:forward file="compose.jsp" comp="mail"/>
      %></util:if><%
      %></ab:context><%


%><% } else { %><%

    %><%--
        Get the message object from session and set the "to" field.
        The to field is the value in the object plus more email addresses
        from the url argument ${to}.
    --%><%
    %><util:session id="newmsg" attribute="pickaddr"/><%
    %><mail:message name="newmsg"><%
      %><mail:set property="to" value="${newmsg:to} $(to)"/><%
    %></mail:message><%

    %><% if (request.getParameter("submit") != null) { %><%
      %><util:forward file="compose.jsp" comp="mail"/><%
    %><% } %><%

%><% } %><%

%><%-- set character entity escaping --%><%
%><util:edit id="emsg1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- List Address Book entries for compose --%>
<html>
  <title><util:msg name="i18n" key="pickaddr"/></title>
<body>
<div align="center"><util:msg name="i18n" key="pickaddr"/></div><%
%>
<util:link tagstart="<form " tagend=">"><%
  %><util:attr attr="name">addressPickForm</util:attr><%
  %><util:attr attr="action"><%
    %><util:url file="pickaddr.jsp" comp="mail"><%
    %></util:url><%
  %></util:attr><%
  %><util:attr attr="method">post</util:attr><%
%></util:link><%
 
  %><ab:entries id="ablist"><%
    %><ab:set property="start" value="$(start)"/><%
    %><ab:set property="count" value="$/SunMobileAppABService:sunMobileAppABJspAbNumLines:9/"/><%
  %></ab:entries><%

  %><%-- address book email checkboxes --%><%
  %><ab:entries name="ablist" iterate="true"><%
    %><ab:entry><%
    %><util:if property="em"><%
      %><input type="checkbox" name="to" value="<ab:get property="em" edit="emsg1"/>"><%
      %><ab:get property="em" edit="emsg1"/><br><%
    %></util:if><%
    %></ab:entry><%
  %></ab:entries><%

  %><%-- button for next page or more --%><%
  %><ab:entries name="ablist"><%
    %><util:if property="nextPage"><%
      %><util:link tagstart="<input " tagend=">"><%
        %><util:attr attr="type">hidden</util:attr><%
        %><util:attr attr="name">start</util:attr><%
        %><util:attr attr="value"><util:get property="nextStart"/></util:attr><%
      %></util:link><%
      %><input type="submit" name="more" value="<util:msg name="i18n" key="more"/>"><br><%
    %></util:if><%
  %></ab:entries><%


%><%-- pass action type, "act",  and message id, "mid" to compose.jsp --%>
<input type="hidden" name="act" value="<util:get eval="$(act)"/>">
<input type="hidden" name="mid" value="<util:get eval="$(mid)"/>">
<input type="submit" name="submit" value="<util:msg name="i18n" key="done"/>">
</form>

</body>
</html>
