<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%

%><%-- fetch messages --%><%
%><mail:fetch collection="messages" id="INBOX" sb="inbox" sd="down"/><%

%><%-- Mail Summary (Home) --%>
<html>
  <title><util:msg name="i18n" key="mailtitle"/></title>
<body><%
%><%-- 
    number of messages in the inbox 
    number of unread messages in the inbox 

--%>
<mail:context>
  <mail:get property="numMsgs"/>
  <util:msg name="i18n" key="total"/><br>
  <mail:get property="numUnreadMsgs"/>
  <util:msg name="i18n" key="unread"/><br>

  <p></p><%

  %><%-- inbox --%>
    <util:link tagstart="<a" tagend=">"><%
      %><util:attr attr="href"><%
      %><util:url file="doInbox.jsp" comp="mail"><%
      %></util:url><%
      %></util:attr><%
    %></util:link><%
    %><util:msg name="i18n" key="inbox"/>...</a><br><%
%></mail:context><%

%><%-- compose --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="pickaddr.jsp" comp="mail"><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="compose"/>...</a><br><%


%><%-- Folders --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="getfolders.jsp" comp="mail"><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="folders"/>...</a><br><%


%><%-- Views 
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="views.jsp" comp="mail"><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="views"/>...</a><br><%
--%><%

%><%-- POP3 Collections --%><%
%><mail:context><%
%><util:ifnot property="popEmpty"><%
  %><util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url file="pop.jsp" comp="mail"><%
    %></util:url><%
    %></util:attr><%
  %></util:link><%
%><util:msg name="i18n" key="collections"/>...</a><br><%
%></util:ifnot><%
%></mail:context><%


%><%-- portal home --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url path="/portal/dt"/><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="portalhome"/>...</a>
</body>
</html>
