<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><util:nocache/><util:content type="text/plain" /><%
%><?xml version="1.0"?>
<util:include file="docTypeDeclaration.jsp" comp="common"/>

<%-- 
  Copyright 2003 Sun Microsystems, Inc. All Rights Reserved.
  Use is subject to license terms.
--%>

<%--
  This is the place where we should be retreiving different types of
  mail messages.
  
  Input parameters:
    JSP:
      msgType - Type of messages which need to be gotten

  Output parameters:
    VoiceXML:
      numMsgs - Number of messages of the requested type

  Application root document:
    mailRoot.jsp

  Invoked by:
    mailMessages.jsp
--%>

<mail:context/>

<mail:voiceview viewname="$(msgType)"/>
<mail:fetch collection="messages" id="INBOX" sb="date" sd="down"/>

<vxml version="2.0" application="<util:url file="dialogs/mailRoot.jsp" comp="mail"/>">

  <mail:messages id="mgs">
    <var name="numMsgs" expr="<mail:get property="count"/>"/>
  </mail:messages>
  
  <%-- All the work is done by the JSP portion of the page, so just return --%>
  <form id="main">
    <block>
      <goto next="#go_back_to_caller"/>
    </block>
  </form>

  <form id="go_back_to_caller">
    <block>
      <return namelist="numMsgs"/>
    </block>
  </form>
</vxml>

