<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><util:nocache/><util:content type="text/plain" /><%
%><?xml version="1.0"?>
<util:include file="docTypeDeclaration.jsp" comp="common"/>

<%-- 
  Copyright 2003 Sun Microsystems, Inc. All Rights Reserved.
  Use is subject to license terms.
--%>

<%--
  The purpose of the getMailSummary.jsp is to give summary of the 
  information.

  This dialog must be invoked as the result of a <subdialog> tag and must
  perform a <return> upon completion.

  Input parameters:

  Output parameters:
    VoiceXML:
      numRead       - Number of read   messages
      numUnread     - Number of unread messages
      numUserUnread - Number of unread messages addressed to this user

  Application root document:
    mailRoot.jsp

  Invoked by:
    mailApp.jsp
--%>

<vxml version="2.0" application="<util:url file="dialogs/mailRoot.jsp" comp="mail"/>">

  <%-- document functions --%>

  <%-- document variables --%>
  <mail:context>
    <%-- the total number of messages --%>
    <var name="numMsgs" expr="<mail:get property="inboxNumMsgs"/>" />

    <%-- the number of "new" or previously unread messages --%>
    <var name="numUnread" expr="<mail:get property="inboxNumUnreadMsgs"/>" />

    <%-- the number of "old" or previously read messages --%>
    <var name="numRead" expr="numMsgs - numUnread" />

    <%-- the number of unread address to user --%>
    <var name="numUserUnread" expr="<mail:get property="inboxNumUnreadAddrToMeMsgs"/>" />
  </mail:context>

  <%-- Entry point into this --%>
  <form id="main">
    <block>
      <goto next="#dialog_done"/>
    </block>
  </form>
	        
  <%-- Return from this subdialog --%>
  <form id="dialog_done">
    <block>
      <return namelist="numRead numUnread numUserUnread"/>
    </block>
  </form>
</vxml>

