<%@ page session="false" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><util:content type="text/plain"/><%
%><?xml version="1.0"?>
<util:include file="docTypeDeclaration.jsp" comp="common"/>

<%--
  Copyright 2003 Sun Microsystems, Inc. All Rights Reserved.
  Use is subject to license terms.
--%>

<%--
  Application root document for mail voicelet. This contains application 
  scoped variables and functions.
--%>

<vxml version="2.0">
  <%-- application variables --%>
  <var name="prompt_root" expr="'/voice/en_US/prompts'"/>
  <var name="persona"     expr="'gary'"/>

  <%-- should combine prompt_root and persona to form this --%>
  <var name="prompt_path" expr="prompt_root + '/' + persona + '/'"/>

  <%-- global grammar --%>

  <link event="goMainMenu">
    <grammar>
      [ ( main menu ) ]
    </grammar>
  </link>

  <link event="goMailMenu">
    <grammar>
      [ ( e-mail menu ) ]
    </grammar>
  </link>

  <link event="goCancel">
    <grammar>
      [ ( cancel ) ]
    </grammar>
  </link>

  <link event="goStop">
    <grammar>
      [ ( stop ) ]
    </grammar>
  </link>
</vxml>

