<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><util:nocache/><util:content type="text/plain" /><%
%><?xml version="1.0"?>
<util:include file="docTypeDeclaration.jsp" comp="common"/>

<%-- 
  Copyright 2003 Sun Microsystems, Inc. All Rights Reserved.
  Use is subject to license terms.
--%>

<%--
  The purpose of the summary.jsp is to call launchVoicelet.jsp
  with right parameters.

  Application root document:
    mailRoot.jsp

  Invoked by:
    launchMail.jsp
--%>

<vxml version="2.0" application="<util:url file="dialogs/mailRoot.jsp" comp="mail"/>">

  <!-- document functions -->

  <!-- document variables -->
	
  <!-- main page entry point -->
  <form id="main">
    <%-- subdialog parameters --%>
    <var name="p_root"/>
    <var name="p_persona"/>

    <block>
      <%-- The following needs to be done only once per application --%>
      <assign name="prompt_root" expr="p_root"/>
      <assign name="persona"     expr="p_persona"/>
    </block>

    <subdialog name="launch_voicelet" 
               src="<util:url path="<%= request.getContextPath() + \"/jsp/default/launchVoicelet.jsp\" %>"><%
                      %><util:parm name="action">load</util:parm><%
                      %><util:parm name="comp">mail</util:parm><%
                    %></util:url>">
      <param name="p_root"    expr="prompt_root"/>
      <param name="p_persona" expr="persona"/>

      <filled>
        <goto next="#go_back_to_caller"/>
      </filled>
    </subdialog>
  </form>

  <form id="go_back_to_caller">
    <block>
      <return/>
    </block>
  </form>
</vxml>

