<!-- JSPTableContainerProvider/table.jsp -->
<%--
FIX - might want to include: layout=4: thin-thin-thin
--%>
<%@ page session="false"%><%

%><%@ page import="
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
com.sun.portal.providers.context.ProviderContext,
java.util.List"
%><%

%><%@ taglib uri="/tld/desktop.tld" prefix="dt"%><%
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"%><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"%><%
%><%@ taglib uri="/tld/desktopTable.tld" prefix="dttable"%><%
%><%@ taglib uri="/tld/i18n.tld" prefix="i18n"%><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx"%><%

%><dt:obtainContainer container="$JSPProvider">
    <i18n:setBundle baseName="CommunitySamplePortal" var="CommunitySamplePortalRB"/>
    <jx:declare id="CommunitySamplePortalRB" type="java.util.ResourceBundle"/>

    <dttable:tableContainerProvider>

        <dtpc:getIntegerProperty key="layout" id="layout"/>
	<jx:declare id="layout" type="Integer"/>
        <dt:getName id="containerName" scope="request"/>
        <dttable:getContent id="contentMap" scope="request"/>
        <dttable:isPopup id="isPopup"/>

        <jx:choose>

            <%-- 
            01. check to see if the channel is displayed in a new window or detached.  if 
            the channel is detached, then process the channel content via popupChannel.jsp
            --%>

            <jx:when test="$isPopup == true">
                <jsp:include page="popupChannel.jsp" flush="true"/>
            </jx:when>

            <%-- 
            02. check to see if the channel is a full window channel or maximized.  if the 
            channel is maximized, then process the channel content via tableFullWindow.jsp
            --%>

            <jx:otherwise>

                <jsp:include page="launchPopup.jsp" flush="true"/>
                <dtpc:getStringProperty key="maximizedChannel" id="maximizedChannel" scope="request"/>
                <dt:getSelectedChannels id="selectedChannel"/>

                <%
                List   selectedChannels = (List)pageContext.getAttribute("selectedChannel");
                String maximizedChannel = (String)pageContext.getAttribute("maximizedChannel", PageContext.REQUEST_SCOPE);

                if (!selectedChannels.contains(maximizedChannel)) {
                    maximizedChannel = "";
                    pageContext.setAttribute("maximizedChannel", maximizedChannel);
                }

                Boolean hasMaximizedChannel = new Boolean(maximizedChannel != null && maximizedChannel.length() != 0);
                pageContext.setAttribute("hasMaximizedChannel", hasMaximizedChannel, PageContext.REQUEST_SCOPE);
                %>

                <jx:choose>

                    <jx:when test="$hasMaximizedChannel == true">
                        <jsp:include page="tableFullWindow.jsp" flush="true"/>
                    </jx:when>

                    <%-- 
                    03. otherwise, display all channels
                    --%>

                    <jx:otherwise>

<div id="tablecontainer"><!-- start tablecontainer -->
<table cellpadding="0" cellspacing="0" border="0" title="" width="100%">
<tr>

  <% if (layout.intValue() == 1) { %>
  <!-- thin-thick -->
  <td valign="top" width="30%">
    <dttable:getColumns id="channels" column="left" scope="request"/>
    <jsp:include page="column.jsp" flush="true">
    <jsp:param name="columnName" value="left"/>
    </jsp:include>
  </td>
  <td valign="top">
    <img src="<dt:scontent/>/community/images/desktop/spacer.gif" alt="" width="20" height="1">
  </td>
  <td valign="top" width="*">
    <dttable:getColumns id="channels" column="right" scope="request"/>
    <jsp:include page="column.jsp" flush="true">
    <jsp:param name="columnName" value="right"/>
    </jsp:include>
  </td>

  <% } else if (layout.intValue() == 2) { %>
  <!-- thick-thin -->
  <td valign="top" width="*">
    <dttable:getColumns id="channels" column="left" scope="request"/>
    <jsp:include page="column.jsp" flush="true">
      <jsp:param name="columnName" value="left"/>
    </jsp:include>
  </td>
  <td valign="top">
    <img src="<dt:scontent/>/community/images/desktop/spacer.gif" alt="" width="20" height="1">
  </td>
  <td valign="top" width="30%">
    <dttable:getColumns id="channels" column="right" scope="request"/>
    <jsp:include page="column.jsp" flush="true">
      <jsp:param name="columnName" value="right"/>
    </jsp:include>
  </td>

  <% } else if (layout.intValue() == 3) { %>
  <!-- thin-thick-thin -->
  <td valign="top" width="30%">
    <dttable:getColumns id="channels" column="left" scope="request"/>
    <jsp:include page="column.jsp" flush="true">
      <jsp:param name="columnName" value="left"/>
    </jsp:include>
  </td>
  <td valign="top">
    <img src="<dt:scontent/>/community/images/desktop/spacer.gif" alt="" width="10" height="1">
  </td>
  <td valign="top" width="*">
    <dttable:getColumns id="channels" column="center" scope="request"/>
    <jsp:include page="column.jsp" flush="true">
      <jsp:param name="columnName" value="center"/>
    </jsp:include>
  </td>
  <td valign="top">
    <img src="<dt:scontent/>/community/images/desktop/spacer.gif" alt="" width="10" height="1">
  </td>
  <td valign="top" width="30%">
    <dttable:getColumns id="channels" column="right" scope="request"/>
    <jsp:include page="column.jsp" flush="true">
      <jsp:param name="columnName" value="right"/>
    </jsp:include>
  </td>
  <% } %>

</tr>
</table>
</div><!-- end tablecontainer -->
                    </jx:otherwise>
                    <script type="text/javascript">
                        if (window.menus) {
                            var lm = window.menus[window.menus.length-1];
                            lm.writeMenus();
                        }
                    </script>
                    <noscript>
                      <span id="javascript_noscript"><i18n:message key="javascript_noscript" bundle="CommunitySamplePortalRB"/></span>
                    </noscript>
                </jx:choose>
            </jx:otherwise>
        </jx:choose>
    </dttable:tableContainerProvider>
</dt:obtainContainer>
