<%@ page import="
com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
com.sun.portal.providers.Provider,
com.sun.portal.providers.ProviderWidths,
com.sun.portal.providers.util.PropertyUtil,
com.sun.portal.providers.containers.jsp.tab.UnmodifiableTab,
com.sun.portal.providers.containers.jsp.tab.JSPTabContainerProvider,
com.sun.portal.providers.containers.jsp.menu.JSPMenuContainerProvider,
java.util.Map,
java.util.Iterator,
java.util.Collections,
java.util.List,
java.util.ArrayList"
%><%

%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"
%><%@ taglib uri="/tld/desktop.tld" prefix="dt"
%><%@ taglib uri="/tld/i18n.tld" prefix="i18n"
%><%@ taglib uri="/tld/jx.tld" prefix="jx"
%>

<dt:obtainContainer container="$JSPProvider">
<i18n:setBundle baseName="CommunitySamplePortal" var="CommunitySamplePortalRB"/>
<jx:declare id="CommunitySamplePortalRB" type="java.util.ResourceBundle"/>

<%!
String unavailable = null;
%>

<%!
public String getFormattedTableContainerRows(JSPTableContainerProvider tcp, HttpServletRequest request) {

  StringBuffer buf = new StringBuffer();
  List availableChannels = null;
  List selectedChannels = null;
  Map channelsRemovable = null;
  boolean defaultIsRemovable = false;

  try {
    availableChannels = (List)tcp.getAvailableChannels();
    selectedChannels = (List)tcp.getSelectedChannels();
    channelsRemovable = tcp.getProviderContext().getCollectionProperty(tcp.getName(), "channelsIsRemovable");
    defaultIsRemovable = tcp.getProviderContext().getBooleanProperty(tcp.getName(), "defaultChannelIsRemovable");
  } catch (Exception e) { }

  if (availableChannels != null && selectedChannels != null) {
    Iterator itr = availableChannels.iterator();
    while (itr.hasNext()) {
      String channel = (String)itr.next();
      if (!PropertyUtil.getBooleanValueFromMap(channelsRemovable, channel, defaultIsRemovable)) {
        continue;
      }
      Provider p =null;
      try {
        p = tcp.getContainerProviderContext().getProvider(request,tcp.getName(),channel);
        if (p != null ) {
          String checked = (selectedChannels.contains(channel)) ? " checked " : "";
          String title = p.getTitle();
          String description = (p.getDescription() != null && !p.getDescription().equals("")) ? p.getDescription() : unavailable;
          if (title != null) {
            buf
            .append("<tr>")
            .append("<td nowrap valign=\"bottom\">")
            .append("<input id=\"")
            .append(channel)
            .append("\" type=\"checkbox\" name=\"")
            .append(channel)
            .append("\" value=\"1\"")
            .append(checked)
            .append(">")
            .append(title)
            .append("</td><td><img src=\"<dt:scontent/>/community/images/desktop/spacer.gif\" alt=\"\" width=\"20\" height=\"1\"></td><td nowrap valign=\"bottom\"><i>")
            .append("<label for=\"")
            .append(channel)
            .append("\">")
            .append(description)
            .append("</label>")
            .append("</i></td></tr>");
          }
        }
      } catch (Exception e) {
      }
    }
  }
  return buf.toString();
}
%><%

%><%!
public String getFormattedMenuContainerRows(JSPMenuContainerProvider mcp, HttpServletRequest request) {

  StringBuffer buf = new StringBuffer();
  List availableChannels = null;
  List selectedChannels = null;
  String startTab = "";

  try {
    availableChannels = (List)mcp.getAvailableChannels();
    selectedChannels = (List)mcp.getSelectedChannels();
    //startTab = mcp.getProviderContext().getStringProperty(mcp.getName(), "startTab");
    startTab =  mcp.getStartTabName();

    // buf.append("startTab="+startTab+"<br />");
    // buf.append("selectedChannels="+selectedChannels+"<br />");
  } catch (Exception e) { }

  if (availableChannels != null && selectedChannels != null) {
    Iterator itr = availableChannels.iterator();
    while (itr.hasNext()) {
      String channel = (String)itr.next();
      /*
      if (channel.equals(startTab)) {
        continue;
      }
      */
      Provider p =null;
      try {
        p = mcp.getContainerProviderContext().getProvider(request,mcp.getName(),channel);
        if (p != null ) {
          String checked = (selectedChannels.contains(channel)) ? " checked " : "";
          String title = p.getTitle();
          String description = (p.getDescription() != null && !p.getDescription().equals("")) ? p.getDescription() : unavailable;
          if (title != null) {
            buf
            .append("<tr>")
            .append("<td nowrap valign=\"bottom\">")
            .append("<input id=\"")
            .append(channel)
            .append("\" type=\"checkbox\" name=\"")
            .append(channel)
            .append("\" value=\"1\"")
            .append(checked)
            .append(">")
            .append(title)
            .append("</td><td><img src=\"<dt:scontent/>/community/images/desktop/spacer.gif\" alt=\"\" width=\"20\" height=\"1\"></td><td nowrap valign=\"bottom\"><i>")
            .append("<label for=\"")
            .append(channel)
            .append("\">")
            .append(description)
            .append("</label>")
            .append("</i></td></tr>");
          }
        }
      } catch (Exception e) {
      }
    }
  }
  return buf.toString();
}
%><% 
JSPTableContainerProvider tcp = (JSPTableContainerProvider) pageContext.getAttribute( "tableProvider", PageContext.REQUEST_SCOPE); 
JSPMenuContainerProvider mcp = (JSPMenuContainerProvider) pageContext.getAttribute( "menuProvider", PageContext.REQUEST_SCOPE); 
unavailable = (String)CommunitySamplePortalRB.getString("unavailable");
%>
<tr>
    <td><img src="<dt:scontent/>/community/images/desktop/spacer.gif" alt="" width="1" height="5"></td>
</tr>
<tr>
    <td>
        <table cellspacing="4" cellpadding="0" border="0">
            <tr>
                <td align="left" class="prefscontainer-columnheader"><i18n:message key="title" bundle="CommunitySamplePortalRB"/></td>
                <td><img src="<dt:scontent/>/community/images/desktop/spacer.gif" alt="" width="20" height="1"></td>
                <td align="left" class="columnheader"><i18n:message key="description" bundle="CommunitySamplePortalRB"/></td>
            </tr>
            <%
            if (tcp != null) {
                out.println(getFormattedTableContainerRows(tcp,request));
            } else if (mcp != null) {
                out.println(getFormattedMenuContainerRows(mcp,request));
            }
            %> 
        </table>
    </td>
</tr>
</dt:obtainContainer>
