<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
com.sun.portal.providers.containers.jsp.tab.UnmodifiableTab,
com.sun.portal.providers.containers.jsp.tab.JSPTabContainerProvider,
com.sun.portal.providers.containers.jsp.menu.JSPMenuContainerProvider,
com.sun.portal.providers.Provider,
com.sun.portal.providers.util.Layout,
java.net.URL,
java.net.MalformedURLException,
java.util.List,
java.util.Iterator,
java.util.ArrayList"
%>

<%!
public void setTableContainerChannels(String container, JSPTableContainerProvider tcp, JSPSingleContainerProvider scp, HttpServletRequest request,  HttpServletResponse response) throws Exception {

  String layoutstring = request.getParameter("layout");
  int savedlayout = tcp.getLayout();
  int layout = Integer.parseInt(layoutstring);
  String provider = request.getParameter("provider");
  String selectedTabName = request.getParameter("selected");
  if (selectedTabName != null) {
    selectedTabName = scp.getProviderContext().encodeURLParameter(selectedTabName);
  }

  if (layout != savedlayout) {
    tcp.setLayout(layout);
    URL url = null;
    try {
      if (selectedTabName != null) {
        url = new URL(scp.getProviderContext().getDesktopURL(request) + "?action=edit&provider="+provider+"&container=" + container + "&selected=" + selectedTabName);
      } else {
        url = new URL(scp.getProviderContext().getDesktopURL(request) + "?action=edit&provider="+provider+"&container=" + container );
      }
    } catch (MalformedURLException me) {
      response.sendRedirect(scp.getProviderContext().getDesktopURL(request));
    }
    response.sendRedirect(url.toString());
  } 

  String layoutIDString = request.getParameter("layoutID");

  if (layoutIDString != null) {

    List providerOrder = new ArrayList();
    Integer layoutID = Integer.valueOf( layoutIDString );
    String[] one = (String[])request.getParameterValues("one");
    String[] two = (String[])request.getParameterValues("two");
    String[] three = (String[])request.getParameterValues("three");
    String[] fulltop = (String[])request.getParameterValues("fulltop");
    String[] fullbottom = (String[])request.getParameterValues("fullbottom");
         
    if (one != null) {
      for (int i = 0; i < one.length; i++) {
        if (one[i].equals(".none") || one[i].equals("spacer")) {
          continue;
        }
        tcp.setColumn(request, one[i], 1);
        tcp.setRow(request, one[i], i+1);
        providerOrder.add( one[i] );
      }
    }
         
    if (two != null) {
      for (int i = 0; i < two.length; i++) {
        if (two[i].equals(".none") || two[i].equals("spacer")) {
          continue;
        }
        tcp.setColumn(request, two[i], 2);
        tcp.setRow(request, two[i], i+1);
        providerOrder.add(two[i]);
      }
    }
         
    if (three != null) {
      for (int i = 0; i < three.length; i++) {
        if (three[i].equals(".none") || three[i].equals("spacer")) {
          continue;
        }
        tcp.setColumn(request, three[i], 3);
        tcp.setRow(request, three[i], i+1);
        providerOrder.add( three[i] );
      }
    }
         
    if (fulltop != null) {
      for (int i = 0; i < fulltop.length; i++) {
        if (fulltop[i].equals(".none") || fulltop[i].equals("spacer")) {
          continue;
        }
        tcp.setRow(request, fulltop[i], i+1);
        providerOrder.add( fulltop[i] );
      }
    }
         
    if (fullbottom != null) {
      for (int i = 0; i < fullbottom.length; i++) {
        if (fullbottom[i].equals(".none") || fullbottom[i].equals("spacer")) {
          continue;
        }
        tcp.setRow(request, fullbottom[i], i+1);
        providerOrder.add( fullbottom[i] );
      }
    }
       
    List selectedChannels = tcp.getSelectedChannels();
       
    for (Iterator i = selectedChannels.iterator(); i.hasNext(); ) {
      String providerName = (String)i.next();
      if (!providerOrder.contains(providerName)) {
        providerOrder.add(providerName);
      }
    }
    tcp.setSelectedChannels(providerOrder);
  }
}
%>

<%!
public void setMenuContainerChannels(String container, JSPMenuContainerProvider mcp, HttpServletRequest request) throws Exception {

    List providerOrder = new ArrayList();
    String[] one = (String[])request.getParameterValues("one");
    if (one != null) {
      for (int i = 0; i < one.length; i++) {
        if (one[i].equals(".none") || one[i].equals("spacer")) {
          continue;
        }
        /* mcp.setRow(request, one[i], i+1);*/
        providerOrder.add( one[i] );
      }

      mcp.setSelectedChannels(providerOrder);
    }
    /*
    List selectedChannels = mcp.getSelectedChannels();
       
    for (Iterator i = selectedChannels.iterator(); i.hasNext(); ) {
      String providerName = (String)i.next();
      if (!providerOrder.contains(providerName)) {
        providerOrder.add(providerName);
      }
    }
    */
}
%>

<%
 /*
  * These are constants shared by content and process jsps and
  * refer to the state of the processing (saving) of page prefs
  */
String COMPLETE = "complete";
String INCOMPLETE = "incomplete";
String ERROR = "error";

String container = (String)request.getParameter("container");
JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
String parentContainerProvider = scp.getProviderContext().getProviderName(container);

JSPTableContainerProvider tcp = null;
JSPMenuContainerProvider mcp = null; 

if (parentContainerProvider.equals("JSPTableContainerProvider")) {
    tcp = (JSPTableContainerProvider)scp.getContainerProviderContext().getProvider(request, scp.getName(), container);
    setTableContainerChannels(container, tcp, scp, request, response);
} else if (parentContainerProvider.equals("JSPMenuContainerProvider")) {
    mcp = (JSPMenuContainerProvider)scp.getContainerProviderContext().getProvider(request, scp.getName(), container);
    setMenuContainerChannels(container, mcp, request);
}
session.setAttribute("pagePrefsState", COMPLETE);
%> 
