<%@ include file="js/arrangeProvider.js" %>
<%@ include file="js/performSubstitution.js" %>
<%@ include file="js/performColumnSubstitution.js" %>
<%@ include file="js/switchColumns.js" %>
<%@ include file="js/detectCheckedRadioButton.js" %>

<dt:obtainContainer container="$tcp">
  <dttable:tableContainerProvider>

    <dtpc:getIntegerProperty key="layout" id="layout"/>
    <dttable:getColumns id="leftColumn" column="left"/>
    <dttable:getColumns id="rightColumn" column="right"/>
    <dttable:getColumns id="centerColumn" column="center"/>
    <dttable:getColumns id="top" column="top"/>
    <dttable:getColumns id="bottom" column="bottom"/>
    <jx:declare id="top" type="List"/>
    <jx:declare id="bottom" type="List"/>
    <jx:declare id="layout" type="Integer"/>

    <jx:set var="topSize">
    <%=top.size()%>
    </jx:set>

    <jx:set var="bottomSize">
    <%=bottom.size()%>
    </jx:set>

   <%
   String layoutOneChecked = "";
   String layoutTwoChecked = "";
   String layoutThreeChecked = "";
   %>

   <jx:choose>
     <jx:when test="$layout == 1">
       <% layoutOneChecked = "checked"; %>
     </jx:when>
     <jx:when test="$layout == 2">
       <% layoutTwoChecked = "checked"; %>
     </jx:when>
     <jx:when test="$layout == 3">
       <% layoutThreeChecked = "checked"; %>
     </jx:when>
   </jx:choose>

  <tr>
    <td align="center">
      <jx:choose>
        <jx:when test="$layout == 1">
          <%@ include file="layout1.jsp" %>
        </jx:when>
        <jx:when test="$layout == 2">
          <%@ include file="layout2.jsp" %>
        </jx:when>
        <jx:when test="$layout == 3">
          <%@ include file="layout3.jsp" %>
        </jx:when>
      </jx:choose>
    </td>
 <tr>

  </dttable:tableContainerProvider>
</dt:obtainContainer>
