<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)psSearch.jsp --%>
<%@ page import="java.util.*,
                 com.iplanet.sso.SSOTokenManager,
		 com.iplanet.sso.SSOToken, 
		 com.iplanet.am.sdk.AMStoreConnection, 
		 com.iplanet.sso.SSOException,
		 com.iplanet.am.sdk.AMUser,
		 com.sun.portal.providers.ProviderAdapter,
		 com.sun.portal.subscriptions.util.Utils" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>


<%
boolean checkForSubsSvc = true;
try {
	if (pageContext.getAttribute("displaySubscription",PageContext.SESSION_SCOPE) != null) {
		checkForSubsSvc = false;
	}
} catch (Exception e) { }

if (checkForSubsSvc) {
String portalId=Utils.getPortalId();
try {
    SSOTokenManager mgr = SSOTokenManager.getInstance(); 
    SSOToken token = mgr.createSSOToken(request);
    if (token !=null) {
        AMStoreConnection amstore = new AMStoreConnection(token);
        AMUser user = amstore.getUser(token.getPrincipal().getName() );
        boolean subscriptionsService = user.getAssignedServices().contains("SunPortal"+portalId+"SubscriptionsService");
        if ((user != null) && (subscriptionsService != false)) {
            pageContext.setAttribute("displaySubscription", "true", PageContext.SESSION_SCOPE);
        } else {
            pageContext.setAttribute("displaySubscription", "false", PageContext.SESSION_SCOPE);
        }
    } else {
        pageContext.setAttribute("displaySubscription", "false", PageContext.SESSION_SCOPE);
    }
} catch (Exception e) {
    // failed to get token or AMUser, anayway means not subscription allowed
    pageContext.setAttribute("displaySubscription", "false", PageContext.SESSION_SCOPE);
}
}%>
<dt:obtainChannel channel="$JSPProvider">
   <dt:getName id="channelName" scope="request"/>
   <jx:declare id="channelName" type="java.lang.String"/>
   <dtpc:providerContext>
	<!-- set the desktop theme variables --> 
	<dttheme:getAttribute name="bgColor" id="tBgColor" scope="request"/> 
	<dttheme:getAttribute name="titleBarColor" id="tTitleBarColor" scope="request"/> 
	<dttheme:getAttribute name="titleFontColor" id="tTitleFontColor" default="#000000" scope="request"/> 
	<dttheme:getAttribute name="fontColor" id="tFontColor" scope="request"/> 
	<dttheme:getAttribute name="borderColor" id="tBorderColor" scope="request"/> 
	<dttheme:getAttribute name="fontFace" id="tFontFace" scope="request"/> 
	<dttheme:getAttribute name="borderWidth" id="tBorderWidth" scope="request"/> 

	<%-- search channel properties --%>
	<dtpc:getLocalePropertiesFilters id="localeFilter"/>
	<dtpc:getStringProperty key="defaultMode" id="defaultMode" scope="request"/> 
	<dtpc:getStringProperty key="searchServer" id="searchServer" scope="request"/>
        <%    
        try {   // maintain backward compatible
        %><dtpc:getCollectionProperty key="availableDatabases" id="availableDatabases" pfList="$localeFilter" scope="request"/>
        <% } catch (Exception e) {} %>

        <% try { %>
            <dtpc:getStringProperty key="discussionChannel" id="discussionChannel" scope="request"/>
        <% } catch (Exception e) {
            pageContext.setAttribute("discussionChannel", "Discussions",PageContext.REQUEST_SCOPE);
        } %>

        <% try { %>
            <dtpc:getStringProperty key="subscriptionChannel" id="subscriptionChannel" scope="request"/>
        <%  pageContext.setAttribute("containerName","",PageContext.REQUEST_SCOPE);
        } catch (Exception e) {
            pageContext.setAttribute("subscriptionChannel", "Subscriptions",PageContext.REQUEST_SCOPE);
            pageContext.setAttribute("containerName","SearchTabPanelContainer",PageContext.REQUEST_SCOPE);
        } %>
	<dtpc:getIntegerProperty key="viewHits" id="hitNumber" scope="request"/> 
	<dtpc:getBooleanProperty key="categorySearch" id="categorySearch" scope="request"/> 
	<dtpc:getSessionID id="accessToken" scope="request"/>
	<dtpc:getLocale id="locale" scope="request"/>

	<%
	Map desktopArgsMap = new HashMap();
	Enumeration params = request.getParameterNames();
	while (  params.hasMoreElements() ) {
	    String paramKey = (String)params.nextElement(); 
	    String paramValue = request.getParameter(paramKey); 
	    if ((!paramKey.equalsIgnoreCase("mode")) &&
		(!paramKey.equalsIgnoreCase("browseCategory")) &&
		(!paramKey.equalsIgnoreCase("scope")) &&
		(!paramKey.equalsIgnoreCase("database")) &&
		(!paramKey.equalsIgnoreCase("page")) &&
		(!paramKey.equalsIgnoreCase("description")) &&
		(!paramKey.equalsIgnoreCase("targetprovider")) &&
		(!paramKey.equalsIgnoreCase("action")) &&
		(!paramKey.equalsIgnoreCase("scat")))
		desktopArgsMap.put(paramKey, paramValue); 
	} 
	desktopArgsMap.put("targetprovider",channelName);
	desktopArgsMap.put("action","content");
	pageContext.setAttribute("desktopArgs", desktopArgsMap); 
	%> 
	<dtpc:getDesktopURL id="dpSearchChannelUrl" pathinfo="$desktopArgs" scope="request"/>
        <%
        Map pathInfo = new HashMap();
	pathInfo.put("action", "content");
	pathInfo.put("provider", "JSPDynamicSingleContainer");
	pathInfo.put("JSPDynamicSingleContainer.selectedChannel", (String)pageContext.findAttribute("discussionChannel"));
	pathInfo.put("last", "false");
	pageContext.setAttribute("pathInfo", pathInfo);
	%>
        <% //edit subscriptions context
        String editLabel = (String) request.getParameter("edit");
        String filter = (String) request.getParameter("filter");
        if (filter != null) {
            pageContext.setAttribute("filter", filter,PageContext.REQUEST_SCOPE);
        }
        %>
	<dtpc:getDesktopURL id="dpDiscChannelUrl" pathinfo="$pathInfo" scope="request"/>
        <%
        Map subsPathInfo = new HashMap();
        subsPathInfo.put("action", "edit");
        subsPathInfo.put("provider", "JSPEditContainer");
        subsPathInfo.put("targetprovider",(String)pageContext.findAttribute("subscriptionChannel"));
        subsPathInfo.put("containerName", (String)pageContext.findAttribute("containerName"));
        subsPathInfo.put("last", "false");
        pageContext.setAttribute("subsPathInfo", subsPathInfo, PageContext.REQUEST_SCOPE);
        %>
   </dtpc:providerContext>
</dt:obtainChannel>
