<!-- breadcrumb.jsp -->
<%@ page session="false"%><%

%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"%><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"%><%
%><%@ taglib uri="/tld/desktop.tld" prefix="dt"%><%
%><%@ taglib uri="/tld/i18n.tld" prefix="i18n"%><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx"%><%
%><%@ page import="
com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
java.util.*"
%><%

%><dt:obtainContainer container="$JSPProvider"><%

%><i18n:setBundle baseName="CommunitySamplePortal" var="CommunitySamplePortalRB"/><%
%><jx:declare id="CommunitySamplePortalRB" type="java.util.ResourceBundle"/><%
%><dtpc:getDesktopURL id="desktopURL"/><%
%><jx:declare id="desktopURL" type="String"/><%
%><dtpc:getLogoutURL id="logoutURL"/><%
%><jx:declare id="logoutURL" type="String"/><%
%><%

%><%!
public class Crumb {
    String url ="";
    String title ="";
    String description ="";
    String onclick ="";
    String onkeypress ="";

    public Crumb(String url, String title, String description) {
        this.url = url;
        this.title = title;
        this.description = description;
    }
    public Crumb(String url, String title, String description, String onclick, String onkeypress) {
        this.url = url;
        this.title = title;
        this.description = description;
        this.onclick = onclick;
        this.onkeypress = onkeypress;
    }
    public String toString() {
        StringBuffer buf = new StringBuffer("[url="+url);
        buf.append(", title="+title);
        buf.append(", description="+description);
        buf.append(", onclick="+onclick);
        buf.append(", onkeypress="+onkeypress);
        buf.append("]");
        return buf.toString();
    }
    public String getURL() { return url; }
    public String getTitle() { return title; }
    public String getDescription() { return description; }
    public String getOnclick() { return onclick; }
    public String getOnkeypress() { return onkeypress; }
}
%><%

%><%
List list = Collections.synchronizedList(new ArrayList());
JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");

// add way to get back to welcome portal
StringBuffer samplesURL = new StringBuffer();
samplesURL.append(logoutURL);
samplesURL.append("?goto=");
samplesURL.append(scp.getProviderContext().getRequestServer(request).toString());
samplesURL.append(request.getContextPath());
samplesURL.append(CommunitySamplePortalRB.getString("samples.url"));
 
String onclick = "return confirm(\'" + CommunitySamplePortalRB.getString("samples.confirm.message") + "\')";
String onkeypress = "return confirm(\'" + CommunitySamplePortalRB.getString("samples.confirm.message") + "\')";
Crumb crumb = new Crumb(samplesURL.toString(),CommunitySamplePortalRB.getString("samples.title"),CommunitySamplePortalRB.getString("samples.description"),onclick,onkeypress);
list.add(crumb);

// add link to home page
String authlessContainer="CommunityAnonymousContainer";
String homeContainer="CommunityHomeContainer";
String url = "?provider=CommunityParentContainer&CommunityParentContainer.selectedChannel=";
boolean authless = false;

if (pageContext.getAttribute("isAuthless", PageContext.REQUEST_SCOPE) != null)
    authless = ((Boolean)pageContext.getAttribute("isAuthless", PageContext.REQUEST_SCOPE)).booleanValue();

String homeTableContainer = homeContainer; 

if (authless) 
    homeTableContainer = authlessContainer; 

url += homeTableContainer; 
JSPTableContainerProvider tcp = (JSPTableContainerProvider)scp.getContainerProviderContext().getProvider(request, scp.getName(), homeTableContainer); 
String title = tcp.getProviderContext().getStringProperty(tcp.getName(), "title");
String description = tcp.getProviderContext().getStringProperty(tcp.getName(), "description");
crumb = new Crumb(url, title, description);
list.add(crumb);

// add Community link if there
boolean community = false;

if (pageContext.getAttribute("isCommunity", PageContext.REQUEST_SCOPE) != null) {
    community = ((Boolean)pageContext.getAttribute("isCommunity", PageContext.REQUEST_SCOPE)).booleanValue();
    if (community) {
        String name = (String)pageContext.getAttribute("name", PageContext.REQUEST_SCOPE);
        title = (String)pageContext.getAttribute("title", PageContext.REQUEST_SCOPE);

        if (name != null && title != null) {
            url = "?provider=CommunityParentContainer&CommunityParentContainer.selectedChannel=" + name;
            description = (String)pageContext.getAttribute("description", PageContext.REQUEST_SCOPE);
            if (description == null) description = title;
            crumb = new Crumb(url, title, description);
            list.add(crumb);
        }
    }
}

// add AccountPrefs or PagePrefs if there
if (scp.getName().equals("AccountPreferencesContainer") || scp.getName().equals("PagePreferencesContainer")) {

    if (request.getParameter("incommunity") != null &&
            request.getParameter("incommunity").equals("true")) {
        url = request.getParameter("url");
        if (url.indexOf("CommunityHomeContainer") == -1) {
            crumb = new Crumb(request.getParameter("url"), request.getParameter("title"), request.getParameter("description"));
            list.add(crumb);
        }
    }
    url = "?action=content&provider=";

    if (scp.getName().equals("AccountPreferencesContainer")) url += "AccountPreferencesContainer";
    else if (scp.getName().equals("PagePreferencesContainer")) url += "PagePreferencesContainer";

    title = scp.getProviderContext().getStringProperty(scp.getName(), "title");
    description = scp.getProviderContext().getStringProperty(scp.getName(), "description");
    crumb = new Crumb(url, title, description);
    list.add(crumb);
}
%><%

%><%
// write out breadcrumb
boolean hasError = false;
if (pageContext.getAttribute("hasError", PageContext.REQUEST_SCOPE) != null) {
    hasError = ((Boolean)pageContext.getAttribute("hasError", PageContext.REQUEST_SCOPE)).booleanValue();
}

for (int j=0; j < list.size(); j++) {
    crumb = (Crumb)list.get(j);
    url = crumb.getURL();
    title = crumb.getTitle();
    description = crumb.getDescription();
    onclick = crumb.getOnclick();
    onkeypress = crumb.getOnkeypress();
    if (j != 0) {
        %>&nbsp;&gt;&nbsp;<%
    }
    String css ="";
    if (j == (list.size()-1) && !hasError ) {
        %><span id="selected"><%=title%></span><%
    } else {
        %><a href="<%=url%>" onkeypress="<%=onkeypress%>" onclick="<%=onclick%>" title="<%=description%>"><%=title%></a><%
    }
}
%><%

%></dt:obtainContainer>
