<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%> 
<%-- layoutdoedit.jsp --%>
<%@ page import="com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
            com.sun.portal.providers.Provider,
            com.sun.portal.providers.util.Layout,
            java.net.URL,
            java.net.MalformedURLException,
            java.util.List,
            java.util.ArrayList"
        session="false"
%>

<% 
      JSPTableContainerProvider tcp = (JSPTableContainerProvider)pageContext.getAttribute("JSPProvider");

      String container = (String)request.getParameter("containerName");
      String provider = request.getParameter("provider");

      String selectedTabName = request.getParameter("selected");
      if (selectedTabName != null) {
          selectedTabName = tcp.getProviderContext().encodeURLParameter(selectedTabName);
      }
      
      int savedlayout = tcp.getLayout();
      String layoutstring = request.getParameter("layout");
      int layout = Integer.parseInt(layoutstring);
      
      if ( layout != savedlayout) {
          tcp.setLayout(layout);
      } 
      
      String layoutIDString = request.getParameter("layoutID");
      if (layoutIDString != null) {
          List providerOrder = new ArrayList();
          Integer layoutID = Integer.valueOf( layoutIDString );
          String[] one = (String[])request.getParameterValues("one");
          String[] two = (String[])request.getParameterValues("two");
          String[] three = (String[])request.getParameterValues("three");
          String[] fulltop = (String[])request.getParameterValues("fulltop");
          String[] fullbottom = (String[])request.getParameterValues("fullbottom");
         
          if (one != null) {
            for (int i = 0; i < one.length; i++) {
                if (one[i].equals(".none") || one[i].equals("spacer")) {
                    continue;
                }
         
            tcp.setColumn(request, one[i], 1);
            tcp.setRow(request, one[i], i+1);
            providerOrder.add( one[i] );
            }
         }
         
         if (two != null) {
            for (int i = 0; i < two.length; i++) {
                if (two[i].equals(".none") || two[i].equals("spacer")) {
                    continue;
                }
            
                tcp.setColumn(request, two[i], 2);
                tcp.setRow(request, two[i], i+1);
                providerOrder.add(two[i]);
            }
         }
         
         if (three != null) {
            for (int i = 0; i < three.length; i++) {
                if (three[i].equals(".none") || three[i].equals("spacer")) {
                    continue;
                }
                
                tcp.setColumn(request, three[i], 3);
                tcp.setRow(request, three[i], i+1);
                providerOrder.add( three[i] );
            }
         }
         
         if (fulltop != null) {
            for (int i = 0; i < fulltop.length; i++) {
                if (fulltop[i].equals(".none") || fulltop[i].equals("spacer")) {
                    continue;
                }
                
                tcp.setRow(request, fulltop[i], i+1);
                providerOrder.add( fulltop[i] );
            }
         }
         
         if (fullbottom != null) {
            for (int i = 0; i < fullbottom.length; i++) {
                if (fullbottom[i].equals(".none") || fullbottom[i].equals("spacer")) {
                    continue;
                }
                
                tcp.setRow(request, fullbottom[i], i+1);
                providerOrder.add( fullbottom[i] );
            }
         }
       
       List selectedChannels = tcp.getSelectedChannels();
       for (int i = 0; i < selectedChannels.size(); i++) {
            String providerName = (String) selectedChannels.get(i);
            if (!providerOrder.contains(providerName)) {
                providerOrder.add(providerName);
            }
        }
       
        tcp.setSelectedChannels(providerOrder);
     }
%>

