<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/ssoadapter.tld" prefix="sso" %>
<%@ taglib uri="/tld/wireless_mail.tld" prefix="mail" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>


<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
<%--  desktop font --%><%
%><dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/><%
%><%String font = (String)pageContext.getAttribute("fontFace1",PageContext.REQUEST_SCOPE);%>



 <CENTER> <dt:getName />  </CENTER>
<dtpc:getStringProperty key="ssoAdapter" id="ssoName"/>
<sso:adapter configname="$ssoName">
    <sso:getproperty key="enableProxyAuth" id="enableProxyAuth"/>
</sso:adapter><%
	//Normalize the string value, to take care of case differences e.g. false, FALSE, False
	String isEnableProxyAuth = (String)pageContext.getAttribute("enableProxyAuth");
        //Check for null and blank values of enableProxyAuth
        if ((isEnableProxyAuth == null) || (isEnableProxyAuth.trim().length() == 0)) {
            isEnableProxyAuth = "false";
        } else {
            isEnableProxyAuth = isEnableProxyAuth.toLowerCase();
        }
	pageContext.setAttribute("isEnableProxyAuth", isEnableProxyAuth);
%><i18n:setBundle baseName="mailjspprovider"><%
%><TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" WIDTH="80%">
  <TR BgCOLOR="<dttheme:getAttribute name="bgColor"/>" >
    <TD ALIGN="CENTER">
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" BgCOLOR="<dttheme:getAttribute name="bgColor"/>" >
      <TR>
        <TD VALIGN="TOP"  BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>" >
          <FONT SIZE=+1 FACE="<%=font%>" COLOR="#FFFFFF"><B><i18n:message key="accinfo_title"/></B></FONT></TD>
      </TR>
      <TR>
        <TD WIDTH="20%" HEIGHT="4" NOWRAP> &nbsp; </TD>
      </TR>
<jx:if test='$isEnableProxyAuth == "false"'>

      <TR>
        <TD>
		  <table width="90%">
		    <tr>
			  <td width="65%" align="center">
				<table width="100%">
<sso:adapter configname="$ssoName">
				  <tr>
					<td align="center" colspan=2>
                      <jx:declare id="ssoEditAttributes" type="java.util.Collection"/>
                      <dtpc:getLocalePropertiesFilters id="localeFilter"/>
                      <dtpc:getCollectionProperty key="ssoEditAttributes" id="ssoEditAttributes" pfList="$localeFilter"/>
					</td>
				  </tr>
<%	%><jx:forEach var="item" items="$ssoEditAttributes"><%
                        %><sso:editmapdata data="prop" id="prop" mapid="item"/><%
				  %><tr>
					<td align="right" width="40%">
						<label for="<jx:expr value="$prop"/>"><sso:editmapdata data="name" mapid="item"/></label>
					</td>
					<td valign="middle" width="60%">
<%			%><sso:editmapdata data="type" id="type" mapid="item"/><%
			
			%><jx:if test="$type == 'password'"><%
            %><sso:getproperty id="pvalue" key="$prop"/><%
                  String pvalue = (String)pageContext.getAttribute("pvalue");
                  String value="********";
                  if ( pvalue == null || pvalue.equals("") )
                      value="";

%>						<input type="password" id="<jx:expr value="$prop"/>" name="<jx:expr value="$prop"/>" size="25" maxlength="40" value="<%= value %>">
<%			%></jx:if><%
%>			<jx:if test="$type == 'string'"><%
%>						<input type="text" id="<jx:expr value="$prop"/>" name="<jx:expr value="$prop"/>" size="25" maxlength="50" value="<sso:getproperty key="$prop"/>">
<%			%></jx:if><%
%>					</td>
				  </tr>
<%	 %></jx:forEach>
</sso:adapter>
				</table>
			  </td>
			  <td valign="top">
                <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="1" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
                 <TR>
                   <TD VALIGN="TOP" BGCOLOR="#DCDCDC">
                     <FONT FACE="<%=font%>" SIZE="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                      <B><i18n:message key="accinfo_help_title"/></B></FONT>&nbsp;</TD>
                 </TR>
                 <TR>
                   <TD VALIGN="TOP">
                    <FONT FACE="<%=font%>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
                      <i18n:message key="accinfo_help_body"/>
                    </FONT></TD>
                 </TR>
                </TABLE>
			  </td>
		  </tr>
		</table>
	  </TD>
  </TR>
</jx:if>
<jx:if test='$isEnableProxyAuth == "true"'>
	<TR>
	<TD ALIGN="center" WIDTH="20%" HEIGHT="4" NOWRAP> <FONT FACE="<%=font%>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
	<i18n:message key="proxyauth_message"/></FONT></TD>
	</TR>
</jx:if>

  <TR>
      <TD VALIGN="TOP"  BGCOLOR="<dttheme:getAttribute name="bgColor"/>"  NOWRAP> &nbsp; </TD>
  </TR>

</TABLE>
</TD></TR></TABLE>
    <BR/>
<TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" WIDTH="80%">
<TR BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
    <TD ALIGN="CENTER"><CENTER>
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
      <TR>
        <TD VALIGN="TOP" COLSPAN="3" BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>">
            <FONT SIZE=+1 FACE="<%=font%>" COLOR="#FFFFFF">
            <B><i18n:message key="displaysettings_title"/></B></FONT></TD>
      </TR>
      <TR>
        <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
      </TR>

      <TR>
        <TD>

		<table width="90%">
		<tr>
			<td width="65%" align="center">
				<table width="100%">
				<tr>
					<td align="right" width="40%">
                                            <label for="numHeaders"><i18n:message key="numheaders_title"/>:</label></td>
					<td valign="middle" width="60%">
					<INPUT TYPE="TEXT" id="numHeaders" NAME="numHeaders" SIZE="3" MAXLENGTH="3" VALUE="<%
						if (request.getParameter("headerValue") != null){
							%><%=request.getParameter("headerValue")%><%
						} else {
							%><dtpc:getIntegerProperty key="numberHeaders"/><%
						}%>"><%
					if (request.getParameter("headerError") != null){
						%><div style="display:inline;color:red">
							<i18n:message key="numheaders_validation_error"/> <dtpc:getIntegerProperty key="maxNumberHeaders"/>
						</div><%
					}%>
					</td>
				</tr><%
                                %><dtpc:getStringProperty key="displayHeaders" id="displayHeaders" /><%
                                %><jx:declare id="displayHeaders" type="String"/>
				<tr>
					<td align="right" width="60%"><i18n:message key="displayHeaders_title"/>:</td>
					<td valign="middle" width="40%"><%
                                        boolean dispFlag = false;
                                        try{
                                            dispFlag = new Boolean(displayHeaders).booleanValue();
                                        } catch (Exception e) {}
                                        if (dispFlag){ 
                                        %><INPUT TYPE="checkbox" NAME="displayHeaders" VALUE="displayHeaders" checked >
					<% } else { 
					%><INPUT TYPE="checkbox" NAME="displayHeaders" VALUE="displayHeaders" >					
                                        <% } %>
					</td>
				</tr>	 
                                <dtpc:getBooleanProperty key="isSortable" id="sortable" /><%
                                %><jx:declare id="sortable" type="Boolean"/><%
                                %><dtpc:getStringProperty key="enableSort" id="enableSort" /><%
                                %><jx:declare id="enableSort" type="String"/><%
                                if (sortable.booleanValue()) { %>
				<tr>
					<td align="right" width="60%"><i18n:message key="enableSort_title"/>:</td>
					<td valign="middle" width="40%"><%
                                        boolean ensortFlag = false;
                                        try{
                                            ensortFlag = new Boolean(enableSort).booleanValue();
                                        } catch (Exception e) {}
                                        if (ensortFlag){ 
                                        %><INPUT TYPE="checkbox" NAME="enableSort" VALUE="sort" checked >
					<% } else { 
					%><INPUT TYPE="checkbox" NAME="enableSort" VALUE="sort" >					
                                        <% } %>
					</td>
				</tr>	 
                               <% } %>				
				<tr>
					<td align="right" width="40%"><label for="sort"><i18n:message key="sort_title"/>:</label></td>
					<td valign="middle" width="60%">
<dtpc:getStringProperty key="sortOrder" id="sortOrder"/>
<dtpc:getStringProperty key="sortBy" id="sortBy"/>
<%	String sortOrder = (String) pageContext.getAttribute("sortOrder");
	String sortBy = (String) pageContext.getAttribute("sortBy");
	boolean down=false;
	if (sortOrder.equals("down")){
		down=true;
	}
%>						<select id="sort" name="sort">
							<option value="DateD"<%
								if (down && sortBy.equals("date")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_1"/></option>
							<option value="DateA"<%
								if (!down && sortBy.equals("date")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_2"/></option>
                                                    <% if (sortable.booleanValue()) { %>
							<option value="SubA"<%
								if (!down && sortBy.equals("subject")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_3"/></option>
							<option value="SubD"<%
								if (down && sortBy.equals("subject")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_4"/></option>
							<option value="FromA"<%
								if (!down && sortBy.equals("from")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_5"/></option>
							<option value="FromD"<%
								if (down && sortBy.equals("from")){
									%> SELECTED<%
								}
							%>><i18n:message key="sort_option_6"/></option>
                                                    <% } %>
						</select>
					</td>
				</tr>
				<tr>
<dtpc:getStringProperty key="initialFolder" id="mailbox"/>
<jx:declare id="mailbox" type="String"/>
					<td align="right" width="40%"><label for="mailbox"><i18n:message key="initialfolder_title"/>:</label></td>
					<td valign="middle" width="60%"><%
%><mail:context config="${ssoName}" test="false">
	<select name="mailbox">
		<option value="INBOX"><i18n:message key="inbox"/></option>
	</select>
	<div style="display:inline;color:red"><i18n:message key="folder_error_message"/></div>
</mail:context><%
%><mail:context config="${ssoName}" test="true"><%
%>						<select id="mailbox" name="mailbox"><%
					%><mail:fetch collection="folders" sd="up" /><%
					%><mail:folders iterate="true"><%
						%><mail:folder><%
							%><mail:get property="name" id="mailFolder"/><%
							%><mail:get property="numMsgs" id="mailFolderMsgs"/><%
							%><jx:declare id="mailFolderMsgs" type="Integer"/><%
	//if (mailFolderMsgs.intValue()>0){
		String mailFolder = (String)pageContext.getAttribute("mailFolder");
							%><option value="<%= mailFolder%>"<%
		if (mailFolder.equalsIgnoreCase(mailbox)) {%> SELECTED<%}
						%>><%=mailFolder%></option><%
	//}
						%></mail:folder><%
					%></mail:folders><%
%>						</select>
</mail:context><%
%>					</td>
				</tr>
				</table>
			</td>
			<td valign="top">
                <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="1" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
                 <TR>
                   <TD VALIGN="TOP" BGCOLOR="#DCDCDC">
                     <FONT FACE="<%=font%>" SIZE="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                      <B><i18n:message key="displaysettings_help_title"/></B></FONT>&nbsp;</TD>
                 </TR>
                 <TR>
                   <TD VALIGN="TOP">
                    <FONT FACE="<%=font%>" SIZE="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
				<p><i18n:message key="displaysettings_help_body"/></p>
				<% if (sortable.booleanValue()) { %>
				<p><i18n:message key="sortsettings_help_body"/></p>
				<% } %>
                    </FONT></TD>
                 </TR>
                </TABLE>
			</td>
		</tr>
		</table>
      </TD>
    </TR>
    <TR>
        <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
    </TR>
</TABLE>

</TD></TR></TABLE>
    <BR/>

<TABLE BORDER="1" CELLPADDING="0" CELLSPACING="0" WIDTH="80%">
<TR BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
    <TD ALIGN="CENTER"><CENTER>
    <TABLE BORDER="0" CELLPADDING="2" CELLSPACING="0" WIDTH="100%" BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
      <TR>
        <TD VALIGN="TOP" COLSPAN="3" BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>">
            <FONT SIZE=+1 FACE="<%=font%>" COLOR="#FFFFFF">
            <B><i18n:message key="othersettings_title"/></B></FONT></TD>
      </TR>
      <TR>
        <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
      </TR>

      <TR>
        <TD>
	  <table width="90%">
	    <tr>
	       <td width="65%" align="center">
		  <table width="100%">
		    <tr>
		      <TD ALIGN="CENTER">
       			<INPUT style='background-color:<dttheme:getAttribute name="titleBarColor"/>;color:<dttheme:getAttribute name="titleFontColor"/>'
                               TYPE="submit"
                               NAME="MobileMail"
                               VALUE="<i18n:message key="mobilemail_title"/>">

    		      </TD>
    		    </tr>
	            <TR>
        	       <TD  HEIGHT="4" NOWRAP> &nbsp; </TD>
                    </TR>
    	          </table>
               </td>
            </tr>
	  </table>
	</TD>
      </TR>
    </TABLE>
    </TD>
</TR>
</TABLE>
</i18n:setBundle>
</dtpc:providerContext>
</dt:obtainChannel>

