<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri = "/tld/desktop.tld" prefix = "dt"%>
<%@ taglib uri = "/tld/desktopProviderContext.tld" prefix = "dtpc"%>
<%@ taglib uri = "/tld/wireless_commprefs.tld" prefix = "cp"%>
<%@ taglib uri = "/tld/wireless_util.tld" prefix = "util"%>
<%@ taglib uri = "/tld/desktopTheme.tld" prefix = "dttheme"%>

<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Iterator" %>

<util:log msg1="ENTER JSP edit-device.jsp"/>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
  <util:catalog resource="MAMailJSP" id="i18n"/>
  <cp:mailcontext>

<INPUT TYPE=HIDDEN NAME="process-device" VALUE="device">
<INPUT TYPE=HIDDEN NAME="client" VALUE="<util:get eval="$(client)"/>">

<SCRIPT LANGUAGE=JavaScript>

function putInSelected(form) {
    var formName = "edit_form";
    var availList = "availableViews";
    var selectList = "selectedViews";

    var selected = document.forms[formName].elements[availList].selectedIndex;
    var nextIndex = document.forms[formName].elements[selectList].options.length;

    if (selected != -1) {
      document.forms[formName].elements[selectList].options[nextIndex] = new Option(document.forms[formName].elements[availList].options[selected].text);
      document.forms[formName].elements[selectList].options[nextIndex].selected = true;

      // Remove from available list
      document.forms[formName].elements[availList].options[selected] = null;
    } else {
      alert("Please select an available view."); return false;
    }
}

function putInAvailable(form) {
    var formName="edit_form";
    var availList = "availableViews";
    var selectList = "selectedViews";

    var selected = document.forms[formName].elements[selectList].selectedIndex;

    if (selected != -1) {
      document.forms[formName].elements[availList].options[document.forms[formName].elements[availList].options.length] = new Option(document.forms[formName].elements[selectList].options[selected].text);

      // Remove from selected list
      var selectLength = document.forms[formName].elements[selectList].options.length - 1;
      document.forms[formName].elements[selectList].options[selected] = null;
      // Select All
      for (var i = 0; i < selectLength; i++) {
        document.forms[formName].elements[selectList].options[i].selected = true;
      }
    } else {
      alert("Please select a selected view."); return false;
    }
}
</SCRIPT>


        <table border="0" cellpadding="2" cellspacing="0" width="100%">
          <tr>
            <td valign="top" colspan="3" bgcolor="<dttheme:getAttribute name="titleBarColor"/>">
              <font face="<dttheme:getAttribute name="fontFace"/>" color="<dttheme:getAttribute name="titleFontColor"/>" size="+2">
                <b><util:get eval="$(device)"/> <util:msg name="i18n" key="viewstitle" default=""/></b>
              </font>
            </td>
          </tr>

          <tr>
            <td width="75%" height="4" nowrap> &nbsp; </td>
            <td width="0%" height="4" nowrap> &nbsp; </td>
            <td width="0%" valign="top" rowspan="11" bgcolor="<dttheme:getAttribute name="bgColor"/>">
              <table border="0" cellpadding="2" cellspacing="1" width="100%">
                <tr>
                  <td valign="top" bgcolor="#DCDCDC">
                    <font face="<dttheme:getAttribute name="fontFace"/>" size="+0" COLOR="<dttheme:getAttribute name="fontColor"/>">
                      <b><util:msg name="i18n" key="why" default=""/></b>
                    </font>
                  </td>
                </tr>
                <tr>
                  <td valign="top">
                    <font face="<dttheme:getAttribute name="fontFace"/>" size="-1" COLOR="<dttheme:getAttribute name="fontColor"/>">
		      <util:msg name="i18n" key="devicewhy1" default=""/>
		      <p>
		      <util:msg name="i18n" key="devicewhy2" default=""/>
                    </font>
                  </td>
                </tr>
              </table>
            </td>
          </tr>

          <tr>
            <td>
              <table border="0" align="center"> 
                <tr> 
                  <th><font face="<dttheme:getAttribute name="fontFace"/>" COLOR="<dttheme:getAttribute name="fontColor"/>">
		      <util:msg name="i18n" key="availableviews" default=""/></font></th> 
                  <th>&nbsp;</th> 
                  <th><font face="<dttheme:getAttribute name="fontFace"/>" COLOR="<dttheme:getAttribute name="fontColor"/>">
		      <util:msg name="i18n" key="selectedviews" default=""/></font></th> 
                </tr> 
                <tr> 
                  <td align="center"> 
                    <select name="availableViews" size="8" width="20" multiple>

                      <%-- get views for client from prefs context --%>		
	              <util:get property="clientViews" id="clientViews"/>

	                <cp:views iterate="true" beanid="availView">
		          <cp:view>

         		    <%-- Don't make view available if its already in client views --%>
               	            <util:set name="*PAGE*" property="availViewName" value="${availView:name}"/>
		              <% Vector clientViews = (Vector) pageContext.getAttribute("clientViews");
		              boolean match = false;
		              if (clientViews != null) {
			        Iterator itr = clientViews.iterator();
			        while (itr.hasNext()) {
			          String clientView = (String) itr.next();
			          if (clientView.equals(pageContext.getAttribute("availViewName"))) {
			             match = true;
			          }
			        }
		              }
		              if (! match) { %>
	  		         <OPTION> <util:get name="availView" property="name"/>
        	           <% } %>

   		          </cp:view>
		        </cp:views>

                    </select>
                  </td>
                  <td> 
                    <table border="0"> 

                      <tr> 
                        <td align="center">
                          <a href="#" onclick="putInSelected(this.form);return false;">
                          <img border="0" SRC="<dt:scontent/>/desktop/images/b_right.gif" alt="Move to Selected"></a>
                        </td>
                      </tr>
                      <tr> 
                        <td align="center">
                          <a href="#" onclick="putInAvailable(this.form);return false;">
                          <img border="0" SRC="<dt:scontent/>/desktop/images/b_left.gif" alt="Move to Available"></a>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td align="center">
                    <select name="selectedViews" size="8" width="20" multiple>
			
                      <%-- get views for client from prefs context --%>		
	              <util:get property="clientViews" id="views"/>
  		      <util:beans name="views" beanid="view" iterate="true">
	  	        <OPTION> <util:get eval="${view}"/> </OPTION> 
	  	      </util:beans>

                    </select>
                  </td>
                </tr>

              </table>
            </td>
          </tr>
        </table>

    </cp:mailcontext>
  </dtpc:providerContext>
</dt:obtainChannel>
