<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%@ taglib uri = "/tld/desktop.tld" prefix = "dt"%>
<%@ taglib uri = "/tld/desktopProviderContext.tld" prefix = "dtpc"%>
<%@ taglib uri = "/tld/wireless_commprefs.tld" prefix = "cp"%>
<%@ taglib uri = "/tld/wireless_util.tld" prefix = "util"%>
<%@ taglib uri = "/tld/desktopTheme.tld" prefix = "dttheme"%>

<%@ page import="java.util.Map"%>

<util:log msg1="ENTER JSP edit-devices.jsp"/>

<dt:obtainChannel channel="$JSPProvider">
  <dtpc:providerContext>
  <util:catalog resource="MAMailJSP" id="i18n"/>
  <cp:mailcontext>

<SCRIPT LANGUAGE=JavaScript>
  function getSelected(form) {
    var selected = "";
    for (var i = 0; i < form.clientList.length; i++) {
      if (form.clientList.options[i].selected) {
        selected = form.clientList.options[i].value;
      }
    }
    return selected;
  }

  function chooseViews(url, form) {
	if (form.clientList.value == "") {
		alert("[tag:views-display-error]"); return false;
	} else {
		top.document.location.href=url; return true;
	}
  }

</SCRIPT>


      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR>
        <TD VALIGN="TOP" BGCOLOR="<dttheme:getAttribute name="titleBarColor"/>" COLSPAN="4">
        <FONT SIZE="+2" COLOR="<dttheme:getAttribute name="titleFontColor"/>" FACE="<dttheme:getAttribute name="fontFace"/>">
        <B><util:msg name="i18n" key="selectDevice" default=""/></B></FONT></TD>
      </TR>
      <TR BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
        <TD width="60%">&nbsp;</TD>
        <TD BGCOLOR="#DCDCDC" ><b><util:msg name="i18n" key="why" default=""/></b></TD>
      </TR> 
      <TR> 
        <TD BGCOLOR="<dttheme:getAttribute name="bgColor"/>">
          <FONT SIZE="+0" FACE="<dttheme:getAttribute name="fontFace"/>" COLOR="<dttheme:getAttribute name="fontColor"/>">
            <B><util:msg name="i18n" key="pleaseSelect" default=""/></B>
          </FONT>
        </TD>
        <TD BGCOLOR="<dttheme:getAttribute name="bgColor"/>" VALIGN="TOP" HALIGN="LEFT" ROWSPAN="4">
          <FONT SIZE="+0" FACE="<dttheme:getAttribute name="fontFace"/>" COLOR="<dttheme:getAttribute name="fontColor"/>">
            <util:msg name="i18n" key="devicesWhy" default=""/>
          </FONT>
        </TD>
      </TR>
      <TR>
        <TD VALIGN="TOP" width="40%">
	  <select name="client" width="20">
	
	    <util:catalog resource="DeviceNames" id="devnames"/>
	    <dtpc:getCollectionProperty key="selectedClients" id="typesMap"/>	
            <% pageContext.setAttribute("types", ((Map) pageContext.getAttribute("typesMap")).keySet()); %>
  	    <util:beans name="types" beanid="type" iterate="true">
  	      <OPTION value="<util:get eval="${type}"/>"> <util:msg name="devnames" key="${type}"/> </OPTION>
  	    </util:beans>

	  </select>
	</TD>
      </TR>  

      <TR>
                <TD VALIGN="Middle">
                  <TABLE CELLPADDING="2" CELLSPACING="2" BORDER="0">
                    <TR>
                      <TD>
                  <INPUT style='background-color:<dttheme:getAttribute name="titleBarColor"/>;color:<dttheme:getAttribute name="titleFontColor"/>'
                               TYPE="submit"
                               NAME="OpenDevice"
                               VALUE="<util:msg name="i18n" key="chooseViews" default=""/>">
                      </TD>
                    </TR>
                  </TABLE>
                </TD>
      </TR>

      <TR>
        <TD width="60%">&nbsp;</TD>
      </TR>

      </TABLE>

    </cp:mailcontext>
  </dtpc:providerContext>
</dt:obtainChannel>

<util:log msg1="EXIT JSP edit-devices.jsp"/>
