<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-rule-add.jsp"/>

<%-- Process the add of a rule bean --%>
<%-- Add mode: create a new rule bean and save to page context --%>

<cp:mailcontext>

  <util:if name="*REQUEST*" property="name" value="">
    <util:set name="*PAGE*" property="error" value="errEmptyRule"/>
  </util:if>
  <util:ifnot name="*REQUEST*" property="name" value="">

    <%-- Check to make sure there is no rule 
	 with this name, then save to new bean --%>
    <cp:rules iterate="true" beanid="item">
      <cp:rule>
        <util:if property="name" value="$(name)">
          <util:set name="*PAGE*" property="error" value="errRenameCollision"/>
        </util:if>
      </cp:rule>
    </cp:rules>
  	
    <util:ifnot name="*PAGE*" property="error">
      <cp:rule id="rule"/>
      <%@ include file="process-rule-common.jsp" %>
    </util:ifnot>

  </util:ifnot>

</cp:mailcontext>

<util:log msg1="EXIT JSP process-rule-add.jsp"/>
