<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%@ taglib uri="/tld/wireless_commprefs.tld" prefix="cp" %>
<%@ taglib uri="/tld/wireless_util.tld" prefix="util" %>

<util:log msg1="ENTER JSP process-rule-common.jsp"/>

<cp:mailcontext>

    <util:log msg1="NAME=" msg2="$(name)"/>
    <util:log msg1="RULETYPE=" msg2="$(ruleType)"/>
    <util:log msg1="RULEVALUE=" msg2="$(ruleValue)"/>
    <util:log msg1="opRecent=" msg2="$(opRecent)"/>
    <util:log msg1="age=" msg2="$(age)"/>
    <util:log msg1="target=" msg2="$(target)"/>
    <util:log msg1="opHeader=" msg2="$(opHeader)"/>

    <util:set name="rule" property="name" value="$(name)"/>

    <util:if name="*REQUEST*" property="ruleType" value="recentRead">	
      <util:set name="rule" property="target" value="flag"/>
      <util:set name="rule" property="op" value="$(opRecent)"/>
      <util:set name="rule" property="ruleValue" value="$(age)"/>
    </util:if>

    <util:if name="*REQUEST*" property="ruleType" value="header">	
      <util:set name="rule" property="target" value="$(target)"/>
      <util:set name="rule" property="op" value="$(opHeader)"/>
      <util:if name="*REQUEST*" property="ruleValue" value="">
        <util:set name="*PAGE*" property="error" value="errEmptyRuleValue"/>
      </util:if>
      <util:ifnot name="*REQUEST*" property="ruleValue" value="">
        <util:set name="rule" property="ruleValue" value="$(ruleValue)"/>
      </util:ifnot>
    </util:if>

</cp:mailcontext>

<util:log msg1="EXIT JSP process-rule-common.jsp"/>
