<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
 --%>
<%-- @(#)advancedSearch.jsp  --%>

<%@page language="java" import="com.sun.portal.search.providers.*,
				java.util.*" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<%-- declare all UI related variables --%>
<jx:declare id="tFontColor" type="java.lang.String"/>
<jx:declare id="tFontFace" type="java.lang.String"/>
<jx:declare id="tBgColor" type="java.lang.String"/>
<jx:declare id="tTitleBarColor" type="java.lang.String"/>
<jx:declare id="tTitleFontColor" type="java.lang.String"/>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="SearchJSP" var="searchjsp" />
</dt:obtainChannel>

<jsp:useBean id="formbean" scope="request" class="SearchRequestBean">
<jsp:setProperty name="formbean" property= "*"/>
</jsp:useBean>

<INPUT TYPE=HIDDEN NAME="browseCategory" VALUE="<%=SearchContext.htmlEncode(formbean.getBrowseCategory())%>">
<INPUT TYPE=HIDDEN NAME="scope" VALUE=" ">
<INPUT TYPE=HIDDEN NAME="mode" VALUE="adv">
<% String e = (String) request.getParameter("edit");
   if (e != null) {
%>
<INPUT TYPE="hidden" ID="edit" NAME="edit" VALUE="<%=e%>">
<% }
   String f = (String) request.getParameter("filter");
   if (f != null) {
%>
<INPUT TYPE="hidden" ID="filter" NAME="filter" VALUE="<%=f%>">
<% } %>

<TABLE WIDTH=100% cellpadding=2 cellspacing=0 border=0>

    <TR>
	<td valign=middle align=right height=40>
		<FONT color=<%=tFontColor%> face=<%=tFontFace%>><nobr><LABEL FOR="advContain"><i18n:message key="find" bundle="searchjsp" /></LABEL>
		<SELECT NAME ="wordsOp" ID="advContain">
		<OPTION VALUE=<%=SearchContext.ALL%> <%=formbean.wordsOpSelection(SearchContext.ALL)%>><i18n:message key="allOfTheWords" bundle="searchjsp" /></OPTION>
		<OPTION VALUE=<%=SearchContext.ANY%> <%=formbean.wordsOpSelection(SearchContext.ANY)%>><i18n:message key="anyOfTheWords" bundle="searchjsp" /></OPTION>
		<OPTION VALUE=<%=SearchContext.EXACT%> <%=formbean.wordsOpSelection(SearchContext.EXACT)%>><i18n:message key="theExactPhrase" bundle="searchjsp" /></OPTION>
		<OPTION VALUE=<%=SearchContext.PASSAGE%> <%=formbean.wordsOpSelection(SearchContext.PASSAGE)%>><i18n:message key="passageSearch" bundle="searchjsp" /></OPTION>
		</SELECT>
		&nbsp;</nobr></FONT></TD>
    	<td valign=middle align=left height=40>
    	 	<table border=0 cellspacing="0" cellpadding="0">
    		   <tr>
    			<td><INPUT TYPE="text" NAME="wordsVal"  ID="advContain" VALUE= "<%= SearchContext.htmlEncode(formbean.getWordsVal()) %>"></td>
 		 	<td>&nbsp;</td>
			<td><INPUT TYPE=SUBMIT NAME="Submit" VALUE="<i18n:message key="search" bundle="searchjsp" />" style='background-color:<%=tTitleBarColor%>; color:<%=tTitleFontColor%>; font-family:<%=tFontFace%>'>&nbsp;
			<INPUT TYPE=RESET NAME="Reset" VALUE="<i18n:message key="btn_reset" bundle="searchjsp" />" style='background-color:<%=tTitleBarColor%>; color:<%=tTitleFontColor%>; font-family:<%=tFontFace%>'></td>
		   </tr>
	        </table></td>
    </TR>

  
<!--     -->
<!-- To disclude the "without the words" row, remark out the following section -->
<!--     -->
    <TR>
	<td valign=middle align=right height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>>
		<nobr><LABEL FOR="advWithout"><i18n:message key="withoutTheWords" bundle="searchjsp" />&nbsp;</LABEL></nobr></FONT></TD>
	<td valign=middle align=left height=40><INPUT TYPE="text" NAME="nowords" id="advWithout" VALUE= "<%=SearchContext.htmlEncode(formbean.getNowords())%>"></TD>
    </TR>

<!--     -->
<!-- To disclude the "title" row, remark out the following section -->
<!--     -->    
    <TR>
	<td valign=middle align=right height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>><nobr> <LABEL FOR="advTitle"><i18n:message key="title" bundle="searchjsp" /></label> 
		<SELECT NAME="titleOp" ID="advTitle">
		    <OPTION VALUE=<%=SearchContext.CONTAIN%> <%=formbean.titleOpSelection(SearchContext.CONTAIN)%>><i18n:message key="does" bundle="searchjsp" /></OPTION>
		    <OPTION VALUE=<%=SearchContext.NOTCONTAIN%> <%=formbean.titleOpSelection(SearchContext.NOTCONTAIN)%>><i18n:message key="doesNot" bundle="searchjsp" /></OPTION>
		</SELECT>	
		<i18n:message key="contain" bundle="searchjsp" />&nbsp;</FONT></nobr></TD>
 	<td valign=middle align=left height=40><INPUT TYPE="text" NAME="titleVal" id="advTitle" VALUE= "<%=SearchContext.htmlEncode(formbean.getTitleVal())%>"></TD>
    </TR>

<!--     -->
<!-- To Include the "Keywords" row, unremark the following section -->
<!--        
    <TR>
	<td valign=middle align=right height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>><nobr> <LABEL FOR="advKeywords">Keywords</LABEL> 
		<SELECT NAME="keywordsOp">
		    <OPTION VALUE=<%=SearchContext.CONTAIN%> <%=formbean.keywordsOpSelection(SearchContext.CONTAIN)%>>does</OPTION>
		    <OPTION VALUE=<%=SearchContext.NOTCONTAIN%> <%=formbean.keywordsOpSelection(SearchContext.NOTCONTAIN)%>>does not</OPTION>
		</SELECT>	
		contain&nbsp;</FONT></nobr></TD>
 	<td valign=middle align=left height=40><INPUT TYPE="text" NAME="keywordsVal" id="advKeywords" VALUE= "<%=SearchContext.htmlEncode(formbean.getKeywordsVal())%>"></TD>
    </TR>
-->

<!--     -->
<!-- To disclude the "author" row, remark out the following section -->
<!--     -->
    <TR>
	<td valign=middle align=right height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>><nobr> <LABEL FOR="advAuthor"><i18n:message key="author" bundle="searchjsp" /></LABEL> 
		<SELECT NAME="authorOp" ID="advAuthor">
		    <OPTION VALUE=<%=SearchContext.CONTAIN%> <%=formbean.authorOpSelection(SearchContext.CONTAIN)%>><i18n:message key="does" bundle="searchjsp" /></OPTION>
		    <OPTION VALUE=<%=SearchContext.NOTCONTAIN%> <%=formbean.authorOpSelection(SearchContext.NOTCONTAIN)%>><i18n:message key="doesNot" bundle="searchjsp" /></OPTION>
		</SELECT>	
		<i18n:message key="contain" bundle="searchjsp" />&nbsp;</FONT></nobr></TD>
 	<td valign=middle align=left height=40><INPUT TYPE="text" NAME="authorVal" id="advAuthor" VALUE= "<%=SearchContext.htmlEncode(formbean.getAuthorVal())%>"></TD>
    </TR>

<!--     -->
<!-- To disclude the "URL" row, remark out the following section -->
    <TR>
	<td valign=middle align=right height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>><nobr> <LABEL FOR="advUrl">URL</LABEL> 
		<SELECT NAME="urlOp" ID="advUrl">
		    <OPTION VALUE=<%=SearchContext.CONTAIN%> <%=formbean.urlOpSelection(SearchContext.CONTAIN)%>><i18n:message key="does" bundle="searchjsp" /></OPTION>
		    <OPTION VALUE=<%=SearchContext.NOTCONTAIN%> <%=formbean.urlOpSelection(SearchContext.NOTCONTAIN)%>><i18n:message key="doesNot" bundle="searchjsp" /></OPTION>
		</SELECT>	
		<i18n:message key="contain" bundle="searchjsp" />&nbsp;</FONT></nobr></TD>
	<td valign=middle align=left height=40><INPUT TYPE="text" NAME="urlVal" id="advUrl" VALUE= "<%=SearchContext.htmlEncode(formbean.getUrlVal())%>"></TD>
    </TR>

<!--     -->
<!-- To Include the "Expires" row, unremark the following section -->
<!-- 
    <TR>
	<td valign=middle align=right height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>><nobr> <LABEL FOR="advExpires"><i18n:message key="expires" bundle="searchjsp" /></LABEL> 
		<SELECT NAME="expiresOp">
		    <OPTION VALUE=<%=SearchContext.GREATER%> <%=formbean.expiresOpSelection(SearchContext.GREATER)%>><i18n:message key="after" bundle="searchjsp" /></OPTION>
		    <OPTION VALUE=<%=SearchContext.LESS%> <%=formbean.expiresOpSelection(SearchContext.LESS)%>><i18n:message key="before" bundle="searchjsp" /></OPTION>
		    <OPTION VALUE=<%=SearchContext.EQUAL%> <%=formbean.expiresOpSelection(SearchContext.EQUAL)%>><i18n:message key="on" bundle="searchjsp" /></OPTION>
		    <OPTION VALUE=<%=SearchContext.NOTEQUAL%> <%=formbean.expiresOpSelection(SearchContext.NOTEQUAL)%>><i18n:message key="notOn" bundle="searchjsp" /></OPTION>
		</SELECT>	
		<i18n:message key="theDate" bundle="searchjsp" />&nbsp;</FONT></nobr></TD>
 	<td valign=middle align=left height=40><INPUT TYPE="text" NAME="expiresVal" id="advExpires" VALUE= "<%=SearchContext.htmlEncode(formbean.getExpiresVal())%>"></TD>
    </TR>
-->

    <%-- Discussions --%>
    <tr>
    <td valign=middle align=right height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>><LABEL FOR="rating"><i18n:message key="rated" bundle="searchjsp" />&nbsp;</LABEL></font></td>
    <td valign=middle align=left height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>>
    <select name="rating" id="rating">
    <option value=-1 <%=formbean.ratingSelection("-1")%>><i18n:message key="irrelevant" bundle="searchjsp" /></option>
    <option value=0 <%=formbean.ratingSelection("0")%>><i18n:message key="routine" bundle="searchjsp" /></option>
    <option value=1 <%=formbean.ratingSelection("1")%>><i18n:message key="interesting" bundle="searchjsp" /></option>
    <option value=2 <%=formbean.ratingSelection("2")%>><i18n:message key="important" bundle="searchjsp" /></option>
    <option value=3 <%=formbean.ratingSelection("3")%>><i18n:message key="mustRead" bundle="searchjsp" /></option>
    </select> </font></td>
    </tr>
<!--     -->
<!-- To disclude the "Since" row, remark out the following section -->
<!--     -->
	<tr>
 	<td valign=middle align=right height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>><LABEL FOR="advSince"><i18n:message key="since" bundle="searchjsp" />&nbsp;</LABEL> </font></td>
	<td valign=middle align=left height=40><FONT color=<%=tFontColor%> face=<%=tFontFace%>>
	<SELECT NAME="since" id="advSince" > 
	    <OPTION VALUE=0 <%=formbean.sinceSelection("0")%>><i18n:message key="forever" bundle="searchjsp" /></OPTION> 
	    <OPTION VALUE=1 <%=formbean.sinceSelection("1")%>><i18n:message key="yesterday" bundle="searchjsp" /></OPTION> 
	    <OPTION VALUE=7 <%=formbean.sinceSelection("7")%>><i18n:message key="lastWeek" bundle="searchjsp" /></OPTION> 
	    <OPTION VALUE=30 <%=formbean.sinceSelection("30")%>><i18n:message key="lastMonth" bundle="searchjsp" /></OPTION> 
	    <OPTION VALUE=180 <%=formbean.sinceSelection("180")%>><i18n:message key="lastSixMonths" bundle="searchjsp" /></OPTION> 
	    <OPTION VALUE=365 <%=formbean.sinceSelection("365")%>><i18n:message key="lastYear" bundle="searchjsp" /></OPTION> 
	</SELECT></FONT></TD> 
    </TR>

    <%@ include file="dbMenu.jsp" %>

    <%@ include file="descMenu.jsp" %>

</TABLE>
