<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved. 
  Use is subject to license terms.
 --%> 
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.*,java.text.DateFormat,java.text.SimpleDateFormat" %>
<%@ page import="com.iplanet.sso.SSOTokenManager" %>
<%@ page import="com.iplanet.sso.SSOToken" %>
<%@ page import="com.sun.identity.sm.ServiceSchema" %>
<%@ page import="com.sun.identity.sm.ServiceSchemaManager" %>
<%@ page import="com.sun.identity.sm.AttributeSchema" %>
<%@ page import="com.iplanet.am.sdk.AMStoreConnection" %>
<%@ page import="com.iplanet.am.sdk.AMException" %>
<%@ page import="com.iplanet.sso.SSOException" %>
<%@ page import="com.iplanet.am.sdk.AMUser"%>
<%@ page import="com.sun.portal.search.soif.SOIF"%>
<%@ page import="com.sun.portal.search.providers.SearchContext"%>
<%@ page import="com.sun.portal.providers.*, 
		com.sun.portal.providers.context.*,
		 com.sun.portal.providers.jsp.JSPProvider,
		 com.sun.portal.search.util.Decoder,
		 com.sun.portal.search.util.Encoder"%>
<%@ page import="com.sun.portal.subscriptions.providers.*"%>
<%@ page import="com.sun.portal.subscriptions.util.Utils"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<dtpc:providerContext>
    <i18n:setBundle baseName="SubscriptionsJSP" var="subscriptionjsp" />
    <dttheme:getAttribute name="titleBarColor" id="subSectionTitle" scope="request"/> 
    <dttheme:getAttribute name="borderColor" id="subSectionHeader" scope="request"/> 
    <jx:declare id="subSectionTitle" type="java.lang.String"/>
    <jx:declare id="subSectionHeader" type="java.lang.String"/>
    <STYLE type="text/css">
        .subSectionTitle { background: <dttheme:getAttribute name="tabColor" default="#C0C0C0"/>; 
                           color: <dttheme:getAttribute name="tabFontColor" default="#000000"/>;
                           font-size:large; font-weight: bold;}
        .subSectionHeader { background:  <dttheme:getAttribute name="titleBarColor"/>; 
                            color: <dttheme:getAttribute name="titleFontColor" default="#000000"/>;
                            font-weight: bold; 
                            text-align: left;}
        .newSubscription {border-bottom: thin solid <dttheme:getAttribute name="titleBarColor"/> }
        .editSubscription {border-top:dashed; border-bottom: dashed;
                            border-color:<dttheme:getAttribute name="titleBarColor"/>;
                            border-width:thin;}
        .newSubscriptions {border-bottom: thin solid red; background: red}
    </STYLE>

<%
// extracting the portalId
String portalId = Utils.getPortalId();
try { %>
    <dtpc:getStringProperty key="searchChannel" id="searchChannel"/>
    <jx:declare id="searchChannel" type="java.lang.String"/>
<%  pageContext.setAttribute("containerName","",PageContext.REQUEST_SCOPE);
} catch (Exception e) {
    pageContext.setAttribute("searchChannel", "Search",PageContext.REQUEST_SCOPE);
    pageContext.setAttribute("containerName","SearchTabPanelContainer",PageContext.REQUEST_SCOPE);
}%>

<dtpc:getStringProperty key="fontFace1" id="fontFace"/>
<jx:declare id="fontFace" type="java.lang.String"/>


<%
AMUser user = null;
Set categoriesSet = null;
Set discussionsSet = null;
Set savedSearchSet = null;
SearchSubscription subItem = null;
HashMap subElements = null;
String defSrchSvr = null;
DateFormat df = new SimpleDateFormat("MM/dd/yy");

boolean subscriptionsService = false;
String profilerEnabled = "true";
try { 
    SSOTokenManager mgr = SSOTokenManager.getInstance(); 
    SSOToken token = mgr.createSSOToken(request);
    pageContext.setAttribute("accessToken", token); 
    if (token !=null) {
        AMStoreConnection amstore = new AMStoreConnection(token);
        user = amstore.getUser(token.getPrincipal().getName() );
        subscriptionsService = user.getAssignedServices().contains("SunPortal"+portalId+"SubscriptionsService");
        if (subscriptionsService) {
            categoriesSet = (Set) user.getAttribute("sunPortal"+portalId+"CategorySubscriptions");
            discussionsSet = (Set) user.getAttribute("sunPortal"+portalId+"DiscussionSubscriptions");
            savedSearchSet = (Set) user.getAttribute("sunPortal"+portalId+"SavedSearch");
            profilerEnabled = user.getStringAttribute("sunPortal"+portalId+"ProfilerEnabled");
            if (profilerEnabled == null) {
                profilerEnabled = "true";
            } else if (profilerEnabled.length() == 0) {
                profilerEnabled = "true";
            }
        }
    } else {
            %><dtpc:logError value="SSO Token problem"/><%
    } 
} catch (Exception e) {
    %><dtpc:logError value="Cannot get user's subscriptions of its profile"/><%
}
if ((user == null) || (subscriptionsService == false)) {
    if (user == null) {
        %><b><i18n:message key="registerToUseSubscription" bundle="subscriptionjsp" /></b><%
    } else if (subscriptionsService == false) {
        %><b><i18n:message key="noAccessToSubscription" bundle="subscriptionjsp" /><br>
                <i18n:message key="referAdminForSubscriptionService" bundle="subscriptionjsp" /></b>
        <%
    }
} else {
    SubscriptionsProvider sp = (SubscriptionsProvider) pageContext.getAttribute("JSPProvider");
    defSrchSvr = sp.getDefaultSearchServer(user.getOrganizationDN());
%>
<table  border="0"  width="100%" cellpadding="1" cellspacing="0" > <%-- top level table --%>
    <tr>
        <th valign="top" align="left" colspan="7" class="subSectionTitle"><i18n:message key="categories" bundle="subscriptionjsp" /></th>
    </tr>
    <%
    int catNdx = 0;
    int maxCat = 5;
    int onCat = 0;
    String editedCat = null;
    try {
        maxCat =  Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxCategorySubscriptions"));
    } catch (Exception e) {
    }
    if (categoriesSet != null) {
        if ((categoriesSet.size() > 0) || (request.getParameter("newCatSubscription") != null)) {
            Iterator categoryIterator = categoriesSet.iterator();
            String catName = null;
            String catTarget = null;
            String catScope = null;
            String catSince = "0";
            String catRating = null;
            String catServer = null;
            String catDatabase = null;
            String catStatus = "on";
            editedCat = (String) request.getParameter("editCatSubscription");
%>
    <tr>
        <%
        if (categoriesSet.size() > 0) {
        %>
        <th id="unsubscribe" class="subSectionHeader"><i18n:message key="unsubscribe" bundle="subscriptionjsp" />
            <label for="unsubscribe" title='<i18n:message key="unsubscribe" bundle="subscriptionjsp" />'/></th>
        <%} else {%>
        <th id="unsubscribe" class="subSectionHeader"><br></th>
        <%}%>
        <th id="status" class="subSectionHeader"><i18n:message key="status" bundle="subscriptionjsp" />
            <label for="status" title='<i18n:message key="status" bundle="subscriptionjsp" />' /></th>
        <th id="name" class="subSectionHeader"><i18n:message key="name" bundle="subscriptionjsp" />
            <label for="name" title='<i18n:message key="name" bundle="subscriptionjsp" />' /></th>
        <th id="query" class="subSectionHeader"><i18n:message key="query" bundle="subscriptionjsp" />
            <label for="query" title='<i18n:message key="query" bundle="subscriptionjsp" />' /></th>
        <th id="since" class="subSectionHeader"><i18n:message key="since" bundle="subscriptionjsp" />
            <label for="since" title='<i18n:message key="since" bundle="subscriptionjsp" />' /></th>
        <th id="category" class="subSectionHeader"><i18n:message key="category" bundle="subscriptionjsp" />
            <label for="category" title='<i18n:message key="category" bundle="subscriptionjsp" />' /></th>
        <th id="rating" class="subSectionHeader"><i18n:message key="rating" bundle="subscriptionjsp" />
            <label for="rating" title='<i18n:message key="rating" bundle="subscriptionjsp" />' /></th>
    </tr>
<%
            while (categoryIterator.hasNext()) {
                String catSubStr = (String) categoryIterator.next();
                subItem = new SearchSubscription(defSrchSvr,
                                Subscription.CATEGORY_SRCH_SUB, catSubStr,
                                "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating");
                if (subItem.parse() == null) {
                    continue;
                }
                catNdx++;
                subElements = subItem.getElements();
                catName = (String) subElements.get("name");
                catTarget = (String) subElements.get("target");
                catScope = (editedCat != null && editedCat.equals(catName)) ? (String) request.getParameter("scope"):(String) subElements.get("scope");
                catSince = (String) subElements.get("since");
                catRating = (String) subElements.get("rating");
                catServer = (String) subElements.get("server");
                catDatabase = (String) subElements.get("database");
                catStatus = (String) subElements.get("status");
                onCat += (catStatus != null && catStatus.equalsIgnoreCase("on")) ? 1 : 0;
                // generating the search context
                StringBuffer scopeSB = new StringBuffer();
                ArrayList l = new ArrayList();
                HashMap h;
                if (!catSince.equals("0")) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Last-Changed");
                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                    Calendar c1 = new GregorianCalendar();
                    String d1 = df.format(c1.getTime());
                    if (catSince.equals("1")) {
                                    c1.add(Calendar.DATE, -1);
                    }
                    if (catSince.equals("7")) {
                                    c1.add(Calendar.DATE, -7);
                    }
                    if (catSince.equals("30")) {
                                    c1.roll(Calendar.MONTH, false);
                    }
                    if (catSince.equals("180")) {
                                    c1.add(Calendar.MONTH, -6);
                    }
                    if (catSince.equals("365")) {
                                    c1.roll(Calendar.YEAR, false);
                    }
                    String d2 = df.format(c1.getTime());
                    h.put(SearchContext.VALUE, d2);
                    l.add(h);
                    scopeSB.append(" <AND> (RD-Last-Changed  >" + d2+")");
                }
%>
    <tr>
        <td headers="unsubscribe" align="left" width="1%" nowrap="nowrap" <% if (editedCat != null && editedCat.equals(catName)) {%>class="editSubscription"<%}%>>
            <input id="unsubscribe" type="checkbox" name="_unsub_cat_<%=catNdx%>" >&nbsp;
        </td>
        <td headers="status" align="left" width="1%" nowrap="nowrap" <% if (editedCat != null && editedCat.equals(catName)) {%>class="editSubscription"<%}%>>
            <input id="status" type="checkbox" name="_restatus_cat_<%=catNdx%>" <%= (catStatus.equalsIgnoreCase("on")) ? "checked" : ""%>>&nbsp;
        </td>
        <td headers="name" align="left" width="1%" nowrap="nowrap" <% if (editedCat != null && editedCat.equals(catName)) {%>class="editSubscription"<%}%>>
             <input id="name" type="text" name="_rename_cat_<%=catNdx%>" size="20" value="<%=Encoder.htmlEncode(catName)%>">
        </td>
        <td headers="query" align="left" width="1%" nowrap="nowrap" <% if (editedCat != null && editedCat.equals(catName)) {%>class="editSubscription"<%}%>>
            <input id="query" type="text" name="_rescope_cat_<%=catNdx%>" size="20" value="<%=Encoder.htmlEncode(catScope)%>">&nbsp;
        <%
        Map pathInfo = new HashMap();
        pathInfo.put("action", "content");
        pathInfo.put("provider", "JSPDynamicSingleContainer");
        pathInfo.put("JSPDynamicSingleContainer.selectedChannel", (String) pageContext.findAttribute("searchChannel"));
        pathInfo.put("last", "false");
        pageContext.setAttribute("pathInfo", pathInfo);
        Map qryInfo = new HashMap();
        qryInfo.put("mode","browse");
        qryInfo.put("scat","cat");
        qryInfo.put("browseCategory",catTarget);
        qryInfo.put("scope",catScope+" ");
        qryInfo.put("filter",scopeSB.toString());
        qryInfo.put("edit","category_"+catName);
        pageContext.setAttribute("qryInfo", qryInfo);
        %>
        <a id="edit" target="ps_main" href='<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$qryInfo"/>'><i18n:message key="edit" bundle="subscriptionjsp" /></a>
        </td>
        <td headers="since" align="left" width="1%" nowrap="nowrap" <% if (editedCat != null && editedCat.equals(catName)) {%>class="editSubscription"<%}%>>
            <select name="_resince_cat_<%=catNdx%>" id="since">
                <option  value="1"  
                <% if (catSince.equals("1")) {%> selected="selected"<%}%>>
                <i18n:message key="yesterday" bundle="subscriptionjsp" /></option>
                <option  value="7"  
                <% if (catSince.equals("7")) {%> selected="selected"<%}%>>
                <i18n:message key="lastWeek" bundle="subscriptionjsp" /></option>
                <option  value="30"  
                <% if (catSince.equals("30")) {%> selected="selected"<%}%>>
                <i18n:message key="lastMonth" bundle="subscriptionjsp" /></option>
                <option value="180"  
                <% if (catSince.equals("180")) {%> selected="selected"<%}%>>
                <i18n:message key="lastSixMonths" bundle="subscriptionjsp" /></option>
                <option value="365"  
                <% if (catSince.equals("365")) {%> selected="selected"<%}%>>
                <i18n:message key="lastYear" bundle="subscriptionjsp" /></option>
                <option value="0" 
                <% if (catSince.equals("0")) {%> selected="selected"<%}%>>
                <i18n:message key="forever" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <td headers="category" align="left" width="1%" nowrap="nowrap" <% if (editedCat != null && editedCat.equals(catName)) {%>class="editSubscription"<%}%>>
            <input id="category" type="text" name="_retarget_cat_<%=catNdx%>" size="20" value="<%=Encoder.htmlEncode(catTarget)%>">
        </td>
        <td headers="rating" align="left" width="1%" nowrap="nowrap" <% if (editedCat != null && editedCat.equals(catName)) {%>class="editSubscription"<%}%>>
            <select name="_rerate_cat_<%=catNdx%>" id="rating">
                <option value="-1" 
                    <% if (catRating.equals("-1")) {%> selected="selected"<%}%>>
                <i18n:message key="irrelevant" bundle="subscriptionjsp" /></option>
                <option  value="0"  
                    <% if (catRating.equals("0")) {%> selected="selected"<%}%>>
                <i18n:message key="routine" bundle="subscriptionjsp" /></option>
                <option  value="1"  
                    <% if (catRating.equals("1")) {%> selected="selected"<%}%>>
                <i18n:message key="interesting" bundle="subscriptionjsp" /></option>
                <option value="2"  
                    <% if (catRating.equals("2")) {%> selected="selected"<%}%>>
                <i18n:message key="important" bundle="subscriptionjsp" /></option>
                <option value="3"  
                    <% if (catRating.equals("3")) {%> selected="selected"<%}%>>
                <i18n:message key="mustRead" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <input type="hidden" name="_reserver_cat_<%=catNdx%>" value="<%=catServer%>">
        <input type="hidden" name="_redatabase_cat_<%=catNdx%>" value="<%=catDatabase%>">
    </tr>
<%
            } // end of while on categories
            String newCatSubscription = (String) request.getParameter("newCatSubscription");
            String newServer = (String) request.getParameter("newServer");
            String newDB = (String) request.getParameter("newDB");

            if (newCatSubscription != null) {
                if (onCat >= maxCat) {
%>
    <tr>
        <th colspan="7" class="newSubscriptionError"><i18n:message key="maxCatSubscriptionsReached" bundle="subscriptionjsp" /></th>
    </tr>
<%
                }
%>
    <tr>
        <td headers="unsubscribe" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <i18n:message key="newSubscription" bundle="subscriptionjsp" />
        </td>
        <td headers="status" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <input id="status" type="checkbox" name="_new_status_cat" <% if (onCat < maxCat) {%>checked<%}%>>&nbsp;
        </td>
        <td headers="name" align="left" width="1%" nowrap="nowrap" class="newSubscription">
             <input id="name" type="text" name="_new_name_cat" size="20" value="">
        </td>
        <td headers="query" align="left" width="1%" nowrap="nowrap" class="newSubscription">
        <%
        String _new_scope_cat = (String) request.getParameter("scope");
        if (_new_scope_cat == null) _new_scope_cat = "";
        %>
            <input id="query" type="text" name="_new_scope_cat" size="20" value='<%=Encoder.htmlEncode(_new_scope_cat)%>'>
        </td>
        <td headers="since" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <select name="_new_since_cat" id="since">
                <option  value="1" selected="selected"><i18n:message key="yesterday" bundle="subscriptionjsp" /></option>
                <option  value="7"><i18n:message key="lastWeek" bundle="subscriptionjsp" /></option>
                <option  value="30"><i18n:message key="lastMonth" bundle="subscriptionjsp" /></option>
                <option value="180"><i18n:message key="lastSixMonths" bundle="subscriptionjsp" /></option>
                <option value="365"><i18n:message key="lastYear" bundle="subscriptionjsp" /></option>
                <option value="0"><i18n:message key="forever" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <td headers="category" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <input id="category" type="text" name="_new_target_cat" size="20" value="<%=Encoder.htmlEncode(newCatSubscription)%>">
        </td>
        <td headers="rating" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <select name="_new_rating_cat" id="rating">
                <option value="-1"><i18n:message key="irrelevant" bundle="subscriptionjsp" /></option>
                <option  value="0" selected="selected"><i18n:message key="routine" bundle="subscriptionjsp" /></option>
                <option  value="1"><i18n:message key="interesting" bundle="subscriptionjsp" /></option>
                <option value="2"><i18n:message key="important" bundle="subscriptionjsp" /></option>
                <option value="3"><i18n:message key="mustRead" bundle="subscriptionjsp" /></option>
                </select>
        </td>
        <input type="hidden" name="newServer" size="20" value="<%=Encoder.htmlEncode(newServer)%>">
        <input type="hidden" name="newDB" size="20" value="<%=Encoder.htmlEncode(newDB)%>">

    </tr>
<%
            }
        } else {// end if categorySet has at least one
%>
    <tr>
        <th colspan="7" align="left"><i18n:message key="noCategorySubscriptions" bundle="subscriptionjsp" /></th>
    </tr>
<%
        }
    } else {
%>
    <tr>
        <th colspan="7" align="left" ><i18n:message key="noCategorySubscriptions" bundle="subscriptionjsp" /></th>
    </tr>
<%
    }
%>
    <tr>
        <th valign="top" align="left" colspan="7" class="subSectionTitle"><i18n:message key="discussions" bundle="subscriptionjsp" /></th>
    </tr>
<%
    int discNdx = 0;
    int maxDisc = 5;
    int onDisc = 0;
    String editedDisc = null;
    try {
        maxDisc =  Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxDiscussionSubscriptions"));
    } catch (Exception e) {
    }
    if (discussionsSet != null) {
        if ((discussionsSet.size() > 0) || (request.getParameter("newDiscSubscription") != null)) {
            Iterator discussionIterator = discussionsSet.iterator();
            String discName = null;
            String discTarget = null;
            String discScope = null;
            String discSince = "0";
            String discRating = "0";
            String discServer = null;
            String discDatabase = null;
            String discStatus = "on";
            editedDisc = (String) request.getParameter("editDiscSubscription");
%>
    <tr>
        <%
        if (discussionsSet.size() > 0) {
        %>
        <th id="unsubscribe" class="subSectionHeader"><i18n:message key="unsubscribe" bundle="subscriptionjsp" />
            <label for="unsubscribe" title='<i18n:message key="unsubscribe" bundle="subscriptionjsp" />'/></th>
        <%} else {%>
        <th id="unsubscribe" class="subSectionHeader"><br></th>
        <%}%>
        <th id="status" class="subSectionHeader"><i18n:message key="status" bundle="subscriptionjsp" />
            <label for="status" title='<i18n:message key="status" bundle="subscriptionjsp" />' /></th>
        <th id="name" class="subSectionHeader"><i18n:message key="name" bundle="subscriptionjsp" />
            <label for="name" title='<i18n:message key="name" bundle="subscriptionjsp" />' /></th>
        <th id="query" class="subSectionHeader"><i18n:message key="query" bundle="subscriptionjsp" />
            <label for="query" title='<i18n:message key="query" bundle="subscriptionjsp" />' /></th>
        <th id="since" colspan="2" class="subSectionHeader"><i18n:message key="since" bundle="subscriptionjsp" />
            <label for="since" title='<i18n:message key="since" bundle="subscriptionjsp" />' /></th>
        <th id="rating" class="subSectionHeader"><i18n:message key="rating" bundle="subscriptionjsp" />
            <label for="rating" title='<i18n:message key="rating" bundle="subscriptionjsp" />' /></th>
    </tr>
<%
            while (discussionIterator.hasNext()) {
                String discSubStr = (String) discussionIterator.next();
                subItem = new SearchSubscription(defSrchSvr,
                        Subscription.DISCUSSION_SRCH_SUB, discSubStr,
                        "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating,hl-rd-reference-id, rd-reference-id");
                if (subItem.parse() == null ) {
                    continue;
                }
                discNdx++;
                subElements = subItem.getElements();
                discName = (String) subElements.get("name");
                discTarget = (String) subElements.get("target");
                discScope = (editedDisc != null && editedDisc.equals(discName)) ? (String) request.getParameter("scope") : (String) subElements.get("scope");
                discRating = (String) subElements.get("rating");
                discSince = (String) subElements.get("since");
                discServer = (String) subElements.get("server");
                discDatabase = (String) subElements.get("database");
                discStatus = (String) subElements.get("status");
                onDisc += (discStatus != null && discStatus.equalsIgnoreCase("on")) ? 1 : 0;
                //generating the search context
                StringBuffer scopeSB = new StringBuffer(); 
                ArrayList l = new ArrayList();
                HashMap h;
                if (discTarget != null && (!discTarget.equals("ROOT"))) {
                    // ROOT not needed since we are searching within discussion database 
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Reference-Id");
                    h.put(SearchContext.OPERATION, SearchContext.CONTAIN);
                    h.put(SearchContext.VALUE, discTarget);
                    l.add(h);
                    scopeSB.append(" <AND> (RD-Reference-Id  <CONTAINS>");
                    scopeSB.append(discTarget);
                    scopeSB.append(") ");
                }
                if (discRating != null) {
                    int rtg = -1;
                    try {
                        rtg = Integer.parseInt(discRating);
                    } catch (NumberFormatException e) {
                        rtg=-1;													
                    }
                    if (rtg > -1) {
                        h = new HashMap();
                        h.put(SearchContext.OPERAND, "RD-Rating");
                        h.put(SearchContext.OPERATION, SearchContext.GREATER);
                        h.put(SearchContext.VALUE, String.valueOf(rtg-1));
                        l.add(h);
                        scopeSB.append(" <AND> (RD-Rating  > ");
                        scopeSB.append(String.valueOf(rtg-1));
                        scopeSB.append(")");
                    }
                }
                if (!discSince.equals("0")) {
                    h = new HashMap();
                    h.put(SearchContext.OPERAND, "RD-Last-Changed");
                    h.put(SearchContext.OPERATION, SearchContext.GREATER);
                    Calendar c1 = new GregorianCalendar();
                    String d1 = df.format(c1.getTime());
                    if (discSince.equals("1")) {
                                    c1.add(Calendar.DATE, -1);
                    }
                    if (discSince.equals("7")) {
                                    c1.add(Calendar.DATE, -7);
                    }
                    if (discSince.equals("30")) {
                                    c1.roll(Calendar.MONTH, false);
                    }
                    if (discSince.equals("180")) {
                                    c1.add(Calendar.MONTH, -6);
                    }
                    if (discSince.equals("365")) {
                                    c1.roll(Calendar.YEAR, false);
                    }
                    String d2 = df.format(c1.getTime());
                    h.put(SearchContext.VALUE, d2);
                    l.add(h);
                    scopeSB.append(" <AND> (RD-Last-Changed  >" + d2+")");
                }
%>
    <tr>
        <td headers="unsubscribe" align="left" width="1%" nowrap="nowrap" <% if (editedDisc != null && editedDisc.equals(discName)) {%>class="editSubscription" <%}%>>
                <input id="unsubscribe" type="checkbox" name="_unsub_disc_<%=discNdx%>">&nbsp;
        </td>
        <td headers="status" align="left" width="1%" nowrap="nowrap" <% if (editedDisc != null && editedDisc.equals(discName)) {%>class="editSubscription" <%}%>>
            <input id="status" type="checkbox" name="_restatus_disc_<%=discNdx%>" <%= (discStatus.equalsIgnoreCase("on")) ? "checked" : ""%>>&nbsp;
        </td>        
        <td headers="name" align="left" width="1%" nowrap="nowrap" <% if (editedDisc != null && editedDisc.equals(discName)) {%>class="editSubscription" <%}%>>
            <input id="name" type="text" name="_rename_disc_<%=discNdx%>" size="20" value="<%=Encoder.htmlEncode(discName)%>">
            <input type="hidden" name="_retarget_disc_<%=discNdx%>" size="20" value="<%=discTarget%>">
        </td>
        <td headers="query" align="left" width="1%" nowrap="nowrap" <% if (editedDisc != null && editedDisc.equals(discName)) {%>class="editSubscription" <%}%>>
            <input id="query" type="text" name="_rescope_disc_<%=discNdx%>" size="20" value="<%=Encoder.htmlEncode(discScope)%>">&nbsp;
            <%
            Map pathInfo = new HashMap();
            pathInfo.put("action", "content");
            pathInfo.put("provider", "JSPDynamicSingleContainer");
            pathInfo.put("JSPDynamicSingleContainer.selectedChannel", (String) pageContext.findAttribute("searchChannel"));
            pathInfo.put("last", "false");
            pageContext.setAttribute("pathInfo", pathInfo);
            Map qryInfo = new HashMap();
            qryInfo.put("database",discDatabase);
            qryInfo.put("scope",Encoder.urlEncode(discScope+" ","UTF-8"));
            qryInfo.put("filter",scopeSB.toString());
            qryInfo.put("edit","disc_"+discName);
            pageContext.setAttribute("qryInfo", qryInfo);
            %>
            <a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$qryInfo"/><%=subItem.getAdvQryParam(discScope)%>'><i18n:message key="edit" bundle="subscriptionjsp" /></a>
        </td>
        <td headers="since" colspan="2" align="left" width="1%" nowrap="nowrap" <% if (editedDisc != null && editedDisc.equals(discName)) {%>class="editSubscription" <%}%>>
            <select name="_resince_disc_<%=discNdx%>" id="since">
                <option  value="1"  
                <% if (discSince.equals("1")) {%> selected="selected"<%}%>>
                <i18n:message key="yesterday" bundle="subscriptionjsp" /></option>
                <option  value="7"  
                <% if (discSince.equals("7")) {%> selected="selected"<%}%>>
                <i18n:message key="lastWeek" bundle="subscriptionjsp" /></option>
                <option  value="30"  
                <% if (discSince.equals("30")) {%> selected="selected"<%}%>>
                <i18n:message key="lastMonth" bundle="subscriptionjsp" /></option>
                <option value="180"  
                <% if (discSince.equals("180")) {%> selected="selected"<%}%>>
                <i18n:message key="lastSixMonths" bundle="subscriptionjsp" /></option>
                <option value="365"  
                <% if (discSince.equals("365")) {%> selected="selected"<%}%>>
                <i18n:message key="lastYear" bundle="subscriptionjsp" /></option>
                <option value="0" 
                <% if (discSince.equals("0")) {%> selected="selected"<%}%>>
                <i18n:message key="forever" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <td headers="rating" align="left" width="1%" nowrap="nowrap" <% if (editedDisc != null && editedDisc.equals(discName)) {%>class="editSubscription" <%}%>>
            <select name="_rerate_disc_<%=discNdx%>" id="rating">
                <option value="-1" 
                <% if (discRating.equals("-1")) {%> selected="selected"<%}%>>
                <i18n:message key="irrelevant" bundle="subscriptionjsp" /></option>
                <option  value="0"  
                <% if (discRating.equals("0")) {%> selected="selected"<%}%>>
                <i18n:message key="routine" bundle="subscriptionjsp" /></option>
                <option  value="1"  
                <% if (discRating.equals("1")) {%> selected="selected"<%}%>>
                <i18n:message key="interesting" bundle="subscriptionjsp" /></option>
                <option value="2"  
                <% if (discRating.equals("2")) {%> selected="selected"<%}%>>
                <i18n:message key="important" bundle="subscriptionjsp" /></option>
                <option value="3"  
                <% if (discRating.equals("3")) {%> selected="selected"<%}%>>
                <i18n:message key="mustRead" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <input type="hidden" name="_reserver_disc_<%=discNdx%>" value="<%=discServer%>">
        <input type="hidden" name="_redatabase_disc_<%=discNdx%>" value="<%=discDatabase%>">
    </tr>
<%
            } // end of while on discussions
                String newDiscSubscription = (String) request.getParameter("newDiscSubscription");
                String newDiscTitle = (String) request.getParameter("newDiscTitle");
                String scope = (String) request.getParameter("scope");
                String newServer = (String) request.getParameter("newServer");
                String newDB = (String) request.getParameter("newDB");
                if (newDiscSubscription != null) {
                    if (onDisc >=  maxDisc) {
%>
    <tr>
        <th colspan="7" class="newSubscriptionError"><i18n:message key="maxDiscSubscriptionsReached" bundle="subscriptionjsp" /></th>
    </tr>
<%
                    }
%>
    <tr>
        <td headers="unsubscribe" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <i18n:message key="newSubscription" bundle="subscriptionjsp" />
        </td>
        <td headers="status" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <input id="status" type="checkbox" name="_new_status_disc" <% if (onDisc < maxDisc) {%>checked<%}%>>&nbsp;
        </td>
        <td headers="name" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <input id="name" type="text" name="_new_name_disc" size="20" value="<%=Encoder.htmlEncode(newDiscTitle)%>">
            <input type="hidden" name="_new_target_disc" size="20" value="<%=Encoder.htmlEncode(newDiscSubscription)%>">
        </td>
        <td headers="query" align="left" width="1%" nowrap="nowrap" class="newSubscription">
        <%
        if (scope == null) scope = "";
        %>
            <input id="query" type="text" name="_new_scope_disc" size="20" value="<%=Encoder.htmlEncode(scope)%>">
        </td>
        <td headers="since" colspan="2" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <select name="_new_since_disc" id="since">
                <option  value="1" selected="selected"><i18n:message key="yesterday" bundle="subscriptionjsp" /></option>
                <option  value="7"><i18n:message key="lastWeek" bundle="subscriptionjsp" /></option>
                <option  value="30"><i18n:message key="lastMonth" bundle="subscriptionjsp" /></option>
                <option value="180"><i18n:message key="lastSixMonths" bundle="subscriptionjsp" /></option>
                <option value="365"><i18n:message key="lastYear" bundle="subscriptionjsp" /></option>
                <option value="0"><i18n:message key="forever" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <td headers="rating" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <select name="_new_rate_disc" id="rating">
                <option value="-1"><i18n:message key="irrelevant" bundle="subscriptionjsp" /></option>
                <option  value="0"  selected="selected"><i18n:message key="routine" bundle="subscriptionjsp" /></option>
                <option  value="1"><i18n:message key="interesting" bundle="subscriptionjsp" /></option>
                <option value="2"><i18n:message key="important" bundle="subscriptionjsp" /></option>
                <option value="3"><i18n:message key="mustRead" bundle="subscriptionjsp" /></option>
                </select>
        </td>
        <input type="hidden" name="newServer" size="20" value="<%=Encoder.htmlEncode(newServer)%>">
        <input type="hidden" name="newDB" size="20" value="<%=Encoder.htmlEncode(newDB)%>">

    </tr>
<%
            }
        } else {// end if discussionsSet has at least one
%>
    <tr>
        <th colspan="7" align="left"><i18n:message key="noDiscussionSubscriptions" bundle="subscriptionjsp" /></th>
    </tr>
<%
        }
    } else {
%>
    <tr>
        <th colspan="7" align="left"><i18n:message key="noDiscussionSubscriptions" bundle="subscriptionjsp" /></th>
    </tr>
<%
    }
%>
    <tr>
        <th valign="top" align="left" colspan="7" class="subSectionTitle"><i18n:message key="savedSearches" bundle="subscriptionjsp" /></th>
    </tr>
<%
    int savedSearchNdx = 0;
    int maxSavedSearch = 5;
    int onSavedSearch = 0;
    String editedSavedSearch = null;
    try {
        maxSavedSearch =  Integer.parseInt(user.getStringAttribute("sunPortal"+portalId+"MaxSavedSearch"));
    } catch (Exception e) {
    }
    if (savedSearchSet != null) {
        if ((savedSearchSet.size() > 0) || (request.getParameter("newSavedSearchSubscription") != null)) {
            Iterator savedSearchIterator = savedSearchSet.iterator();
            String savedSearchName = null;
            String savedSearchScope = null;
            String savedSearchSince = "0";
            String savedSearchRating = "0";
            String savedSearchServer = null;
            String savedSearchDatabase = null;
            String savedSearchStatus = "on";
            editedSavedSearch = (String) request.getParameter("editSavedSearchSubscription");
%>
    <tr>
            <%
            if (savedSearchSet.size() > 0) {
            %>
        <th id="unsubscribe" class="subSectionHeader"><i18n:message key="unsubscribe" bundle="subscriptionjsp" />
            <label for="unsubscribe" title='<i18n:message key="unsubscribe" bundle="subscriptionjsp" />'/></th>
        <%} else {%>
        <th id="unsubscribe" class="subSectionHeader"><br></th>
        <%}%>
        <th id="status" class="subSectionHeader"><i18n:message key="status" bundle="subscriptionjsp" />
            <label for="status" title='<i18n:message key="status" bundle="subscriptionjsp" />' /></th>
        <th id="name" class="subSectionHeader"><i18n:message key="name" bundle="subscriptionjsp" />
            <label for="name" title='<i18n:message key="name" bundle="subscriptionjsp" />' /></th>
        <th id="query" class="subSectionHeader"><i18n:message key="query" bundle="subscriptionjsp" />
            <label for="query" title='<i18n:message key="query" bundle="subscriptionjsp" />' /></th>
        <th id="since" colspan="2" class="subSectionHeader"><i18n:message key="since" bundle="subscriptionjsp" />
            <label for="since" title='<i18n:message key="since" bundle="subscriptionjsp" />' /></th>
        <th id="rating" class="subSectionHeader"><i18n:message key="rating" bundle="subscriptionjsp" />
            <label for="rating" title='<i18n:message key="rating" bundle="subscriptionjsp" />' /></th>
    </tr>
        <%
            while (savedSearchIterator.hasNext()) {
                String savedSearchSubStr = (String) savedSearchIterator.next();
                subItem = new SearchSubscription(defSrchSvr,
                        Subscription.SAVED_SRCH_SUB, savedSearchSubStr,
                        "hl-url,hl-title,title,hl-description,score,classification,hl-classification,rd-rating");
                if (subItem.parse() == null) {
                    continue;
                }
                savedSearchNdx++;
                subElements = subItem.getElements();

                savedSearchName = (String) subElements.get("name");
                savedSearchScope = (editedSavedSearch != null && editedSavedSearch.equals(savedSearchName)) ? (String) request.getParameter("scope") : (String) subElements.get("scope");
                savedSearchSince = (String) subElements.get("since");
                savedSearchRating = (String) subElements.get("rating");
                savedSearchServer = (String) subElements.get("server");
                savedSearchDatabase =  (String) subElements.get("database");
                savedSearchStatus = (String) subElements.get("status");
                onSavedSearch += (savedSearchStatus != null && savedSearchStatus.equalsIgnoreCase("on")) ? 1 : 0;
                //generating the search context
                StringBuffer scopeSB = new StringBuffer();
                ArrayList l = new ArrayList();
                HashMap h;
                if (savedSearchRating != null) {
                    int rtg = -1;
                    try {
                        rtg = Integer.parseInt(savedSearchRating);
                    } catch (NumberFormatException e) {
                        rtg=-1;
                    }
                    if (rtg > -1) {
                        h = new HashMap();
                        h.put(SearchContext.OPERAND, "RD-Rating");
                        h.put(SearchContext.OPERATION, SearchContext.GREATER);
                        h.put(SearchContext.VALUE, String.valueOf(rtg-1));
                        l.add(h);
                        scopeSB.append(" <AND> (RD-Rating  > ");
                        scopeSB.append(String.valueOf(rtg-1));
                        scopeSB.append(")");
                    }
                }
                if (!savedSearchSince.equals("0")) {
                        h = new HashMap();
                        h.put(SearchContext.OPERAND, "RD-Last-Changed");
                        h.put(SearchContext.OPERATION, SearchContext.GREATER);
                        Calendar c1 = new GregorianCalendar();
                        String d1 = df.format(c1.getTime());
                        if (savedSearchSince.equals("1")) {
                                        c1.add(Calendar.DATE, -1);
                        }
                        if (savedSearchSince.equals("7")) {
                                        c1.add(Calendar.DATE, -7);
                        }
                        if (savedSearchSince.equals("30")) {
                                        c1.roll(Calendar.MONTH, false);
                        }
                        if (savedSearchSince.equals("180")) {
                                        c1.add(Calendar.MONTH, -6);
                        }
                        if (savedSearchSince.equals("365")) {
                                        c1.roll(Calendar.YEAR, false);
                        }
                        String d2 = df.format(c1.getTime());
                        h.put(SearchContext.VALUE, d2);
                        l.add(h);
                        scopeSB.append(" <AND> (RD-Last-Changed  >" + d2+")");
                }
%>
    <tr>
        <td headers="unsubscribe" align="left" width="1%" nowrap="nowrap" <% if (editedSavedSearch != null && editedSavedSearch.equals(savedSearchName)) {%>class="editSubscription"<%}%>>
            <input id="unsubscribe" type="checkbox" name="_unsub_savedSearch_<%=savedSearchNdx%>">&nbsp;
        </td>
        <td headers="status" align="left" width="1%" nowrap="nowrap" <% if (editedSavedSearch != null && editedSavedSearch.equals(savedSearchName)) {%>class="editSubscription"<%}%>>
            <input id="status" type="checkbox" name="_restatus_savedSearch_<%=savedSearchNdx%>" <%= (savedSearchStatus.equalsIgnoreCase("on")) ? "checked" : ""%>>&nbsp;
        </td>
        <td headers="name" align="left" width="1%" nowrap="nowrap" <% if (editedSavedSearch != null && editedSavedSearch.equals(savedSearchName)) {%>class="editSubscription"<%}%>>
            <input id="name" type="text" name="_rename_savedSearch_<%=savedSearchNdx%>" size="20" value="<%=Encoder.htmlEncode(savedSearchName)%>">
        </td>
        <td headers="query" align="left" width="1%" nowrap="nowrap" <% if (editedSavedSearch != null && editedSavedSearch.equals(savedSearchName)) {%>class="editSubscription"<%}%>>
            <input id="query" type="text" name="_rescope_savedSearch_<%=savedSearchNdx%>" size="20" value="<%=Encoder.htmlEncode(savedSearchScope)%>">&nbsp;
        <%
        Map pathInfo = new HashMap();
        pathInfo.put("action", "content");
        pathInfo.put("provider", "JSPDynamicSingleContainer");
        pathInfo.put("JSPDynamicSingleContainer.selectedChannel", (String) pageContext.findAttribute("searchChannel"));
        pathInfo.put("last", "false");
        pageContext.setAttribute("pathInfo", pathInfo);
        Map qryInfo = new HashMap();
        qryInfo.put("database",savedSearchDatabase);
        qryInfo.put("scope",Encoder.urlEncode(savedSearchScope+" ","UTF-8"));
        qryInfo.put("filter",scopeSB.toString());
        qryInfo.put("edit","savedSearch_"+savedSearchName);
        pageContext.setAttribute("qryInfo", qryInfo);
        %>
        <a target="ps_main" href='<dtpc:getDesktopURL pathinfo="$pathInfo" querymap="$qryInfo"/><%=subItem.getAdvQryParam(savedSearchScope)%>'><i18n:message key="edit" bundle="subscriptionjsp" /></a>
        </td>
        <td headers="since" colspan="2" align="left" width="1%" nowrap="nowrap" <% if (editedSavedSearch != null && editedSavedSearch.equals(savedSearchName)) {%>class="editSubscription"<%}%>>
            <select name="_resince_savedSearch_<%=savedSearchNdx%>" id="since">
                <option  value="1"  
                <% if (savedSearchSince.equals("1")) {%> selected="selected"<%}%>>
                <i18n:message key="yesterday" bundle="subscriptionjsp" /></option>
                <option  value="7"  
                <% if (savedSearchSince.equals("7")) {%> selected="selected"<%}%>>
                <i18n:message key="lastWeek" bundle="subscriptionjsp" /></option>
                <option  value="30"  
                <% if (savedSearchSince.equals("30")) {%> selected="selected"<%}%>>
                <i18n:message key="lastMonth" bundle="subscriptionjsp" /></option>
                <option value="180"  
                <% if (savedSearchSince.equals("180")) {%> selected="selected"<%}%>>
                <i18n:message key="lastSixMonths" bundle="subscriptionjsp" /></option>
                <option value="365"  
                <% if (savedSearchSince.equals("365")) {%> selected="selected"<%}%>>
                <i18n:message key="lastYear" bundle="subscriptionjsp" /></option>
                <option value="0" 
                <% if (savedSearchSince.equals("0")) {%> selected="selected"<%}%>>
                <i18n:message key="forever" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <td headers="rating" align="left" width="1%" nowrap="nowrap" <% if (editedSavedSearch != null && editedSavedSearch.equals(savedSearchName)) {%>class="editSubscription"<%}%>>
            <select name="_rerate_savedSearch_<%=savedSearchNdx%>" id="rating">
                <option value="-1" 
                    <% if (savedSearchRating.equals("-1")) {%> selected="selected"<%}%>>
                <i18n:message key="irrelevant" bundle="subscriptionjsp" /></option>
                <option  value="0"  
                    <% if (savedSearchRating.equals("0")) {%> selected="selected"<%}%>>
                <i18n:message key="routine" bundle="subscriptionjsp" /></option>
                <option  value="1"  
                    <% if (savedSearchRating.equals("1")) {%> selected="selected"<%}%>>
                <i18n:message key="interesting" bundle="subscriptionjsp" /></option>
                <option value="2"  
                    <% if (savedSearchRating.equals("2")) {%> selected="selected"<%}%>>
                <i18n:message key="important" bundle="subscriptionjsp" /></option>
                <option value="3"  
                    <% if (savedSearchRating.equals("3")) {%> selected="selected"<%}%>>
                <i18n:message key="mustRead" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <input type="hidden" name="_reserver_savedSearch_<%=savedSearchNdx%>" value="<%=savedSearchServer%>">
        <input type="hidden" name="_redatabase_savedSearch_<%=savedSearchNdx%>" value="<%=savedSearchDatabase%>">
    </tr>
<%
            } // end of while on saved searches
            String newSavedSearchSubscription = (String) request.getParameter("newSavedSearchSubscription");
            String newSavedSearchTitle = (String) request.getParameter("title");
            String newServer = (String) request.getParameter("newServer");
            String newDB = (String) request.getParameter("newDB");
            if (newSavedSearchSubscription != null) {
                if (onSavedSearch >= maxSavedSearch) {
                    //adding a new line for the user to store in his new saved search
%>
    <tr>
        <th colspan="7" class="newSubscriptionError"><i18n:message key="maxSavedSearchReached" bundle="subscriptionjsp" /></th>
    </tr>
<%
                }
%>
    <tr>
        <td headers="unsubscribe" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <i18n:message key="newSubscription" bundle="subscriptionjsp" />
        </td>
        <td headers="status" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <input id="status" type="checkbox" name="_new_status_savedSearch" <% if (onSavedSearch < maxSavedSearch) {%>checked<%}%>>&nbsp;
        </td>
<%
                    if (newSavedSearchSubscription == null) newSavedSearchSubscription = "";
                    if (newSavedSearchTitle == null) newSavedSearchTitle = "";
%>
        <td headers="name" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <input id="name" type="text" name="_new_name_savedSearch" size="20" value="<%=Encoder.htmlEncode(newSavedSearchTitle)%>">
        </td>
        <td headers="query" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <input id="query" type="text" name="_new_scope_savedSearch" size="20" value="<%=Encoder.htmlEncode(newSavedSearchSubscription)%>">
        </td>
        <td headers="since" colspan="2" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <select name="_new_since_savedSearch" id="since">
                <option  value="1" selected="selected"><i18n:message key="yesterday" bundle="subscriptionjsp" /></option>
                <option  value="7"><i18n:message key="lastWeek" bundle="subscriptionjsp" /></option>
                <option  value="30"><i18n:message key="lastMonth" bundle="subscriptionjsp" /></option>
                <option value="180"><i18n:message key="lastSixMonths" bundle="subscriptionjsp" /></option>
                <option value="365"><i18n:message key="lastYear" bundle="subscriptionjsp" /></option>
                <option value="0"><i18n:message key="forever" bundle="subscriptionjsp" /></option>
            </select>
        </td>
        <td headers="rating" align="left" width="1%" nowrap="nowrap" class="newSubscription">
            <select name="_new_rate_search" id="rating">
                <option value="-1"><i18n:message key="irrelevant" bundle="subscriptionjsp" /></option>
                <option  value="0" selected="selected"><i18n:message key="routine" bundle="subscriptionjsp" /></option>
                <option  value="1"><i18n:message key="interesting" bundle="subscriptionjsp" /></option>
                <option value="2"><i18n:message key="important" bundle="subscriptionjsp" /></option>
                <option value="3"><i18n:message key="mustRead" bundle="subscriptionjsp" /></option>
                </select>
        </td>
        <input type="hidden" name="newServer" size="20" value="<%=Encoder.htmlEncode(newServer)%>">
        <input type="hidden" name="newDB" size="20" value="<%=Encoder.htmlEncode(newDB)%>">

    </tr>
<%
            }
        } else {// end if savedSearchSet has at least one
%>
    <tr>
        <th colspan="7" align="left"><i18n:message key="noSavedSearchSubscriptions" bundle="subscriptionjsp" /></th>
    </tr>
<%
        }
    } else {
%>
    <tr>
        <th colspan="7" align="left"><i18n:message key="noSavedSearchSubscriptions" bundle="subscriptionjsp" /></th>
    </tr>
<%
    }
%>
    <tr></tr>
    <tr>
        <th colspan="7" align="center"><label for="emailNotifications"><i18n:message key="emailNotifications" bundle="subscriptionjsp" /></label> <input id="emailNotifications" type='checkbox' name='profilerEnabled' <%=(profilerEnabled.equals("true")) ? "checked":""%>></th>
    </tr>
</table> <%-- end of main table --%>
<%
} // end of else : user is rightfully using discussion edit channel

%>

</dtpc:providerContext>
</dt:obtainChannel>
</center>
