<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.o
rg/DTD/wml_1.1.xml">

<%@ include file="layoutSetup.jsp" %>

<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainContainer container="$wireless">

<i18n:setBundle baseName="ChannelsLayoutJSP" var="channels.layoutjsp" />

<%-- The presentation of layout edit page --%>
<wml>

  <jx:choose>
  <jx:when test="$hasMovableChannels == true">

  <card id="Layout" title="<i18n:message key="arrangeChannels" bundle="channels.layoutjsp"/>">

    <do type="prev" label="<i18n:message key="back" bundle="channels.layoutjsp"/>">
      <prev/>
    </do>

    <p align="left" mode="nowrap">
      <jx:forEach var="channel" items="$orderedChannelList">
        <dtcpc:obtainChannelFromContainer channel="$channel">
          <anchor title="<i18n:message key="move" bundle="channels.layoutjsp"/>"><dt:getTitle/>
            <go href="#Move">
              <setvar name="movingChannel" value="<dt:getName/>"/>
            </go>
          </anchor><br/>
        </dtcpc:obtainChannelFromContainer>
      </jx:forEach>
      <anchor title="<i18n:message key="done" bundle="channels.layoutjsp"/>"><i18n:message key="done" bundle="channels.layoutjsp"/>
        <go href="<dtpc:getDesktopURL/>"/>
      </anchor><br/>
    </p>
  </card>

  <card id="Move">
    <do type="prev" label="<i18n:message key="back" bundle="channels.layoutjsp"/>">
      <prev/>
    </do>

    <%-- set next url --%> 
    <%
        String qstr = "action=edit&provider=WirelessJSPLayoutChannel&container="+container;
        pageContext.setAttribute("nexturl", cpc.getDesktopURL(request, qstr, true));
    %>



    <p align="left" mode="nowrap">
      <anchor title="<i18n:message key="moveUp" bundle="channels.layoutjsp"/>"><i18n:message key="moveUp" bundle="channels.layoutjsp"/>
        <go method="post" href="<%=desktopURL%>">
          <postfield name="action" value="process"/>
          <postfield name="provider" value="WirelessJSPLayoutChannel"/>
          <postfield name="container" value="<%=container%>"/>
          <postfield name="moveUp" value="$(movingChannel)"/>
          <postfield name="nextURL" value="<%=pageContext.getAttribute("nexturl").toString()%>"/>
        </go>
      </anchor>
      <br/>
      <anchor title="<i18n:message key="moveDown" bundle="channels.layoutjsp"/>"><i18n:message key="moveDown" bundle="channels.layoutjsp"/>
        <go method="post" href="<%=desktopURL%>">
          <postfield name="action" value="process"/>
          <postfield name="provider" value="WirelessJSPLayoutChannel"/>
          <postfield name="container" value="<%=container%>"/>
          <postfield name="moveDown" value="$(movingChannel)"/>
          <postfield name="nextURL" value="<%=pageContext.getAttribute("nexturl").toString()%>"/>
        </go>
      </anchor>
    </p>
  </card>
  </jx:when>
  <jx:otherwise>
    <card id="LayoutEmpty" title="<i18n:message key="arrangeChannels" bundle="channels.layoutjsp"/>">
    <do type="prev" label="<i18n:message key="back" bundle="channels.layoutjsp"/>">
      <prev/>
    </do>
    <p align="left" mode="nowrap">
    <b><i18n:message key="noChannelsMove" bundle="channels.layoutjsp"/></b>
    </p>
    <p>
    <anchor title="<i18n:message key="channelsHm" bundle="channels.layoutjsp"/>"><i18n:message key="channelsHm" bundle="channels.layoutjsp"/>
        <go href="<dtpc:getDesktopURL/>" method="get"/>
    </anchor>
   </p>
    </card>
   </jx:otherwise>
   </jx:choose>
    
</wml>

</dt:obtainContainer>
