<%@ taglib uri="/WEB-INF/i18n.tld" prefix="i18n" %>

<%@ page session="false" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<i18n:setBundle baseName="WelcomeJSP" var="welcomeProps"/>
<%
    String newAndEventsURL           = "http://www.sun.com/aboutsun/media/?redirect=false&refurl=http://wwws.sun.com/software/product_categories/portal_servers.html";
    String userGroupsURL             = "http://developers.sun.com/sw/community/usergroups/portal_ug.html";
    String forumsURL                 = "http://swforums.sun.com/jive/category.jspa?categoryID=2";
    String portletCommunityURL       = "http://community.java.net/portlet";
    String documentationURL          = "http://docs.sun.com/app/docs/coll/1303.1";
    String releaseNotesURL           = "http://docs.sun.com/app/docs/doc/819-2347";
    String caseStudiesURL            = "http://developers.sun.com/prodtech/portalserver/reference/casestudies/index.html";
    String whitePapersURL            = "http://developers.sun.com/prodtech/portalserver/reference/whitepapers/index.html";
    String onlineTutorialsURL        = "http://developers.sun.com/prodtech/portalserver/learning/tutorials/index.html";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
  <meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
  <title>Sun Java&#153; System Portal Server</title>
  <style type="text/css" media="screen">@import url("screen.css");</style>
<script>
// this function gets the cookie, if it exists
function Get_Cookie( name ) {

  //alert('1 cookie name = ' + name);
  var start = document.cookie.indexOf( name + "=" );
  var len = start + name.length + 1;
  //alert('1 cookie start = ' + start);

  if ( ( !start ) && ( name != document.cookie.substring( 0, name.length ) ) ) {
    //alert('cookie name = ' + name);
    return null;
  }

  if ( start == -1 ) return null;

  var end = document.cookie.indexOf( ";", len );

  if ( end == -1 ) end = document.cookie.length;
  //alert('get returning = ' + document.cookie.substring( len, end ));
  return unescape( document.cookie.substring( len, end ) );
}

// this deletes the cookie when called
function Delete_Cookie(name, path, domain ) {
  var today   = new Date();
  var expired = new Date(today.getTime() - 48 * 60 * 60 * 1000); // less 2 days
  if ( Get_Cookie( name ) ) {
    document.cookie = name + "=" +
            ( ( path ) ? ";path=" + path : "") +
            ( ( domain ) ? ";domain=" + domain : "" ) +
            //";expires=Thu, 01-Jan-1970 00:00:01 GMT";
            ";expires="+expired.toGMTString();
    //alert('removing cookie');
  }
}
</script>
</head> 

<body>

  <div id="container">

    <img src="titlebar.png" height="75" width="780" border="0">

    <table cellpadding="0" cellspacing="0" id="breadcrumb">
        <tr>
            <td id="breadcrumb-left"><b><i18n:message key="welcome" bundle="welcomeProps"/></b></td>
            <td id="breadcrumb-right"></td>
        </tr>
    </table>

    <div id="content">

        <table cellpadding="10" cellspacing="0" title="">

        <tr>
          <td valign="top" width="50%">
            <div id="lead-story">
                <p><i18n:message key="portalIntro" bundle="welcomeProps"/></p>

                <i18n:message key="portalResources" bundle="welcomeProps"/>
                <p><i18n:message key="portalMoreInfo" bundle="welcomeProps"/></p>

                <b><i18n:message key="topics" bundle="welcomeProps"/></b>

                <div id="topics">
                    <ul>
                        <li><a href="<%=documentationURL%>"><i18n:message key="documentation" bundle="welcomeProps"/></a></li>
                        <li><a href="<%=releaseNotesURL%>"><i18n:message key="releaseNotes" bundle="welcomeProps"/></a></li>
                        <li><a href="<%=whitePapersURL%>"><i18n:message key="whitePapers" bundle="welcomeProps"/></a></li>
                        <li><a href="<%=caseStudiesURL%>"><i18n:message key="caseStudies" bundle="welcomeProps"/></a></li>
                        <li><a href="<%=onlineTutorialsURL%>"><i18n:message key="onlineTutorials" bundle="welcomeProps"/></a></li>
                    </ul> 
                </div>
            </div>
          </td> 
          <td valign="top" id="right-column-pad">

            <div class="channel-background-green">
                <div class="channel-titlebar-green">SAMPLES</div>
                <div class="channel-content">
                    <i18n:message key="communitySampleDesc" bundle="welcomeProps">
                        <i18n:param><a href="<%@ include file="./samples/community.html" %>">
                             <i18n:message key="communitySample" bundle="welcomeProps"/></a>
                        </i18n:param>
                    </i18n:message>
                    <br /><br />
                    <i18n:message key="enterpriseSampleDesc" bundle="welcomeProps">
                        <i18n:param><a href="<%@ include file="./samples/enterprise.html"%>">
                            <i18n:message key="enterpriseSample" bundle="welcomeProps"/></a>
                        </i18n:param>
                    </i18n:message>
                    <br /><br />
                    <i18n:message key="developerSampleDesc" bundle="welcomeProps">
                        <i18n:param><a href="<%@ include file="./samples/developer.html" %>">
                            <i18n:message key="developerSample" bundle="welcomeProps"/></a>
                        </i18n:param>
                    </i18n:message>
                </div>
            </div>
            <br /><br /> 
            <div class="channel-background-orange">
                <div class="channel-titlebar-orange"><i18n:message key="community" bundle="welcomeProps"/></div>
                <div class="channel-content-orange">
                    <i18n:message key="sunCommunitySupport" bundle="welcomeProps"/>
                    <br />
                    <ul>
                    <li><a href="<%=newAndEventsURL%>"><i18n:message key="newsAndEvents" bundle="welcomeProps"/></a></li>
                    <li><a href="<%=userGroupsURL%>"><i18n:message key="userGroups" bundle="welcomeProps"/></a></li>
                    <li><a href="<%=forumsURL%>"><i18n:message key="forums" bundle="welcomeProps"/></a></li>
                    <li><a href="<%=portletCommunityURL%>"><i18n:message key="portletCommunity" bundle="welcomeProps"/></a></li>
                    </ul>
                </div>
            </div>
          </td> 
        </tr>
        </table>

    </div>

    <div id="footer">
      <div id="copyright">&copy; 2005 Sun Microsystems, Inc.</div>
      <div id="links">
        <a href="http://www.sun.com/contact/"><i18n:message key="contact" bundle="welcomeProps"/></a>
        <a href="http://www.sun.com/products/"><i18n:message key="products" bundle="welcomeProps"/></a>
        <a href="http://www.sun.com/servicessolutions/"><i18n:message key="servicesSolutions" bundle="welcomeProps"/></a>
        <a href="http://www.sun.com/support/"><i18n:message key="support" bundle="welcomeProps"/></a>
        <a id="last" href="http://www.sun.com/training/"><i18n:message key="training" bundle="welcomeProps"/></a>
      </div>
    </div><!-- end footer --> 

  </div>

</body>
</html>  
