	<%--
	  Copyright 2004 Sun Microsystems, Inc. All rights reserved
	  Use is subject to license terms.
	 --%>	
	<%@ include file="trim.js" %>	
	<%-- createChannel.jsp  --%>
	<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
					 java.util.List,
					 java.util.ArrayList,
                     java.util.Set,
                     java.util.Iterator,
					 com.sun.portal.providers.context.ProviderContext,
					 com.sun.portal.providers.urlscraper.URLScraperProvider" %>
					 
	<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
	<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
	<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
	<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
	<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>	
	<%@ taglib uri="/tld/portlettaskadmin.tld" prefix="dtportletadmin" %>
	<%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>
	<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>	
	
	<dt:obtainChannel channel="$JSPProvider">
	<i18n:setBundle baseName="TaskAdminChannelCreatorJSP" var="taskadminchannelcreatorjsp" />

	<script language="JavaScript" type="text/JavaScript">
	function createChannelFormvalidation(thisform)
	{
		with (thisform)
		{
			var formname = thisform.name;
			var channelTextName = provider.value + ".newChannelName";
			var channelTextValue = window.document.createChannel_form.elements[channelTextName].value;
			if (channelTextValue == null || trim(channelTextValue) == "") {
				alert("<i18n:message key="pleaseentervalidchannelname" bundle="taskadminchannelcreatorjsp" />");
				return false;
			}
			validName = /^[a-zA-Z0-9]{1,}$/;
			if (!validName.test(channelTextValue)) {
				alert("<i18n:message key="pleaseentervalidchannelname" bundle="taskadminchannelcreatorjsp" />");
				return false;
			}
		}
	} 
	</script>	 

	<dt:getName id="adminChannelName"/>
	<jx:declare id="adminChannelName" type="java.lang.String"/>
	<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
	<jx:declare id="fontFace1" type="java.lang.String"/>
    
    <dtuseradmin:obtainUserAdmin>
    <dtuseradmin:getBaseDNs id="nodes"/>
    <jx:declare id="nodes" type="java.util.Set"/>
	
	<dtpc:getStringProperty key="roleDN" id="roleDN"/>
	<jx:declare id="roleDN" type="java.lang.String"/>
	<%
    if ((roleDN == null || roleDN.length() == 0) && !nodes.isEmpty() ) {
       Iterator i = nodes.iterator();
       roleDN = (String)i.next();
       pageContext.setAttribute("roleDN", roleDN);
    %>
    <dtpc:setStringProperty key="roleDN" value="$roleDN"/>
    <%   
    }  
    JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
	ProviderContext pc = jp.getProviderContext();
	%>
    
	</dtuseradmin:obtainUserAdmin>

	<dtadmin:obtainChannelAdmin baseDN="$roleDN">
	<dtadmin:getExistingProviders id="ExistingProviders"/>  
    </dtadmin:obtainChannelAdmin>
    
	<dtportletadmin:obtainPortletAdmin baseDN="$roleDN">
	<dtportletadmin:getExistingPortlets id="ExistingPortlets"/>
	</dtportletadmin:obtainPortletAdmin> 
    
	<form action="<dtpc:getDesktopURL/>" name="createChannel_form" method="POST" enctype="application/x-www-form-urlencoded" onsubmit="return createChannelFormvalidation(this)">
		<input type="HIDDEN" name="action" size="-1" value="process">
		<input type="HIDDEN" name="provider" size="-1" value="<dt:getName/>">
		
		<table border="0" cellpadding="0" cellspacing="3" width="100%">
			<tr>
				<td width="100%" align="CENTER">
					<table border="0" cellspacing="2" cellpadding="2" width="50%">
		<tr>
		<td align="right"><font face="<%=fontFace1%>" size="-1"><b><i18n:message key="channelname" bundle="taskadminchannelcreatorjsp" /> *</b></font></td>
		<td><font face="<%=fontFace1%>" size="+0">
		<input type="text"
		name="<dt:getName/>.newChannelName" size="30" value="">
		</font></td>
		</tr>
		<tr>		
		<tr>
		<td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" color="#000000" size="-1"><b><i18n:message key="providersportlets" bundle="taskadminchannelcreatorjsp" /></b></font></td>
		<td><font face="<%=fontFace1%>" size="-1">
		<SELECT NAME="<dt:getName/>.providerName">
		<jx:forEach var="providerName" items="$ExistingProviders"><jx:declare id="providerName" type="java.lang.String"/>
		<OPTION VALUE="<%=providerName%>"><%=providerName%></OPTION></jx:forEach>
		
			<jx:forEach var="portletName" items="$ExistingPortlets"><jx:declare id="portletName" type="java.lang.String"/>
			<OPTION VALUE="<%=portletName%>"><%=portletName%></OPTION>
			</jx:forEach>			
   				
		
		</SELECT>
		</font></td>
		</tr>			
					</table>
				</TD>
			</TR>
	
		</TABLE>
		<br>
		<CENTER>
			<font size="+0" face="<%=fontFace1%>">
			<input type="SUBMIT" name="Submit" value="<i18n:message key="create" bundle="taskadminchannelcreatorjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
			</font>
		</CENTER>
		<br>
		<p>
	</form>
		</dt:obtainChannel>
