	<%--
	  Copyright 2004 Sun Microsystems, Inc. All rights reserved
	  Use is subject to license terms.
	 --%>
	<%-- doSetProperties.jsp  --%>
	<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
					 java.util.List,
					 java.util.ArrayList,
					 com.sun.portal.providers.context.ProviderContext,
						  java.util.ResourceBundle" %>
	
	<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
	<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
	<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
	<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
	
	<dt:obtainChannel channel="$JSPProvider">
	<dt:getName id="adminChannelName"/>
	<jx:declare id="adminChannelName" type="java.lang.String"/>
	
	<dtpc:getStringProperty key="roleDN" id="roleDN"/>
	<jx:declare id="roleDN" type="java.lang.String"/>
	<%
		   JSPProvider tcp = (JSPProvider)pageContext.getAttribute("JSPProvider");
		    ResourceBundle bundle = tcp.getResourceBundle("SampleTaskAdminChannels");
            String channel = request.getParameter(adminChannelName + ".channelName");
			String title = request.getParameter(adminChannelName + ".title");
            String desc = request.getParameter(adminChannelName + ".desc");
			String queryString = "";
            String redirectURL = "";
		   if (title == null || title.trim().length() == 0) {
			   String errorMsg = bundle.getString("nullTitle");
			   queryString = adminChannelName + ".errorMsg=" + tcp.getProviderContext().encodeURLParameter(errorMsg)
                              + "&" + adminChannelName + ".page=setProperties&" + adminChannelName + ".channel=" + channel;
               redirectURL = tcp.getProviderContext().getDesktopURL(request, queryString, false);
               response.sendRedirect(redirectURL);
               return;
		   }	else {	
				String width = request.getParameter(adminChannelName + ".width");
                if (desc == null || desc.trim().length() == 0) {
                   desc = title;
                }
				pageContext.setAttribute("title", title);
				pageContext.setAttribute("width", width);
                pageContext.setAttribute("desc", desc);
                pageContext.setAttribute("channel", channel);
	%>
				<% try {             
                    List pflist = tcp.getProviderContext().getLocalePropertiesFilters();
                    pageContext.setAttribute("pflist", pflist);
                %>
					<dtadmin:obtainChannelAdmin baseDN="$roleDN">
					<dtadmin:setStringProperty channel="$channel" key="title" value="$title" pflist="$pflist"/>
                    <dtadmin:setStringProperty channel="$channel" key="width" value="$width"/>
                    <dtadmin:setStringProperty channel="$channel" key="description" value="$desc" pflist="$pflist"/>
					</dtadmin:obtainChannelAdmin>
				<% } catch (Exception ex) {
						ex.printStackTrace();
						String errorMsg = ex.getMessage();
						queryString = adminChannelName + ".errorMsg=" + tcp.getProviderContext().encodeURLParameter(errorMsg)
                                        + "&" + adminChannelName + ".page=setProperties&" + adminChannelName + ".channel=" + channel;			  
					    redirectURL = tcp.getProviderContext().getDesktopURL(request, queryString, false);
                        response.sendRedirect(redirectURL);
                        return;
                    }
			}
           String addChannel = request.getParameter(adminChannelName + ".addChannel");
           if (addChannel != null && addChannel.equals("0")) {
                response.sendRedirect(tcp.getProviderContext().getDesktopURL(request));
           }  else {
                queryString = adminChannelName + ".channel=" + channel + "&" + adminChannelName + ".page=addChannel";
	            redirectURL = tcp.getProviderContext().getDesktopURL(request, queryString, false);
                response.sendRedirect(redirectURL);
           }
           %>
	</dt:obtainChannel>

