<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%-- resetPassword.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Map,
                 java.util.Set,
                 com.sun.portal.providers.context.ProviderContext,
                 java.util.ResourceBundle" %>
                 
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %>
<%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>
<%@ taglib uri="/tld/i18n.tld" prefix="i18n" %>

<dt:obtainChannel channel="$JSPProvider">
<i18n:setBundle baseName="TaskAdminResetPasswordJSP" var="taskadminresetpasswordjsp" />
<script language="JavaScript" type="text/JavaScript">
function trim(s) {
  while (s.substring(0,1) == ' ') {
    s = s.substring(1,s.length);
  }
  while (s.substring(s.length-1,s.length) == ' ') {
    s = s.substring(0,s.length-1);
  }
  return s;
}
</script>

<SCRIPT LANGUAGE="JavaScript">
function validatePassword(newPasswordname, confirmPasswordname){
  newPassword = document.resetpasswd_form.elements[newPasswordname].value
  confirmPassword = document.resetpasswd_form.elements[confirmPasswordname].value

  if ( newPassword == null || trim(newPassword) == "" ||
       confirmPassword == null || trim(confirmPassword) == "") {
    alert('<i18n:message key="fillinthevalidpassword" bundle="taskadminresetpasswordjsp" />')
    return false
  }

  if (newPassword != confirmPassword) {
    alert('<i18n:message key="passwordvaluesmustmatch" bundle="taskadminresetpasswordjsp" />')
    return false
  }

  return true
}

</SCRIPT>


<dt:getName id="adminChannelName"/>
<jx:declare id="taskadminresetpasswordjsp" type="java.util.ResourceBundle"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/>
<jx:declare id="fontFace1" type="java.lang.String"/>

<dtuseradmin:obtainUserAdmin>
<%
       String wildcard = request.getParameter(adminChannelName + ".wildcard");
       pageContext.setAttribute("wildcard", wildcard);
       Set users = null;
       String errorMsg = null;
       try {
%>
<dtuseradmin:searchUsers wildcard="$wildcard" id="users"/>
<%
       users = (Set)pageContext.getAttribute("users");
       } catch ( Exception e ) {
           errorMsg = e.getMessage();
       }
       if ( users != null && users.size() != 0 ) {
%>


<form action="<dtpc:getDesktopURL/>" name="resetpasswd_form" method="POST" enctype="application/x-www-form-urlencoded" ONSUBMIT="return validatePassword('<dt:getName/>.password', '<dt:getName/>.confirmpassword')">
<INPUT TYPE="hidden" NAME="<dt:getName/>.page" VALUE="doResetPassword"/>

    <table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
            <td width="100%" align="CENTER">
                <table border="0" cellspacing="2" cellpadding="2" width="50%">
                    <tr>
                        <td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" color="#000000" size="-1"><b><i18n:message key="user" bundle="taskadminresetpasswordjsp" /></b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <SELECT NAME="<dt:getName/>.user">
                                <jx:forEach var="user" items="$users"><jx:declare id="user" type="java.lang.String"/>
                                <OPTION VALUE="<%=user%>"><dtuseradmin:getDNDisplayName dn="$user"/></OPTION></jx:forEach>
                            </SELECT>
                            </font></td>
                    </tr>
                    <tr>
                        <td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" color="#000000" size="-1"><b><i18n:message key="newpassword" bundle="taskadminresetpasswordjsp" /> *</b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <INPUT TYPE="PASSWORD" NAME="<dt:getName/>.password" SIZE="20" VALUE=""/>
                            </font></td>
                    </tr>
                    <tr>
                        <td align="RIGHT" NOWRAP><font face="<%=fontFace1%>" color="#000000" size="-1"><b><i18n:message key="confirmpassword" bundle="taskadminresetpasswordjsp" /> *</b></font></td>
                        <td><font face="<%=fontFace1%>" size="+0">
                            <INPUT TYPE="PASSWORD" NAME="<dt:getName/>.confirmpassword" SIZE="20" VALUE=""/>
                            </font></td>
                    </tr>
                </table>
            </TD>
        </TR>

    </TABLE>
    <br>
    <CENTER>
        <font size="+0" face="<%=fontFace1%>">
        <input type="SUBMIT" name="Submit" value="<i18n:message key="resetpassword" bundle="taskadminresetpasswordjsp" />" style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>
	<input type="BUTTON" onClick="top.document.location.href='<dtpc:getDesktopURL/>'" value="<i18n:message key="cancel" bundle="taskadminresetpasswordjsp" />"  style='background-color:<dttheme:getAttribute name="titleBarColor" default="#333366"/>;color:<dttheme:getAttribute name="titleFontColor" default="#ffffff"/>'>		
        </font>
    </CENTER>
    <br>
    <p>
</form>
<%
       } else {
	   if (errorMsg == null || errorMsg.length() == 0) {
               errorMsg = taskadminresetpasswordjsp.getString("searchstringdoesntmatchanyusers");
	   }
%>
<table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
        <td width="100%" align="CENTER">
        <font size="-1" color="red">
        <hr>
        <b>
    <%=errorMsg%>
        </b>
        <hr>
        <a href="<dtpc:getDesktopURL/>"><i18n:message key="pleasetryagain" bundle="taskadminresetpasswordjsp" /></A>
        <br>
        </font>
        </TD>
        </TR>
        </TABLE>

<%
       }
%>
</dtuseradmin:obtainUserAdmin>
</dt:obtainChannel>

