<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>

<%-- doTabCreator.jsp  --%>
<%@ page session="false" %>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 com.sun.portal.providers.context.ProviderContext,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Set,
                 java.util.Iterator,
                 java.util.Map,
                 java.util.HashMap,
                 java.util.ResourceBundle"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>
<%@ taglib uri="/tld/usertaskadmin.tld" prefix="dtuseradmin" %>


<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<%
       JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
       ResourceBundle bundle = jp.getResourceBundle("SampleTaskAdminChannels");
%>
<dtpc:getDesktopURL id="desktopURL"/>
<jx:declare id="desktopURL" type="java.lang.String"/>

<dtpc:getLocalePropertiesFilters id="pflist"/>
<dtpc:getStringProperty key="parentTabContainer" id="tabContainer"/>
<dtpc:getStringProperty key="tabPanelContainerProvider" id="providerName"/>


    <dtuseradmin:obtainUserAdmin>
    <dtuseradmin:getBaseDNs id="nodes"/>
    <jx:declare id="nodes" type="java.util.Set"/>
	
	<dtpc:getStringProperty key="roleDN" id="roleDN"/>
	<jx:declare id="roleDN" type="java.lang.String"/>
	<%
    if ((roleDN == null || roleDN.length() == 0) && !nodes.isEmpty() ) {
       Iterator i = nodes.iterator();
       roleDN = (String)i.next();
       pageContext.setAttribute("roleDN", roleDN);
    %>
    <dtpc:setStringProperty key="roleDN" value="$roleDN"/>
    <%   
    }  
	%>
    
	</dtuseradmin:obtainUserAdmin>


<%
       String channelName = request.getParameter(adminChannelName + ".channelName");
       if (channelName == null || channelName.trim().length() == 0) {
           String errorMsg = bundle.getString("nullChannelName");
           String queryString = adminChannelName + ".errorMsg=" + jp.getProviderContext().encodeURLParameter(errorMsg);
           String url = jp.getProviderContext().getDesktopURL(request, queryString, false);
           response.sendRedirect(url);
           return;
       }
       pageContext.setAttribute("channelName", channelName);
       String tabName = request.getParameter(adminChannelName + ".tabName");
       pageContext.setAttribute("tabName", tabName);
       String tabDesc = request.getParameter(adminChannelName + ".tabDesc");
       pageContext.setAttribute("tabDesc", tabDesc);
       String remove = request.getParameter(adminChannelName + ".removable");
       String rename = request.getParameter(adminChannelName + ".renamable");
       String predefine = request.getParameter(adminChannelName + ".predefined");
       Boolean removable = (remove != null && remove.equals("1")) ? Boolean.TRUE : Boolean.FALSE;
       Boolean renamable = (rename != null && rename.equals("1")) ? Boolean.TRUE : Boolean.FALSE;
       Boolean predefined = (predefine != null && predefine.equals("1")) ? Boolean.TRUE : Boolean.FALSE;
%>
<% try { %>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<dtadmin:createContainer channelName="$channelName" providerName="$providerName"/>
<dtadmin:setStringProperty channel="$channelName" key="title" value="$tabName" pflist="$pflist"/>
<dtadmin:setStringProperty channel="$channelName" key="description" value="$tabDesc" pflist="$pflist"/>

<%-- add tab to parent tab container --%>
<dtadmin:getAvailableChannels container="$tabContainer" id="available"/>
<dtadmin:getSelectedChannels container="$tabContainer" id="selected"/>
<dtadmin:getMapProperty channel="$tabContainer" key="TabProperties" id="tabProps"/> 
<%
       List available = (List)pageContext.getAttribute("available");
       List selected = (List)pageContext.getAttribute("selected");
       available.add(channelName);
       selected.add(channelName);
       pageContext.setAttribute("availableChannels", available);
       pageContext.setAttribute("selectedChannels", selected);
       Map tabPropsMap = (Map)pageContext.getAttribute("tabProps");
       Map configMap = new HashMap();
       configMap.put("removable", removable);
       configMap.put("renamable", renamable);
       configMap.put("predefined", predefined);
       tabPropsMap.put(channelName, configMap);
       pageContext.setAttribute("tabPropsMap", tabPropsMap);
%>
<dtadmin:setAvailableChannels available="$availableChannels" container="$tabContainer"/>
<dtadmin:setSelectedChannels selected="$selectedChannels" container="$tabContainer"/>
<dtadmin:setMapProperty channel="$tabContainer" key="TabProperties" value="$tabPropsMap"/>

</dtadmin:obtainChannelAdmin>

<% } catch (Exception ex) {
String errorMsg = ex.getMessage();
String queryString = adminChannelName + ".errorMsg=" + jp.getProviderContext().encodeURLParameter(errorMsg);
String url = jp.getProviderContext().getDesktopURL(request, queryString, false);
response.sendRedirect(url);
return;
}
%>
<%
String queryString = adminChannelName + ".page=addChannels&" + adminChannelName + ".containerName=" + channelName;
pageContext.setAttribute("queryString", queryString); 
%>
<dtpc:getDesktopURL id="redirectURL" querystring="$queryString"/>
<jx:declare id="redirectURL" type="java.lang.String"/>
<%
response.sendRedirect(redirectURL);
%>
</dt:obtainChannel>

