<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
<%-- doTabCreatorAdmin.jsp  --%>
<%@ page session="false" %>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 java.util.ArrayList,
                 java.util.Map,
                 java.util.HashMap,
                 java.util.ResourceBundle"%>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>

<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<%
       String adminPageID = request.getParameter(adminChannelName + ".page");
       if (adminPageID != null) {
           pageContext.setAttribute("adminPageID", adminPageID, PageContext.REQUEST_SCOPE);
       } else {
           pageContext.setAttribute("adminPageID", "", PageContext.REQUEST_SCOPE); 
       }
%>
<dtpc:getDesktopURL id="desktopURL"/>
<jx:declare id="desktopURL" type="java.lang.String"/>
<jx:choose>
<jx:when test="$adminPageID == 'addChannels'">
<jsp:include page="doAddChannels.jsp" flush="true"/>
</jx:when>
<jx:when test="$adminPageID == 'tabCreatorAdminEdit'">
<jsp:include page="doTabCreatorAdminEdit.jsp" flush="true"/>
<%
response.sendRedirect(desktopURL);
%>
</jx:when>
<jx:otherwise>
<jsp:include page="doTabCreator.jsp" flush="true"/>
</jx:otherwise>
</jx:choose>
</dt:obtainChannel>



