<%--
  Copyright 2004 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%>
 
<%-- doSetChannelURL.jsp  --%>
<%@ page import="com.sun.portal.providers.jsp.JSPProvider,
                 java.util.List,
                 com.sun.portal.providers.context.ProviderContext" %>

<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/channeltaskadmin.tld" prefix="dtadmin" %>

<dt:obtainChannel channel="$JSPProvider">
<dt:getName id="adminChannelName"/>
<jx:declare id="adminChannelName" type="java.lang.String"/>
<dtpc:getStringProperty key="roleDN" id="roleDN"/>
<jx:declare id="roleDN" type="java.lang.String"/>
<%
        JSPProvider jp = (JSPProvider)pageContext.getAttribute("JSPProvider");
        ProviderContext pc = jp.getProviderContext();
       String scraperChannelName = request.getParameter(adminChannelName + ".scraperChannel");
       pageContext.setAttribute("scraperChannel", scraperChannelName);
       String scraperURL = request.getParameter(adminChannelName + ".scraperURL");
        pageContext.setAttribute("scraperURL", scraperURL);
        String clientType = request.getParameter(adminChannelName + ".clientType");
        boolean defaultURL = clientType.equalsIgnoreCase("default");
        String xslFileName = request.getParameter(adminChannelName + ".xslfile");
        boolean setXSLFile = xslFileName != null && xslFileName.length() != 0;
        pageContext.setAttribute("defaultURL", new Boolean(defaultURL));
        pageContext.setAttribute("setXslFile", new Boolean(setXSLFile));
        pageContext.setAttribute("clientType",clientType); 
        String queryString = "";
%>
<dtadmin:obtainChannelAdmin baseDN="$roleDN">
<% try {%>
<jx:choose>
<jx:when test="$defaultURL">
<dtadmin:setStringProperty value="$scraperURL" key="url" channel="$scraperChannel"/>
</jx:when>
<jx:otherwise>
<%
List pflist = pc.getClientPropertiesFilters(clientType);
pageContext.setAttribute("pflist", pflist);
%>
<dtadmin:setStringProperty key="url" channel="$scraperChannel" value="$scraperURL" pflist="$pflist"/>
</jx:otherwise>
</jx:choose>
<jx:if test="$setXslFile">
<%
pageContext.setAttribute("xslFileName", xslFileName);
%>
<dtadmin:setStringProperty value="$xslFileName" key="xslFileName" channel="$scraperChannel"/>
</jx:if>
<%
} catch (Exception ex) {
String errorMsg = ex.getMessage();
queryString = adminChannelName + ".errorMsg=" + jp.getProviderContext().encodeURLParameter(errorMsg);
pageContext.setAttribute("queryString", queryString);
%>
<dtpc:getDesktopURL id="redirectURL" querystring="$queryString"/>
<jx:declare id="redirectURL" type="java.lang.String"/>
<%
if (redirectURL != null) {
response.sendRedirect(redirectURL);
}
}%>
</dtadmin:obtainChannelAdmin>
</dt:obtainChannel>   








