<%--
  Copyright 2005 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
 --%><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx" %><%
%><%@ taglib uri="/tld/desktop.tld" prefix="dt" %><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %><%
%><%@ taglib uri="/tld/ssoadapter.tld" prefix="sso" %><%
%><%@ taglib uri="/tld/wireless_ab.tld" prefix="ab" %><%
%><%@ taglib uri="/tld/desktopTheme.tld" prefix="dttheme" %><%
%><%@ page errorPage="error.jsp"%><%

%><dt:obtainChannel channel="$JSPProvider"><%
%><dtpc:providerContext><%
%><dtpc:getStringProperty key="fontFace1" id="fontFace1" scope="request"/><%
%><dtpc:getStringProperty key="ssoAdapter" id="ssoName"/><%
%><sso:adapter configname="$ssoName"><%
    %><sso:getproperty key="enableProxyAuth" id="enableProxyAuth"/><%
%></sso:adapter><%
%><%

// font
String font = (String)pageContext.getAttribute("fontFace1",PageContext.REQUEST_SCOPE);%><%

//Normalize the string value, to take care of case differences e.g. false, FALSE, False
boolean isEnableProxyAuth = Boolean.valueOf((String)pageContext 
                            .getAttribute("enableProxyAuth")).booleanValue();
pageContext.setAttribute("isEnableProxyAuth", isEnableProxyAuth);
%>
<!-- Begin Channel Edit Title -->
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground">
  <tr>
    <td colspan="2"><img src="images/spacer.gif" alt="" width="1" height="5"></td>
  </tr>
  <tr>
    <td><div class="channelTitleText">Edit Address Book</div></td>
    <td align="right" valign="bottom"></td>
  </tr>
</table>
<div><img src="images/spacer.gif" alt="" width="1" height="10"></div>
<!-- End Channel Edit Title -->


<!-- Begin channel content -->
<div id="AccountPrefs">

<table cellpadding="0" cellspacing="0" border="0" >
<tr>
  <td valign="top" width="25%">
    <div class="Help">
    <span class="helpHeaderText">Help:</span><br>
    <span class="helpText">This information is used to personalize display of address book entries
          on your desktop.  Click the Save Changes button to submit your changes.<br>
          [&nbsp;<a href="javascript:alert('This feature is currently not available on this page.');"
          title="Click to view additional help">More Help</a>&nbsp;]</span>
    </div>
  </td>
  <td valign="top" align="right">
    <div class="Help">
    <table cellpadding="0" cellspacing="0" border="0"><%

    // Account Settings

    %><jx:if test='$isEnableProxyAuth == false'>
      <tr>
        <td colspan="2" align="left"><span class="helpHeaderText">Account Settings</span></td>
      </tr><%

      %><sso:adapter configname="$ssoName"><%
        %><jx:declare id="ssoEditAttributes" type="java.util.Collection"/><%
        %><dtpc:getCollectionProperty key="ssoEditAttributes" id="ssoEditAttributes"/><%
        %><jx:forEach var="item" items="$ssoEditAttributes"><%
        %><sso:editmapdata data="type" id="type" mapid="item"/><%
        %><sso:editmapdata data="prop" id="prop" mapid="item"/>
      <tr>
        <td><div class="labelText"><LABEL for="id<jx:expr value="$prop"/>"> 
          <sso:editmapdata data="name" mapid="item"/> </LABEL></div></td>

        <td><div class="labelForm"><%
          %><jx:if test="$type == 'string'">
            <input type="text" name="<jx:expr value="$prop"/>" size="25" 
                   maxlength="50" value="<sso:getproperty key="$prop"/>" id="id<jx:expr value="$prop"/>"><% 
          %></jx:if><%
          %><jx:if test="$type == 'password'">
            <input type="password" name="<jx:expr value="$prop"/>" size="25" 
                   maxlength="40" value="********" id<jx:expr value="$prop"/>"><% 
          %></jx:if></div></td>
      </tr><%
        %></jx:forEach><%
      %></sso:adapter><%
    %></jx:if>
      <jx:if test='$isEnableProxyAuth == true'>
      <tr>
        <td>The account settings have been configured by the administrator.</td>
      </tr>
    </jx:if>

      <tr>
        <td colspan="2"><img src="images/spacer.gif" alt="" width="1" height="10"></td>
      </tr>
      <%

      // Display Settings

      %>
      <tr>
        <td colspan="2" align="left"><span class="helpHeaderText">Display Settings</span></td>
      </tr>

      <tr>
        <td><div class="labelText"><LABEL for="idnumEntries">Entries to Display: </LABEL></div></td>
        <td><div class="labelForm">
          <INPUT TYPE="TEXT" NAME="numEntries" SIZE="3" MAXLENGTH="3" 
                 VALUE="<dtpc:getIntegerProperty key="numberEntries"/>" id="idnumEntries">
      </tr>

      <tr>
        <td><div class="labelText"><LABEL for="idsort">Sort: </LABEL></div></td>
        <td><div class="labelForm"><%
          %><dtpc:getStringProperty key="sortOrder" id="sortOrder"/><%
          %><dtpc:getStringProperty key="sortBy" id="sortBy"/><%

          String sortOrder = (String) pageContext.getAttribute("sortOrder");
          String sortBy    = (String) pageContext.getAttribute("sortBy");
          boolean down     = false;

          if (sortOrder.equals("down")) {
              down=true;
          }%>
          <select name="sort" id="idsort">
            <option value="cnd"<%
              if (down && sortBy.equals("cn")){
                %> SELECTED<%                            
              }
              %>>Descending by name</option>
            <option value="cna"<%
              if (!down && sortBy.equals("cn")){
                %> SELECTED<%                            
              }
              %>>Ascending by name</option>
           </select>    
         </td>
      </tr>

      <tr>
        <td><div class="labelText"><LABEL for="idabview">Initial View: </LABEL></div></td>
        <td><div class="labelForm"><%
          %><dtpc:getStringProperty key="initialView" id="abview"/><%
          %><jx:declare id="abview" type="String"/>
          <select name="abview" id="idabview">
            <option value="all"<%
              if (abview.equalsIgnoreCase("all")) {%> SELECTED<%}
                %>>All</option>
            <option value="group"<%
              if (abview.equalsIgnoreCase("group")) {%> SELECTED<%}
                %>>Groups</option>
            <option value="entry"<%
              if (abview.equalsIgnoreCase("entry")) {%> SELECTED<%}
                %>>Contacts</option>
          </select>
         </td>
      </tr>

      <tr>
        <td colspan="2"><img src="images/spacer.gif" alt="" width="1" height="10"></td>
      </tr>
      <%

      // Mobile Settings

      %>
      <tr>
        <td colspan="2" align="left"><span class="helpHeaderText">Additional Settings</span></td>
      </tr>

      <tr>
        <td colspan="2" align="left"><div class="labelForm">
          <INPUT TYPE="submit" NAME="MobileAddressBook" VALUE="Address Book Mobile Settings" id="mbsettings">
          </div></td>
      </tr>
    </table>
    </div>
  </td>
</tr>
</table><%
%></dtpc:providerContext><%
%></dt:obtainChannel>
