<%@ page import="java.util.*,com.sun.im.portal.provider.IMProvider" %>
<%@ taglib uri="/tld/im.tld" prefix="im" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>

<dt:obtainChannel channel="$JSPProvider">
<jx:declare id="JSPProvider" type="com.sun.im.portal.provider.IMProvider"/>
<dtpc:getStringProperty id="fontFace" key="fontFace1"/>
<jx:declare id="fontFace" type="java.lang.String"/>

<!-- Begin Channel Edit Title -->
<dtpc:providerContext>
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground">
  <tr>
    <td colspan="2"><img src="images/spacer.gif" alt="" width="1" height="5"></td>
  </tr>
  <tr>
    <td><div class="channelTitleText">Edit <dtpc:getStringProperty key="title"/></div></td>
    <td align="right" valign="bottom"></td>
  </tr>
</table>
<div><img src="images/spacer.gif" alt="" width="1" height="10"></div>
</dtpc:providerContext>
<!-- End Channel Edit Title -->

<% if (pageContext.getAttribute("groups") == null) { %>
<div style="padding: 15px 0px 0px 25px;">
<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td><span class="alertHeaderText"><i><font color="red">Error</font>: Unable to 
        contact the Instant Messaging server to get your list of contact groups.</i>
        </span>
    </td>
  </tr>
</table>
</div>
<% } %>

<!-- Begin channel content -->
<div id="AccountPrefs">

<table cellpadding="0" cellspacing="0" border="0" >
  <tr>
    <td valign="top" width="25%">
      <div class="Help">
        <span class="helpHeaderText">Help:</span><br>
        <span class="helpText"> 1. The Instant Messenger channel displays presence information 
          about the contacts in the contact list you enter here. <br>
          2. The Instant Messenger program can either run in your browser (Java plugin), 
             or it can be installed on your computer using Java Web Start.<br>
          3. In order to access a Instant Messaging server, you must enter the
             information needed to contact the server.<br>
          Click the Save Changes button to submit your changes.<br>
          [&nbsp;<a href="javascript:alert('This feature is currently not available on this page.');"
          title="Click to view additional help">More Help</a>&nbsp;]</span>
       </div>
    </td>
    <td valign="top" align="right">
      <div class="Help">
        <table cellpadding="0" cellspacing="0" border="0">

          <%-- ------------------- Channel Display Information ---------------- --%>

          <im:getContactGroups id="groups"/>
          <% if (pageContext.getAttribute("groups") != null) { %>
            <tr>
              <td><div class="labelText"><label for="commonname">Contact List:</label></div>
              </td>
              <td><div class="labelForm"> 
                <select name="contactGroup">
                 <dtpc:getStringProperty id="cg" key="contactGroup"/>
                  <jx:declare id="cg" type="java.lang.String"/>
                  <jx:forEach var="group" items="$groups">
                    <jx:declare id="group" type="java.lang.String"/>
                    <option value="<%=group%>" <%= cg.equals(group) ? "selected" : "" %>><%=group%></option>
                  </jx:forEach>
                  <option value="__ALL__" <%= cg.equals("") ? "selected" : "" %>>All Contacts</option>
                </select>
                </div>
              </td>
            </tr>
          <% } %>

          <%-- ------------------- Instant Messenger Launch Information ---------------- --%>

          <tr>
            <td><div class="labelText"><label for="commonname">Launch Method:</label></div>
            </td>
            <td><div class="labelForm">
              <select name="clientRunMode">
                <dtpc:getStringProperty id="crm" key="clientRunMode"/>
                <option value="plugin" <jx:if test="$crm == 'plugin'">selected</jx:if>>Java Plugin</option>
                <option value="jnlp" <jx:if test="$crm == 'jnlp'">selected</jx:if>>Java Web Start</option>
              </select>
              </div>
            </td>
          </tr>

          <%-- ------------------- Instant Messaging Server Information ---------------- --%>

          <tr>
            <td><div class="labelText"><label for="commonname">Multiplexor:</label></div>
            </td>
            <td><div class="labelForm">
              <input type="text" name="mux" size="25" maxlength="40" 
               value="<dtpc:getStringProperty key="mux"/>">
              </div>
            </td>
          </tr>
          
          <tr>
            <td><div class="labelText"><label for="commonname">Multiplexor Port:</label></div>
            </td>
            <td><div class="labelForm">
              <input type="text" name="muxport" size="25" maxlength="40" 
               value="<dtpc:getStringProperty key="muxport"/>">
              </div>
            </td>
          </tr>

          <dtpc:getStringProperty id="authMethod" key="authMethod"/>
          <jx:if test="$authMethod == 'ldap'">
            <tr>
              <td><div class="labelText">Username:</label></div>
              </td>
              <td><div class="labelForm">
                <input type="text" name="username" size="25" maxlength="40" 
                 value="<dtpc:getStringProperty key="username"/>">
                </div>
              </td>
            </tr>
            
            <tr>
              <td><div class="labelText"><label for="commonname">Password:</label></div>
              </td>
              <td><div class="labelForm">
                <input type="password" name="password" size="25" maxlength="40" 
                 value="<%= JSPProvider.getDummyPassword() %>">
                </div>
              </td>
            </tr>
          </jx:if>

        </table>
      </div>
    </td>
  </tr>
</table>

</div>
<!-- End channel content -->

</dt:obtainChannel>
