<%
%><%@ page session="false" %><%
%><%@ taglib uri="/tld/desktopTable.tld" prefix="dttable" %><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %><%
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %><%
%><%@ taglib uri="/tld/desktop.tld" prefix="dt" %><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx" %><%
%><%@ page import="
java.util.Enumeration,
com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
com.sun.portal.providers.context.ProviderContext"
%><%

%><%
  String channel          = (String)request.getParameter("channel");
  String container        = (String)request.getParameter("container");
  String printParamValue  = (String)request.getParameter("print");
  String back             = (String)request.getParameter("back");
  Boolean print           = new Boolean(false);

  if (container == null) {
      container = channel.substring(0,channel.indexOf("/"));
  }

  JSPSingleContainerProvider scp = (JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
  JSPTableContainerProvider  tcp = (JSPTableContainerProvider)scp.getContainerProviderContext().getProvider( request, scp.getName(), container);

  if (printParamValue != null && printParamValue.equals("true")) {
     print = new Boolean(true);
  }
  boolean printSelected = print.booleanValue();

  pageContext.setAttribute("channel", channel);
  pageContext.setAttribute("tcp", tcp);
  pageContext.setAttribute("contentFullPage", new Boolean(true), PageContext.REQUEST_SCOPE);

  if (back == null) {
      back = "";
  } else {
      back = "&" + back;
  }

  String query = "";
  Enumeration params = request.getParameterNames();

  while (params.hasMoreElements()) {
    String paramKey   = (String)params.nextElement();
    String paramValue = request.getParameter(paramKey);

    if (paramValue != null) {
        query += "&" + paramKey + "=" + paramValue;
    }
  }


%><%

%><dt:obtainContainer container="$tcp"><%
%><dtcpc:obtainChannelFromContainer channel="$channel"><%
%>

<% if (printSelected) { %>
<jsp:include page="user.jsp" flush="true"/>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

<!-- Begin head -->
<head>
<jsp:include page="meta.jsp" flush="true"/>
<jsp:include page="title.jsp" flush="true"/>
<jsp:include page="script.jsp" flush="true"/>
</head>
<body>

<% } else { %>
    <jsp:include page="header.jsp" flush="true"/>

<!-- Begin Header Commands -->
<div class="shortContainer">
  <div id="secondaryContainerNavigation" style="vertical-align: middle;">
    <a href="<dtpc:getDesktopURL/>?channel=<%=channel%>&provider=ASCTabContainer<%=back%>" title="Go back to previous page" class="headerLink">
    <img src="<dt:scontent/>/enterprise/images/button-back.gif" alt="Go back to previous page" width="19" height="19" hspace="5" border="0" align="middle"></a>
    <a href="<dtpc:getDesktopURL/>?channel=<%=channel%>&provider=ASCTabContainer<%=back%>" title="Go back to previous page" class="headerLink">Back</a>

    <a href="<dtpc:getDesktopURL/>?provider=FullPageContainer&print=true<%=query%>" title="Print this page" class="headerLink" target="_blank">
    <img src="<dt:scontent/>/enterprise/images/button-print.gif" alt="Print this page" width="19" height="19" hspace="5" border="0" align="middle"></a>
    <a href="<dtpc:getDesktopURL/>?provider=FullPageContainer&print=true<%=query%>" title="Print this page" class="headerLink" target="_blank">Print&nbsp;Friendly</a>
  </div>
</div>
<!-- End Header Commands -->

<% } %>


<div><a name="goto-body" id="goto-body"></a></div>

<!-- Begin Full Page Channel Wrapper -->
<% if (printSelected) { %>
    <div class="printPageContainer">

<% } else { %>
  <div class="fullPageContainer">
<% } %>

    <!-- Begin Full Page Channel -->
    <div id="channel" class="channel">
      <table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground">
      <tr>
        <td colspan="2"><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="5"></td>
      </tr>
      <tr>
        <td><div class="channelTitleText"><dt:getTitle/></div></td>
        <td align="right" valign="bottom">&nbsp;</td>
      </tr>
      </table>

      <dt:getContent/> 
  </div>
  <!-- End Full Page Channel -->


</div>
<!-- End Full Page Channel Wrapper -->

</body>
</html>

  </dtcpc:obtainChannelFromContainer>
</dt:obtainContainer>
