<%
/*
Format:

<A HREF="http://siroe.sun.com/portal/dt?action=process&provider=MyFrontPageTabPanelContainer&MyFrontPageTabPanelContainer.channelAction=minimize&MyFrontPageTabPanelContainer.targetProvider=UserInfo" TARGET="_parent"><IMG SRC="/portal/desktop/images/b_minimize.gif" ALT="Minimize User Information" TITLE="Minimize User Information" BORDER=0></A>

*/
%>
<%

// channel toolbar commands (embedded with markup)
// 
String minMaximizeCommand = (String)commands.get("minMaximizeCommand");
String maximizeCommand    = (String)commands.get("maximizeCommand");
String helpCommand        = (String)commands.get("helpCommand");
String editCommand        = (String)commands.get("editCommand");
String detachAtachCommand = (String)commands.get("detachAtachCommand");
String removeCommand      = (String)commands.get("removeCommand");

// command locations (href)
// 
String minMaxLocation       = null;
String maximizeLocation     = null;
String helpLocation         = null;
String editLocation         = null;
String detachAttachLocation = null;
String removeLocation       = null;

// check to see if we should build and display the menu
//
boolean showMenu = true;

if ((minMaximizeCommand == "") && 
    (maximizeCommand == "") &&
    (editCommand == "") &&
    (detachAtachCommand == "") &&
    (removeCommand == "")) {
    showMenu = false;
}

// generate pattern and split based on double quote (") delimiter
// 
Pattern  pattern    = Pattern.compile("\"");
String[] regexArray = null;

if (showMenu) {
    try {
        regexArray = pattern.split(minMaximizeCommand); 
       
        if (regexArray.length > 1) {
            minMaxLocation = regexArray[1];
        }
    
        regexArray = pattern.split(maximizeCommand); 
       
        if (regexArray.length > 1) {
            maximizeLocation = regexArray[1];
        }
    
        regexArray = pattern.split(helpCommand);
      
        if (regexArray.length > 1) {
            helpLocation = regexArray[1];
        }
    
        regexArray = pattern.split(editCommand);
      
        if (regexArray.length > 1) {
            editLocation = regexArray[1];
        }
    
        regexArray = pattern.split(detachAtachCommand);
      
        if (regexArray.length > 1) {
            detachAttachLocation = regexArray[1];
        }
    
        regexArray = pattern.split(removeCommand);
      
        if (regexArray.length > 1) {
            removeLocation = regexArray[1];
        }
    } catch (Exception e) {
    }
}
%><%
%>
<% if (showMenu) { %> 

    <script language="JavaScript1.2">
		<!--
    window.<%=channelName%> = new Menu();
    window.<%=channelName%>.addMenuItem("&#8212;&nbsp;Channel Menu&nbsp;&#8212;");<%

    %><% if (editLocation != null) { %> 
    window.<%=channelName%>.addMenuItem("Edit channel options...", "location='<%=editLocation%>'");
    window.<%=channelName%>.addMenuSeparator();<%
    %><% } %><%

    %><% if ((!hasMaximized) && (maximizeLocation != null)) { %> 
    window.<%=channelName%>.addMenuItem("Show full page view", "location='<%=maximizeLocation%>'");<%
    %><% } else if (maximizeLocation != null) { %> 
    window.<%=channelName%>.addMenuItem("Show normal view", "location='<%=maximizeLocation%>'");<%
    %><% } %><%

    %><% if ((!minimized) && (minMaxLocation != null)) { %> 
    window.<%=channelName%>.addMenuItem("Show title bar only", "location='<%=minMaxLocation%>'");<%
    %><% } else if (minMaxLocation != null) { %> 
    window.<%=channelName%>.addMenuItem("Show normal view", "location='<%=minMaxLocation%>'");<%
    %><% } %><%

    %><% if (detachAttachLocation != null) { %> 
    window.<%=channelName%>.addMenuItem("Show in new window", "location='<%=detachAttachLocation%>'");<%
    %><% } %><%

    %><% if (removeLocation != null) { %> 
    window.<%=channelName%>.addMenuSeparator();
    window.<%=channelName%>.addMenuItem("Remove channel", "confirmRemove(\"<%=title%>\",'<%=removeLocation%>')");<%
    %><% } %><%

    %><% if (helpLocation != null) { %> 
    window.<%=channelName%>.addMenuSeparator();
    //window.<%=channelName%>.addMenuItem("View channel help...", "window.open('<%=helpLocation%>')");
    window.<%=channelName%>.addMenuItem("View channel help...", "javascript:openWindow('<dtpc:getDesktopURL/>?provider=OnlineHelpContainer&topic=channelControls&last=false','Help');");
    <%
    %><% } %>

    window.<%=channelName%>.fontColorHilite = "#FFFFFF";
    window.<%=channelName%>.menuHiliteBgColor = "#F68947";
    window.<%=channelName%>.disableDrag = true;
		-->
    </script>
    <div class="channelMenu"><a href="javascript://" onClick="showMenu(window.<%=channelName%>);" title="Click to view or modify channel options"><img src="<dt:scontent/>/enterprise/images/channel-button.gif" height="13" width="16" border="0" alt="Click to view or modify channel options" style="vertical-align: bottom;"></a></div>
<% } %> 

