<%@ page import="java.util.List,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
com.sun.portal.providers.context.ProviderContext"
%><%

%><%@ page session="false" %><%

%><%@ taglib uri="/tld/desktopTable.tld" prefix="dttable" %><%
%><%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %><%
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %><%
%><%@ taglib uri="/tld/desktop.tld" prefix="dt" %><%
%><%@ taglib uri="/tld/jx.tld" prefix="jx"%><%

%>
<%
    JSPTableContainerProvider cp =
        (JSPTableContainerProvider)pageContext.getAttribute("JSPProvider");
    ProviderContext pc      = cp.getProviderContext();
    Boolean userIsAnonymous = new Boolean(false);

    if (pc.isAuthless(request)) {
        userIsAnonymous = new Boolean(true);
    }

    pageContext.setAttribute("userIsAnonymous", userIsAnonymous, PageContext.REQUEST_SCOPE);
%>
<dt:obtainContainer container="$JSPProvider">
  <dttable:tableContainerProvider>

    <dt:getName id="containerName" scope="request"/>
    <dttable:getContent id="contentMap" scope="request"/>
    <dttable:isPopup id="isPopup"/>

    <%-- 
      01. check to see if the channel is displayed in a new window or detached.  if 
          the channel is detached, then process the channel content via popupChannel.jsp
    --%>
    <jx:choose>
      <jx:when test="$isPopup == true">
        <jsp:include page="popupChannel.jsp" flush="true"/>
      </jx:when>

      <%-- 
        02. check to see if the channel is a full window channel or maximized.  if the 
            channel is maximized, then process the channel content via tableFullWindow.jsp
      --%>
      <jx:otherwise>
        <jsp:include page="launchPopup.jsp" flush="true"/><%
        %><dtpc:getStringProperty key="maximizedChannel" id="maximizedChannel" scope="request"/><%
        %><dt:getSelectedChannels id="selectedChannel"/><%
        %><%
          List   selectedChannels = (List)pageContext.getAttribute("selectedChannel");
          String maximizedChannel = (String)pageContext.getAttribute("maximizedChannel", 
                                                                     PageContext.REQUEST_SCOPE);

          if (!selectedChannels.contains(maximizedChannel)) {
              maximizedChannel = "";
              pageContext.setAttribute("maximizedChannel", maximizedChannel);
          }

          Boolean hasMaximizedChannel = new Boolean(maximizedChannel != null && 
                                                    maximizedChannel.length() != 0);
          pageContext.setAttribute("hasMaximizedChannel", 
                                   hasMaximizedChannel, 
                                   PageContext.REQUEST_SCOPE);
        %><%

        %><jx:choose><%
          %><jx:when test="$hasMaximizedChannel == true"><%
            %><jsp:include page="tableFullWindow.jsp" flush="true"/><%
          %></jx:when><%

          %><%-- 
            03. otherwise, display all channels
          --%>
          <jx:otherwise>
  
            <!-- Begin Left Column of Channels -->
            <div class="tableContainerColumnLeft">
            <dttable:getColumns id="channels" column="left" scope="request"/>
            <jsp:include page="column.jsp" flush="true">
              <jsp:param name="columnName" value="center"/>
            </jsp:include>
            </div>
            <!-- End Left Column of Channels -->
            
            <!-- Begin Middle Column of Channels -->
            <div class="tableContainerColumnCenter""> 
            <dttable:getColumns id="channels" column="center" scope="request"/>
            <jsp:include page="column.jsp" flush="true">
              <jsp:param name="columnName" value="center"/>
            </jsp:include>
            </div>
            <!-- End Middle Column of Channels -->
            
            <!-- Begin Right Column of Channels -->
            <div class="tableContainerColumnRight"> 
            <dttable:getColumns id="channels" column="right" scope="request"/>
            <jsp:include page="column.jsp" flush="true">
              <jsp:param name="columnName" value="center"/>
            </jsp:include>
            </div>
            <!-- End Right Column of Channels -->

          </jx:otherwise>

          <script>
          if (window.menus) {
            var lm = window.menus[window.menus.length-1];
            lm.writeMenus();
          }
          </script>
        </jx:choose>
        
      </jx:otherwise>
    </jx:choose>

  </dttable:tableContainerProvider>
</dt:obtainContainer>
