<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc"
%><%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc"
%><%@ taglib uri="/tld/desktop.tld" prefix="dt"
%><%@ taglib uri="/tld/jx.tld" prefix="jx"
%><%@ page import="java.util.*,
com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider"%>

<%
String container = null;
if ((String)request.getParameter("container") != null) {
 container = (String)request.getParameter("container");
} else if ((String)session.getAttribute("container") != null) {
 container = (String)session.getAttribute("container");
}

JSPSingleContainerProvider scp = 
	(JSPSingleContainerProvider)pageContext.getAttribute("JSPProvider");
pageContext.setAttribute( "container", container, PageContext.REQUEST_SCOPE );

JSPTableContainerProvider tcp = 
	(JSPTableContainerProvider)scp.getContainerProviderContext().getProvider(
		request, scp.getName(), container);
pageContext.setAttribute( "tableProvider", tcp,  PageContext.REQUEST_SCOPE );

String containerTitle = tcp.getStringProperty("title");

 /* These are constants shared by content and process jsps and
  * refer to the state of the processing (saving) of page prefs
  */
String COMPLETE = "complete";
String INCOMPLETE = "incomplete";
String ERROR = "error";

// The keys and long titles for pages
Hashtable titles = new Hashtable();
titles.put("content", "Content");
titles.put("layout", "Layout");

String startPage = "content";

/*
 * The current page can be one of the following:
 * 1. the start page
 * 2. the user clicked on another page to make it the current page
 * 3. the user is returing from saving changes via the process form and so the 
 *    current page is in the session and so it's state must be "reset".
 */
String pagePrefsPage = startPage;
if ((String)request.getParameter("pagePrefsPage") != null) {
  pagePrefsPage = (String)request.getParameter("pagePrefsPage");
} else if ((String)session.getAttribute("pagePrefsPage") != null &&
           !((String)session.getAttribute("pagePrefsPage")).equals(INCOMPLETE)) {
  pagePrefsPage = (String)session.getAttribute("pagePrefsPage");
  session.setAttribute("pagePrefsPage", INCOMPLETE);
}
String pagePrefsPageContent = pagePrefsPage + "/" + "content.jsp";
String contentFormValidation = pagePrefsPage + "/" + "contentFormValidation.jsp";
%>

<%! 
 /*
  * Get the CSS class value for the html li according to if the 
  * titleKey in titles matches the current pagePrefsPage 
  * (Selected) or not (Unselected).
  */
public String getCSSClassValue(String titleKey, String pagePrefsPage) {
  String classValue = "Unselected";
  if (titleKey.equals(pagePrefsPage)) {
    classValue = "Selected";
  }
  return classValue;
}
%>


<dt:obtainContainer container="$JSPProvider">

  <jsp:include page="header.jsp" flush="true"/>
  <%@ include file="js/selectAll.js" %>

  <div class="shortContainer"> 
    <!-- Begin Secondary Tab Navigation --> 
    <table cellpadding="0" cellspacing="0" border="0" width="100%">
    <tr> 
    <td nowrap width="40%">
      <div id="secondaryContainerNavigation">
        <span class="selectedDivider">|</span>
        <li>
          <a href="<dtpc:getDesktopURL/>?provider=PagePreferencesContainer&container=<%=container%>&pagePrefsPage=content&last=false" class="<%=getCSSClassValue("content", pagePrefsPage)%>">Content</a>
        </li>
        <span class="selectedDivider">|</span>
        <li>
          <a href="<dtpc:getDesktopURL/>?provider=PagePreferencesContainer&container=<%=container%>&pagePrefsPage=layout&last=false" class="<%=getCSSClassValue("layout", pagePrefsPage)%>" title="Click to navigate to this item">Layout</a>
        </li>
        <span class="selectedDivider">|</span>
    </td> 
    <td nowrap width="40%">
      <div id="secondaryContainerNavigation" style="text-align:right">
        <span class="selectedDivider">|</span>
	<li><a href="javascript:void(0)" title="Click to launch help in a new browser window" class="Unselected" onClick="javascript:openWindow('<dtpc:getDesktopURL/>?provider=OnlineHelpContainer&topic=pagePreferences&last=false','Help');">Help</a></li>	
	<span class="selectedDivider">|</span>
      </div>
    </td> 
    </tr> 
    </table> 
    <!-- End Secondary Tab Navigation --> 
  </div> 
  <!-- This is the target anchor used to skip repetitive navigation links for users of screen readers -->
  <div><a name="goto-body" id="goto-body"></a></div>

<!-- Begin Full Page Channel Wrapper -->
<div class="preferencesPageContainer"> 
  <!-- Begin Full Page Channel -->
  <div id="channel" class="channel">
  
    <table cellpadding="0" cellspacing="0" border="0" width="100%" class="channelBackground"> 
    <tr><td><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="5"></td></tr>
    <tr><td class="channelTitleText">
      &nbsp;&nbsp;Change <%=titles.get(pagePrefsPage)%>&nbsp;&#8212;&nbsp;<%=containerTitle%> Tab
    </td></tr> 
    </table>
    
    <div><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="10"></div>
    
    <%
    /*
     * This url is also the return url of the included forms process 
     * action and so given the state html about the result of the 
     * process action may get included.
     */
     String pagePrefsState = null;
     if (session.getAttribute( "pagePrefsState" ) != null &&
         !session.getAttribute( "pagePrefsState" ).equals(INCOMPLETE)) {
         pagePrefsState = (String)session.getAttribute( "pagePrefsState" );
         String pagePrefsStatePageContent = pagePrefsPage + "/" + pagePrefsState + ".jsp";
     %>
       <!-- Include info about result of pressing "Save Changes" button. -->
       <jsp:include page="<%=pagePrefsStatePageContent%>" flush="true"/>
     <%
     }
     %>

    <!-- include page with javascript for client-side form validation -->
    <jsp:include page="<%=contentFormValidation%>" flush="true"/>


      <form action="<dtpc:getDesktopURL/>?provider=PagePreferencesContainer&last=false"
      target="_parent" method="POST" name="contentForm" onSubmit="selectAll()"
      enctype="application/x-www-form-urlencoded">
    
    <input type=hidden name="action" size="-1" value="process">
    <input type=hidden name="provider" size="-1" value="PagePreferencesContainer">
    <input type=hidden name="container" size="-1" value="<%=container%>">
    <input type=hidden name="pagePrefsPage" size="-1" value="<%=pagePrefsPage%>">
    
    <table cellpadding="0" cellspacing="0" border="0">
      <jsp:include page="<%=pagePrefsPageContent%>" flush="true"/>

      <tr><td><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="10"></td></tr>
      <tr><td width="100%" class="channelBorder"><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="1"></td></tr
	     
      <tr>
      <td align="right" valign="top">
        <div class="buttonRow">
          <input style="vertical-align: middle" class="defaultButton" type="submit" name="save" 
          id="save" value="Save Changes" 
	  onMouseOver="if (this.disabled==0) this.className='defaultButtonHover'" 
	  onFocus="if (this.disabled==0) this.className='defaultButtonHover'" 
	  onMouseOut="if (this.disabled==0) this.className='defaultButton'" 
	  onBlur="if (this.disabled==0) this.className='defaultButton'" 
	  onClick="return contentFormValid();" 
	  onKeyPress="return contentFormValid();" 
	  title="Save Changes Button"/>

          <img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="5" height="1">

          <input style="vertical-align: middle" class="button" type="reset" 
	  name="reset" id="reset" value="Reset" 
	  onMouseOver="if (this.disabled==0) this.className='buttonHover'" 
	  onFocus="if (this.disabled==0) this.className='buttonHover'" 
	  onMouseOut="if (this.disabled==0) this.className='button'" 
	  onBlur="if (this.disabled==0) this.className='button'" 
	  onClick="" onKeyPress="" title="Reset Button"/>

          <img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="5" height="1">

          <input style="vertical-align: middle" class="button" type="button" 
	  name="finished" id="finished" value="Finished" 
	  onMouseOver="if (this.disabled==0) this.className='buttonHover'"
	  onFocus="if (this.disabled==0) this.className='buttonHover'"
	  onMouseOut="if (this.disabled==0) this.className='button'"
	  onBlur="if (this.disabled==0) this.className='button'"
	  onClick="location.href='<dtpc:getDesktopURL/>?action=content&provider=ASCTabContainer'"
	  onKeyPress="location.href='<dtpc:getDesktopURL/>?action=content&provider=ASCTabContainer'" 
	  title="Finished Button"/>
        </div>
      </td>
      </tr>
      </table>
    </form>
  </div>
  <!-- End Full Page Channel -->
</div> 
<!-- End Full Page Channel Wrapper -->

<%
 /*
  * The state must be reset so the next time through the state is not 
  * the "old" state. 
	*/
 session.setAttribute("pagePrefsState", INCOMPLETE);
%>

</dt:obtainContainer>
