<%@ page import="com.sun.portal.providers.containers.jsp.single.JSPSingleContainerProvider,
com.sun.portal.providers.containers.jsp.table.JSPTableContainerProvider,
com.sun.portal.providers.Provider,
com.sun.portal.providers.util.Layout,
com.sun.portal.providers.containers.jsp.tab.UnmodifiableTab,
java.util.List,
java.util.Map,
java.util.ArrayList"
%>
<%@ taglib uri="/tld/desktopTable.tld" prefix="dttable" %>
<%@ taglib uri="/tld/desktopProviderContext.tld" prefix="dtpc" %>
<%@ taglib uri="/tld/desktopContainerProviderContext.tld" prefix="dtcpc" %>
<%@ taglib uri="/tld/desktop.tld" prefix="dt" %>
<%@ taglib uri="/tld/jx.tld" prefix="jx" %>

<%
JSPTableContainerProvider tcp = (JSPTableContainerProvider)
	pageContext.getAttribute( "tableProvider", PageContext.REQUEST_SCOPE);
if( tcp != null )
	pageContext.setAttribute( "tcp", tcp );
%>

<%@ include file="js/arrangeProvider.js" %>
<%@ include file="js/performSubstitution.js" %>
<%@ include file="js/performColumnSubstitution.js" %>
<%@ include file="js/switchColumns.js" %>
<%@ include file="js/detectCheckedRadioButton.js" %>

<dt:obtainContainer container="$tcp">
  <dttable:tableContainerProvider>

    <dtpc:getIntegerProperty key="layout" id="layout"/>
    <dttable:getColumns id="leftColumn" column="left"/>
    <dttable:getColumns id="rightColumn" column="right"/>
    <dttable:getColumns id="centerColumn" column="center"/>
    <dttable:getColumns id="top" column="top"/>
    <dttable:getColumns id="bottom" column="bottom"/>
    <jx:declare id="top" type="List"/>
    <jx:declare id="bottom" type="List"/>

    <jx:set var="topSize">
    <%=top.size()%>
    </jx:set>

    <jx:set var="bottomSize">
    <%=bottom.size()%>
    </jx:set>

   <%
   String layoutOneChecked = "";
   String layoutTwoChecked = "";
   String layoutThreeChecked = "";
   %>

   <jx:choose>
     <jx:when test="$layout == 1">
       <% layoutOneChecked = "checked"; %>
     </jx:when>
     <jx:when test="$layout == 2">
       <% layoutTwoChecked = "checked"; %>
     </jx:when>
     <jx:when test="$layout == 3">
       <% layoutThreeChecked = "checked"; %>
     </jx:when>
   </jx:choose>

  <tr>
    <td>
      <span class="helpText">
      Use this page to change the order and location of content by selecting it and using the arrows. Press the <b>Save Changes</b> button to save your changes and the <b>Finished</b> button to return to the portal.
      </span>
    </td>
  </tr>
    <tr>
        <td><img src="<dt:scontent/>/enterprise/images/spacer.gif" alt="" width="1" height="5"></td>
  </tr>

  <tr>
    <td>
      <jx:choose>
        <jx:when test="$layout == 3">
          <%@ include file="layout3.jsp" %>
        </jx:when>
      </jx:choose>
    </td>
 <tr>

  </dttable:tableContainerProvider>
</dt:obtainContainer>
