<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:content /><%
%><util:catalog resource="ab" id="i18n" />

<%-- List Add GroupMembers options --%>
<AmlDocument>
  <AmlPage  menu_pos="bottom">

<%-- Include options menu --%><%
  %><util:include file="options.jsp" comp="ab"/>

  <AmlText text="<util:msg name="i18n" key="addgroupmembers"/>..."/>
  <AmlBr/>

<%-- Search link --%>
  <AmlLink>
  <util:link tagstart="<AmlURL" tagend="/>"><%
    %><util:attr attr="action"><%
      %><util:url file="searchMemberChoices.jsp" comp="ab"><%
         %><util:parm name="cn"><util:get eval="$(cn)"/></util:parm><%
         %><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
         %><util:parm name="idx"><util:get eval="$(idx)"/></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><AmlText text="<util:msg name="i18n" key="search" />..."/>
  </AmlLink>
  <AmlBr/>

<%-- Browse link --%>
  <AmlLink>
  <util:link tagstart="<AmlURL" tagend="/>"><%
    %><util:attr attr="action"><%
      %><util:url file="browseMemberChoices.jsp" comp="ab"><%
         %><util:parm name="cn"><util:get eval="$(cn)"/></util:parm><%
         %><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
         %><util:parm name="idx"><util:get eval="$(idx)"/></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><AmlText text="<util:msg name="i18n" key="browse" />..."/>
  </AmlLink>
  <AmlBr/>

<%-- Enter new Element --%>
  <AmlLink>
  <util:link tagstart="<AmlURL" tagend="/>"><%
    %><util:attr attr="action"><%
      %><util:url file="addMember.jsp" comp="ab"><%
         %><util:parm name="cn"><util:get eval="$(cn)"/></util:parm><%
         %><util:parm name="op"><util:get eval="$(op)"/></util:parm><%
         %><util:parm name="idx"><util:get eval="$(idx)"/></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link><%
  %><AmlText text="<util:msg name="i18n" key="addmember" />..."/>
  </AmlLink>
  <AmlBr/>

<%-- Done without changing members --%>
    <% if(request.getParameter("op").equals("change")) { %>
	  <AmlLink>
      <util:link tagstart="<AmlURL" tagend="/>"><%
        %><util:attr attr="action"><%
          %><util:url file="doChangeGroup.jsp" comp="ab"><%
	        %><util:parm name="cn"><util:get eval="$(cn)"/></util:parm><%
	        %><util:parm name="idx"><util:get eval="$(idx)"/></util:parm><%
	      %></util:url><%
	    %></util:attr><%
      %></util:link><%
      %><AmlText text="<util:msg name="i18n" key="done" />..."/>
	  </AmlLink>
    <% } else { %>
	  <AmlLink>
      <util:link tagstart="<AmlURL" tagend="/>"><%
        %><util:attr attr="action"><%
          %><util:url file="doAddGroup.jsp" comp="ab"><%
	        %><util:parm name="cn"><util:get eval="$(cn)"/></util:parm><%
	      %></util:url><%
	    %></util:attr><%
      %></util:link><%
      %><AmlText text="<util:msg name="i18n" key="done" />..."/>
	  </AmlLink>
    <% } %>

</AmlPage>

</AmlDocument>


