<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_ab.tld" prefix="ab" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%


%><util:content /><%
%><util:catalog resource="ab" id="i18n" /><%
%><ab:context/><%


%><%-- set character entity escaping --%><%
%><util:edit id="edit1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%


%><%-- Address Book Home --%>
<AmlDocument title="<util:msg name="i18n" key="abtitle"/>">
<AmlPage menu_pos="bottom">

<%-- portal home --%>

<AmlControlMenu url="<util:url path="<%= request.getContextPath()+\"/dt\" %>"/>">
<AmlText text="<util:msg name="i18n" key="portalhome"/>"></AmlText>
</AmlControlMenu>

<%-- add address book entry link --%>
<AmlLink>
  <util:link tagstart="<AmlURL" tagend="/>"><%
    %><util:attr attr="action"><%
      %><util:url file="add.jsp" comp="ab"/><%
    %></util:attr><%
  %></util:link>
  <AmlText text="<util:msg name="i18n" key="addcontact"/>..." />
</AmlLink>
<AmlBr/><%

%><ab:context><%

%><util:if property="groupSupported">
  <%--
    	Add group link...
	<a href="addGroup.jsp">Add Group...</a>
  --%>
  <AmlLink>
    <util:link tagstart="<AmlURL" tagend="/>"><%
      %><util:attr attr="action"><%
        %><util:url file="addGroup.jsp" comp="ab"/><%
      %></util:attr><%
    %></util:link>
    <AmlText text="<util:msg name="i18n" key="addgroup"/>..." />
  </AmlLink>
  <AmlBr/>
</util:if>

<%-- 

    List Entries 
    <a href="view.jsp?idx=entryid">firstname lastname</a><AmlBr/>
--%><%


  %><%-- if no entries --%><%
  %><util:if property="entriesEmpty"><%
    %><util:msg name="i18n" key="noentries"/><%
  %></util:if><%


  %><%-- entries --%>    <%
  %><util:ifnot property="entriesEmpty"><%

  %><%-- search address book link --%>
  <AmlLink>
    <util:link tagstart="<AmlURL" tagend="/>"><%
    %><util:attr attr="action"><%
      %><util:url file="search.jsp" comp="ab"/><%
    %></util:attr><%
  %></util:link>
  <AmlText text="<util:msg name="i18n" key="search"/>..." />
  </AmlLink>
  <AmlBr/><%

    %><ab:entries id="ablist"><%
      %><ab:set property="start" value="$(start)"/><%
      %><ab:set property="count" value="$/SunMobileAppABService:sunMobileAppABJspAbNumLines:9/"/><%
    %></ab:entries><%

    %><ab:entries name="ablist" iterate="true"><%
      %><ab:entry>

     <%--  If entry go to view.jsp --%>
      <util:if property="elementType" value="1">
       <AmlLink>
         <util:link tagstart="<AmlURL" tagend="/>"><%
           %><util:attr attr="action"><%
             %><util:url file="view.jsp" comp="ab"><%
	 	  %><util:parm name="idx"><ab:get property="entryid"/></util:parm><%
             %></util:url><%
           %></util:attr><%
         %></util:link>
        <util:msgformat catalog="i18n" key="namelistorder">
           <util:if property="fn">
	      <util:msgfragment id="fn">
              <AmlText text="<ab:get property="fn" edit="edit1"/> "></AmlText>
	      </util:msgfragment>
           </util:if>
           <util:if property="ln">
	      <util:msgfragment id="ln">
              <AmlText text="<ab:get property="ln" edit="edit1"/>"></AmlText>
	      </util:msgfragment>
           </util:if>
           <util:ifnot property="ln">
	      <util:msgfragment id="cn">
	      <AmlText text="<ab:get property="cn" edit="edit1"/>"></AmlText>
	      </util:msgfragment>
           </util:ifnot>
        </util:msgformat> 
      </AmlLink>
      <AmlBr/>
     </util:if>

     <%--  If group go to viewGroup.jsp --%>
      <util:if property="elementType" value="2">
       <AmlLink>
         <util:link tagstart="<AmlURL" tagend="/>"><%
           %><util:attr attr="action"><%
             %><util:url file="viewGroup.jsp" comp="ab"><%
	 	  %><util:parm name="idx"><ab:get property="entryid"/></util:parm><%
             %></util:url><%
           %></util:attr><%
         %></util:link>
         <util:if property="cn">
           <AmlText text="<ab:get property="cn" edit="edit1"/>"></AmlText>
         </util:if>
      </AmlLink>
      <AmlBr/>
     </util:if>

       <%
      %></ab:entry><%
    %></ab:entries><%


    %><%-- more --%><%
    %><ab:entries name="ablist"><%
      %><util:if property="nextPage">
        <AmlLink>
          <util:link tagstart="<AmlURL" tagend="/>"><%
            %><util:attr attr="action"><%
              %><util:url file="list.jsp" comp="ab"><%
		    %><util:parm name="start"><util:get property="nextStart"/></util:parm><%
              %></util:url><%
            %></util:attr><%
          %></util:link>
          <AmlText text="<util:msg name="i18n" key="more"/>"></AmlText>
	   </AmlLink>
	<%
      %></util:if><%
    %></ab:entries><%

  %></util:ifnot><%

%></ab:context>
</AmlPage>
</AmlDocument>
