<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_cal.tld" prefix="cal" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:content /><%
%>
<cal:context/>
<util:catalog resource="cal" id="i18n" /><%
 String freq = request.getParameter("fr");
 String interval = request.getParameter("in");
 String repeatOn = request.getParameter("ro");
 String repeatUntil = request.getParameter("ru");
 if ( (repeatOn != null ) && ( repeatOn.trim().length() > 0  )){  //this is the case of repeaton 
        //In our GUI freq=daily & repeatOn=Weekday/Weekend etc is
        // type freq=weekly & setByDay=MO,..,FR/SA,SU as par RFC
        if ( freq.equals("DAILY")){
            freq = "WEEKLY" ;
        }
  }


%>
<util:session id="new" attribute="new"/>

<cal:event name="new">

<cal:recurrence id="rec" catalog="i18n" frequency="<%=freq %>" interval="<%=interval %>"  repeatOn="<%=repeatOn %>" repeatUntil="<%=repeatUntil %>"/>

    <%
   	String invalidRepeatUntil = null;
	try {
    	invalidRepeatUntil = (String)pageContext.getAttribute("validRepeatUntil");
	}
    catch(Exception e1) {
		invalidRepeatUntil = "false";
	}
    if (invalidRepeatUntil.equalsIgnoreCase("true")) {%>
		<cal:set id="rec" property="recurrencePattern" />
		<util:forward file="eventHm.jsp" comp="cal" />
	
	<%}
	%>

</cal:event>

<AmlDocument>
    <AmlPage>
        <AmlText bold="true" text="<util:msg name="i18n" key="invalidRepeatUntil" />" /> <AmlBr/>
        <AmlControlMenu>
            <AmlURL action="<util:url file="eventHm.jsp" comp="cal"/>" />
            <AmlText text="<util:msg name="i18n" key="eventHm" />" />
        </AmlControlMenu> <AmlBr/>
    </AmlPage>
</AmlDocument>

