<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%>
<%@ page isErrorPage="true" %>
<%@ page session="false" %>

<%@ page import="com.iplanet.sso.*" %>
<%@ page import="com.iplanet.am.util.*" %>

<%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %>

<util:nocache/><util:content type="text/html"/>
<util:catalog resource="error" id="i18n" />

<html>
<body>

<%
  SSOToken session = null;

try {
  SSOTokenManager tokenManager = SSOTokenManager.getInstance();
  session = tokenManager.createSSOToken(request);
%>
  <%-- 
	We have a valid session. Go back to desktop.
  --%>

  <util:msg name="i18n" key="servererror"/>
  <p></p>
  <util:link tagstart="<a" tagend=">"><%
    %><util:attr attr="href"><%
    %><util:url path="/portal/dt"/><%
    %></util:attr><%
  %></util:link><%
  %><util:msg name="i18n" key="portalhome"/>...</a><br>


<% } catch (Exception e) { %>

  <%--
	No session. Cannot localize error message, just bring up login page.
  --%>
  Server error
  <p></p>
  <a href="/portal/dt">Login</a>

<% } %>

  </body>
</html>
