<%--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms.
--%>
<%@ page isErrorPage="true" %>
<%@ page session="false" %>

<%@ page import="com.iplanet.sso.*" %>
<%@ page import="com.iplanet.am.util.*" %>
<%@ page import="com.sun.portal.wireless.taglibs.base.NoServiceAssignedException"%>
<%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %>


<%
  SSOToken session = null;

  Debug debug = Debug.getInstance ("mapJsp");
  debug.message ("Trace from errorPage: ", exception);

//  Exception nsae = (Exception)exception;
  
  if( exception instanceof NoServiceAssignedException ) {

    request.setAttribute(
     NoServiceAssignedException.UNAUTHSERVICE_ATTRIBUTE,exception.getMessage());
    %>
       <util:forward file="errorPage.jsp" comp="error"/>
    <%

  } 

  try {
    session = (SSOToken)pageContext.getAttribute("ps.session", PageContext.REQUEST_SCOPE);

    if (session == null) {
       SSOTokenManager tokenManager = SSOTokenManager.getInstance();
       session = tokenManager.createSSOToken(request);
    }
  } catch (Exception e) {
    // ignore and handle below
  }


  if (session != null) {
    // got a session and it's valid
    %>
    <util:forward file="errorPage.jsp" comp="error"/>
    <%
  } else {
    // can't get a session
    %>
    <jsp:forward page="/dt" />
    <%
  }
%>
