<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%

%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_ab.tld" prefix="ab" %><%

%><util:content /><%
%><util:catalog resource="ab" id="i18n" /><%
%><mail:context/><%
%><mail:fetch collection="messages" sb="inbox" sd="down"/><%
%><ab:context/><%
%><%-- set character entity escaping --%><%
%><util:edit id="edit1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- Add a new address book entry form. This template has been
       derived from the address book doAdd.jsp  Please keep
       templates in sync.
--%>
<AmlDocument title="<util:msg name="i18n" key="addcontact"/>">
<AmlPage>
<AmlText align="center" text="<util:msg name="i18n" key="addcontact"/>">
</AmlText>

<AmlForm submit_label="<util:msg name="i18n" key="add"/>" method="post">
    <AmlURL action="<util:url file="doAdd.jsp" comp="mail"/>">
    </AmlURL>  

  <mail:message id="msg" index="$(mid)"><%
  %><%-- Set lastname and firstname --%><%
    %><AmlText text="<util:msg name="i18n" key="firstname"/>:"/><AmlBr/><%
    %><AmlInput type="text" name="fn" value="<mail:get property="fn" edit="edit1"/>"/><AmlBr/><%

    %><AmlText text="<util:msg name="i18n" key="lastname"/>: <util:msg name="i18n" key="required"/>"/><AmlBr/><%
    %><AmlInput type="text" name="ln" value="<mail:get property="ln" edit="edit1"/>"/><AmlBr/><%

  %><%-- phone --%>
  <AmlText text="<util:msg name="i18n" key="phone"/>:"/><AmlBr/>
  <AmlInput type="text" name="hp" format="numeric" value=""/><AmlBr/><%

  %><%-- email --%>
  <AmlText text="<util:msg name="i18n" key="email"/>:"/><AmlBr/><%
    %><AmlInput type="text" name="em" value="<mail:get property="replyToAddress"/>"/><AmlBr/><%
  %></mail:message><%

  %>

  <AmlInput view="hidden" name="f" value="<util:get eval="$(f)"/>"/>
  <AmlInput view="hidden" name="start" value="<util:get eval="$(start)"/>"/>

</AmlForm>
</AmlPage>
</AmlDocument>





