<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%
%><%@ page import="com.sun.addressbook.Entry" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%
%><%@ taglib uri="/WEB-INF/wireless_ab.tld" prefix="ab" %><%

%><util:context><%
  %><util:set property="rfc2396" value="false"/><%
%></util:context><%

%><util:content /><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%


%><%-- need to create an empty message object --%><%
%><mail:message id="newmsg"/><%
%><util:session name="newmsg" attribute="pickaddr"/><%

%><%--
       Make sure we have address book configured. If not, just
       forward to compose ui.
--%><%
%><ab:context test="false"><%
  %><util:forward file="compose.jsp" comp="mail"/><%
%></ab:context><%

%><%-- set multivalue parameter seperator --%><%
%><util:context><%
  %><util:set property="parmDelimiter" value=","/><%
%></util:context><%

%><%-- fetch entire address book --%><%
%><ab:fetch collection="elements" any="*" elementtype="all"/><%
%><ab:context><%
%><%-- check for an empty address book --%><%
%><util:if property="entriesEmpty"><%
  %><util:forward file="compose.jsp" comp="mail"/>
%></util:if><%
%></ab:context><%


%><%-- set character entity escaping --%><%
%><util:edit id="emsg1"><%
  %><util:set property="escape" value="true"/><%
%></util:edit><%

%><%-- List Address Book entries for compose --%>
<AmlDocument title="<util:msg name="i18n" key="pickaddr"/>">
<AmlPage next_label="<util:msg name="i18n" key="more"/>" prev_label="<util:msg name="i18n" key="prev"/>">

<AmlText halign="center" text="<util:msg name="i18n" key="pickaddr"/>"></AmlText><%
%>

<AmlForm submit_label="<util:msg name="i18n" key="done"/>" name="addressPickForm" method="post">
<util:link tagstart="<AmlURL" tagend="/>"><%
  %><util:attr attr="action"><%
    %><util:url file="compose.jsp" comp="mail"><%
      %><util:parm name="submit"><util:msg name="i18n" key="done"/></util:parm><%
    %></util:url><%
  %></util:attr><%
%></util:link><%

%><AmlChoice value="" wml_select_label="<util:msg name="i18n" key="done"/>" name="em" mode="multiple">
   <ab:context/><%
  %><%-- 
	address book email checkboxes. Option value is email address but 
   	we displays "firstname lastname" for selection.
    --%><%
  %><ab:entries id="ablist" iterate="true"><%
    %><ab:entry><%
    %><util:if property="elementType" value="1"><%

      %><AmlOption value="<ab:get property="em" edit="emsg1"/>"><%
      %><util:if property="fn"><%
        %><AmlText text="<ab:get property="fn" edit="edit1"/> "/><%
      %></util:if><%
      %><AmlText text="<ab:get property="ln" edit="emsg1"/>"/><AmlSpace/><%

      %><util:ifnot property="em"><%
        %><AmlText text="&lt;<util:msg name="i18n" key="noemail"/>&gt;"/><%
      %></util:ifnot><%
      %></AmlOption><%

    %></util:if><%

    %><%--  If group --%><%
    %><util:if property="elementType" value="2"><%
      %><ab:get id="groupid" property="entryid"/><%
      %><% String groupid = (String)pageContext.getAttribute("groupid"); %><%
      %><ab:fetch collection="contacts" any="*" groupid="<%= groupid %>" elementtype="group"/><%

      %><% String emails = ""; %><%
      %><ab:contacts iterate="true"><%
      %><ab:contact id="elem"><%
        %><%
          Entry e = (Entry)pageContext.getAttribute("elem");
          emails += e.getEm() + ", ";
        %><%
      %></ab:contact><%
      %></ab:contacts><%
      %><%
      	  if( (emails != null) && (!emails.equals(""))){
	    emails = emails.substring(0, emails.length()-2);
	  }
      %><%

      %><AmlOption value="<%= emails %>"><%
      %><AmlText text=" <ab:get property="cn" edit="emsg1"/>"></AmlText><%
      %></AmlOption><%
    %></util:if><%

    %></ab:entry><%
  %></ab:entries><%
%></AmlChoice><%

%><%-- pass action type, "act",  and message id, "mid" to compose.jsp --%>
<AmlInput view="hidden" name="act" value="<util:get eval="$(act)"/>"/>
<AmlInput view="hidden" name="mid" value="<util:get eval="$(mid)"/>"/>
<AmlInput view="hidden" name="start" value="<util:get eval="$(start)"/>"/>
<AmlInput view="hidden" name="submit" value="<util:msg name="i18n" key="done"/>"/>
</AmlForm>

</AmlPage>
</AmlDocument>
