<%-- 
  PROPRIETARY/CONFIDENTIAL. Use of this product is subject to license terms. 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved. 
--%><%
%><%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:content /><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context /><%

	String to = request.getParameter("to");
	String faxmid = request.getParameter("faxmid");
	String serviceProviderId = request.getParameter("faxDomain");

%><%-- process the to field and set it accordingly  --%>

<% if ( to != null && (to.indexOf('@') == -1)) { %><%
	 %><% to = to +"@" + serviceProviderId; %><%
%><% } %><%

%><%-- message population --%>
  <mail:message id="new">
    <mail:set property="to" value="<%= to %>"/>
    <mail:set property="subject" value="$(sub)"/>
    <mail:set property="text" value="$(msg)"/>
    <mail:set property="from" value="$(from)"/>
  </mail:message>

<%-- send the message --%>
<AmlDocument>
<AmlPage>
   %><%-- set character entity escaping --%><%
   %><util:edit id="emsg1"><%
   %><util:set property="escape" value="true"/><%
   %></util:edit><%

   %><%-- retrieve action type --%><%
   %><%
      String act  = request.getParameter("act");
      act         = (act == null) ? "" : act;
   %><%

%><%-- Fax --%><%
      %><mail:sendmessage msgname="new" fwdindex="<%= faxmid %>"><%
      %><%-- message failed --%>
      <AmlText text="<util:msg name="i18n" key="sendfail"/>"></AmlText><AmlBr/><%

      %><%-- Any error message? --%><%
      %><mail:context><%
        %><util:if property="errorCode" value="MAIL_001"><%
          %><AmlText text="<util:msg name="i18n" key="MAIL_001"/>"></AmlText><AmlBr/><%
        %></util:if><%
        %><util:if property="errorCode" value="MAIL_002"><%
          %><AmlText text="<util:msg name="i18n" key="MAIL_002"/>"></AmlText><AmlBr/><%
        %></util:if><%

      %></mail:context><%
     
      %><AmlForm submit_label="<util:msg name="i18n" key="back"/>" method="post">
          <AmlURL action="<util:url file="composefax.jsp" comp="mail"/>">
          </AmlURL>

       <AmlInput view="hidden" name="back" value="true"/>
       <AmlInput view="hidden" name="act" value="<util:get eval="$(act)"/>"/>
       <AmlInput view="hidden" name="mid" value="<util:get eval="$(faxmid)"/>"/>
       <AmlInput view="hidden" name="faxmid" value="<util:get eval="$(faxmid)"/>"/>
       <AmlInput view="hidden" name="to" value="<util:get eval="$(to)" edit="emsg1"/>"/>
       <AmlInput view="hidden" name="sub" value="<util:get eval="$(sub)" edit="emsg1"/>"/>
       <AmlInput view="hidden" name="text" value="<util:get eval="$(msg)" edit="emsg1"/>"/>
       <AmlInput view="hidden" name="from" value="<util:get eval="$(from)" edit="emsg1"/>"/>

     </AmlForm><%

      %><AmlForm submit_label="<util:msg name="i18n" key="inbox" />" method="post"> <%
	%><util:link tagstart="<AmlURL" tagend="/>"><%
         %><util:attr attr="action"><%
           %><util:url file="doInbox.jsp" comp="mail"><%
             %><util:parm name="mi"><util:get eval="$(mi)"/></util:parm><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
     %></AmlForm><%

       %><AmlForm submit_label="<util:msg name="i18n" key="mailhome" />" method="post"> <%
         %><util:link tagstart="<AmlURL" tagend="/>"><%
           %><util:attr attr="action"><%
           %><util:url file="summary.jsp" comp="mail"><%
             %><util:parm name="mi"><util:get eval="$(mi)"/></util:parm><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
     %></AmlForm>
     </AmlPage>
      </AmlDocument><%
    %></mail:sendmessage><%

%><%-- message sent --%>
  <AmlText text="<util:msg name="i18n" key="sent"/>"></AmlText><AmlBr />
  <AmlLink>
  <util:link tagstart="<AmlURL" tagend="/>"><%
         %><util:attr attr="action"><%
           %><util:url file="doInbox.jsp" comp="mail"><%
             %><util:parm name="mi"><util:get eval="$(mi)"/></util:parm><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
  %><AmlText text="<util:msg name="i18n" key="inbox"/>...>"></AmlText><AmlBr/>
  </AmlLink>
  <AmlLink>
  <util:link tagstart="<AmlURL" tagend="/>"><%
           %><util:attr attr="action"><%
           %><util:url file="summary.jsp" comp="mail"><%
             %><util:parm name="mi"><util:get eval="$(mi)"/></util:parm><%
           %></util:url><%
         %></util:attr><%
       %></util:link><%
  %><AmlText text="<util:msg name="i18n" key="mailhome"/>..."></AmlText><AmlBr/>
  </AmlLink>
  </AmlPage>
  </AmlDocument> 

