<!DOCTYPE HTML PUBLIC "-//W3C//DTD Compact HTML 1.0 Draft//EN">
<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%> 
<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/html"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%



%><%-- 
	Rename folder
--%>
<html>
  <title><util:msg name="i18n" key="renamefolder"/></title>
<body>

<%-- Rename folder command --%>

<mail:renamefolder foldername="$(f)" oldname="$(of)" path="$(r)">
  <%-- 
	Fail, new folder already exists 
  --%>
  <mail:context>
  <util:if property="errorCode" value="MAIL_003">
    <util:msg name="i18n" key="MAIL_003"/><br>
  </util:if>

  <%-- 
	Renamed folder not exists 
  --%>
  <util:if property="errorCode" value="MAIL_005">
    <util:msg name="i18n" key="MAIL_005"/><br>
  </util:if>
  </mail:context>

  <util:msg name="i18n" key="renamefail"/>
  </body>
  </html>
</mail:renamefolder>

<util:msg name="i18n" key="renamed"/><br>
<p></p>


<%-- back to folder list --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="getfolders.jsp" comp="mail"><%
    %><util:parm name="r"><util:get eval="$(r)"/></util:parm><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="folders"/>...</a><br>


<%-- mail home --%>
<util:link tagstart="<a" tagend=">"><%
  %><util:attr attr="href"><%
  %><util:url file="summary.jsp" comp="mail"><%
  %></util:url><%
  %></util:attr><%
%></util:link><%
%><util:msg name="i18n" key="mailhome"/>...</a>

</body>
</html>

