<%-- 
  Copyright 2003 Sun Microsystems, Inc. All rights reserved 
  Use is subject to license terms. 
--%> 
<%@ page errorPage="/jsp/default/errorpage.jsp" %><%
%><%@ page session="false" %><%

%><%@ taglib uri="/WEB-INF/wireless_mail.tld" prefix="mail" %><%
%><%@ taglib uri="/WEB-INF/wireless_util.tld" prefix="util" %><%

%><util:nocache/><util:content type="text/vnd.wap.wml"/><%
%><util:catalog resource="mail" id="i18n" /><%
%><mail:context/><%



%><%-- 

	Use this template to generate most of the compose gui shared 
	by compose.jsp and reply.jsp. It contains the headers input
	fields, text input field and preset message selection list.

--%><%
%><do type="accept"><%

%><%-- 
	Fetch preset messages 
--%><%
%><mail:fetch collection="presetmsgs"/><%
%><mail:context><%

  %><util:if property="presetEmpty"><%
    %><go href="#type"/><%
  %></util:if><%

  %><util:ifnot property="presetEmpty"><%
    %><go href="#txt"/><%
  %></util:ifnot><%

%></mail:context> 
</do>

<%-- To, Cc and Subject fields --%>
<p>
<util:msg name="i18n" key="to"/>:
<input name="to"/>
<util:msg name="i18n" key="cc"/>:
<input name="cc"/>
<util:msg name="i18n" key="subject"/>:
<input name="sub"/>
</p>
</card>


<%-- 

	If there are no preset messages, we don't need these cards.

--%><%

%><mail:context><%
  %><util:ifnot property="presetEmpty">

<card id="txt">
<p>
<select>
  <option onpick="#type"><util:msg name="i18n" key="typemsg"/></option>
  <option onpick="#can"><util:msg name="i18n" key="presetmsg"/></option>
</select>
</p>
</card>


<%-- List preset messages for user selection --%>
<card id="can">
<do type="accept">
  <go href="#type"/>
</do>
<p><select name="msg"><%
%><mail:presetmsgs iterate="true"><%
  %><mail:presetmsg><%

    %><util:if property ="msg"><%
    %><util:link tagstart="<option" tagend=">"><%
      %><util:attr attr="value"><mail:get property="msg" edit="emsg1"/><%
      %></util:attr><%
    %></util:link><mail:get property="msg" edit="emsg1"/></option><%
   %></util:if><%

  %></mail:presetmsg><%
%></mail:presetmsgs> 
</select>
</p>
</card><%
  %></util:ifnot><%
%></mail:context>


<%-- Edit Message Text --%>
<card id="type">
<%--
	Cancel button
--%>
<do type="options" label="<%= i18n.getMsg("cancel") %>"><%
  %><util:link tagstart="<go" tagend="/>"><%
    %><util:attr attr="href"><%
      %><util:url file="cancel.jsp" comp="mail"><%
        %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%
	%><util:parm name="act"><util:get eval="$(act)"/></util:parm><%
        %><util:parm name="start"><util:get eval="$(start)"/></util:parm><%
      %></util:url><%
    %></util:attr><%
  %></util:link>
</do>

<do type="accept" label="<%= i18n.getMsg("send") %>">
<%--
	Send button
--%><%

  %><util:link tagstart="<go" tagend=">"><%
    %><util:attr attr="href"><%
      %><util:url file="sent.jsp" comp="mail"><%
        %><util:parm name="f"><util:get eval="$(f)"/></util:parm><%
        %><util:parm name="act"><util:get eval="$(act)"/></util:parm><%
        %><util:parm name="start"><util:get eval="$(start)"/></util:parm><%
      %></util:url><%
    %></util:attr><%
    %><util:attr attr="method">post</util:attr><%
  %></util:link>
  <postfield name="to" value="$(to)"/>
  <postfield name="sub" value="$(sub)"/>
  <postfield name="cc" value="$(cc)"/>
  <postfield name="text" value="$(msg)"/>
  <postfield name="inc" value="$(inc)"/>


